******************************************************************
******************************************************************
* OMEGAMON XE for DB2 on z/OS v420                               *
******************************************************************
******************************************************************
* REASON  RLSE DATE   ORIGIN DESCRIPTION                         *
* V420     420 071007    MTS Pick up deferred Globalization WORK *
******************************************************************
* REASON  RLSE DATE   ORIGIN DESCRIPTION                         *
* PK65753  410 051508    SUK Statistics and thread enhancements  *
* PK62340  410 030408    SUK Remove DELETE KFWTMPLSIT withno AND *
*                            to fix lost situation association   *
* PK57640  410 011008    MTS IFCID 225 AND IFCID 1 support       *
* DSAC     410 071007    SUK Added new queries for table DBM1STO,*
*                            OPERSYS, and DB2MSG                 * 
* V420     420 071007    SUK Added new queries for table DBM1STO,*
*                            OPERSYS, and DB2MSG                 *
* V510     510 112309    SMW added new attributes, MVSTOR64      *
* PM07260  420 022210    SUK Added sql counters, percent log     * 
*                            avail, condbat and Cancel Command   *
* V510     510 061010    SMW added total in 64bit for log stats  *
*                            added DDF bytes rec and sent in 64  *
*                            bit for Detail thread exception     *  
*                            added request type for REALTHDA     *
*                            Added new dpsrmsub query for E2E SQL*
*                            monitoring                          *
* V510     510 081610    MAM pick up V510 items from append file *
* V510     510 091510    SMW added 64bit for THDXGPPR            *
* PM23800  420 051011    SMW added 16 chars utility id           *
*                                                                *  
******************************************************************
******************************************************************
******************************************************************
* PK36297 - Updates FOR Globalization (mts1)           02/05/2007*
* PK36297 - EDM POOL V9 support                        02/03/2007*
* v410 - Removed ziip fields from realthda/act/enc     09/06/2006*
* v410 - added vdpthdet & dpthexc new columns          08/26/2006*
* v410 - added kdp_kcj.sql.append                        08/22/06*
* v410 - added globalization changes                     07/24/06*
* v410 - added filtering symbol DB2CORR and CICSREGN     07/05/06*
*        added v410 queries                                      *
* PK25395  - zIIP support for Thread Detail              06/07/06*
* PMR30867 - fix incorrect TEMPLATE                      03/07/06*
* use the new helper tool to generate for Thread Activity and    *
* DB2 Connect Server                                  10/18/2005 * 
* changed GOA Group Object Analysis                    9/26/2005 *
* changed Thread Activity under DB2plex to Data Sharing Thread   *
* Activity                                             9/19/2005 *
* Defect 16497 - add queries for packages              9/13/2005 *
* Defect 16496 - add filter2                           8/10/2005 *
* BlueLens - reinstate Thread Activity to DB2PLEX      7/18/2005 * 
* BlueLens - added DB2 Connect support                 4/11/2005 * 
* KD5 SPE - delete DB2PLEX report navigation "Thread Activity"   *
****************************************************************** 
DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_002_Threads";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Thread_Wait_Time_Critical" AND 
 TEMPLATE = "zDB2_002_Threads";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Thread_Wait_Time_Warning" AND 
 TEMPLATE = "zDB2_002_Threads";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_002_Threads";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_002_Threads";

* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            100                                     *
* *  Report:             System Status                           *
* *  Table:              DP_SY_EXC                               *
* *  Characteristics:    IRA, All DB2 systems, thrunode, visible *
* *                                                              *
* *  Maintenance:                                                *
* *    01/29/02 PWF Changed name of situation SFAC to SPAC       *
* *                 and added situations for MCNV. This was a    *
* *                 pre-GA change that has no PTF associated     *
* *                 with it.                                     *
* *                                                              *
* ****************************************************************
* IDENT=zDB2_010_System_Exc;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=System Status
* USER=CCC_220
* DESC=Retrieve DB2 System State type exceptions
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SY_EXC
* * Timestamp and interval
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SYS_INTR;            * Interval time in seconds
* * True/False Enumerations
* COLUMNS=SYS_ARCV;            * True is waiting on archive
* COLUMNS=SYS_DDFS;            * True if DDF not available
* COLUMNS=SYS_GTRC;            * True if tracing is active
* * Utilization values
* COLUMNS=SYS_EDMU;            * EDM pages / Total EDM pages
* COLUMNS=SYS_MDBT;            * DB Wait Percent
* * Current Values
* COLUMNS=SYS_INDT;            * Number of threads INDOUBT
* COLUMNS=SYS_MDBW;            * Threads waiting on limits
* COLUMNS=SYS_SUSL;            * Threads waiting on locks
* COLUMNS=SYS_THDQ;            * Users waiting for threads
* * Computed Rates
* COLUMNS=SYS_DSND;            * Distributed bytes sent / sec
* COLUMNS=SYS_DRCV;            * Distributed bytes rcvd / sec
* * Procedures, triggers, and functions
* COLUMNS=SYS_STPE;            * Number of active procedures
* COLUMNS=SYS_SFAC;            * ACE's running procedures
* COLUMNS=SYS_UDFE;            * Number of active user functions
* COLUMNS=SYS_UFAC;            * ACE's running functions
* COLUMNS=SYS_TRGE;            * Number of active triggers
* COLUMNS=SYS_TRGD;            * Max depth of triggers
* * Supporting information
* COLUMNS=SYS_TMAX;            * Count of active threads
* COLUMNS=SYS_EDMC;            * Current EDM pages in use
* COLUMNS=SYS_EDMT;            * Total EDM Pages
* COLUMNS=SYS_ARCN;            * DS name of archive log
* COLUMNS=SYS_ARDEV;           * Device address for archive
* COLUMNS=SYS_ARVOL;           * Volser for archive
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=EX_SPARE
* SITNAME=KDP_ARCV_Warning Warning;
* SITNAME=KDP_ARCV_Critical Critical;
* SITNAME=KDP_DDFS_Warning Warning;
* SITNAME=KDP_DDFS_Critical Critical;
* SITNAME=KDP_DRCV_Warning Warning;
* SITNAME=KDP_DRCV_Critical Critical;
* SITNAME=KDP_DSND_Warning Warning;
* SITNAME=KDP_DSND_Critical Critical;
* SITNAME=KDP_EDMU_Warning Warning;
* SITNAME=KDP_EDMU_Critical Critical;
* SITNAME=KDP_GTRC_Warning Warning;
* SITNAME=KDP_GTRC_Critical Critical;
* SITNAME=KDP_INDT_Warning Warning;
* SITNAME=KDP_INDT_Critical Critical;
* SITNAME=KDP_MDBT_Warning Warning;
* SITNAME=KDP_MDBT_Critical Critical;
* SITNAME=KDP_MDBW_Warning Warning;
* SITNAME=KDP_MDBW_Critical Critical;
* SITNAME=KDP_SPAC_Warning Warning;        *
* SITNAME=KDP_SPAC_Critical Critical;      *
* SITNAME=KDP_STPE_Warning Warning;
* SITNAME=KDP_STPE_Critical Critical;
* SITNAME=KDP_SUSL_Warning Warning;
* SITNAME=KDP_SUSL_Critical Critical;
* SITNAME=KDP_THDQ_Warning Warning;
* SITNAME=KDP_THDQ_Critical Critical;
* SITNAME=KDP_TMAX_Warning Warning;
* SITNAME=KDP_TMAX_Critical Critical;
* SITNAME=KDP_TRGD_Warning Warning;
* SITNAME=KDP_TRGD_Critical Critical;
* SITNAME=KDP_TRGE_Warning Warning;
* SITNAME=KDP_TRGE_Critical Critical;
* SITNAME=KDP_UDFE_Warning Warning;
* SITNAME=KDP_UDFE_Critical Critical;
* SITNAME=KDP_UFAC_Warning Warning;
* SITNAME=KDP_UFAC_Critical Critical;
* SITNAME=KDP_MCNV_Warning Warning;     *
* SITNAME=KDP_MCNV_Critical Critical;   *


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ARCV_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ARCV_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DDFS_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DDFS_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DRCV_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DRCV_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DSND_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DSND_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_EDMU_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_EDMU_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_GTRC_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_GTRC_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_INDT_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_INDT_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MDBT_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MDBT_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MDBW_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MDBW_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_SPAC_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_SPAC_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_STPE_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_STPE_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_SUSL_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_SUSL_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_THDQ_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_THDQ_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TMAX_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TMAX_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TRGD_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TRGD_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TRGE_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TRGE_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UDFE_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UDFE_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UFAC_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UFAC_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MCNV_Warning" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_MCNV_Critical" AND 
 TEMPLATE = "zDB2_010_System_Exc";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_010_System_Exc";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_010_System_Exc";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_010_System_Exc",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "System Status",
  "Retrieve DB2 System State type exceptions",
  "CCC_220",
  "1021212090346000",
"at=$THRUNODE$@table1.name=DP_SY_EXC@table1.column1.name=TIME@table1.col
umn2.name=SYS_INTR@table1.column3.name=SYS_ARCV@table1.column4.name=SYS_
DDFS@table1.column5.name=SYS_GTRC@table1.column6.name=SYS_EDMU@table1.co
lumn7.name=SYS_MDBT@table1.column8.name=SYS_INDT@table1.column9.name=SYS
_MDBW@table1.column10.name=SYS_SUSL@table1.column11.name=SYS_THDQ@table1
.column12.name=SYS_DSND@table1.column13.name=SYS_DRCV@table1.column14.na
me=SYS_STPE@table1.column15.name=SYS_SFAC@table1.column16.name=SYS_UDFE@
table1.column17.name=SYS_UFAC@table1.column18.name=SYS_TRGE@table1.colum
n19.name=SYS_TRGD@table1.column20.name=SYS_TMAX@table1.column21.name=SYS
_EDMC@table1.column22.name=SYS_EDMT@table1.column23.name=SYS_ARCN@table1
.column24.name=SYS_ARDEV@table1.column25.name=SYS_ARVOL@table1.column26.
name=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND
@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filt
erCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090346000",
   "_ KCJ",
   "zDB2_010_System_Exc",
   "System Status"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_System_Exc",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_System_Exc",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_System_Exc",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_System_Exc",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_System_Exc",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_010_System_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_010_System_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_010_System_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_010_System_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ARCV_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ARCV_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DDFS_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DDFS_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DRCV_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DRCV_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DSND_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_DSND_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_EDMU_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_EDMU_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_GTRC_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_GTRC_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_INDT_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_INDT_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MDBT_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MDBT_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MDBW_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MDBW_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_SPAC_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_SPAC_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_STPE_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_STPE_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_SUSL_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_SUSL_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_THDQ_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_THDQ_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TMAX_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TMAX_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TRGD_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TRGD_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TRGE_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_TRGE_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UDFE_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UDFE_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UFAC_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UFAC_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MCNV_Warning",
   "Warning",
   "zDB2_010_System_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_MCNV_Critical",
   "Critical",
   "zDB2_010_System_Exc",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpthrd.dat
*
* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            100                                     *
* *  Report:             DB2plex Thread Exceptions               *
* *  Table:              DP_TH_EXC                               *
* *  Characteristics:    IRA, All DB2 systems, thrunode, visible.*
* *                                                              *
* * Maintenance:                                                 *
* *   1/29/02  PWF  Added package name information along with    *
* *                 several columns for data that is normally    *
* *                 available only in DB2Plex. QD31019 is the    *
* *                 PTF that goes with this front end change.    *
* *                                                              *
* *                                                              *
* ****************************************************************
*  IDENT=zDB2_020_Test_THR;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=Detailed Thread Exception
*  USER=CCC_220
*  DESC=Retrieve DB2 Threads information from DP Collector
*  NODETYPE=DB2;
*  READONLY=T;
*  TABLE=KDP.DP_TH_EXC
*  COLUMNS=EX_TIME;
*  COLUMNS=THREADTYPE;
*  COLUMNS=CONNTYPE;
*  COLUMNS=EX_PLAN;
*  COLUMNS=EX_PKGN;                         * QD31019
*  COLUMNS=EX_COLLID;                       * QD31019
*  COLUMNS=EX_CORRID;
*  COLUMNS=EX_CONNID;
*  COLUMNS=EX_AUTHID;
*  COLUMNS=EX_DB2ID;
*  COLUMNS=EX_MVSID;
*  COLUMNS=EX_INTRV;
*  COLUMNS=EX_ARCM;
*  COLUMNS=EX_CTHD;
*  COLUMNS=EX_INDB;
*  COLUMNS=EX_MISC;
*  COLUMNS=EX_COMT;
*  COLUMNS=EX_TCPU;
*  COLUMNS=EX_IDBC;
*  COLUMNS=EX_IDBT;
*  COLUMNS=EX_RCPU;
*  COLUMNS=EX_TRCV;
*  COLUMNS=EX_TSND;
*  COLUMNS=EX_ETIM;
*  COLUMNS=EX_GETP;
*  COLUMNS=EX_LKUS;
*  COLUMNS=EX_PGUP;
*  COLUMNS=EX_PREF;
*  COLUMNS=EX_RIO;
*  COLUMNS=EX_RELM;
*  COLUMNS=EX_WCLM;
*  COLUMNS=EX_WDLK;
*  COLUMNS=EX_WGLK;
*  COLUMNS=EX_WLGQ;
*  COLUMNS=EX_WSPS;
*  COLUMNS=EX_WTRE;
*  COLUMNS=EX_WSRV;
*  COLUMNS=EX_DWAT;
*  COLUMNS=EX_CMTCNT;
*  COLUMNS=EX_GETCNT;
*  COLUMNS=EX_LCKCNT;
*  COLUMNS=EX_LCKMAX;
*  COLUMNS=EX_PRECNT;
*  COLUMNS=EX_RDCNT;
*  COLUMNS=EX_RESCNT;
*  COLUMNS=EX_RESLIM;
*  COLUMNS=EX_SRDCNT;
*  COLUMNS=EX_UPDCNT;
*  COLUMNS=EX_WTRES;
*  COLUMNS=ORIGINNODE;
*  COLUMNS=KILLTHREAD;
*  COLUMNS=THREADSTAT;
*  COLUMNS=THRDTOKEN;
*  COLUMNS=TH_SPN                           * QD31019
*  COLUMNS=TH_GROUPN                        * QD31019
*  COLUMNS=TH_GMN                           * QD31019
*  COLUMNS=IDNAME                           * QD31019
*  COLUMNS=THD_CPU                          * QD31019
*  COLUMNS=IMMWIO                           * QD31019
*  COLUMNS=LISTPREF                         * QD31019
*  COLUMNS=DYNPREF                          * QD31019
*  COLUMNS=SUCHPR                           * QD31019
*  COLUMNS=SUCHPW                           * QD31019
*  COLUMNS=UNSUCHPR                         * QD31019
*  COLUMNS=UNSUCHPW                         * QD31019
*  COLUMNS=UNGPOP                           * QD31019
*  COLUMNS=APAGER                           * QD31019
*  COLUMNS=PHPMOVE                          * QD31019
*  COLUMNS=TYPE_IND                         * QD31019
*  COLUMNS=EX_NAME;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND EX_CORRID = $DB2CORR$;
*  SITNAME=KDP_COMT_Warning Warning;
*  SITNAME=KDP_COMT_Critical Critical;
*  SITNAME=KDP_LKUS_Warning Warning;
*  SITNAME=KDP_LKUS_Critical Critical;
*  SITNAME=KDP_PGUP_Warning Warning;
*  SITNAME=KDP_PGUP_Critical Critical;
*  SITNAME=KDP_PREF_Warning Warning;
*  SITNAME=KDP_PREF_Critical Critical;
*  SITNAME=KDP_RELM_Warning Warning;
*  SITNAME=KDP_RELM_Critical Critical;
*  SITNAME=KDP_WTRE_Warning Warning;
*  SITNAME=KDP_WTRE_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_COMT_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_COMT_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_LKUS_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_LKUS_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PGUP_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PGUP_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PREF_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PREF_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_RELM_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_RELM_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WTRE_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WTRE_Critical" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "*Critical";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "*Warning";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "*Informational";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "*STATUS_UNKNOWN";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "OK";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "Critical";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "Warning";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "Informational";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_020_Test_THR" AND NAME = "Unavailable";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_020_Test_THR";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_020_Test_THR",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Detailed Thread Exception",
  "Retrieve DB2 Threads information from DP Collector",
  "CCC_220",
  "1060705171242000",
"at=$THRUNODE$@table1.name=DP_TH_EXC@table1.column1.name=EX_TIME@table1.
column2.name=THREADTYPE@table1.column3.name=CONNTYPE@table1.column4.name
=EX_PLAN@table1.column5.name=EX_PKGN@table1.column6.name=EX_COLLID@table
1.column7.name=EX_CORRID@table1.column8.name=EX_CONNID@table1.column9.na
me=EX_AUTHID@table1.column10.name=EX_DB2ID@table1.column11.name=EX_MVSID
@table1.column12.name=EX_INTRV@table1.column13.name=EX_ARCM@table1.colum
n14.name=EX_CTHD@table1.column15.name=EX_INDB@table1.column16.name=EX_MI
SC@table1.column17.name=EX_COMT@table1.column18.name=EX_TCPU@table1.colu
mn19.name=EX_IDBC@table1.column20.name=EX_IDBT@table1.column21.name=EX_R
CPU@table1.column22.name=EX_TRCV@table1.column23.name=EX_TSND@table1.col
umn24.name=EX_ETIM@table1.column25.name=EX_GETP@table1.column26.name=EX_
LKUS@table1.column27.name=EX_PGUP@table1.column28.name=EX_PREF@table1.co
lumn29.name=EX_RIO@table1.column30.name=EX_RELM@table1.column31.name=EX_
WCLM@table1.column32.name=EX_WDLK@table1.column33.name=EX_WGLK@table1.co
lumn34.name=EX_WLGQ@table1.column35.name=EX_WSPS@table1.column36.name=EX
_WTRE@table1.column37.name=EX_WSRV@table1.column38.name=EX_DWAT@table1.c
olumn39.name=EX_CMTCNT@table1.column40.name=EX_GETCNT@table1.column41.na
me=EX_LCKCNT@table1.column42.name=EX_LCKMAX@table1.column43.name=EX_PREC
NT@table1.column44.name=EX_RDCNT@table1.column45.name=EX_RESCNT@table1.c
olumn46.name=EX_RESLIM@table1.column47.name=EX_SRDCNT@table1.column48.na
me=EX_UPDCNT@table1.column49.name=EX_WTRES@table1.column50.name=ORIGINNO
DE@table1.column51.name=KILLTHREAD@table1.column52.name=THREADSTAT@table
1.column53.name=THRDTOKEN@table1.column54.name=TH_SPN@table1.column55.na
me=TH_GROUPN@table1.column56.name=TH_GMN@table1.column57.name=IDNAME@tab
le1.column58.name=THD_CPU@table1.column59.name=IMMWIO@table1.column60.na
me=LISTPREF@table1.column61.name=DYNPREF@table1.column62.name=SUCHPR@tab
le1.column63.name=SUCHPW@table1.column64.name=UNSUCHPR@table1.column65.n
ame=UNSUCHPW@table1.column66.name=UNGPOP@table1.column67.name=APAGER@tab
le1.column68.name=PHPMOVE@table1.column69.name=TYPE_IND@table1.column70.
name=EX_NAME@table1.columnCount=70@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2
.connector=AND@filter2.column=EX_CORRID@filter2.operator=EQ@filter2.valu
e=$DB2CORR$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@readonly=T@prope
rty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@
");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1060705171242000",
   "_ KCJ",
   "zDB2_020_Test_THR",
   "Detailed Thread Exception"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_020_Test_THR",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_020_Test_THR",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_020_Test_THR",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_020_Test_THR",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_020_Test_THR",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_020_Test_THR",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_020_Test_THR",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_020_Test_THR",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_020_Test_THR",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_COMT_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_COMT_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_LKUS_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_LKUS_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_PGUP_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_PGUP_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_PREF_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_PREF_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_RELM_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_RELM_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_WTRE_Warning",
   "Warning",
   "zDB2_020_Test_THR",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_WTRE_Critical",
   "Critical",
   "zDB2_020_Test_THR",
   0
);



*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdplock.dat
*
* ****************************************************************
* *  Report:             DB2 Lock Conflicts                      *
* *  Table:              VDB2LKCONF                              *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* ****************************************************************
* IDENT=zDB2_025_Lock_Conflict;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Lock Conflicts;
* USER=CCC_200;
* DESC=Retrieve lock information on this node;
* TABLE=KDP.DB2LKCONF;
* NODETYPE=DB2;
* READONLY=T;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,LK_STATUS,DISPET;
* COLUMNS=LK_TYPE,LK_LEVEL,LK_RESOURC;
* COLUMNS=AUTHID,CONNID,CONNTYPE,TH_TYPE,TH_STATUS,SMFID;
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE,LK_ET,LK_TOKEN,IDNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND LK_RESOURC = $LKRES$;
* * PRED=AND IDNAME         = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_025_Lock_Conflict";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_025_Lock_Conflict";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_025_Lock_Conflict";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_025_Lock_Conflict",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Lock Conflicts",
  "Retrieve lock information on this node",
  "CCC_200",
  "1021212090346000",
"at=$THRUNODE$@table1.name=DB2LKCONF@table1.column1.name=DB2ID@table1.co
lumn2.name=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=LK_S
TATUS@table1.column5.name=DISPET@table1.column6.name=LK_TYPE@table1.colu
mn7.name=LK_LEVEL@table1.column8.name=LK_RESOURC@table1.column9.name=AUT
HID@table1.column10.name=CONNID@table1.column11.name=CONNTYPE@table1.col
umn12.name=TH_TYPE@table1.column13.name=TH_STATUS@table1.column14.name=S
MFID@table1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@tabl
e1.column17.name=LK_ET@table1.column18.name=LK_TOKEN@table1.column19.nam
e=IDNAME@table1.columnCount=19@tableCount=1@filter1.connector=AND@filter
1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.con
nector=AND@filter2.column=LK_RESOURC@filter2.operator=EQ@filter2.value=$
LKRES$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A
@property1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090346000",
   "_ KCJ",
   "zDB2_025_Lock_Conflict",
   "Lock Conflicts"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_025_Lock_Conflict",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_025_Lock_Conflict",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_025_Lock_Conflict",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_025_Lock_Conflict",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_025_Lock_Conflict",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_025_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_025_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_025_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_025_Lock_Conflict",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpssub.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex SRM Subsystem Management        *
* *  Table:              DP_SRM_SUB                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_030_SRM_SubSystem;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Subsystem Management
* USER=CCC_220
* DESC=Retrieve DB2 SRM Subsystem management information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_SUB
* * Timestamp and interval
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SSM_INTR;            * Interval time in seconds
* * Exception columns
* COLUMNS= SSM_IDFG;           * Utilization of foreground
* COLUMNS= SSM_IDBK;           * Utilization of background
* * Current State Values
* COLUMNS= SSM_MCTH;           * Max concurrent threads
* COLUMNS= SSM_MIDF;           * Max foregound connections
* COLUMNS= SSM_MIDB;           * Max background connections
* COLUMNS= SSM_CTHRD;          * Current count of threads
* COLUMNS= SSM_CIDFC;          * Current foreground connections
* COLUMNS= SSM_CIDBC;          * Current background connections
* COLUMNS= SSM_THRDU;          * Users waiting for threads
* COLUMNS= SSM_TIDEN;          * Total Identifies
* COLUMNS= SSM_DIDEN;          * Delta Identifies
* COLUMNS= SSM_RIDEN;          * Identify Rate
* COLUMNS= SSM_TSIGN;          * Total Signon
* COLUMNS= SSM_DSIGN;          * Delta Signon
* COLUMNS= SSM_RSIGN;          * Signon Rate
* COLUMNS= SSM_TCTHD;          * Total Create Thread
* COLUMNS= SSM_DCTHD;          * Delta Create Thread
* COLUMNS= SSM_RCTHD;          * Create Thread Rate
* COLUMNS= SSM_TCTHDW;         * Total Create Thread Wait
* COLUMNS= SSM_DCTHDW;         * Delta Create Thread Wait
* COLUMNS= SSM_RCTHDW;         * Create Thread Wait Rate
* COLUMNS= SSM_TTERM;          * Total Terminate Thread
* COLUMNS= SSM_DTERM;          * Delta Terminate Thread
* COLUMNS= SSM_RTERM;          * Terminate Thread Rate
* COLUMNS= SSM_TSYNC;          * Total single phase commits
* COLUMNS= SSM_DSYNC;          * Delta single phase commits
* COLUMNS= SSM_RSYNC;          * Single phase commits rate
* COLUMNS= SSM_TRDON;          * Total read only commits
* COLUMNS= SSM_DRDON;          * Delta read only commits
* COLUMNS= SSM_RRDON;          * Read only commits rate
* COLUMNS= SSM_TCMT1;          * Total phase 1 commits
* COLUMNS= SSM_DCMT1;          * Delta phase 1 commits
* COLUMNS= SSM_RCMT1;          * Phase 1 commits rate
* COLUMNS= SSM_TCMT2;          * Total phase 2 commits
* COLUMNS= SSM_DCMT2;          * Delta phase 2 commits        
* COLUMNS= SSM_RCMT2;          * Phase 2 commits rate
* COLUMNS= SSM_TABRT;          * Total aborts
* COLUMNS= SSM_DABRT;          * Delta aborts 
* COLUMNS= SSM_RABRT;          * Abort rate
* COLUMNS= SSM_TCOM;           * Total commits
* COLUMNS= SSM_DCOM;           * Delta commits
* COLUMNS= SSM_RCOM;           * Commit rate
* COLUMNS= SSM_TINDT;          * Total UOR Indoubt
* COLUMNS= SSM_DINDT;          * Delta UOR Indoubt
* COLUMNS= SSM_RINDT;          * UOR Indoubt rate
* COLUMNS= SSM_TRIUR;          * Total UOR Indoubt resolved
* COLUMNS= SSM_DRIUR;          * Delta UOR Indoubt resolved
* COLUMNS= SSM_RRIUR;          * UOR Indoubt resolved rate
* COLUMNS= SSM_TMEOM;          * Total Abends end of memory
* COLUMNS= SSM_DMEOM;          * Delta Abends end of memory
* COLUMNS= SSM_RMEOM;          * Abends end of memory rate
* COLUMNS= SSM_TMEOT;          * Total Abends end of task
* COLUMNS= SSM_DMEOT;          * Delta Abends end of task
* COLUMNS= SSM_RMEOT;          * Abends end of task rate
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=EX_SPARE
* SITNAME=KDP_IDBK_Warning Warning;
* SITNAME=KDP_IDBK_Critical Critical;
* SITNAME=KDP_IDFR_Warning Warning;
* SITNAME=KDP_IDFR_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDBK_Warning" AND 
 TEMPLATE = "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDBK_Critical" AND 
 TEMPLATE = "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDFR_Warning" AND 
 TEMPLATE = "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDFR_Critical" AND 
 TEMPLATE = "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_030_SRM_SubSystem";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_030_SRM_SubSystem";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_030_SRM_SubSystem",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Subsystem Management",
  "Retrieve DB2 SRM Subsystem management information",
  "CCC_220",
  "1021212090346000",
"at=$THRUNODE$@table1.name=DP_SRM_SUB@table1.column1.name=TIME@table1.co
lumn2.name=SSM_INTR@table1.column3.name=SSM_IDFG@table1.column4.name=SSM
_IDBK@table1.column5.name=SSM_MCTH@table1.column6.name=SSM_MIDF@table1.c
olumn7.name=SSM_MIDB@table1.column8.name=SSM_CTHRD@table1.column9.name=S
SM_CIDFC@table1.column10.name=SSM_CIDBC@table1.column11.name=SSM_THRDU@t
able1.column12.name=SSM_TIDEN@table1.column13.name=SSM_DIDEN@table1.colu
mn14.name=SSM_RIDEN@table1.column15.name=SSM_TSIGN@table1.column16.name=
SSM_DSIGN@table1.column17.name=SSM_RSIGN@table1.column18.name=SSM_TCTHD@
table1.column19.name=SSM_DCTHD@table1.column20.name=SSM_RCTHD@table1.col
umn21.name=SSM_TCTHDW@table1.column22.name=SSM_DCTHDW@table1.column23.na
me=SSM_RCTHDW@table1.column24.name=SSM_TTERM@table1.column25.name=SSM_DT
ERM@table1.column26.name=SSM_RTERM@table1.column27.name=SSM_TSYNC@table1
.column28.name=SSM_DSYNC@table1.column29.name=SSM_RSYNC@table1.column30.
name=SSM_TRDON@table1.column31.name=SSM_DRDON@table1.column32.name=SSM_R
RDON@table1.column33.name=SSM_TCMT1@table1.column34.name=SSM_DCMT1@table
1.column35.name=SSM_RCMT1@table1.column36.name=SSM_TCMT2@table1.column37
.name=SSM_DCMT2@table1.column38.name=SSM_RCMT2@table1.column39.name=SSM_
TABRT@table1.column40.name=SSM_DABRT@table1.column41.name=SSM_RABRT@tabl
e1.column42.name=SSM_TCOM@table1.column43.name=SSM_DCOM@table1.column44.
name=SSM_RCOM@table1.column45.name=SSM_TINDT@table1.column46.name=SSM_DI
NDT@table1.column47.name=SSM_RINDT@table1.column48.name=SSM_TRIUR@table1
.column49.name=SSM_DRIUR@table1.column50.name=SSM_RRIUR@table1.column51.
name=SSM_TMEOM@table1.column52.name=SSM_DMEOM@table1.column53.name=SSM_R
MEOM@table1.column54.name=SSM_TMEOT@table1.column55.name=SSM_DMEOT@table
1.column56.name=SSM_RMEOT@table1.column57.name=ORIGINNODE@table1.columnC
ount=57@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@fil
ter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@node
Type1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCou
nt=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090346000",
   "_ KCJ",
   "zDB2_030_SRM_SubSystem",
   "Subsystem Management"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_030_SRM_SubSystem",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_030_SRM_SubSystem",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_030_SRM_SubSystem",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_030_SRM_SubSystem",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_030_SRM_SubSystem",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_030_SRM_SubSystem",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_030_SRM_SubSystem",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_030_SRM_SubSystem",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_030_SRM_SubSystem",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IDBK_Warning",
   "Warning",
   "zDB2_030_SRM_SubSystem",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IDBK_Critical",
   "Critical",
   "zDB2_030_SRM_SubSystem",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IDFR_Warning",
   "Warning",
   "zDB2_030_SRM_SubSystem",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IDFR_Critical",
   "Critical",
   "zDB2_030_SRM_SubSystem",
   0
);


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from dpsrmsub
*
* IDENT=zDB2_030_SRM_SubSystem:420;
* AFFINITY=0020000000000000000000000000000008000008000;
* NAME=Subsystem Management
* USER=CCC_420
* DESC=Retrieve DB2 SRM Subsystem management information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_SUB
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SSM_INTR;            * Interval time in seconds
* COLUMNS= SSM_IDFG;           * Utilization of foreground
* COLUMNS= SSM_IDBK;           * Utilization of background
* COLUMNS= SSM_MCTH;           * Max concurrent threads
* COLUMNS= SSM_MIDF;           * Max foregound connections
* COLUMNS= SSM_MIDB;           * Max background connections
* COLUMNS= SSM_CTHRD;          * Current count of threads
* COLUMNS= SSM_CIDFC;          * Current foreground connections
* COLUMNS= SSM_CIDBC;          * Current background connections
* COLUMNS= SSM_THRDU;          * Users waiting for threads
* COLUMNS= SSM_TIDEN;          * Total Identifies
* COLUMNS= SSM_DIDEN;          * Delta Identifies
* COLUMNS= SSM_RIDEN;          * Identify Rate
* COLUMNS= SSM_TSIGN;          * Total Signon
* COLUMNS= SSM_DSIGN;          * Delta Signon
* COLUMNS= SSM_RSIGN;          * Signon Rate
* COLUMNS= SSM_TCTHD;          * Total Create Thread
* COLUMNS= SSM_DCTHD;          * Delta Create Thread
* COLUMNS= SSM_RCTHD;          * Create Thread Rate
* COLUMNS= SSM_TCTHDW;         * Total Create Thread Wait
* COLUMNS= SSM_DCTHDW;         * Delta Create Thread Wait
* COLUMNS= SSM_RCTHDW;         * Create Thread Wait Rate
* COLUMNS= SSM_TTERM;          * Total Terminate Thread
* COLUMNS= SSM_DTERM;          * Delta Terminate Thread
* COLUMNS= SSM_RTERM;          * Terminate Thread Rate
* COLUMNS= SSM_TSYNC;          * Total single phase commits
* COLUMNS= SSM_DSYNC;          * Delta single phase commits
* COLUMNS= SSM_RSYNC;          * Single phase commits rate
* COLUMNS= SSM_TRDON;          * Total read only commits
* COLUMNS= SSM_DRDON;          * Delta read only commits
* COLUMNS= SSM_RRDON;          * Read only commits rate
* COLUMNS= SSM_TCMT1;          * Total phase 1 commits
* COLUMNS= SSM_DCMT1;          * Delta phase 1 commits
* COLUMNS= SSM_RCMT1;          * Phase 1 commits rate
* COLUMNS= SSM_TCMT2;          * Total phase 2 commits
* COLUMNS= SSM_DCMT2;          * Delta phase 2 commits        
* COLUMNS= SSM_RCMT2;          * Phase 2 commits rate
* COLUMNS= SSM_TABRT;          * Total aborts
* COLUMNS= SSM_DABRT;          * Delta aborts 
* COLUMNS= SSM_RABRT;          * Abort rate
* COLUMNS= SSM_TCOM;           * Total commits
* COLUMNS= SSM_DCOM;           * Delta commits
* COLUMNS= SSM_RCOM;           * Commit rate
* COLUMNS= SSM_TINDT;          * Total UOR Indoubt
* COLUMNS= SSM_DINDT;          * Delta UOR Indoubt
* COLUMNS= SSM_RINDT;          * UOR Indoubt rate
* COLUMNS= SSM_TRIUR;          * Total UOR Indoubt resolved
* COLUMNS= SSM_DRIUR;          * Delta UOR Indoubt resolved
* COLUMNS= SSM_RRIUR;          * UOR Indoubt resolved rate
* COLUMNS= SSM_TMEOM;          * Total Abends end of memory
* COLUMNS= SSM_DMEOM;          * Delta Abends end of memory
* COLUMNS= SSM_RMEOM;          * Abends end of memory rate
* COLUMNS= SSM_TMEOT;          * Total Abends end of task
* COLUMNS= SSM_DMEOT;          * Delta Abends end of task
* COLUMNS= SSM_RMEOT;          * Abends end of task rate
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* COLUMNS=DBSTMAX;
* COLUMNS= DBSTNUM;          
* COLUMNS= SDBATUTL;        
* COLUMNS= Q3STHWCT;        
* COLUMNS= Q3STHWIF;        
* COLUMNS= Q3STHWIB;  
* COLUMNS= QDSTHWAT;  
* COLUMNS= QWP1CDB;
* COLUMNS= SDBATCON;
* COLUMNS= SDBATCUT;
* COLUMNS= QDSTHWDT; 
* COLUMNS= QWP1CDB;
* COLUMNS= SDBATCON; 
* COLUMNS= SDBATCUT; 
* COLUMNS= QDSTHWDT;   
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_IDBK_Warning Warning;
* SITNAME=KDP_IDBK_Critical Critical;
* SITNAME=KDP_IDFR_Warning Warning;
* SITNAME=KDP_IDFR_Critical Critical;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_030_SRM_SubSystem:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_030_SRM_SubSystem:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_030_SRM_SubSystem:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'D',
  'Subsystem Management',
  'Retrieve DB2 SRM Subsystem management information',
  'CCC_420',
  '1100301215959000',
'at=$THRUNODE$@table1.name=DP_SRM_SUB@table1.column1.name=TIME@table1.co
lumn2.name=SSM_INTR@table1.column3.name=SSM_IDFG@table1.column4.name=SSM
_IDBK@table1.column5.name=SSM_MCTH@table1.column6.name=SSM_MIDF@table1.c
olumn7.name=SSM_MIDB@table1.column8.name=SSM_CTHRD@table1.column9.name=S
SM_CIDFC@table1.column10.name=SSM_CIDBC@table1.column11.name=SSM_THRDU@t
able1.column12.name=SSM_TIDEN@table1.column13.name=SSM_DIDEN@table1.colu
mn14.name=SSM_RIDEN@table1.column15.name=SSM_TSIGN@table1.column16.name=
SSM_DSIGN@table1.column17.name=SSM_RSIGN@table1.column18.name=SSM_TCTHD@
table1.column19.name=SSM_DCTHD@table1.column20.name=SSM_RCTHD@table1.col
umn21.name=SSM_TCTHDW@table1.column22.name=SSM_DCTHDW@table1.column23.na
me=SSM_RCTHDW@table1.column24.name=SSM_TTERM@table1.column25.name=SSM_DT
ERM@table1.column26.name=SSM_RTERM@table1.column27.name=SSM_TSYNC@table1
.column28.name=SSM_DSYNC@table1.column29.name=SSM_RSYNC@table1.column30.
name=SSM_TRDON@table1.column31.name=SSM_DRDON@table1.column32.name=SSM_R
RDON@table1.column33.name=SSM_TCMT1@table1.column34.name=SSM_DCMT1@table
1.column35.name=SSM_RCMT1@table1.column36.name=SSM_TCMT2@table1.column37
.name=SSM_DCMT2@table1.column38.name=SSM_RCMT2@table1.column39.name=SSM_
TABRT@table1.column40.name=SSM_DABRT@table1.column41.name=SSM_RABRT@tabl
e1.column42.name=SSM_TCOM@table1.column43.name=SSM_DCOM@table1.column44.
name=SSM_RCOM@table1.column45.name=SSM_TINDT@table1.column46.name=SSM_DI
NDT@table1.column47.name=SSM_RINDT@table1.column48.name=SSM_TRIUR@table1
.column49.name=SSM_DRIUR@table1.column50.name=SSM_RRIUR@table1.column51.
name=SSM_TMEOM@table1.column52.name=SSM_DMEOM@table1.column53.name=SSM_R
MEOM@table1.column54.name=SSM_TMEOT@table1.column55.name=SSM_DMEOT@table
1.column56.name=SSM_RMEOT@table1.column57.name=ORIGINNODE@table1.column5
8.name=DBSTMAX@table1.column59.name=DBSTNUM@table1.column60.name=SDBATUT
L@table1.column61.name=Q3STHWCT@table1.column62.name=Q3STHWIF@table1.col
umn63.name=Q3STHWIB@table1.column64.name=QDSTHWAT@table1.column65.name=Q
WP1CDB@table1.column66.name=SDBATCON@table1.column67.name=SDBATCUT@table
1.column68.name=QDSTHWDT@table1.column69.name=QWP1CDB@table1.column70.na
me=SDBATCON@table1.column71.name=SDBATCUT@table1.column72.name=QDSTHWDT@
table1.columnCount=72@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTy
peCount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000008000008000',
   32,
   259,
   '1100301215959000',
   '_ KCJ',
   'zDB2_030_SRM_SubSystem:420',
   'Subsystem Management'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_030_SRM_SubSystem:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_030_SRM_SubSystem:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:420',
   0
);


*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpslog.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex SRM Log Management              *
* *  Table:              DP_SRM_LOG                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_040_SRM_Log;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Log Manager
* USER=CCC_220
* DESC=Retrieve DB2 SRM Log management information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_LOG
* * Timestamp and interval
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=LOG_INTR;            * Interval time in seconds
* COLUMNS=LOG_LMODE;           * Logging mode (Single, Dual)
* COLUMNS=LOG_AMODE;           * Archive mode (Single, Dual)
* COLUMNS=LOG_NUM;             * Number of defined logs
* COLUMNS=LOG_AVAIL;           * Number of available logs
* COLUMNS=LOG_CHKPT;           * Checkpoint value
* COLUMNS=LOG_NCHKP;           * Amount till next checkpoint
* COLUMNS=LOG_INBUF;           * Input buffer size
* COLUMNS=LOG_OUBUF;           * Output buffer size
* COLUMNS=LOG_WRTHS;           * Write threshold
* COLUMNS=LOG_DSSIZ;           * Dataset Size
* COLUMNS=LOG_DSUTI;           * Dataset Utilization
* COLUMNS=LOG_PDSN;            * Primary dataset name
* COLUMNS=LOG_SDSN;            * Secondary Dataset name
* COLUMNS=LOG_CRBA;            * Current Relative Byte Address
* COLUMNS=LOG_LRBA;            * Low RBA in dataset
* COLUMNS=LOG_HRBA;            * High RBA in dataset
* COLUMNS=LOG_TROB;            * Total reads from output buffer
* COLUMNS=LOG_DROB;            * Delta reads from output buffer
* COLUMNS=LOG_RROB;            * Reads from output buffer rate
* COLUMNS=LOG_TRACL;           * Total reads from active log
* COLUMNS=LOG_DRACL;           * Delta reads from active log
* COLUMNS=LOG_RRACL;           * Reads from active log rate
* COLUMNS=LOG_TRARL;           * Total reads from archive log
* COLUMNS=LOG_DRARL;           * Delta reads from archive log
* COLUMNS=LOG_RRARL;           * Reads from archive log rate
* COLUMNS=LOG_TRDTC;           * Total reads delayed (tape cont)
* COLUMNS=LOG_DRDTC;           * Delta reads delayed (tape cont)
* COLUMNS=LOG_RRDTC;           * Reads delayed (tape cont) rate
* COLUMNS=LOG_TRDNT;           * Total reads delayed (no CU)
* COLUMNS=LOG_DRDNT;           * Deleta reads delayed (no CU)
* COLUMNS=LOG_RRDNT;           * Reads delayed (no CU) rate
* COLUMNS=LOG_TLATA;           * Total look ahead tape attempts
* COLUMNS=LOG_DLATA;           * Delta look ahead tape attempts
* COLUMNS=LOG_RLATA;           * Look ahead tape attempts rate
* COLUMNS=LOG_TLATP;           * Total look ahead tape performed
* COLUMNS=LOG_DLATP;           * Delta look ahead tape performed
* COLUMNS=LOG_RLATP;           * Look ahead tape performed rate
* COLUMNS=LOG_TLATF;           * Total look ahead tape failure
* COLUMNS=LOG_DLATF;           * Delta look ahead tape failure
* COLUMNS=LOG_RLATF;           * Look ahead tape failure rate
* COLUMNS=LOG_TWNWR;           * Total Write nowait requests
* COLUMNS=LOG_DWNWR;           * Delta Write nowait requests
* COLUMNS=LOG_RWNWR;           * Write nowait requests Rate
* COLUMNS=LOG_TWRW;            * Total Write Wait requests
* COLUMNS=LOG_DWRW;            * Delta Write Wait requests
* COLUMNS=LOG_RWRW;            * Write Wait requests rate
* COLUMNS=LOG_TWFR;            * Total Write Force requests
* COLUMNS=LOG_DWFR;            * Delta Write Force requests
* COLUMNS=LOG_RWFR;            * Write Force requests rate
* COLUMNS=LOG_TWDNB;           * Total Write delay no buffer
* COLUMNS=LOG_DWDNB;           * Delta Write delay no buffer
* COLUMNS=LOG_RWDNB;           * Write delay no buffer rate
* COLUMNS=LOG_TWALB;           * Total Write active log requests
* COLUMNS=LOG_DWALB;           * Delta Write active log requests
* COLUMNS=LOG_RWALB;           * Write active log requests rate
* COLUMNS=LOG_TALCC;           * Total Active log CIS created
* COLUMNS=LOG_DALCC;           * Delta Active log CIS created
* COLUMNS=LOG_RALCC;           * Active log CIS created rate
* COLUMNS=LOG_TALRA;           * Total Active log read allocations
* COLUMNS=LOG_DALRA;           * Delta Active log read allocations
* COLUMNS=LOG_RALRA;           * Active log read allocations rate
* COLUMNS=LOG_TALWA;           * Total Active log write allocations
* COLUMNS=LOG_DALWA;           * Delta Active log write allocations
* COLUMNS=LOG_RALWA;           * Active log write allocations rate
* COLUMNS=LOG_TARCO;           * Total Archive log CIS offloaded
* COLUMNS=LOG_DARCO;           * Delta Archive log CIS offloaded
* COLUMNS=LOG_RARCO;           * Archive log CIS offloaded rate
* COLUMNS=LOG_TBSDS;           * Total BSDS access requests
* COLUMNS=LOG_DBSDS;           * Delta BSDS access requests
* COLUMNS=LOG_RBSDS;           * BSDS access requests rate
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=
* SITNAME=KDP_LOGN_Warning Warning;
* SITNAME=KDP_LOGN_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_040_SRM_Log";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_LOGN_Warning" AND 
 TEMPLATE = "zDB2_040_SRM_Log";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_LOGN_Critical" AND 
 TEMPLATE = "zDB2_040_SRM_Log";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_040_SRM_Log";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_040_SRM_Log";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_040_SRM_Log",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Log Manager",
  "Retrieve DB2 SRM Log management information",
  "CCC_220",
  "1021212090346000",
"at=$THRUNODE$@table1.name=DP_SRM_LOG@table1.column1.name=TIME@table1.co
lumn2.name=LOG_INTR@table1.column3.name=LOG_LMODE@table1.column4.name=LO
G_AMODE@table1.column5.name=LOG_NUM@table1.column6.name=LOG_AVAIL@table1
.column7.name=LOG_CHKPT@table1.column8.name=LOG_NCHKP@table1.column9.nam
e=LOG_INBUF@table1.column10.name=LOG_OUBUF@table1.column11.name=LOG_WRTH
S@table1.column12.name=LOG_DSSIZ@table1.column13.name=LOG_DSUTI@table1.c
olumn14.name=LOG_PDSN@table1.column15.name=LOG_SDSN@table1.column16.name
=LOG_CRBA@table1.column17.name=LOG_LRBA@table1.column18.name=LOG_HRBA@ta
ble1.column19.name=LOG_TROB@table1.column20.name=LOG_DROB@table1.column2
1.name=LOG_RROB@table1.column22.name=LOG_TRACL@table1.column23.name=LOG_
DRACL@table1.column24.name=LOG_RRACL@table1.column25.name=LOG_TRARL@tabl
e1.column26.name=LOG_DRARL@table1.column27.name=LOG_RRARL@table1.column2
8.name=LOG_TRDTC@table1.column29.name=LOG_DRDTC@table1.column30.name=LOG
_RRDTC@table1.column31.name=LOG_TRDNT@table1.column32.name=LOG_DRDNT@tab
le1.column33.name=LOG_RRDNT@table1.column34.name=LOG_TLATA@table1.column
35.name=LOG_DLATA@table1.column36.name=LOG_RLATA@table1.column37.name=LO
G_TLATP@table1.column38.name=LOG_DLATP@table1.column39.name=LOG_RLATP@ta
ble1.column40.name=LOG_TLATF@table1.column41.name=LOG_DLATF@table1.colum
n42.name=LOG_RLATF@table1.column43.name=LOG_TWNWR@table1.column44.name=L
OG_DWNWR@table1.column45.name=LOG_RWNWR@table1.column46.name=LOG_TWRW@ta
ble1.column47.name=LOG_DWRW@table1.column48.name=LOG_RWRW@table1.column4
9.name=LOG_TWFR@table1.column50.name=LOG_DWFR@table1.column51.name=LOG_R
WFR@table1.column52.name=LOG_TWDNB@table1.column53.name=LOG_DWDNB@table1
.column54.name=LOG_RWDNB@table1.column55.name=LOG_TWALB@table1.column56.
name=LOG_DWALB@table1.column57.name=LOG_RWALB@table1.column58.name=LOG_T
ALCC@table1.column59.name=LOG_DALCC@table1.column60.name=LOG_RALCC@table
1.column61.name=LOG_TALRA@table1.column62.name=LOG_DALRA@table1.column63
.name=LOG_RALRA@table1.column64.name=LOG_TALWA@table1.column65.name=LOG_
DALWA@table1.column66.name=LOG_RALWA@table1.column67.name=LOG_TARCO@tabl
e1.column68.name=LOG_DARCO@table1.column69.name=LOG_RARCO@table1.column7
0.name=LOG_TBSDS@table1.column71.name=LOG_DBSDS@table1.column72.name=LOG
_RBSDS@table1.column73.name=ORIGINNODE@table1.columnCount=73@tableCount=
1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@fi
lter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@property1
.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090346000",
   "_ KCJ",
   "zDB2_040_SRM_Log",
   "Log Manager"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Log",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Log",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Log",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Log",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Log",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_040_SRM_Log",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_040_SRM_Log",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_040_SRM_Log",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_040_SRM_Log",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_LOGN_Warning",
   "Warning",
   "zDB2_040_SRM_Log",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_LOGN_Critical",
   "Critical",
   "zDB2_040_SRM_Log",
   0
);



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from dpsrmlog
*
* IDENT=zDB2_040_SRM_Log:420;
* AFFINITY=0020000000000000000000000000000008000008000;
* NAME=Log Manager
* USER=CCC_420
* DESC=Retrieve DB2 SRM Log management information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_LOG
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=LOG_INTR;            * Interval time in seconds
* COLUMNS=LOG_LMODE;           * Logging mode (Single, Dual)
* COLUMNS=LOG_AMODE;           * Archive mode (Single, Dual)
* COLUMNS=LOG_NUM;             * Number of defined logs
* COLUMNS=LOG_AVAIL;           * Number of available logs
* COLUMNS=LOG_CHKPT;           * Checkpoint value
* COLUMNS=LOG_NCHKP;           * Amount till next checkpoint
* COLUMNS=LOG_INBUF;           * Input buffer size
* COLUMNS=LOG_OUBUF;           * Output buffer size
* COLUMNS=LOG_WRTHS;           * Write threshold
* COLUMNS=LOG_DSSIZ;           * Dataset Size
* COLUMNS=LOG_DSUTI;           * Dataset Utilization
* COLUMNS=LOG_PDSN;            * Primary dataset name
* COLUMNS=LOG_SDSN;            * Secondary Dataset name
* COLUMNS=LOG_CRBA;            * Current Relative Byte Address
* COLUMNS=LOG_LRBA;            * Low RBA in dataset
* COLUMNS=LOG_HRBA;            * High RBA in dataset
* COLUMNS=LOG_TROB;            * Total reads from output buffer
* COLUMNS=LOG_DROB;            * Delta reads from output buffer
* COLUMNS=LOG_RROB;            * Reads from output buffer rate
* COLUMNS=LOG_TRACL;           * Total reads from active log
* COLUMNS=LOG_DRACL;           * Delta reads from active log
* COLUMNS=LOG_RRACL;           * Reads from active log rate
* COLUMNS=LOG_TRARL;           * Total reads from archive log
* COLUMNS=LOG_DRARL;           * Delta reads from archive log
* COLUMNS=LOG_RRARL;           * Reads from archive log rate
* COLUMNS=LOG_TRDTC;           * Total reads delayed (tape cont)
* COLUMNS=LOG_DRDTC;           * Delta reads delayed (tape cont)
* COLUMNS=LOG_RRDTC;           * Reads delayed (tape cont) rate
* COLUMNS=LOG_TRDNT;           * Total reads delayed (no CU)
* COLUMNS=LOG_DRDNT;           * Deleta reads delayed (no CU)
* COLUMNS=LOG_RRDNT;           * Reads delayed (no CU) rate
* COLUMNS=LOG_TLATA;           * Total look ahead tape attempts
* COLUMNS=LOG_DLATA;           * Delta look ahead tape attempts
* COLUMNS=LOG_RLATA;           * Look ahead tape attempts rate
* COLUMNS=LOG_TLATP;           * Total look ahead tape performed
* COLUMNS=LOG_DLATP;           * Delta look ahead tape performed
* COLUMNS=LOG_RLATP;           * Look ahead tape performed rate
* COLUMNS=LOG_TLATF;           * Total look ahead tape failure
* COLUMNS=LOG_DLATF;           * Delta look ahead tape failure
* COLUMNS=LOG_RLATF;           * Look ahead tape failure rate
* COLUMNS=LOG_TWNWR;           * Total Write nowait requests
* COLUMNS=LOG_DWNWR;           * Delta Write nowait requests
* COLUMNS=LOG_RWNWR;           * Write nowait requests Rate
* COLUMNS=LOG_TWRW;            * Total Write Wait requests
* COLUMNS=LOG_DWRW;            * Delta Write Wait requests
* COLUMNS=LOG_RWRW;            * Write Wait requests rate
* COLUMNS=LOG_TWFR;            * Total Write Force requests
* COLUMNS=LOG_DWFR;            * Delta Write Force requests
* COLUMNS=LOG_RWFR;            * Write Force requests rate
* COLUMNS=LOG_TWDNB;           * Total Write delay no buffer
* COLUMNS=LOG_DWDNB;           * Delta Write delay no buffer
* COLUMNS=LOG_RWDNB;           * Write delay no buffer rate
* COLUMNS=LOG_TWALB;           * Total Write active log requests
* COLUMNS=LOG_DWALB;           * Delta Write active log requests
* COLUMNS=LOG_RWALB;           * Write active log requests rate
* COLUMNS=LOG_TALCC;           * Total Active log CIS created
* COLUMNS=LOG_DALCC;           * Delta Active log CIS created
* COLUMNS=LOG_RALCC;           * Active log CIS created rate
* COLUMNS=LOG_TALRA;           * Total Active log read allocations
* COLUMNS=LOG_DALRA;           * Delta Active log read allocations
* COLUMNS=LOG_RALRA;           * Active log read allocations rate
* COLUMNS=LOG_TALWA;           * Total Active log write allocations
* COLUMNS=LOG_DALWA;           * Delta Active log write allocations
* COLUMNS=LOG_RALWA;           * Active log write allocations rate
* COLUMNS=LOG_TARCO;           * Total Archive log CIS offloaded
* COLUMNS=LOG_DARCO;           * Delta Archive log CIS offloaded
* COLUMNS=LOG_RARCO;           * Archive log CIS offloaded rate
* COLUMNS=LOG_TBSDS;           * Total BSDS access requests
* COLUMNS=LOG_DBSDS;           * Delta BSDS access requests
* COLUMNS=LOG_RBSDS;           * BSDS access requests rate
* COLUMNS=SLOGAVLP;            * percent of logs available
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_LOGN_Warning Warning;
* SITNAME=KDP_LOGN_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_040_SRM_Log:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LOGN_Warning' AND 
 TEMPLATE = 'zDB2_040_SRM_Log:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LOGN_Critical' AND 
 TEMPLATE = 'zDB2_040_SRM_Log:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Log:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_040_SRM_Log:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_040_SRM_Log:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'D',
  'Log Manager',
  'Retrieve DB2 SRM Log management information',
  'CCC_420',
  '1100301220223000',
'at=$THRUNODE$@table1.name=DP_SRM_LOG@table1.column1.name=TIME@table1.co
lumn2.name=LOG_INTR@table1.column3.name=LOG_LMODE@table1.column4.name=LO
G_AMODE@table1.column5.name=LOG_NUM@table1.column6.name=LOG_AVAIL@table1
.column7.name=LOG_CHKPT@table1.column8.name=LOG_NCHKP@table1.column9.nam
e=LOG_INBUF@table1.column10.name=LOG_OUBUF@table1.column11.name=LOG_WRTH
S@table1.column12.name=LOG_DSSIZ@table1.column13.name=LOG_DSUTI@table1.c
olumn14.name=LOG_PDSN@table1.column15.name=LOG_SDSN@table1.column16.name
=LOG_CRBA@table1.column17.name=LOG_LRBA@table1.column18.name=LOG_HRBA@ta
ble1.column19.name=LOG_TROB@table1.column20.name=LOG_DROB@table1.column2
1.name=LOG_RROB@table1.column22.name=LOG_TRACL@table1.column23.name=LOG_
DRACL@table1.column24.name=LOG_RRACL@table1.column25.name=LOG_TRARL@tabl
e1.column26.name=LOG_DRARL@table1.column27.name=LOG_RRARL@table1.column2
8.name=LOG_TRDTC@table1.column29.name=LOG_DRDTC@table1.column30.name=LOG
_RRDTC@table1.column31.name=LOG_TRDNT@table1.column32.name=LOG_DRDNT@tab
le1.column33.name=LOG_RRDNT@table1.column34.name=LOG_TLATA@table1.column
35.name=LOG_DLATA@table1.column36.name=LOG_RLATA@table1.column37.name=LO
G_TLATP@table1.column38.name=LOG_DLATP@table1.column39.name=LOG_RLATP@ta
ble1.column40.name=LOG_TLATF@table1.column41.name=LOG_DLATF@table1.colum
n42.name=LOG_RLATF@table1.column43.name=LOG_TWNWR@table1.column44.name=L
OG_DWNWR@table1.column45.name=LOG_RWNWR@table1.column46.name=LOG_TWRW@ta
ble1.column47.name=LOG_DWRW@table1.column48.name=LOG_RWRW@table1.column4
9.name=LOG_TWFR@table1.column50.name=LOG_DWFR@table1.column51.name=LOG_R
WFR@table1.column52.name=LOG_TWDNB@table1.column53.name=LOG_DWDNB@table1
.column54.name=LOG_RWDNB@table1.column55.name=LOG_TWALB@table1.column56.
name=LOG_DWALB@table1.column57.name=LOG_RWALB@table1.column58.name=LOG_T
ALCC@table1.column59.name=LOG_DALCC@table1.column60.name=LOG_RALCC@table
1.column61.name=LOG_TALRA@table1.column62.name=LOG_DALRA@table1.column63
.name=LOG_RALRA@table1.column64.name=LOG_TALWA@table1.column65.name=LOG_
DALWA@table1.column66.name=LOG_RALWA@table1.column67.name=LOG_TARCO@tabl
e1.column68.name=LOG_DARCO@table1.column69.name=LOG_RARCO@table1.column7
0.name=LOG_TBSDS@table1.column71.name=LOG_DBSDS@table1.column72.name=LOG
_RBSDS@table1.column73.name=SLOGAVLP@table1.column74.name=ORIGINNODE@tab
le1.columnCount=74@tableCount=1@filter1.connector=AND@filter1.column=ORI
GINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeC
ount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@property1.value=kf
w.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000008000008000',
   32,
   259,
   '1100301220223000',
   '_ KCJ',
   'zDB2_040_SRM_Log:420',
   'Log Manager'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Log:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Log:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Log:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Log:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Log:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_040_SRM_Log:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_040_SRM_Log:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_040_SRM_Log:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_040_SRM_Log:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LOGN_Warning',
   'Warning',
   'zDB2_040_SRM_Log:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LOGN_Critical',
   'Critical',
   'zDB2_040_SRM_Log:420',
   0
);



*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsedm.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220  PK36297 Added DB2 version          *
* *  Report:             DB2plex SRM EDM Pool                    *
* *  Table:              DP_SRM_LOG                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
*  IDENT=zDB2_050_SRM_EDM;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=EDM Pool
*  USER=CCC_220
*  DESC=Retrieve DB2 SRM EDM Pool information
*  NODETYPE=DB2;
*  READONLY=T;
*  TABLE=KDP.DP_SRM_EDM
*  * Timestamp and interval
*  COLUMNS=TIME;                * Time of last sample
*  COLUMNS=EDM_INTR;            * Interval time in seconds
*  COLUMNS=EDM_TINUSE;          * Total In Use
*  COLUMNS=EDM_INUSEP;          * In Use percentage
*  COLUMNS=EDM_TDBDP;           * Total DBD pages
*  COLUMNS=EDM_DBDPER;          * Percent in use for DBD
*  COLUMNS=EDM_TCTPAG;          * Total CT pages
*  COLUMNS=EDM_CTPER;           * Percent in use for CT
*  COLUMNS=EDM_TPTPAG;          * Total PT Pages
*  COLUMNS=EDM_PTPER;           * Percent used by PT
*  COLUMNS=EDM_TAVAIL;          * Total Available
*  COLUMNS=EDM_PAVAIL;          * Available percentage
*  COLUMNS=EDM_TSKCT;           * Total SKCT
*  COLUMNS=EDM_PSKCT;           * Percent used by SKCT
*  COLUMNS=EDM_TSKPT;           * Total SKPT
*  COLUMNS=EDM_PSKPT;           * Percent used by SKPT
*  COLUMNS=EDM_TSQLC;           * Total SQL Cache
*  COLUMNS=EDM_PSQLC;           * Percent used by SQL Cache
*  COLUMNS=EDM_TFREE;           * Total Free
*  COLUMNS=EDM_PFREE;           * Percent Free
*  COLUMNS=EDM_TPAGES;          * Total Pages defined
*  COLUMNS=EDM_TFAIL;           * Total Failures no rooom
*  COLUMNS=EDM_DFAIL;           * Delta failures (no room)
*  COLUMNS=EDM_RFAIL;           * Failure Rate
*  COLUMNS=EDM_TDBDR;           * Total DBD Requests
*  COLUMNS=EDM_DDBDR;           * Delta DBD Requests
*  COLUMNS=EDM_RDBDR;           * DBD Request Rate
*  COLUMNS=EDM_TDBDL;           * Total DBD loads
*  COLUMNS=EDM_DDBDL;           * Delta DBD loads from DASD
*  COLUMNS=EDM_RDBDL;           * DBD Load Rate
*  COLUMNS=EDM_TPDBDL;          * Total percent DBD loads
*  COLUMNS=EDM_TPDBDL;          * Total percent DBD loads
*  COLUMNS=EDM_TCTR;            * Total CT request
*  COLUMNS=EDM_DCTR;            * Delta CT Requests
*  COLUMNS=EDM_RCTR;            * CT Request Rate
*  COLUMNS=EDM_TCTL;            * Total CT loads
*  COLUMNS=EDM_DCTL;            * Delta CT loads from DASD
*  COLUMNS=EDM_RCTL;            * CT Load Rate
*  COLUMNS=EDM_TPCTL;           * Total percent CT Loads
*  COLUMNS=EDM_DPCTL;           * Delta percent CT loads
*  COLUMNS=EDM_TPTR;            * Total PT Requests
*  COLUMNS=EDM_DPTR;            * Delta PT request
*  COLUMNS=EDM_RPTR;            * PT Request Rate
*  COLUMNS=EDM_TPTL;            * Total PT Loads
*  COLUMNS=EDM_DPTL;            * Delta PT loads from DASD
*  COLUMNS=EDM_RPTL;            * PT Load Rate
*  COLUMNS=EDM_TPPTL;           * Total percent PT loads
*  COLUMNS=EDM_DPPTL;           * Delta percent PT loads
*  COLUMNS=EDM_TDSDR;           * Total Dynamic SQL Requests
*  COLUMNS=EDM_DDSDR;           * Delta Dynamic SQL requests
*  COLUMNS=EDM_RDSDR;           * Dynamic SQL request rate
*  COLUMNS=EDM_TDSCL;           * Total Dynamic SQL Loads
*  COLUMNS=EDM_DDSCL;           * Delta Dynamic SQL Loads
*  COLUMNS=EDM_RDSDL;           * Dynamic SQL load rate
*  COLUMNS=EDM_TPDSCL;          * Total percent dynamic SQL loads
*  COLUMNS=EDM_DPDSCL;          * Delta percent DSC loads
*  COLUMNS=ORIGINNODE;          * subnode name
*  COLUMNS=DB2VER;              * DB2 version
*  PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_050_SRM_EDM";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "*Critical";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "*Warning";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "*Informational";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "*STATUS_UNKNOWN";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "OK";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "Critical";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "Warning";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "Informational";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_050_SRM_EDM" AND NAME = "Unavailable";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_050_SRM_EDM";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_050_SRM_EDM",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "EDM Pool",
  "Retrieve DB2 SRM EDM Pool information",
  "CCC_220",
  "1070204222157000",
"at=$THRUNODE$@table1.name=DP_SRM_EDM@table1.column1.name=TIME@table1.co
lumn2.name=EDM_INTR@table1.column3.name=EDM_TINUSE@table1.column4.name=E
DM_INUSEP@table1.column5.name=EDM_TDBDP@table1.column6.name=EDM_DBDPER@t
able1.column7.name=EDM_TCTPAG@table1.column8.name=EDM_CTPER@table1.colum
n9.name=EDM_TPTPAG@table1.column10.name=EDM_PTPER@table1.column11.name=E
DM_TAVAIL@table1.column12.name=EDM_PAVAIL@table1.column13.name=EDM_TSKCT
@table1.column14.name=EDM_PSKCT@table1.column15.name=EDM_TSKPT@table1.co
lumn16.name=EDM_PSKPT@table1.column17.name=EDM_TSQLC@table1.column18.nam
e=EDM_PSQLC@table1.column19.name=EDM_TFREE@table1.column20.name=EDM_PFRE
E@table1.column21.name=EDM_TPAGES@table1.column22.name=EDM_TFAIL@table1.
column23.name=EDM_DFAIL@table1.column24.name=EDM_RFAIL@table1.column25.n
ame=EDM_TDBDR@table1.column26.name=EDM_DDBDR@table1.column27.name=EDM_RD
BDR@table1.column28.name=EDM_TDBDL@table1.column29.name=EDM_DDBDL@table1
.column30.name=EDM_RDBDL@table1.column31.name=EDM_TPDBDL@table1.column32
.name=EDM_TPDBDL@table1.column33.name=EDM_TCTR@table1.column34.name=EDM_
DCTR@table1.column35.name=EDM_RCTR@table1.column36.name=EDM_TCTL@table1.
column37.name=EDM_DCTL@table1.column38.name=EDM_RCTL@table1.column39.nam
e=EDM_TPCTL@table1.column40.name=EDM_DPCTL@table1.column41.name=EDM_TPTR
@table1.column42.name=EDM_DPTR@table1.column43.name=EDM_RPTR@table1.colu
mn44.name=EDM_TPTL@table1.column45.name=EDM_DPTL@table1.column46.name=ED
M_RPTL@table1.column47.name=EDM_TPPTL@table1.column48.name=EDM_DPPTL@tab
le1.column49.name=EDM_TDSDR@table1.column50.name=EDM_DDSDR@table1.column
51.name=EDM_RDSDR@table1.column52.name=EDM_TDSCL@table1.column53.name=ED
M_DDSCL@table1.column54.name=EDM_RDSDL@table1.column55.name=EDM_TPDSCL@t
able1.column56.name=EDM_DPDSCL@table1.column57.name=ORIGINNODE@table1.co
lumn58.name=DB2VER@table1.columnCount=58@tableCount=1@filter1.connector=
AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@f
ilterCount=1@nodeTypeCount=1@nodeType1=DB2@readonly=T@property1.name=-10
21A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1070204222157000",
   "_ KCJ",
   "zDB2_050_SRM_EDM",
   "EDM Pool"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_050_SRM_EDM",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_050_SRM_EDM",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_050_SRM_EDM",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_050_SRM_EDM",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_050_SRM_EDM",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_050_SRM_EDM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_050_SRM_EDM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_050_SRM_EDM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_050_SRM_EDM",
   256
);



*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpssux.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex SRM Subsystem Management eXtend *
* *  Table:              DP_SRM_SUX                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_031_SRM_SubSystem;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Subsystem Management Statistics
* USER=CCC_220
* DESC=Retrieve DB2 SRM Subsystem management information
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_SRM_SUX
* COLUMNS=SSM_INTR;            * Interval time in seconds
* * Current State Values
* COLUMNS= SSM_IDENT;          * Identifier
* COLUMNS= SSM_TOTAL;          * Total
* COLUMNS= SSM_DELTA;          * Delta
* COLUMNS= SSM_RATE;           * Rate
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* COLUMNS=SSM_INTR;            * Interval time
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_031_SRM_SubSystem";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_031_SRM_SubSystem",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Subsystem Management Statistics",
  "Retrieve DB2 SRM Subsystem management information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SRM_SUX@table1.column1.name=SSM_INTR@table
1.column2.name=SSM_IDENT@table1.column3.name=SSM_TOTAL@table1.column4.na
me=SSM_DELTA@table1.column5.name=SSM_RATE@table1.column6.name=ORIGINNODE
@table1.column7.name=SSM_INTR@table1.columnCount=7@tableCount=1@filter1.
connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.valu
e=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-102
1A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpslox.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex SRM Log Management eXtention    *
* *  Table:              DP_SRM_LOG                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_041_SRM_Log;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Log Manager Statistics
* USER=CCC_220
* DESC=Retrieve DB2 SRM Log management information
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_SRM_LOX
* * Timestamp and interval
* COLUMNS=LOG_IDENT;           * Description of field
* COLUMNS=LOG_TOTAL;           * Totals for field sind DB2 started
* COLUMNS=LOG_DELTA;           * Delta values since last sample
* COLUMNS=LOG_RATE;            * Activity per second
* COLUMNS=ORIGINNODE;          * Node
* COLUMNS=LOG_INTR;            * Interval time in seconds
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_041_SRM_Log";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_041_SRM_Log",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Log Manager Statistics",
  "Retrieve DB2 SRM Log management information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SRM_LOX@table1.column1.name=LOG_IDENT@tabl
e1.column2.name=LOG_TOTAL@table1.column3.name=LOG_DELTA@table1.column4.n
ame=LOG_RATE@table1.column5.name=ORIGINNODE@table1.column6.name=LOG_INTR
@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTy
peCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableR
ow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsedx.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220 PK36297 Added DB2 version           *
* *  Report:             DB2plex SRM EDM Pool eXtention          *
* *  Table:              DP_SRM_LOG                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
*  IDENT=zDB2_051_SRM_EDX;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=EDM Pool Statistics
*  USER=CCC_220
*  DESC=Retrieve DB2 SRM EDM Extension information
*  NODETYPE=DB2;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KDP.DP_SRM_EDX
*  * Timestamp and interval
*  COLUMNS=EDM_IDENT;           * Description of field
*  COLUMNS=EDM_TOTAL;           * Totals for field sind DB2 started
*  COLUMNS=EDM_DELTA;           * Delta values since last sample
*  COLUMNS=EDM_RATE;            * Activity per second
*  COLUMNS=ORIGINNODE;          * Node
*  COLUMNS=EDM_INTR;            * Interval time in seconds
*  COLUMNS=DB2VER;              * DB2 version
*  PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_051_SRM_EDX";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_051_SRM_EDX",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "EDM Pool Statistics",
  "Retrieve DB2 SRM EDM Extension information",
  "CCC_220",
  "1070204222405000",
"at=$THRUNODE$@table1.name=DP_SRM_EDX@table1.column1.name=EDM_IDENT@tabl
e1.column2.name=EDM_TOTAL@table1.column3.name=EDM_DELTA@table1.column4.n
ame=EDM_RATE@table1.column5.name=ORIGINNODE@table1.column6.name=EDM_INTR
@table1.column7.name=DB2VER@table1.columnCount=7@tableCount=1@filter1.co
nnector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=
$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@readonly=T@property1.
name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsbpm.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex SRM Buffer Pool Management      *
* *  Table:              DP_SRM_BPM                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_060_SRM_BPM;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Buffer Pool Management
* USER=CCC_220
* DESC=Retrieve DB2 SRM Buffer Pool information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_BPM
* * Timestamp and interval
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=BPM_INTR;            * Interval time in seconds
* COLUMNS=BPM_BPID;            * Buffer Pool Identifier
* COLUMNS=BPM_VPSZ;            * Buffer pool size
* COLUMNS=BPM_HPSZ;            * Hyper pool size
* COLUMNS=BPM_CRBT;            * Allocated pages
* COLUMNS=BPM_TCBA;            * Assigned pages
* COLUMNS=BPM_BMTH;            * Percent in use
* COLUMNS=BPM_RGETP;           * Get page request rate
* COLUMNS=BPM_RRIO;            * Read I/O rate
* COLUMNS=BPM_RPREF;           * Prefetch rate
* COLUMNS=BPM_RWIO;            * Write I/O rate
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=
* SITNAME=KDP_BMTH_Warning Warning;
* SITNAME=KDP_BMTH_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_060_SRM_BPM";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_BMTH_Warning" AND 
 TEMPLATE = "zDB2_060_SRM_BPM";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_BMTH_Critical" AND 
 TEMPLATE = "zDB2_060_SRM_BPM";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_060_SRM_BPM";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_060_SRM_BPM";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_060_SRM_BPM",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Buffer Pool Management",
  "Retrieve DB2 SRM Buffer Pool information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SRM_BPM@table1.column1.name=TIME@table1.co
lumn2.name=BPM_INTR@table1.column3.name=BPM_BPID@table1.column4.name=BPM
_VPSZ@table1.column5.name=BPM_HPSZ@table1.column6.name=BPM_CRBT@table1.c
olumn7.name=BPM_TCBA@table1.column8.name=BPM_BMTH@table1.column9.name=BP
M_RGETP@table1.column10.name=BPM_RRIO@table1.column11.name=BPM_RPREF@tab
le1.column12.name=BPM_RWIO@table1.column13.name=ORIGINNODE@table1.column
Count=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@fi
lter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nod
eType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCo
unt=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_060_SRM_BPM",
   "Buffer Pool Management"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_SRM_BPM",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_SRM_BPM",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_SRM_BPM",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_SRM_BPM",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_SRM_BPM",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_060_SRM_BPM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_060_SRM_BPM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_060_SRM_BPM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_060_SRM_BPM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_BMTH_Warning",
   "Warning",
   "zDB2_060_SRM_BPM",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_BMTH_Critical",
   "Critical",
   "zDB2_060_SRM_BPM",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsbpd.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex Buffer Pool Management Detail   *
* *  Table:              DP_SRM_BPD                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_060_SRM_BPD;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Buffer Pool Management Detail
* USER=CCC_220
* DESC=Retrieve DB2 Detailed Buffer Pool information
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_SRM_BPD;
* COLUMNS=BPD_BPID;            * Buffer Pool Identifier
* COLUMNS=BPD_VPSZ;            * Buffer pool size
* COLUMNS=BPD_CRBT;            * Allocated pages
* COLUMNS=BPD_TCBA;            * Assigned pages
* COLUMNS=BPD_VPDEL;           * Pending deletes
* COLUMNS=BPD_USECT;           * Use Count
* COLUMNS=BPD_HPSZ;            * Hiperpool Size
* COLUMNS=BPD_HPALO;           * HP Allocated
* COLUMNS=BPD_HPBACK;          * HP backed by extended
* COLUMNS=BPD_HPDEL;           * HP to be deleted
* COLUMNS=BPD_HPCAST;          * Castout attribute
* COLUMNS=BPD_VSEQTH;          * VP Seq Threshold
* COLUMNS=BPD_DEFWTH;          * Defer write threshold
* COLUMNS=BPD_VPARTH;          * VP parellel threshold
* COLUMNS=BPD_HSEQTH;          * HP seq threshold
* COLUMNS=BPD_VDEFTH;          * VP def 
* COLUMNS=BPD_SPARTH;          * Sysplex threshold
* COLUMNS=BPD_GPPIO;           * Getpage per I/O
* COLUMNS=BPD_PRFPIO;          * Prefetch per I/O
* COLUMNS=BPD_SPRPIO;          * Sync prefetch per I/O
* COLUMNS=BPD_LPRPIO;          * List prefetch per I/O
* COLUMNS=BPD_DPRPIO;          * Defer prefetch per I/O
* COLUMNS=BPD_MCONPR;          * Maximum concurrent pref
* COLUMNS=BPD_BPHITR;          * BP hit ratio random
* COLUMNS=BPD_BPHITS;          * BP hit ratio sequential
* COLUMNS=BPD_PWPIO;           * Pages written per I/O
* COLUMNS=BPD_PRPPRF;          * Pages read per prefetch
* COLUMNS=BPD_PRPSPR;          * Pages read per sync pref
* COLUMNS=BPD_PRPLPR;          * Pages read per list pref
* COLUMNS=BPD_PRPDPR;          * Pages read per def pref
* COLUMNS=BPD_WRKMAX;          * Workspace Maximum
* COLUMNS=BPD_HPHITP;          * HP Hit percentage
* COLUMNS=BPD_PRR2W;           * Prefetch reads to Writes
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* PRED=AND BPD_BPID = $BPM_BPID$;
* * Not retrieved
* * Timestamp and interval
* *COLUMNS=TIME;                * Time of last sample
* *COLUMNS=BPD_INTR;            * Interval time in seconds


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_060_SRM_BPD";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_060_SRM_BPD",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Buffer Pool Management Detail",
  "Retrieve DB2 Detailed Buffer Pool information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SRM_BPD@table1.column1.name=BPD_BPID@table
1.column2.name=BPD_VPSZ@table1.column3.name=BPD_CRBT@table1.column4.name
=BPD_TCBA@table1.column5.name=BPD_VPDEL@table1.column6.name=BPD_USECT@ta
ble1.column7.name=BPD_HPSZ@table1.column8.name=BPD_HPALO@table1.column9.
name=BPD_HPBACK@table1.column10.name=BPD_HPDEL@table1.column11.name=BPD_
HPCAST@table1.column12.name=BPD_VSEQTH@table1.column13.name=BPD_DEFWTH@t
able1.column14.name=BPD_VPARTH@table1.column15.name=BPD_HSEQTH@table1.co
lumn16.name=BPD_VDEFTH@table1.column17.name=BPD_SPARTH@table1.column18.n
ame=BPD_GPPIO@table1.column19.name=BPD_PRFPIO@table1.column20.name=BPD_S
PRPIO@table1.column21.name=BPD_LPRPIO@table1.column22.name=BPD_DPRPIO@ta
ble1.column23.name=BPD_MCONPR@table1.column24.name=BPD_BPHITR@table1.col
umn25.name=BPD_BPHITS@table1.column26.name=BPD_PWPIO@table1.column27.nam
e=BPD_PRPPRF@table1.column28.name=BPD_PRPSPR@table1.column29.name=BPD_PR
PLPR@table1.column30.name=BPD_PRPDPR@table1.column31.name=BPD_WRKMAX@tab
le1.column32.name=BPD_HPHITP@table1.column33.name=BPD_PRR2W@table1.colum
n34.name=ORIGINNODE@table1.columnCount=34@tableCount=1@filter1.connector
=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@
filter2.connector=AND@filter2.column=BPD_BPID@filter2.operator=EQ@filter
2.value=$BPM_BPID$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@property1
.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");

* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            510                                     *
* *  Report:             Buffer Pool Management Detail           *
* *  Table:              DP_SRM_BPD                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
*  IDENT=zDB2_060_SRM_BPD:510;
*  AFFINITY=AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=Buffer Pool Management Detail
*  USER=CCC_510
*  DESC=Retrieve DB2 Detailed Buffer Pool information
*  NODETYPE=DB2;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KDP.DP_SRM_BPD;
*  COLUMNS=BPD_BPID;             
*  COLUMNS=BPD_VPSZ;             
*  COLUMNS=BPD_CRBT;             
*  COLUMNS=BPD_TCBA;             
*  COLUMNS=BPD_VPDEL;            
*  COLUMNS=BPD_USECT;            
*  COLUMNS=BPD_HPSZ;             
*  COLUMNS=BPD_HPALO;            
*  COLUMNS=BPD_HPBACK;           
*  COLUMNS=BPD_HPDEL;            
*  COLUMNS=BPD_HPCAST;           
*  COLUMNS=BPD_VSEQTH;           
*  COLUMNS=BPD_DEFWTH;           
*  COLUMNS=BPD_VPARTH;           
*  COLUMNS=BPD_HSEQTH;           
*  COLUMNS=BPD_VDEFTH;            
*  COLUMNS=BPD_SPARTH;           
*  COLUMNS=BPD_GPPIO;            
*  COLUMNS=BPD_PRFPIO;           
*  COLUMNS=BPD_SPRPIO;           
*  COLUMNS=BPD_LPRPIO;           
*  COLUMNS=BPD_DPRPIO;           
*  COLUMNS=BPD_MCONPR;           
*  COLUMNS=BPD_BPHITR;           
*  COLUMNS=BPD_BPHITS;           
*  COLUMNS=BPD_PWPIO;            
*  COLUMNS=BPD_PRPPRF;           
*  COLUMNS=BPD_PRPSPR;           
*  COLUMNS=BPD_PRPLPR;           
*  COLUMNS=BPD_PRPDPR;           
*  COLUMNS=BPD_WRKMAX;           
*  COLUMNS=BPD_HPHITP;           
*  COLUMNS=BPD_PRR2W;            
*  COLUMNS=ORIGINNODE; 
*  COLUMNS=QDBPPGST;          
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND BPD_BPID = $BPM_BPID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_060_SRM_BPD:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_060_SRM_BPD:510',
  'KDP',
  'AFFINITY=002000000000000000000000000000000G0',
  'P',
  'Buffer Pool Management Detail',
  'Retrieve DB2 Detailed Buffer Pool information',
  'CCC_510',
  '1091206205543000',
'at=$THRUNODE$@table1.name=DP_SRM_BPD@table1.column1.name=BPD_BPID@table
1.column2.name=BPD_VPSZ@table1.column3.name=BPD_CRBT@table1.column4.name
=BPD_TCBA@table1.column5.name=BPD_VPDEL@table1.column6.name=BPD_USECT@ta
ble1.column7.name=BPD_HPSZ@table1.column8.name=BPD_HPALO@table1.column9.
name=BPD_HPBACK@table1.column10.name=BPD_HPDEL@table1.column11.name=BPD_
HPCAST@table1.column12.name=BPD_VSEQTH@table1.column13.name=BPD_DEFWTH@t
able1.column14.name=BPD_VPARTH@table1.column15.name=BPD_HSEQTH@table1.co
lumn16.name=BPD_VDEFTH@table1.column17.name=BPD_SPARTH@table1.column18.n
ame=BPD_GPPIO@table1.column19.name=BPD_PRFPIO@table1.column20.name=BPD_S
PRPIO@table1.column21.name=BPD_LPRPIO@table1.column22.name=BPD_DPRPIO@ta
ble1.column23.name=BPD_MCONPR@table1.column24.name=BPD_BPHITR@table1.col
umn25.name=BPD_BPHITS@table1.column26.name=BPD_PWPIO@table1.column27.nam
e=BPD_PRPPRF@table1.column28.name=BPD_PRPSPR@table1.column29.name=BPD_PR
PLPR@table1.column30.name=BPD_PRPDPR@table1.column31.name=BPD_WRKMAX@tab
le1.column32.name=BPD_HPHITP@table1.column33.name=BPD_PRR2W@table1.colum
n34.name=ORIGINNODE@table1.column35.name=QDBPPGST@table1.columnCount=35@
tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.ope
rator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=BPD_B
PID@filter2.operator=EQ@filter2.value=$BPM_BPID$@filterCount=2@nodeTypeC
ount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@property1.value=kf
w.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpddf.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex DDF Statistics information      *
* *  Table:              DP_DDF_STA                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_070_COLUMNS=DDF_STA;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Distributed Statistics
* USER=CCC_220
* DESC=Retrieve DB2 DDF statistics information
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_DDF_STA;
* COLUMNS=TIME    ;
* COLUMNS=DDF_INTR;
* COLUMNS=DDF_THTO;
* COLUMNS=DDF_LOCN;
* COLUMNS=DDF_LUNM;
* COLUMNS=DDF_SQLS;
* COLUMNS=DDF_SQLR;
* COLUMNS=DDF_ROWS;
* COLUMNS=DDF_ROWR;
* COLUMNS=DDF_BYTS;
* COLUMNS=DDF_BYTR;
* COLUMNS=DDF_CNVS;
* COLUMNS=DDF_CNVR;
* COLUMNS=DDF_MSGS;
* COLUMNS=DDF_MSGR;
* COLUMNS=DDF_TRNS;
* COLUMNS=DDF_TRNR;
* COLUMNS=DDF_COMS;
* COLUMNS=DDF_COMR;
* COLUMNS=DDF_ABRS;
* COLUMNS=DDF_ABRR;
* COLUMNS=DDF_CNVQ;
* COLUMNS=DDF_LTIM;
* COLUMNS=DDF_RTIM;
* COLUMNS=DDF_RCPU;
* COLUMNS=DDF_CBLB;
* COLUMNS=DDF_RBND;
* COLUMNS=DDF_BROW;
* COLUMNS=DDF_BTBF;
* COLUMNS=DDF_BRBF;
* COLUMNS=DDF_CNVA;
* COLUMNS=DDF_CNVT;
* COLUMNS=DDF_CIEL;
* COLUMNS=DDF_FLGS;
* COLUMNS=DDF_PROT;
* COLUMNS=DDF_INDT;
* COLUMNS=DDF_CPTR;
* COLUMNS=DDF_RBTR;
* COLUMNS=DDF_PRSE;
* COLUMNS=DDF_PRRC;
* COLUMNS=DDF_LASE;
* COLUMNS=DDF_LARC;
* COLUMNS=DDF_CRSE;
* COLUMNS=DDF_CRRC;
* COLUMNS=DDF_BKSE;
* COLUMNS=DDF_BKRC;
* COLUMNS=DDF_RRSE;
* COLUMNS=DDF_RRRC;
* COLUMNS=DDF_VYSE;
* COLUMNS=DDF_VYRC;
* COLUMNS=DDF_VNSE;
* COLUMNS=DDF_VNRC;
* COLUMNS=DDF_PRID;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND DDF_THTO = $THRDTOKEN$;
* * Columns not fetched
* *COLUMNS=DDF_CPUL;
* *COLUMNS=DDF_CPUR;
* *COLUMNS=DDF_DBAT;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_070_COLUMNS=DDF_STA";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_070_COLUMNS=DDF_STA",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Distributed Statistics",
  "Retrieve DB2 DDF statistics information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_DDF_STA@table1.column1.name=TIME@table1.co
lumn2.name=DDF_INTR@table1.column3.name=DDF_THTO@table1.column4.name=DDF
_LOCN@table1.column5.name=DDF_LUNM@table1.column6.name=DDF_SQLS@table1.c
olumn7.name=DDF_SQLR@table1.column8.name=DDF_ROWS@table1.column9.name=DD
F_ROWR@table1.column10.name=DDF_BYTS@table1.column11.name=DDF_BYTR@table
1.column12.name=DDF_CNVS@table1.column13.name=DDF_CNVR@table1.column14.n
ame=DDF_MSGS@table1.column15.name=DDF_MSGR@table1.column16.name=DDF_TRNS
@table1.column17.name=DDF_TRNR@table1.column18.name=DDF_COMS@table1.colu
mn19.name=DDF_COMR@table1.column20.name=DDF_ABRS@table1.column21.name=DD
F_ABRR@table1.column22.name=DDF_CNVQ@table1.column23.name=DDF_LTIM@table
1.column24.name=DDF_RTIM@table1.column25.name=DDF_RCPU@table1.column26.n
ame=DDF_CBLB@table1.column27.name=DDF_RBND@table1.column28.name=DDF_BROW
@table1.column29.name=DDF_BTBF@table1.column30.name=DDF_BRBF@table1.colu
mn31.name=DDF_CNVA@table1.column32.name=DDF_CNVT@table1.column33.name=DD
F_CIEL@table1.column34.name=DDF_FLGS@table1.column35.name=DDF_PROT@table
1.column36.name=DDF_INDT@table1.column37.name=DDF_CPTR@table1.column38.n
ame=DDF_RBTR@table1.column39.name=DDF_PRSE@table1.column40.name=DDF_PRRC
@table1.column41.name=DDF_LASE@table1.column42.name=DDF_LARC@table1.colu
mn43.name=DDF_CRSE@table1.column44.name=DDF_CRRC@table1.column45.name=DD
F_BKSE@table1.column46.name=DDF_BKRC@table1.column47.name=DDF_RRSE@table
1.column48.name=DDF_RRRC@table1.column49.name=DDF_VYSE@table1.column50.n
ame=DDF_VYRC@table1.column51.name=DDF_VNSE@table1.column52.name=DDF_VNRC
@table1.column53.name=DDF_PRID@table1.column54.name=ORIGINNODE@table1.co
lumnCount=54@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNOD
E@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2
.column=DDF_THTO@filter2.operator=EQ@filter2.value=$THRDTOKEN$@filterCou
nt=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpscon.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex DDF Conversations               *
* *  Table:              DP_DDF_CON                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_030_DDF_Conversations;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=DDF Conversations
* USER=CCC_220
* DESC=Retrieve DB2 DDF Conversation information
* NODETYPE=DB2;
* TABLE=KDP.DP_DDF_CON
* VISIBLE=N;
* READONLY=T;
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=CON_LUNAME;          * Connection LUNAME
* COLUMNS=CON_LOGMOD;          * Connection LOGMODE
* COLUMNS=CON_UTIL;            * Percent in use
* COLUMNS=CON_WAIT;            * Number waiting in queue
* COLUMNS=CON_INUSE;           * Count of active conversations
* COLUMNS=CON_CNOS;            * Computed limit
* COLUMNS=ORIGINNODE;          * Node Name
* COLUMNS=CON_CDB;             * Pre-defined limit
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_030_DDF_Conversations";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_030_DDF_Conversations",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "DDF Conversations",
  "Retrieve DB2 DDF Conversation information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_DDF_CON@table1.column1.name=TIME@table1.co
lumn2.name=CON_LUNAME@table1.column3.name=CON_LOGMOD@table1.column4.name
=CON_UTIL@table1.column5.name=CON_WAIT@table1.column6.name=CON_INUSE@tab
le1.column7.name=CON_CNOS@table1.column8.name=ORIGINNODE@table1.column9.
name=CON_CDB@table1.columnCount=9@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCo
unt=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.valu
e=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpcicn.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex CICS Connections Information    *
* *  Table:              DP_CI_EXCS                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
*   File created by Helper Version 04.022
*
*   Data generated for CandleNet Portal V180 and above
*
*   Input Data from cicsconn
*
*  IDENT=zDB2_080_CICS_Exc;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=CICS Connections
*  USER=CCC_220
*  READONLY=T;
*  DESC=Retrieve information about CICS connections
*  NODETYPE=DB2;
*  TABLE=KDP.DP_CI_EXCS
*  COLUMNS=CI_TIME;            * Time of last sample
*  COLUMNS=CI_CICSID;          * CICS Job name
*  COLUMNS=CI_CICSREL;         * CICS Release Number
*  COLUMNS=CI_TINUSE;          * Number of active threads
*  COLUMNS=CI_THDMAXP;         * Percent of maximum threads
*  COLUMNS=CI_PTINUSE;         * Number of active pool threads
*  COLUMNS=CI_PTHMAXP;         * Percent of maximum pool threads
*  COLUMNS=CI_PTWAITS;         * Number of pool threads waiting
*  COLUMNS=CI_THDMAX;          * Maximum threads
*  COLUMNS=CI_PTMAX;           * Maximum pool threads
*  COLUMNS=ORIGINNODE;         * Node Name
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND CI_CICSID = $CICSREGN$;
*  SITNAME=KDP_CICT_Warning Warning;
*  SITNAME=KDP_CICT_Critical Critical;
*  SITNAME=KDP_ENTO_Warning Warning;
*  SITNAME=KDP_ENTO_Critical Critical;
*  SITNAME=KDP_ENTU_Warning Warning;
*  SITNAME=KDP_ENTU_Critical Critical;
*  SITNAME=KDP_ENTW_Warning Warning;
*  SITNAME=KDP_ENTW_Critical Critical;
*  SITNAME=KDP_POLU_Warning Warning;
*  SITNAME=KDP_POLU_Critical Critical;
*  SITNAME=KDP_POLW_Warning Warning;
*  SITNAME=KDP_POLW_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_CICT_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_CICT_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTO_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTO_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTU_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTU_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTW_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ENTW_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_POLU_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_POLU_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_POLW_Warning" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_POLW_Critical" AND 
 TEMPLATE = "zDB2_080_CICS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "*Critical";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "*Warning";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "*Informational";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "*STATUS_UNKNOWN";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "OK";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "Critical";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "Warning";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "Informational";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "zDB2_080_CICS_Exc" AND NAME = "Unavailable";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_080_CICS_Exc";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_080_CICS_Exc",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "CICS Connections",
  "Retrieve information about CICS connections",
  "CCC_220",
  "1060705172111000",
"at=$THRUNODE$@table1.name=DP_CI_EXCS@table1.column1.name=CI_TIME@table1
.column2.name=CI_CICSID@table1.column3.name=CI_CICSREL@table1.column4.na
me=CI_TINUSE@table1.column5.name=CI_THDMAXP@table1.column6.name=CI_PTINU
SE@table1.column7.name=CI_PTHMAXP@table1.column8.name=CI_PTWAITS@table1.
column9.name=CI_THDMAX@table1.column10.name=CI_PTMAX@table1.column11.nam
e=ORIGINNODE@table1.columnCount=11@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2
.connector=AND@filter2.column=CI_CICSID@filter2.operator=EQ@filter2.valu
e=$CICSREGN$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@readonly=T@prop
erty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F
@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1060705172111000",
   "_ KCJ",
   "zDB2_080_CICS_Exc",
   "CICS Connections"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_080_CICS_Exc",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_080_CICS_Exc",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_080_CICS_Exc",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_080_CICS_Exc",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_080_CICS_Exc",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_080_CICS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_080_CICS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_CICT_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_CICT_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTO_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTO_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTU_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTU_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTW_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_ENTW_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_POLU_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_POLU_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_POLW_Warning",
   "Warning",
   "zDB2_080_CICS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_POLW_Critical",
   "Critical",
   "zDB2_080_CICS_Exc",
   0
);



*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpcict.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex CICS Thread Information         *
* *  Table:              DP_CI_THDS                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_080_CICS_Thrds;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=CICS Threads
* USER=CCC_220
* DESC=Retrieve information about CICS threads
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_CI_THDS
* COLUMNS=CT_TIME;            * Time of last sample
* COLUMNS=CT_CICSID;          * CICS Job name
* COLUMNS=CT_CICSREL;         * CICS Release Number
* COLUMNS=CT_PLAN;            * Plan name 
* COLUMNS=CT_TRAN;            * Transaction Identifier
* COLUMNS=CT_INUSE;           * Number of active entry threads
* COLUMNS=CT_MAXENT;          * Maximum number of threads allowed
* COLUMNS=CT_UTIL;            * Percent utilized
* COLUMNS=CT_ENTWAIT;         * Count of entry threads waiting
* COLUMNS=CT_OVERFLO;         * Number of threads overflowed into pool
* COLUMNS=ORIGINNODE;         * Node Name
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CT_CICSID = $CICSID$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_080_CICS_Thrds";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_080_CICS_Thrds",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "CICS Threads",
  "Retrieve information about CICS threads",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_CI_THDS@table1.column1.name=CT_TIME@table1
.column2.name=CT_CICSID@table1.column3.name=CT_CICSREL@table1.column4.na
me=CT_PLAN@table1.column5.name=CT_TRAN@table1.column6.name=CT_INUSE@tabl
e1.column7.name=CT_MAXENT@table1.column8.name=CT_UTIL@table1.column9.nam
e=CT_ENTWAIT@table1.column10.name=CT_OVERFLO@table1.column11.name=ORIGIN
NODE@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.co
lumn=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connect
or=AND@filter2.column=CT_CICSID@filter2.operator=EQ@filter2.value=$CICSI
D$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@pro
perty1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpimsc.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex IMS Connections Information     *
* *  Table:              DP_IM_CONN                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_090_IMS_Exc;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=IMS Connections
* USER=CCC_220
* DESC=Retrieve information about IMS connections
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_IM_CONN
* COLUMNS=IC_TIME;            * Time of last sample
* COLUMNS=IC_IMSID;           * IMS Name
* COLUMNS=IC_IMSVER;          * IMS Version and Release Number
* COLUMNS=IC_DEFREG;          * Number of defined regions
* COLUMNS=IC_CONREG;          * Number of connected regions
* COLUMNS=IC_UNCONN;          * Number of unconnected regions
* COLUMNS=IC_THREADS;         * Number of active threads
* COLUMNS=ORIGINNODE;         * Node Name
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_IMCN_Warning Warning;
* SITNAME=KDP_IMCN_Critical Critical;
* SITNAME=KDP_IMND_Warning Warning;
* SITNAME=KDP_IMND_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IMCN_Warning" AND 
 TEMPLATE = "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IMCN_Critical" AND 
 TEMPLATE = "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IMND_Warning" AND 
 TEMPLATE = "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IMND_Critical" AND 
 TEMPLATE = "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_090_IMS_Exc";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_090_IMS_Exc";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_090_IMS_Exc",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "IMS Connections",
  "Retrieve information about IMS connections",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_IM_CONN@table1.column1.name=IC_TIME@table1
.column2.name=IC_IMSID@table1.column3.name=IC_IMSVER@table1.column4.name
=IC_DEFREG@table1.column5.name=IC_CONREG@table1.column6.name=IC_UNCONN@t
able1.column7.name=IC_THREADS@table1.column8.name=ORIGINNODE@table1.colu
mnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@f
ilter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@no
deType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_090_IMS_Exc",
   "IMS Connections"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_090_IMS_Exc",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_090_IMS_Exc",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_090_IMS_Exc",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_090_IMS_Exc",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_090_IMS_Exc",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_090_IMS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_090_IMS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_090_IMS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_090_IMS_Exc",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IMCN_Warning",
   "Warning",
   "zDB2_090_IMS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IMCN_Critical",
   "Critical",
   "zDB2_090_IMS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IMND_Warning",
   "Warning",
   "zDB2_090_IMS_Exc",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_IMND_Critical",
   "Critical",
   "zDB2_090_IMS_Exc",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpimsr.dat
*
* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            220                                     *
* *  Report:             DB2plex IMS Region Information          *
* *  Table:              DP_IM_REG                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_090_CICS_Thrds;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=IMS Regions
* USER=CCC_220
* DESC=Retrieve information about IMS regions
* NODETYPE=DB2;
* VISIBLE=N;
* READONLY=T;
* TABLE=KDP.DP_IM_REG
* COLUMNS=IR_TIME;            * Time of last sample
* COLUMNS=IR_IMSID;           * IMS Identifier
* COLUMNS=IR_IMSVER;          * IMS Version and Release Number
* COLUMNS=IR_NAME;            * Region name 
* COLUMNS=IR_CONSTAT;         * Connection Status
* COLUMNS=IR_TYPE;            * Region Type
* COLUMNS=IR_CRC;             * Command Recognition Character
* COLUMNS=IR_LIT;             * Language Token Interface
* COLUMNS=IR_RTT;             * Resource Translation Table
* COLUMNS=IR_MODNAM;          * Module Name
* COLUMNS=IR_ERR;             * Error Option Specification
* COLUMNS=IR_PGMNAM;          * Program Name
* COLUMNS=IR_STATUS;          * Status
* COLUMNS=ORIGINNODE;         * Node Name
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IR_IMSID = $IMSID$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_090_CICS_Thrds";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_090_CICS_Thrds",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "IMS Regions",
  "Retrieve information about IMS regions",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_IM_REG@table1.column1.name=IR_TIME@table1.
column2.name=IR_IMSID@table1.column3.name=IR_IMSVER@table1.column4.name=
IR_NAME@table1.column5.name=IR_CONSTAT@table1.column6.name=IR_TYPE@table
1.column7.name=IR_CRC@table1.column8.name=IR_LIT@table1.column9.name=IR_
RTT@table1.column10.name=IR_MODNAM@table1.column11.name=IR_ERR@table1.co
lumn12.name=IR_PGMNAM@table1.column13.name=IR_STATUS@table1.column14.nam
e=ORIGINNODE@table1.columnCount=14@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2
.connector=AND@filter2.column=IR_IMSID@filter2.operator=EQ@filter2.value
=$IMSID$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-102
1A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsutl.dat
*
* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            100                                     *
* *  Report:             DB2 Utility information                 *
* *  Table:              DP_SRM_UTL                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_040_SRM_Util;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Utility Jobs
* USER=CCC_220
* DESC=Retrieve DB2 Utility information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_UTL
* * Timestamp and interval
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=UTL_NAME;            * Name of utility
* COLUMNS=UTL_QUAL;            * Qualifier
* COLUMNS=UTL_JOBN;            * Job name
* COLUMNS=UTL_USER;            * User identifier
* COLUMNS=UTL_PHASE;           * Utility Phase
* COLUMNS=UTL_STMT;            * Statement number
* COLUMNS=UTL_STAT;            * Stat flag
* COLUMNS=UTL_STATUS;          * Status
* COLUMNS=UTL_RECNT;           * Record count
* COLUMNS=UTL_RDATE;           * Run Date
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=
* SITNAME=KDP_UTIS_Warning Warning;
* SITNAME=KDP_UTIS_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_040_SRM_Util";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UTIS_Warning" AND 
 TEMPLATE = "zDB2_040_SRM_Util";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_UTIS_Critical" AND 
 TEMPLATE = "zDB2_040_SRM_Util";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_040_SRM_Util";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_040_SRM_Util";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_040_SRM_Util",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Utility Jobs",
  "Retrieve DB2 Utility information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SRM_UTL@table1.column1.name=TIME@table1.co
lumn2.name=UTL_NAME@table1.column3.name=UTL_QUAL@table1.column4.name=UTL
_JOBN@table1.column5.name=UTL_USER@table1.column6.name=UTL_PHASE@table1.
column7.name=UTL_STMT@table1.column8.name=UTL_STAT@table1.column9.name=U
TL_STATUS@table1.column10.name=UTL_RECNT@table1.column11.name=UTL_RDATE@
table1.column12.name=ORIGINNODE@table1.columnCount=12@tableCount=1@filte
r1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-
1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_040_SRM_Util",
   "Utility Jobs"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Util",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Util",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Util",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Util",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_040_SRM_Util",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_040_SRM_Util",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_040_SRM_Util",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_040_SRM_Util",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_040_SRM_Util",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UTIS_Warning",
   "Warning",
   "zDB2_040_SRM_Util",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_UTIS_Critical",
   "Critical",
   "zDB2_040_SRM_Util",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpvols.dat
*
* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            100                                     *
* *  Report:             DB2 Volume Summary Table                *
* *  Table:              DP_VOL_ACT                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
* IDENT=zDB2_060_VOL_ACT;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Volume Activity
* USER=CCC_220
* DESC=Retrieve DB2 Volume information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_VOL_ACT
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=JVSVOLN;             * Volser    
* COLUMNS=JVSVUTIL;            * Utilization
* COLUMNS=JVSVRESP;            * Service Time
* COLUMNS=MAXRESP;             * Maximum Service Time
* COLUMNS=JVSTIO;              * Total I/O
* COLUMNS=JVSDBIO;             * DB2 I/O
* COLUMNS=JVSTIOR;             * Total I/O Rate
* COLUMNS=JVSDBIR;             * DB2 I/O Rate
* COLUMNS=MAXDBIR;             * Maximum DB2 I/O Rate
* COLUMNS=JVSDSNS;             * Count of datasets
* COLUMNS=JVSEXTS;             * Extents performed
* COLUMNS=JVSVUSE;             * Db2 Utilization
* COLUMNS=PDB2IO;              * DB2 I/O percentage
* COLUMNS=JVSEXTR;             * Extent Ratio
* COLUMNS=SMFID;               * System Management Facility ID
* COLUMNS=DB2ID;               * DB2 name
* COLUMNS=IDNAME;              * ID Name
* COLUMNS=DSGROUP;             * Data sharing group name
* COLUMNS=NUMDB2;              * Count of DB2 systems
* COLUMNS=ORIGINNODE;          * subnode name
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=
* SITNAME=KDP_VDIO_Warning Warning;
* SITNAME=KDP_VDIO_Critical Critical;
* SITNAME=KDP_VEDR_Warning Warning;
* SITNAME=KDP_VEDR_Critical Critical;
* SITNAME=KDP_VSRV_Warning Warning;
* SITNAME=KDP_VSRV_Critical Critical;
* SITNAME=KDP_VTIO_Warning Warning;
* SITNAME=KDP_VTIO_Critical Critical;
* SITNAME=KDP_VUTL_Warning Warning;
* SITNAME=KDP_VUTL_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VDIO_Warning" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VDIO_Critical" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VEDR_Warning" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VEDR_Critical" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VSRV_Warning" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VSRV_Critical" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VTIO_Warning" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VTIO_Critical" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VUTL_Warning" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_VUTL_Critical" AND 
 TEMPLATE = "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_060_VOL_ACT";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_060_VOL_ACT";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_060_VOL_ACT",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Volume Activity",
  "Retrieve DB2 Volume information",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_VOL_ACT@table1.column1.name=TIME@table1.co
lumn2.name=JVSVOLN@table1.column3.name=JVSVUTIL@table1.column4.name=JVSV
RESP@table1.column5.name=MAXRESP@table1.column6.name=JVSTIO@table1.colum
n7.name=JVSDBIO@table1.column8.name=JVSTIOR@table1.column9.name=JVSDBIR@
table1.column10.name=MAXDBIR@table1.column11.name=JVSDSNS@table1.column1
2.name=JVSEXTS@table1.column13.name=JVSVUSE@table1.column14.name=PDB2IO@
table1.column15.name=JVSEXTR@table1.column16.name=SMFID@table1.column17.
name=DB2ID@table1.column18.name=IDNAME@table1.column19.name=DSGROUP@tabl
e1.column20.name=NUMDB2@table1.column21.name=ORIGINNODE@table1.columnCou
nt=21@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filte
r1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeTy
pe1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount
=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_060_VOL_ACT",
   "Volume Activity"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_VOL_ACT",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_VOL_ACT",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_VOL_ACT",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_VOL_ACT",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_060_VOL_ACT",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_060_VOL_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_060_VOL_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VDIO_Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VDIO_Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VEDR_Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VEDR_Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VSRV_Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VSRV_Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VTIO_Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VTIO_Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VUTL_Warning",
   "Warning",
   "zDB2_060_VOL_ACT",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "KDP_VUTL_Critical",
   "Critical",
   "zDB2_060_VOL_ACT",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdpsys1.dat
*
* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            100                                     *
* *  Report:             All System Status                       *
* *  Table:              DP_SY_EXC                               *
* *  Characteristics:    IRA, All DB2 systems, thrunode, not     *
* *                      visible.                                *
* *                                                              *
* *  Maintenance:                                                *
* *    01/29/02  PWF  Query added to allow for rollup system     *
* *                   status information that includes any       *
* *                   number of DB2 subsystems. This change      *
* *                   requires PTF QD31019 to be applied on      *
* *                   the MVS system.                            *
* *                                                              *
* ****************************************************************
* IDENT=zDB2_010a_System_Exc;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=All System Status
* VISIBLE=N
* READONLY=T;
* USER=CCC_220
* DESC=Retrieve DB2 System State type exceptions
* NODETYPE=DB2;
* TABLE=KDP.DP_SY_EXC
* COLUMNS=SMFID;                * MVS name         QD31019
* COLUMNS=DB2ID;                * DB2 name         QD31019
* COLUMNS=SYS_TMAX;             * Count of active threads
* *COLUMNS=TIME;                * Time of last sample
* *COLUMNS=SYS_INTR;            * Interval time in seconds
* * True/False Enumerations
* COLUMNS=SYS_ARCV;            * True is waiting on archive
* COLUMNS=SYS_DDFS;            * True if DDF not available
* COLUMNS=SYS_GTRC;            * True if tracing is active
* * Utilization values
* COLUMNS=SYS_EDMU;            * EDM pages / Total EDM pages
* COLUMNS=SYS_MDBT;            * DB Wait Percent
* * Current Values
* COLUMNS=SYS_INDT;            * Number of threads INDOUBT
* COLUMNS=SYS_MDBW;            * Threads waiting on limits
* COLUMNS=SYS_SUSL;            * Threads waiting on locks
* COLUMNS=SYS_THDQ;            * Users waiting for threads
* * Computed Rates
* COLUMNS=SYS_DSND;            * Distributed bytes sent / sec
* COLUMNS=SYS_DRCV;            * Distributed bytes rcvd / sec
* * Procedures, triggers, and functions
* COLUMNS=SYS_STPE;            * Number of active procedures
* COLUMNS=SYS_SFAC;            * ACE's running procedures
* COLUMNS=SYS_UDFE;            * Number of active user functions
* COLUMNS=SYS_UFAC;            * ACE's running functions
* COLUMNS=SYS_TRGE;            * Number of active triggers
* COLUMNS=SYS_TRGD;            * Max depth of triggers
* COLUMNS=IDSTATUS;            * Online or Offline
* COLUMNS=IDTYPE;              * DSGRP or DB2
* COLUMNS=IDNAME;              * Name of group or DB2ID
* COLUMNS=DB2COUNT;            * Always 1 for agent level
* COLUMNS=LOCKCNT;             * Count of lock conflects
* COLUMNS=GBPCCNT;             * Global buffer pool count
* COLUMNS=OADBCNT;             * Object Analysis DB count
* COLUMNS=OASTATUS;            * Object Analysis status
* PRED=ORIGINNODE = $NODE$;
* * Not retrieved
* *COLUMNS=EX_SPARE


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_010a_System_Exc";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_010a_System_Exc",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "All System Status",
  "Retrieve DB2 System State type exceptions",
  "CCC_220",
  "1021212090347000",
"at=$THRUNODE$@table1.name=DP_SY_EXC@table1.column1.name=SMFID@table1.co
lumn2.name=DB2ID@table1.column3.name=SYS_TMAX@table1.column4.name=SYS_AR
CV@table1.column5.name=SYS_DDFS@table1.column6.name=SYS_GTRC@table1.colu
mn7.name=SYS_EDMU@table1.column8.name=SYS_MDBT@table1.column9.name=SYS_I
NDT@table1.column10.name=SYS_MDBW@table1.column11.name=SYS_SUSL@table1.c
olumn12.name=SYS_THDQ@table1.column13.name=SYS_DSND@table1.column14.name
=SYS_DRCV@table1.column15.name=SYS_STPE@table1.column16.name=SYS_SFAC@ta
ble1.column17.name=SYS_UDFE@table1.column18.name=SYS_UFAC@table1.column1
9.name=SYS_TRGE@table1.column20.name=SYS_TRGD@table1.column21.name=IDSTA
TUS@table1.column22.name=IDTYPE@table1.column23.name=IDNAME@table1.colum
n24.name=DB2COUNT@table1.column25.name=LOCKCNT@table1.column26.name=GBPC
CNT@table1.column27.name=OADBCNT@table1.column28.name=OASTATUS@table1.co
lumnCount=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNOD
E@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1
@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@proper
tyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp000.dat
*
* ****************************************************************
* *  Report:             Systems Summary                         *
* *  Table:              DPFILTER                                *
* *  Characteristics:    Execute on *HUB, no filtering.          *
* ****************************************************************
* IDENT=zDB2_001_System_Summary;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Monitored Systems Summary;
* USER=CCC_200
* DESC=List monitored DB2 Systems along with status
* VISIBLE=Y;
* NODETYPE=DSGROUP;
* TABLE=KDP.DPFILTER;
* AT=*HUB;
* READONLY=T;
* COLUMNS=SMFID;
* COLUMNS=DB2ID;
* COLUMNS=IDNAME;
* COLUMNS=DB2COUNT;
* COLUMNS=LOCKCNT;
* COLUMNS=NUMTHD;
* COLUMNS=GBPCCNT;
* COLUMNS=OADBCNT;
* COLUMNS=OASTATUS;
* COLUMNS=IDTYPE;
* COLUMNS=IDSTATUS;
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE;
* *ORDER=A IDNAME;
* *PRED=ORIGINNODE = $NODE$;
* *PRED=AND IDNAME = $IDNAME$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_001_System_Summary";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_001_System_Summary";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_001_System_Summary";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_001_System_Summary",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Monitored Systems Summary",
  "List monitored DB2 Systems along with status",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=DPFILTER@table1.column1.name=SMFID@table1.column2.n
ame=DB2ID@table1.column3.name=IDNAME@table1.column4.name=DB2COUNT@table1
.column5.name=LOCKCNT@table1.column6.name=NUMTHD@table1.column7.name=GBP
CCNT@table1.column8.name=OADBCNT@table1.column9.name=OASTATUS@table1.col
umn10.name=IDTYPE@table1.column11.name=IDSTATUS@table1.column12.name=TIM
ESTAMP@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableCount=
1@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@property1.valu
e=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_001_System_Summary",
   "Monitored Systems Summary"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_001_System_Summary",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_001_System_Summary",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_001_System_Summary",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_001_System_Summary",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_001_System_Summary",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_001_System_Summary",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_001_System_Summary",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_001_System_Summary",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_001_System_Summary",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp001.dat
*
* ****************************************************************
* *  Report:             Summary for specific DB2 system         *
* *  Table:              DPFILTER                                *
* *  Characteristics:    Execute on *HUB, no filtering.          *
* ****************************************************************
* IDENT=zDB2_001_Summary;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=System Summary;
* USER=CCC_200
* DESC=List this DB2 System along with status
* VISIBLE=N;
* TABLE=KDP.DPFILTER;
* AT=*HUB;
* READONLY=T;
* COLUMNS=IDNAME,DB2COUNT,LOCKCNT,NUMTHD,GBPCCNT,OADBCNT,OASTATUS;
* COLUMNS=IDTYPE,IDSTATUS,TIMESTAMP,ORIGINNODE,SMFID,DB2ID;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_001_Summary";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_001_Summary",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "System Summary",
  "List this DB2 System along with status",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=DPFILTER@table1.column1.name=IDNAME@table1.column2.
name=DB2COUNT@table1.column3.name=LOCKCNT@table1.column4.name=NUMTHD@tab
le1.column5.name=GBPCCNT@table1.column6.name=OADBCNT@table1.column7.name
=OASTATUS@table1.column8.name=IDTYPE@table1.column9.name=IDSTATUS@table1
.column10.name=TIMESTAMP@table1.column11.name=ORIGINNODE@table1.column12
.name=SMFID@table1.column13.name=DB2ID@table1.column14.name=ORIGINNODE@t
able1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=O
RIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND
@filter2.column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@filter
Count=2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount
=1@history=F@");

* ****************************************************************
* *  Report:             Detailed Thread Activity                *
* *  Table:              VDPTHDET                                *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* ****************************************************************
* IDENT=zDB2_002_Threads;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Data Sharing Thread Activity;
* USER=CCC_200;
* DESC=Retrieve DB2 Thread information
* TABLE=KDP.VDPTHDET;
* AT=*HUB;
* NODETYPE=DSGROUP;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,EX_PKGN,EX_COLLID;
* COLUMNS=TH_STATUS,TH_TYPE,AUTHID;
* COLUMNS=CONNID,CONNTYPE,DISP_ET,DISP_CPU,DISP_WAIT;
* COLUMNS=TH_SPN,SMFID,TH_GROUPN,TH_GMN,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,THD_CPU,THD_ET,THD_WAIT;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;
* SITNAME=DB2_Thread_Wait_Time_Critical   Critical
* SITNAME=DB2_Thread_Wait_Time_Warning    Warning 


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_002_Threads";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Thread_Wait_Time_Critical" AND 
 TEMPLATE = "zDB2_002_Threads";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Thread_Wait_Time_Warning" AND 
 TEMPLATE = "zDB2_002_Threads";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_002_Threads";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_002_Threads";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_002_Threads",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Data Sharing Thread Activity",
  "Retrieve DB2 Thread information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=VDPTHDET@table1.column1.name=DB2ID@table1.column2.n
ame=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=EX_PKGN@tab
le1.column5.name=EX_COLLID@table1.column6.name=TH_STATUS@table1.column7.
name=TH_TYPE@table1.column8.name=AUTHID@table1.column9.name=CONNID@table
1.column10.name=CONNTYPE@table1.column11.name=DISP_ET@table1.column12.na
me=DISP_CPU@table1.column13.name=DISP_WAIT@table1.column14.name=TH_SPN@t
able1.column15.name=SMFID@table1.column16.name=TH_GROUPN@table1.column17
.name=TH_GMN@table1.column18.name=TIMESTAMP@table1.column19.name=ORIGINN
ODE@table1.column20.name=IDNAME@table1.column21.name=THD_CPU@table1.colu
mn22.name=THD_ET@table1.column23.name=THD_WAIT@table1.columnCount=23@tab
leCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operat
or=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=IDNAME@f
ilter2.operator=EQ@filter2.value=$IDNAME$@filterCount=2@nodeTypeCount=1@
nodeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRow@pro
pertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_002_Threads",
   "Data Sharing Thread Activity"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_002_Threads",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_002_Threads",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_002_Threads",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_002_Threads",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_002_Threads",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_002_Threads",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_002_Threads",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_002_Threads",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_002_Threads",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Thread_Wait_Time_Critical",
   "Critical",
   "zDB2_002_Threads",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Thread_Wait_Time_Warning",
   "Warning",
   "zDB2_002_Threads",
   0
);


*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp003.dat
*
* ****************************************************************
* *  Report:             DB2 Lock Conflicts                      *
* *  Table:              VDB2LKCONF                              *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* ****************************************************************
* IDENT=zDB2_003_Lock_Conflict;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Global Lock Conflicts;
* USER=CCC_200;
* DESC=Retrieve lock information on this node;
* TABLE=KDP.VDB2LKCONF;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* NODETYPE=DSGROUP;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,LK_STATUS,DISPET;
* COLUMNS=LK_TYPE,LK_LEVEL,LK_RESOURC;
* COLUMNS=AUTHID,CONNID,CONNTYPE,TH_TYPE,TH_STATUS,SMFID;
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE,LK_ET,LK_TOKEN,IDNAME;
* PRED=ORIGINNODE         = $NODE$;
* PRED=AND LK_RESOURC = $LKRES$;
* PRED=AND IDNAME = $IDNAME$;
* SITNAME=DB2_Lock_Waiter_Time_Critical   Critical 
* SITNAME=DB2_Lock_Waiter_Time_Warning    Warning  


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_003_Lock_Conflict";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Lock_Waiter_Time_Critical" AND 
 TEMPLATE = "zDB2_003_Lock_Conflict";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Lock_Waiter_Time_Warning" AND 
 TEMPLATE = "zDB2_003_Lock_Conflict";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_003_Lock_Conflict";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_003_Lock_Conflict";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_003_Lock_Conflict",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Global Lock Conflicts",
  "Retrieve lock information on this node",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=VDB2LKCONF@table1.column1.name=DB2ID@table1.column2
.name=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=LK_STATUS
@table1.column5.name=DISPET@table1.column6.name=LK_TYPE@table1.column7.n
ame=LK_LEVEL@table1.column8.name=LK_RESOURC@table1.column9.name=AUTHID@t
able1.column10.name=CONNID@table1.column11.name=CONNTYPE@table1.column12
.name=TH_TYPE@table1.column13.name=TH_STATUS@table1.column14.name=SMFID@
table1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@table1.co
lumn17.name=LK_ET@table1.column18.name=LK_TOKEN@table1.column19.name=IDN
AME@table1.columnCount=19@tableCount=1@filter1.connector=AND@filter1.col
umn=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connecto
r=AND@filter2.column=LK_RESOURC@filter2.operator=EQ@filter2.value=$LKRES
$@filter3.connector=AND@filter3.column=IDNAME@filter3.operator=EQ@filter
3.value=$IDNAME$@filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@propert
y1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@")
;
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_003_Lock_Conflict",
   "Global Lock Conflicts"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_003_Lock_Conflict",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_003_Lock_Conflict",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_003_Lock_Conflict",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_003_Lock_Conflict",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_003_Lock_Conflict",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_003_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_003_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_003_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_003_Lock_Conflict",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Lock_Waiter_Time_Critical",
   "Critical",
   "zDB2_003_Lock_Conflict",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Lock_Waiter_Time_Warning",
   "Warning",
   "zDB2_003_Lock_Conflict",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp004.dat
*
* ****************************************************************
* *  Report:             DB2 Coupling Facility                   *
* *  Table:              KDP_CFG                                 *
* *  Characteristics:    Execute on *HUB, filter on identfier    *
* *                      name, data sharing group only.          *
* ****************************************************************
* IDENT=zDB2_004_DB2_CF;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Coupling Facility Structures;
* USER=CCC_200
* DESC=Retrieve DB2 Coupling Facility information
* TABLE=KDP.KDP_CFG;
* NODETYPE=DSGROUP;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=STRUCTN,CONNECT,STRUCTST,STRUCTT,STRUCTS,STRUCTU;
* COLUMNS=STRUCTP,LOCKA,LOCKU,LOCKP,RECORDA;
* COLUMNS=RECORDU,RECORDP,GLOBALC,GLOBALR,FALSECO;
* COLUMNS=FALSECR,D2GCONT,D2FCONT,TIMESTAMP;
* COLUMNS=ORIGINNODE,DSGROUP,IDNAME,D2PLOCK,D2CPLOK;
* COLUMNS=D2UPLOK,D2SUSIRL,D2SUSXES,D2SUSFAL;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;
* PRED=AND STRUCTT NE CACHE;
* SITNAME=DB2_CF_Structure_Use_Critical    Critical
* SITNAME=DB2_CF_Structure_Use_Warning     Warning


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_004_DB2_CF";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_CF_Structure_Use_Critical" AND 
 TEMPLATE = "zDB2_004_DB2_CF";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_CF_Structure_Use_Warning" AND 
 TEMPLATE = "zDB2_004_DB2_CF";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_004_DB2_CF";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_004_DB2_CF";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_004_DB2_CF",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Coupling Facility Structures",
  "Retrieve DB2 Coupling Facility information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=KDP_CFG@table1.column1.name=STRUCTN@table1.column2.
name=CONNECT@table1.column3.name=STRUCTST@table1.column4.name=STRUCTT@ta
ble1.column5.name=STRUCTS@table1.column6.name=STRUCTU@table1.column7.nam
e=STRUCTP@table1.column8.name=LOCKA@table1.column9.name=LOCKU@table1.col
umn10.name=LOCKP@table1.column11.name=RECORDA@table1.column12.name=RECOR
DU@table1.column13.name=RECORDP@table1.column14.name=GLOBALC@table1.colu
mn15.name=GLOBALR@table1.column16.name=FALSECO@table1.column17.name=FALS
ECR@table1.column18.name=D2GCONT@table1.column19.name=D2FCONT@table1.col
umn20.name=TIMESTAMP@table1.column21.name=ORIGINNODE@table1.column22.nam
e=DSGROUP@table1.column23.name=IDNAME@table1.column24.name=D2PLOCK@table
1.column25.name=D2CPLOK@table1.column26.name=D2UPLOK@table1.column27.nam
e=D2SUSIRL@table1.column28.name=D2SUSXES@table1.column29.name=D2SUSFAL@t
able1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=O
RIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND
@filter2.column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@filter
3.connector=AND@filter3.column=STRUCTT@filter3.operator=NE@filter3.value
=CACHE@filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_004_DB2_CF",
   "Coupling Facility Structures"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_004_DB2_CF",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_004_DB2_CF",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_004_DB2_CF",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_004_DB2_CF",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_004_DB2_CF",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_004_DB2_CF",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_004_DB2_CF",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_004_DB2_CF",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_004_DB2_CF",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_CF_Structure_Use_Critical",
   "Critical",
   "zDB2_004_DB2_CF",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_CF_Structure_Use_Warning",
   "Warning",
   "zDB2_004_DB2_CF",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp005.dat
*
* ****************************************************************
* *  Report:             Group Buffer Pool (Structures)          *
* *  Table:              GB_POOL                                 *
* *  Characteristics:    Execute on hub, filter on identifier    *
* *                      name and structure type of CACHE,       *
* *                      Data Sharing Groups only                *
* ****************************************************************
* IDENT=zDB2_005_Group_Buffer_Pool;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Buffer Pool Structures;
* USER=CCC_200;
* DESC=Group Buffer Pool (Structures);
* TABLE=KDP.GB_POOL;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* NODETYPE=DSGROUP;
* COLUMNS=STRUCTN,CONNECT,STRUCTST,RD_HIT_PCT,XI_RATE;
* COLUMNS=STRUCTS,DIRENT,DATAPG,TIMESTAMP;
* * Non-Display columns:
* COLUMNS=IDNAME,STRUCTT,ORIGINNODE,SMFID,DSGROUP;
* COLUMNS=RD_COUNT,RD_HIT_CNT,XI_COUNT;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;
* PRED=AND STRUCTT = CACHE;
* SITNAME=DB2_Group_BP_Read_Hit_Critical  Critical
* SITNAME=DB2_Group_BP_Read_Hit_Warning   Warning


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_005_Group_Buffer_Pool";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Group_BP_Read_Hit_Critical" AND 
 TEMPLATE = "zDB2_005_Group_Buffer_Pool";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "DB2_Group_BP_Read_Hit_Warning" AND 
 TEMPLATE = "zDB2_005_Group_Buffer_Pool";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_005_Group_Buffer_Pool";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_005_Group_Buffer_Pool";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_005_Group_Buffer_Pool",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Buffer Pool Structures",
  "Group Buffer Pool (Structures)",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GB_POOL@table1.column1.name=STRUCTN@table1.column2.
name=CONNECT@table1.column3.name=STRUCTST@table1.column4.name=RD_HIT_PCT
@table1.column5.name=XI_RATE@table1.column6.name=STRUCTS@table1.column7.
name=DIRENT@table1.column8.name=DATAPG@table1.column9.name=TIMESTAMP@tab
le1.column10.name=IDNAME@table1.column11.name=STRUCTT@table1.column12.na
me=ORIGINNODE@table1.column13.name=SMFID@table1.column14.name=DSGROUP@ta
ble1.column15.name=RD_COUNT@table1.column16.name=RD_HIT_CNT@table1.colum
n17.name=XI_COUNT@table1.columnCount=17@tableCount=1@filter1.connector=A
ND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@fi
lter2.connector=AND@filter2.column=IDNAME@filter2.operator=EQ@filter2.va
lue=$IDNAME$@filter3.connector=AND@filter3.column=STRUCTT@filter3.operat
or=EQ@filter3.value=CACHE@filterCount=3@nodeTypeCount=1@nodeType1=DSGROU
P@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@his
tory=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_005_Group_Buffer_Pool",
   "Group Buffer Pool Structures"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_005_Group_Buffer_Pool",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_005_Group_Buffer_Pool",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_005_Group_Buffer_Pool",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_005_Group_Buffer_Pool",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_005_Group_Buffer_Pool",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_005_Group_Buffer_Pool",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_005_Group_Buffer_Pool",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_005_Group_Buffer_Pool",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_005_Group_Buffer_Pool",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Group_BP_Read_Hit_Critical",
   "Critical",
   "zDB2_005_Group_Buffer_Pool",
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "DB2_Group_BP_Read_Hit_Warning",
   "Warning",
   "zDB2_005_Group_Buffer_Pool",
   0
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp006.dat
*
* ****************************************************************
* *  Report:             GBP Statistics                          *
* *  Table:              GBP_STATS                               *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name, data sharing group.               *
* ****************************************************************
* IDENT=zDB2_006_Group_Buffpool_Stats;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Buffer Pool Statistics;
* USER=CCC_200
* DESC=Retrieve DB2 Group BP Statistics information
* TABLE=KDP.GBP_STATS;
* NODETYPE=DSGROUP;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=STRUCTN,NUMDB2,XIREAD,XIREADN;
* COLUMNS=GBPREAD,GBPREADN,CHGWRITE,CLNWRITE;
* COLUMNS=COCLASST,COGBPT,COPAGES,COENGNA;
* COLUMNS=WRENGNA,RDFAILS,WRFAILS,RPLREQ;
* COLUMNS=RPLRCHN,RPLRCLN,NUMCHECK,NUMREBLD;
* COLUMNS=STGSTAT,UNLCO,READCOC;
* COLUMNS=READCOST,DELNAME,RDIRINFO,UNREGP;
* COLUMNS=REGPAGE,PFREAD,PFREADN,SYSWRCHN;
* COLUMNS=SYSWRCLN,TIMESTAMP;
* COLUMNS=ORIGINNODE,SYSID,IDNAME,DB2ID,DSGROUP;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_006_Group_Buffpool_Stats";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_006_Group_Buffpool_Stats";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_006_Group_Buffpool_Stats";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_006_Group_Buffpool_Stats",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Buffer Pool Statistics",
  "Retrieve DB2 Group BP Statistics information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GBP_STATS@table1.column1.name=STRUCTN@table1.column
2.name=NUMDB2@table1.column3.name=XIREAD@table1.column4.name=XIREADN@tab
le1.column5.name=GBPREAD@table1.column6.name=GBPREADN@table1.column7.nam
e=CHGWRITE@table1.column8.name=CLNWRITE@table1.column9.name=COCLASST@tab
le1.column10.name=COGBPT@table1.column11.name=COPAGES@table1.column12.na
me=COENGNA@table1.column13.name=WRENGNA@table1.column14.name=RDFAILS@tab
le1.column15.name=WRFAILS@table1.column16.name=RPLREQ@table1.column17.na
me=RPLRCHN@table1.column18.name=RPLRCLN@table1.column19.name=NUMCHECK@ta
ble1.column20.name=NUMREBLD@table1.column21.name=STGSTAT@table1.column22
.name=UNLCO@table1.column23.name=READCOC@table1.column24.name=READCOST@t
able1.column25.name=DELNAME@table1.column26.name=RDIRINFO@table1.column2
7.name=UNREGP@table1.column28.name=REGPAGE@table1.column29.name=PFREAD@t
able1.column30.name=PFREADN@table1.column31.name=SYSWRCHN@table1.column3
2.name=SYSWRCLN@table1.column33.name=TIMESTAMP@table1.column34.name=ORIG
INNODE@table1.column35.name=SYSID@table1.column36.name=IDNAME@table1.col
umn37.name=DB2ID@table1.column38.name=DSGROUP@table1.columnCount=38@tabl
eCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operato
r=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=IDNAME@fi
lter2.operator=EQ@filter2.value=$IDNAME$@filterCount=2@nodeTypeCount=1@n
odeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRow@prop
ertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_006_Group_Buffpool_Stats",
   "Group Buffer Pool Statistics"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_006_Group_Buffpool_Stats",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_006_Group_Buffpool_Stats",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_006_Group_Buffpool_Stats",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_006_Group_Buffpool_Stats",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_006_Group_Buffpool_Stats",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_006_Group_Buffpool_Stats",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_006_Group_Buffpool_Stats",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_006_Group_Buffpool_Stats",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_006_Group_Buffpool_Stats",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp007.dat
*
* ****************************************************************
* *  Report:             Object Analysis (Database)              *
* *  Table:              GOBJECTA                                *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name, data sharing groups only.         *
* ****************************************************************
* IDENT=zDB2_007_GOA_DATABASE;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Object Analysis Database;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Database information
* NODETYPE=DSGROUP
* TABLE=KDP.GOBJECTA;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=JABDB,NUMDB2,JABSPC,JABTBLS,JABINDX,JABVOLS;
* COLUMNS=JABDSNS,JABEXTS,JABEXTR,JABMEXT,TIMESTAMP;
* COLUMNS=ORIGINNODE,SMFID,DB2ID,IDNAME,DSGROUP;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_007_GOA_DATABASE";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_007_GOA_DATABASE";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_007_GOA_DATABASE";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_007_GOA_DATABASE",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Object Analysis Database",
  "Retrieve DB2 GOA Database information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOBJECTA@table1.column1.name=JABDB@table1.column2.n
ame=NUMDB2@table1.column3.name=JABSPC@table1.column4.name=JABTBLS@table1
.column5.name=JABINDX@table1.column6.name=JABVOLS@table1.column7.name=JA
BDSNS@table1.column8.name=JABEXTS@table1.column9.name=JABEXTR@table1.col
umn10.name=JABMEXT@table1.column11.name=TIMESTAMP@table1.column12.name=O
RIGINNODE@table1.column13.name=SMFID@table1.column14.name=DB2ID@table1.c
olumn15.name=IDNAME@table1.column16.name=DSGROUP@table1.columnCount=16@t
ableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.oper
ator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=IDNAME
@filter2.operator=EQ@filter2.value=$IDNAME$@filterCount=2@nodeTypeCount=
1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRow@p
ropertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_007_GOA_DATABASE",
   "Object Analysis Database"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_007_GOA_DATABASE",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_007_GOA_DATABASE",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_007_GOA_DATABASE",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_007_GOA_DATABASE",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_007_GOA_DATABASE",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_007_GOA_DATABASE",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_007_GOA_DATABASE",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_007_GOA_DATABASE",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_007_GOA_DATABASE",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp008.dat
*
* ****************************************************************
* *  Report:             GOA Thread Database                     *
* *  Table:              GOATHAS                                 *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name.                                   *
* ****************************************************************
* IDENT=zDB2_008_GOA_THREAD_ACT;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Analysis Thread Database;
* USER=CCC_200
* DESC=Retrieve DB2 Group Object Analysis Thread summary information
* TABLE=KDP.GOATHAS;
* NODETYPE=DSGROUP;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=JT7DBNM,NUMTHRD,JT7PCGP,JT7PCIO,JT7RIOR,JT7GETP;
* COLUMNS=JT7SYNR,JT7SPRE,JT7LPRE,JT7DPRE,JT7ASYW,JT7OTHW;
* COLUMNS=JT7GPR,JT7SYR,JT7SPR,JT7ASR,JT7OTR,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,DB2ID,DSGROUP,SYSID,JT7AUID;
* COLUMNS=JT7CRID,JT7DPR,JT7LPR,JT7PLNM,JT7SPNM;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_008_GOA_THREAD_ACT";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_008_GOA_THREAD_ACT";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_008_GOA_THREAD_ACT";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_008_GOA_THREAD_ACT",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Object Analysis Thread Database",
  "Retrieve DB2 Group Object Analysis Thread summary information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOATHAS@table1.column1.name=JT7DBNM@table1.column2.
name=NUMTHRD@table1.column3.name=JT7PCGP@table1.column4.name=JT7PCIO@tab
le1.column5.name=JT7RIOR@table1.column6.name=JT7GETP@table1.column7.name
=JT7SYNR@table1.column8.name=JT7SPRE@table1.column9.name=JT7LPRE@table1.
column10.name=JT7DPRE@table1.column11.name=JT7ASYW@table1.column12.name=
JT7OTHW@table1.column13.name=JT7GPR@table1.column14.name=JT7SYR@table1.c
olumn15.name=JT7SPR@table1.column16.name=JT7ASR@table1.column17.name=JT7
OTR@table1.column18.name=TIMESTAMP@table1.column19.name=ORIGINNODE@table
1.column20.name=IDNAME@table1.column21.name=DB2ID@table1.column22.name=D
SGROUP@table1.column23.name=SYSID@table1.column24.name=JT7AUID@table1.co
lumn25.name=JT7CRID@table1.column26.name=JT7DPR@table1.column27.name=JT7
LPR@table1.column28.name=JT7PLNM@table1.column29.name=JT7SPNM@table1.col
umnCount=29@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE
@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.
column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@filterCount=2@n
odeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=k
fw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_008_GOA_THREAD_ACT",
   "GOA Thread Database"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_008_GOA_THREAD_ACT",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_008_GOA_THREAD_ACT",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_008_GOA_THREAD_ACT",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_008_GOA_THREAD_ACT",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_008_GOA_THREAD_ACT",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_008_GOA_THREAD_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_008_GOA_THREAD_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_008_GOA_THREAD_ACT",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_008_GOA_THREAD_ACT",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp009.dat
*
* ****************************************************************
* *  Report:             Group Object Activity Database          *
* *  Table:              GOAACTS                                 *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name, data sharing groups.              *
* ****************************************************************
* IDENT=zDB2_009_GOA_ACTIVITY;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Analysis Database;
* USER=CCC_200
* DESC=Retrieve DB2 Group Object Analysis information
* TABLE=KDP.GOAACTS;
* NODETYPE=DSGROUP
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=JTPDB,NUMDB2,JTPPCGP,JTPPCIO,JTPRIOR,JTPGETP,JTPSYNR;
* COLUMNS=JTPPREF,JTPASYW,JTPOTHW,JTPGPR,JTPSYR,JTPPRR;
* COLUMNS=JTPASR,JTPOTR,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,SYSID,DB2ID,DSGROUP,JTPSP;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_009_GOA_ACTIVITY";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_009_GOA_ACTIVITY";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_009_GOA_ACTIVITY";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_009_GOA_ACTIVITY",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Object Analysis Database",
  "Retrieve DB2 Group Object Analysis information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAACTS@table1.column1.name=JTPDB@table1.column2.na
me=NUMDB2@table1.column3.name=JTPPCGP@table1.column4.name=JTPPCIO@table1
.column5.name=JTPRIOR@table1.column6.name=JTPGETP@table1.column7.name=JT
PSYNR@table1.column8.name=JTPPREF@table1.column9.name=JTPASYW@table1.col
umn10.name=JTPOTHW@table1.column11.name=JTPGPR@table1.column12.name=JTPS
YR@table1.column13.name=JTPPRR@table1.column14.name=JTPASR@table1.column
15.name=JTPOTR@table1.column16.name=TIMESTAMP@table1.column17.name=ORIGI
NNODE@table1.column18.name=IDNAME@table1.column19.name=SYSID@table1.colu
mn20.name=DB2ID@table1.column21.name=DSGROUP@table1.column22.name=JTPSP@
table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AN
D@filter2.column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@filte
rCount=2@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_009_GOA_ACTIVITY",
   "Group Object Activity Database"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_009_GOA_ACTIVITY",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_009_GOA_ACTIVITY",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_009_GOA_ACTIVITY",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_009_GOA_ACTIVITY",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_009_GOA_ACTIVITY",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_009_GOA_ACTIVITY",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_009_GOA_ACTIVITY",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_009_GOA_ACTIVITY",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_009_GOA_ACTIVITY",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp010.dat
*
* ****************************************************************
* *  Report:             GOA Volume Thread                       *
* *  Table:              GOATHVS                                 *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name.                                   *
* ****************************************************************
* IDENT=zDB2_010_GOA_THREAD_VOL_SUM;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Analysis Volume Thread;
* USER=CCC_200
* DESC=Retrieve DB2 Group Object Analysis Thread Volume Summary information
* TABLE=KDP.GOATHVS;
* NODETYPE=DSGROUP;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=JVTVOL,NUMTHRD,JVTVUSE,JVTTIO,JVTRIO,JVTWIO;
* COLUMNS=JVTTIOR,JVTRIOR,JVTWIOR,JVTTIORM,JVTRIORM;
* COLUMNS=JVTWIORM,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,DB2ID,DSGROUP,SYSID,JVTAUID;
* COLUMNS=JVTCRID,JVTPLNM;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_010_GOA_THREAD_VOL_SUM";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_010_GOA_THREAD_VOL_SUM";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_010_GOA_THREAD_VOL_SUM";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_010_GOA_THREAD_VOL_SUM",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Object Analysis Volume Thread",
  "Retrieve DB2 Group Object Analysis Thread Volume Summary information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOATHVS@table1.column1.name=JVTVOL@table1.column2.n
ame=NUMTHRD@table1.column3.name=JVTVUSE@table1.column4.name=JVTTIO@table
1.column5.name=JVTRIO@table1.column6.name=JVTWIO@table1.column7.name=JVT
TIOR@table1.column8.name=JVTRIOR@table1.column9.name=JVTWIOR@table1.colu
mn10.name=JVTTIORM@table1.column11.name=JVTRIORM@table1.column12.name=JV
TWIORM@table1.column13.name=TIMESTAMP@table1.column14.name=ORIGINNODE@ta
ble1.column15.name=IDNAME@table1.column16.name=DB2ID@table1.column17.nam
e=DSGROUP@table1.column18.name=SYSID@table1.column19.name=JVTAUID@table1
.column20.name=JVTCRID@table1.column21.name=JVTPLNM@table1.columnCount=2
1@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.o
perator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=IDN
AME@filter2.operator=EQ@filter2.value=$IDNAME$@filterCount=2@nodeTypeCou
nt=1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRo
w@propertyCount=1@history=F@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_010_GOA_THREAD_VOL_SUM",
   "GOA Volume Thread"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_GOA_THREAD_VOL_SUM",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_GOA_THREAD_VOL_SUM",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_GOA_THREAD_VOL_SUM",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_GOA_THREAD_VOL_SUM",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_010_GOA_THREAD_VOL_SUM",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_010_GOA_THREAD_VOL_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_010_GOA_THREAD_VOL_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_010_GOA_THREAD_VOL_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_010_GOA_THREAD_VOL_SUM",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp011.dat
*
* ****************************************************************
* *  Report:             GOA Volume                              *
* *  Table:              GOAVOLS                                 *
* *  Characteristics:    Execute on *HUB, filter on identifier   *
* *                      name, data sharing groups.              *
* ****************************************************************
* IDENT=zDB2_011_GOA_VOL_DB_SUM;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Analysis Volume;
* USER=CCC_200
* DESC=Retrieve DB2 Group Object Analysis Volume Summary information
* TABLE=KDP.GOAVOLS;
* AT=*HUB;
* VISIBLE=YES;
* READONLY=T;
* NODETYPE=DSGROUP;
* COLUMNS=JVSVOLN,DB2COUNT,JVSVUTIL,JVSVRESP,MAXRESP,JVSTIO;
* COLUMNS=JVSDBIO,PDB2IO,JVSTIOR,JVSDBIR,MAXDBIR;
* COLUMNS=JVSDSNS,JVSEXTS,JVSVUSE,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,DSGROUP,DB2ID,SYSID;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_011_GOA_VOL_DB_SUM";
DELETE FROM KFWTMPLSTA WHERE TEMPLATE =
 "zDB2_011_GOA_VOL_DB_SUM";
DELETE FROM KFWTMPL WHERE NAME     =
 "zDB2_011_GOA_VOL_DB_SUM";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_011_GOA_VOL_DB_SUM",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "D",
  "Group Object Analysis Volume",
  "Retrieve DB2 Group Object Analysis Volume Summary information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAVOLS@table1.column1.name=JVSVOLN@table1.column2.
name=DB2COUNT@table1.column3.name=JVSVUTIL@table1.column4.name=JVSVRESP@
table1.column5.name=MAXRESP@table1.column6.name=JVSTIO@table1.column7.na
me=JVSDBIO@table1.column8.name=PDB2IO@table1.column9.name=JVSTIOR@table1
.column10.name=JVSDBIR@table1.column11.name=MAXDBIR@table1.column12.name
=JVSDSNS@table1.column13.name=JVSEXTS@table1.column14.name=JVSVUSE@table
1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@table1.column1
7.name=IDNAME@table1.column18.name=DSGROUP@table1.column19.name=DB2ID@ta
ble1.column20.name=SYSID@table1.columnCount=20@tableCount=1@filter1.conn
ector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$N
ODE$@filter2.connector=AND@filter2.column=IDNAME@filter2.operator=EQ@fil
ter2.value=$IDNAME$@filterCount=2@nodeTypeCount=1@nodeType1=DSGROUP@prop
erty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F
@");
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  "0020000000000000000000000000000000000000000",
   32,
   259,
   "1021212090347000",
   "_ KCJ",
   "zDB2_011_GOA_VOL_DB_SUM",
   "GOA Volume"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_011_GOA_VOL_DB_SUM",
   "OK",
   -1,
   65795,
   "Normal and Available State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_011_GOA_VOL_DB_SUM",
   "Critical",
   90,
   259,
   "Critical State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_011_GOA_VOL_DB_SUM",
   "Warning",
   30,
   259,
   "Warning State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_011_GOA_VOL_DB_SUM",
   "Informational",
   25,
   259,
   "Informational State"
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  "zDB2_011_GOA_VOL_DB_SUM",
   "Unavailable",
   95,
   259,
   "Unavailable State"
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Critical",
   "Critical",
   "zDB2_011_GOA_VOL_DB_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Warning",
   "Warning",
   "zDB2_011_GOA_VOL_DB_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*Informational",
   "Informational",
   "zDB2_011_GOA_VOL_DB_SUM",
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  "*STATUS_UNKNOWN",
   "Unavailable",
   "zDB2_011_GOA_VOL_DB_SUM",
   256
);

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp012.dat
*
* ****************************************************************
* *  Report:             Group Buffer Pool Connections           *
* *  Table:              GBP_CONN                                *
* *  Characteristics:    Execute on *HUB, filter on struct       *
* *                      name, not visible on tree, data sharing *
* *                      groups only. Use GROUP BY for summary   *
* *                      information.                            *
* *  Parents:            None.                                   *
* ****************************************************************
* IDENT=zDB2_012_Group_Report;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Data Sharing Groups
* USER=CCC_200
* DESC=Retrieve DB2 Connection information
* TABLE=KDP.GBP_CONN;
* VISIBLE=N;
* NODETYPE=DSGROUP;
* AT=*HUB;
* READONLY=T;
* COLUMNS=DSGROUPN,DB2ID,SYSID,COUNT(STRUCTN);
* GROUP=DSGROUPN,DB2ID,SYSID
* PRED=AND DSGROUPN = $GROUP$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_012_Group_Report";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_012_Group_Report",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Data Sharing Groups",
  "Retrieve DB2 Connection information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GBP_CONN@table1.column1.name=DSGROUPN@table1.column
2.name=DB2ID@table1.column3.name=SYSID@table1.column4.name=COUNT(STRUCTN
)@table1.columnCount=4@tableCount=1@group1.column=DSGROUPN@group2.column
=DB2ID@group3.column=SYSID@groupCount=3@filter1.connector=AND@filter1.co
lumn=DSGROUPN@filter1.operator=EQ@filter1.value=$GROUP$@filter2.connecto
r=AND@filter2.column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@f
ilterCount=2@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@pro
perty1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp013.dat
*
* ****************************************************************
* *  Report:             Group Buffer Pool Connections           *
* *  Table:              GBP_CONN                                *
* *  Characteristics:    Execute on *HUB, filter on struct       *
* *                      name, not visible on tree, data sharing *
* *                      groups only. Use GROUP BY for summary   *
* *                      information.                            *
* *  Parents:            None.                                   *
* ****************************************************************
* IDENT=zDB2_013_Group_Report;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Data Sharing Groups (Test)
* USER=CCC_200
* DESC=Retrieve DB2 Connection information for specific group
* TABLE=KDP.GBP_CONN;
* VISIBLE=N;
* NODETYPE=DSGROUP;
* AT=*HUB;
* READONLY=T;
* COLUMNS=DSGROUPN,DB2ID,SYSID,COUNT(STRUCTN);
* GROUP=DSGROUPN,DB2ID,SYSID
* PRED=AND DSGROUPN = $NODE$;
* PRED=AND IDNAME = $IDNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_013_Group_Report";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_013_Group_Report",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Data Sharing Groups (Test)",
  "Retrieve DB2 Connection information for specific group",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GBP_CONN@table1.column1.name=DSGROUPN@table1.column
2.name=DB2ID@table1.column3.name=SYSID@table1.column4.name=COUNT(STRUCTN
)@table1.columnCount=4@tableCount=1@group1.column=DSGROUPN@group2.column
=DB2ID@group3.column=SYSID@groupCount=3@filter1.connector=AND@filter1.co
lumn=DSGROUPN@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=IDNAME@filter2.operator=EQ@filter2.value=$IDNAME$@fi
lterCount=2@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@prop
erty1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp101.dat
*
* ****************************************************************
* *  Report:             Group Buffer Pool Connections           *
* *  Table:              GBP_CONN                                *
* *  Characteristics:    Execute on *HUB, filter on struct       *
* *                      name, not visible on tree, data sharing *
* *                      groups only.                            *
* *  Parents:            CF Structures, Group Buffer Pool.       *
* ****************************************************************
* IDENT=zDB2_101_Group_Buffpool_Conn;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Buffer Pool Connections
* USER=CCC_200
* DESC=Retrieve DB2 GBP Connection information
* TABLE=KDP.GBP_CONN;
* VISIBLE=N;
* READONLY=T;
* NODETYPE=DSGROUP;
* AT=*HUB;
* COLUMNS=DB2ID,JOBNAME,CONSTAT,CF_NAME,SYSID,TIMESTAMP;
* COLUMNS=STRUCTN,ORIGINNODE,DSGROUPN,DSGROUPE,IDNAME;
* PRED=STRUCTN = $STRUCTN$;
* ORDER=A DB2ID;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_101_Group_Buffpool_Conn";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_101_Group_Buffpool_Conn",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Group Buffer Pool Connections",
  "Retrieve DB2 GBP Connection information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GBP_CONN@table1.column1.name=DB2ID@table1.column2.n
ame=JOBNAME@table1.column3.name=CONSTAT@table1.column4.name=CF_NAME@tabl
e1.column5.name=SYSID@table1.column6.name=TIMESTAMP@table1.column7.name=
STRUCTN@table1.column8.name=ORIGINNODE@table1.column9.name=DSGROUPN@tabl
e1.column10.name=DSGROUPE@table1.column11.name=IDNAME@table1.columnCount
=11@tableCount=1@filter1.connector=AND@filter1.column=STRUCTN@filter1.op
erator=EQ@filter1.value=$STRUCTN$@filterCount=1@order1.column=DB2ID@orde
r1.sequence=ASCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DSGROUP@pro
perty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=
F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp103.dat
*
* ****************************************************************
* *  Report:             Object Analysis Spacename               *
* *  Table:              GOBJECTS                                *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node and database name, sub-report,     *
* *                      DS group only                           *
* *  Parent:             Object Analysis Database                *
* ****************************************************************
* IDENT=zDB2_103_LGOA_ACTIVITY;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Object Analysis Spacename
* USER=CCC_200
* DESC=Retrieve DB2 Group Spacename Activity information
* VISIBLE=N
* READONLY=T;
* NODETYPE=DSGROUP
* AT=*HUB;
* TABLE=KDP.GOBJECTS;
* COLUMNS=JAPDB,DSGROUP,JAPSPN,DB2COUNT,JAPTYPE;
* COLUMNS=JAPBP,JAPVOLS,JAPDSNS,JAPEXTS,JAPEXTR;
* COLUMNS=JAPMEXT,TIMESTAMP;
* COLUMNS=ORIGINNODE,SMFID,DB2ID,IDNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND DSGROUP = $DSGROUP$;
* PRED=AND JAPDB = $DBNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_103_LGOA_ACTIVITY";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_103_LGOA_ACTIVITY",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Object Analysis Spacename",
  "Retrieve DB2 Group Spacename Activity information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOBJECTS@table1.column1.name=JAPDB@table1.column2.n
ame=DSGROUP@table1.column3.name=JAPSPN@table1.column4.name=DB2COUNT@tabl
e1.column5.name=JAPTYPE@table1.column6.name=JAPBP@table1.column7.name=JA
PVOLS@table1.column8.name=JAPDSNS@table1.column9.name=JAPEXTS@table1.col
umn10.name=JAPEXTR@table1.column11.name=JAPMEXT@table1.column12.name=TIM
ESTAMP@table1.column13.name=ORIGINNODE@table1.column14.name=SMFID@table1
.column15.name=DB2ID@table1.column16.name=IDNAME@table1.columnCount=16@t
ableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.oper
ator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=DSGROU
P@filter2.operator=EQ@filter2.value=$DSGROUP$@filter3.connector=AND@filt
er3.column=JAPDB@filter3.operator=EQ@filter3.value=$DBNAME$@filterCount=
3@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@property1.valu
e=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp104.dat
*
* ****************************************************************
* *  Report:             Object Analysis Spacename Details       *
* *  Table:              GOBJECTS                                *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node, DB name, and Spacename, sub       *
* *                      report, DSGROUP only.                   *
* *  Parent:             GOA Spacename                           *
* ****************************************************************
* IDENT=zDB2_104_GOA_DETAIL_ACTIVITY;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Object Analysis Spacename Detail Report
* USER=CCC_200
* VISIBLE=N;
* READONLY=T;
* NODETYPE=DSGROUP
* AT=*HUB;
* DESC=Retrieve Group DB2 Spacename Detailed Activity information;
* TABLE=KDP.GOBJECTS;
* COLUMNS=SMFID,JAPSPN,DB2ID,JAPTYPE,JAPBP,JAPVOLS,JAPDSNS;
* COLUMNS=JAPEXTS,JAPEXTR,JAPMEXT,TIMESTAMP;
* COLUMNS=ORIGINNODE,DB2COUNT,IDNAME,JAPDB;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND DSGROUP = $DSGROUP$;
* PRED=AND JAPDB = $DBNAME$;
* PRED=AND JAPSPN = $SPNAME$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_104_GOA_DETAIL_ACTIVITY";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_104_GOA_DETAIL_ACTIVITY",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Object Analysis Spacename Detail Report",
  "Retrieve Group DB2 Spacename Detailed Activity information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOBJECTS@table1.column1.name=SMFID@table1.column2.n
ame=JAPSPN@table1.column3.name=DB2ID@table1.column4.name=JAPTYPE@table1.
column5.name=JAPBP@table1.column6.name=JAPVOLS@table1.column7.name=JAPDS
NS@table1.column8.name=JAPEXTS@table1.column9.name=JAPEXTR@table1.column
10.name=JAPMEXT@table1.column11.name=TIMESTAMP@table1.column12.name=ORIG
INNODE@table1.column13.name=DB2COUNT@table1.column14.name=IDNAME@table1.
column15.name=JAPDB@table1.columnCount=15@tableCount=1@filter1.connector
=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@
filter2.connector=AND@filter2.column=DSGROUP@filter2.operator=EQ@filter2
.value=$DSGROUP$@filter3.connector=AND@filter3.column=JAPDB@filter3.oper
ator=EQ@filter3.value=$DBNAME$@filter4.connector=AND@filter4.column=JAPS
PN@filter4.operator=EQ@filter4.value=$SPNAME$@filterCount=4@nodeTypeCoun
t=1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRow
@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp105.dat
*
* ****************************************************************
* *  Report:             DB2 Lock Analysis                       *
* *  Table:              VDB2LKCONF                              *
* *  Characteristics:    Virtual table, executed at hub, no      *
* *                      filters.                                *
* ****************************************************************
* IDENT=zDB2_105_Lock_Conflict_Sub;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Lock Analysis
* USER=CCC_200
* DESC=Retrieve DB2 Lock Analysis information
* TABLE=KDP.VDB2LKCONF;
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,LK_STATUS,DISPET,
* COLUMNS=LK_TYPE,LK_LEVEL,LK_RESOURC;
* COLUMNS=AUTHID,CONNID,CONNTYPE,TH_TYPE,TH_STATUS,SMFID,
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE,LK_ET,LK_TOKEN,IDNAME;
* *
* * What we really want here is to get the lock waiter row 
* * plus the lock owner row, plus all of the locks that the
* * owner may be waiting on. SQL would be to get the owner
* * of the lock, and do a subsequent select on all locks by
* * that owner. Since Catalina does not allow for this type
* * of query, we are simply out of luck at this time. By
* * removing all of the predicates, we will get a complete
* * picture of locks across all systems, then using the
* * sorting capabilities of Catalina, we should be able to 
* * organize and filter the output.
* *
* *PRED=ORIGINNODE = $NODE$
* *PRED=LK_STATUS = WAITER;
* *PRED=AND CORRID = $CORRID$;
* *PRED=OR  LK_RESOURC = $LK_RESOURC$;
* *PRED=AND LK_STATUS = OWNER;


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_105_Lock_Conflict_Sub";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_105_Lock_Conflict_Sub",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Lock Analysis",
  "Retrieve DB2 Lock Analysis information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=VDB2LKCONF@table1.column1.name=DB2ID@table1.column2
.name=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=LK_STATUS
@table1.column5.name=DISPET@table1.column6.name=LK_TYPE@table1.column7.n
ame=LK_LEVEL@table1.column8.name=LK_RESOURC@table1.column9.name=AUTHID@t
able1.column10.name=CONNID@table1.column11.name=CONNTYPE@table1.column12
.name=TH_TYPE@table1.column13.name=TH_STATUS@table1.column14.name=SMFID@
table1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@table1.co
lumn17.name=LK_ET@table1.column18.name=LK_TOKEN@table1.column19.name=IDN
AME@table1.columnCount=19@tableCount=1@property1.name=-1021A@property1.v
alue=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp106.dat
*
* ****************************************************************
* *  Report:             Thread Statistics                       *
* *  Table:              VTHDSTAT                                *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on origin node, data sharing group,     *
* *                      sub-report to Thread Activity           *
* ****************************************************************
* IDENT=zDB2_106_Thread_Statistics;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread Statistics;
* USER=CCC_200
* DESC=Retrieve DB2 Thread Statistics information
* TABLE=KDP.VTHDSTAT;
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=PLAN_NAME,DB2ID,CORRID,TYPE_IND,GETPAGE,NUMSETW;
* COLUMNS=SYNRIO,SEQPREF,IMMWIO,LISTPREF,DYNPREF;
* COLUMNS=SUCHPR,SUCHPW,UNSUCHPR,UNSUCHPW;
* COLUMNS=UNGPOP,APAGER,PHPMOVE,TIMESTAMP;
* COLUMNS=ORIGINNODE,SYSID,IDNAME,DSGROUP;
* PRED=IDNAME         = $IDNAME$;
* PRED=AND PLAN_NAME  = $PLANID$;
* PRED=AND CORRID     = $CORRID$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_106_Thread_Statistics";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_106_Thread_Statistics",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread Statistics",
  "Retrieve DB2 Thread Statistics information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=VTHDSTAT@table1.column1.name=PLAN_NAME@table1.colum
n2.name=DB2ID@table1.column3.name=CORRID@table1.column4.name=TYPE_IND@ta
ble1.column5.name=GETPAGE@table1.column6.name=NUMSETW@table1.column7.nam
e=SYNRIO@table1.column8.name=SEQPREF@table1.column9.name=IMMWIO@table1.c
olumn10.name=LISTPREF@table1.column11.name=DYNPREF@table1.column12.name=
SUCHPR@table1.column13.name=SUCHPW@table1.column14.name=UNSUCHPR@table1.
column15.name=UNSUCHPW@table1.column16.name=UNGPOP@table1.column17.name=
APAGER@table1.column18.name=PHPMOVE@table1.column19.name=TIMESTAMP@table
1.column20.name=ORIGINNODE@table1.column21.name=SYSID@table1.column22.na
me=IDNAME@table1.column23.name=DSGROUP@table1.columnCount=23@tableCount=
1@filter1.connector=AND@filter1.column=IDNAME@filter1.operator=EQ@filter
1.value=$IDNAME$@filter2.connector=AND@filter2.column=PLAN_NAME@filter2.
operator=EQ@filter2.value=$PLANID$@filter3.connector=AND@filter3.column=
CORRID@filter3.operator=EQ@filter3.value=$CORRID$@filterCount=3@property
1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");

*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp109.dat
*
* ****************************************************************
* *  Report:             GOA Thread Spacename                    *
* *  Table:              GOATHAS                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node and database, sub report.          *
* *  Parent:             GOA Thread Database                     *
* ****************************************************************
* IDENT=zDB2_109_GOA_THREAD_SP;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GOA Thread Spacename;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Thread summary information
* TABLE=KDP.GOATHAS;
* NODETYPE=DSGROUP
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=JT7SPNM,NUMTHRD,JT7PCGP,JT7PCIO,JT7RIOR,JT7GETP;
* COLUMNS=JT7SYNR,JT7SPRE,JT7LPRE,JT7DPRE,JT7ASYW,JT7OTHW;
* COLUMNS=JT7GPR,JT7SYR,JT7SPR,JT7LPR,JT7DPR,JT7ASR,JT7OTR;
* COLUMNS=TIMESTAMP;
* COLUMNS=DB2ID,IDNAME,DSGROUP,ORIGINNODE,SYSID,JT7AUID;
* COLUMNS=JT7CRID,JT7PLNM,JT7DBNM;
* PRED=IDNAME = $IDNAME$
* PRED=AND JT7DBNM = $DBNAME$


DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_109_GOA_THREAD_SP";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_109_GOA_THREAD_SP",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GOA Thread Spacename",
  "Retrieve DB2 GOA Thread summary information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOATHAS@table1.column1.name=JT7SPNM@table1.column2.
name=NUMTHRD@table1.column3.name=JT7PCGP@table1.column4.name=JT7PCIO@tab
le1.column5.name=JT7RIOR@table1.column6.name=JT7GETP@table1.column7.name
=JT7SYNR@table1.column8.name=JT7SPRE@table1.column9.name=JT7LPRE@table1.
column10.name=JT7DPRE@table1.column11.name=JT7ASYW@table1.column12.name=
JT7OTHW@table1.column13.name=JT7GPR@table1.column14.name=JT7SYR@table1.c
olumn15.name=JT7SPR@table1.column16.name=JT7LPR@table1.column17.name=JT7
DPR@table1.column18.name=JT7ASR@table1.column19.name=JT7OTR@table1.colum
n20.name=TIMESTAMP@table1.column21.name=DB2ID@table1.column22.name=IDNAM
E@table1.column23.name=DSGROUP@table1.column24.name=ORIGINNODE@table1.co
lumn25.name=SYSID@table1.column26.name=JT7AUID@table1.column27.name=JT7C
RID@table1.column28.name=JT7PLNM@table1.column29.name=JT7DBNM@table1.col
umnCount=29@tableCount=1@filter1.connector=AND@filter1.column=IDNAME@fil
ter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=AND@filter2.co
lumn=JT7DBNM@filter2.operator=EQ@filter2.value=$DBNAME$@filterCount=2@no
deTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=kf
w.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp110.dat
*
* ****************************************************************
* *  Report:             GOA Thread Spacename Detail             *
* *  Table:              GOATHAS                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node, database, and spacename, sub      *
* *                      report, invisible.                      *
* *  Parent:             GOA Thread Spacename                    *
* ****************************************************************
* IDENT=zDB2_110_GOA_THREAD_SP_DET;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GOA Thread Spacename Detail;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Thread Detail information
* TABLE=KDP.GOATHAS;
* NODETYPE=DSGROUP
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=JT7PLNM,JT7AUID,JT7CRID,DB2ID;
* COLUMNS=JT7PCGP,JT7PCIO,JT7RIOR,JT7GETP;
* COLUMNS=JT7SYNR,JT7SPRE,JT7LPRE,JT7DPRE;
* COLUMNS=JT7ASYW,JT7OTHW,JT7GPR,JT7SYR;
* COLUMNS=JT7SPR,JT7LPR,JT7DPR,JT7ASR;
* COLUMNS=JT7OTR,TIMESTAMP;
* COLUMNS=JT7SPNM,NUMTHRD,IDNAME,DSGROUP,ORIGINNODE,SYSID,
* COLUMNS=JT7DBNM;
* PRED=IDNAME = $IDNAME$
* PRED=AND JT7DBNM = $DBNAME$
* PRED=AND JT7SPNM = $SPNAME$

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_110_GOA_THREAD_SP_DET";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_110_GOA_THREAD_SP_DET",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GOA Thread Spacename Detail",
  "Retrieve DB2 GOA Thread Detail information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOATHAS@table1.column1.name=JT7PLNM@table1.column2.
name=JT7AUID@table1.column3.name=JT7CRID@table1.column4.name=DB2ID@table
1.column5.name=JT7PCGP@table1.column6.name=JT7PCIO@table1.column7.name=J
T7RIOR@table1.column8.name=JT7GETP@table1.column9.name=JT7SYNR@table1.co
lumn10.name=JT7SPRE@table1.column11.name=JT7LPRE@table1.column12.name=JT
7DPRE@table1.column13.name=JT7ASYW@table1.column14.name=JT7OTHW@table1.c
olumn15.name=JT7GPR@table1.column16.name=JT7SYR@table1.column17.name=JT7
SPR@table1.column18.name=JT7LPR@table1.column19.name=JT7DPR@table1.colum
n20.name=JT7ASR@table1.column21.name=JT7OTR@table1.column22.name=TIMESTA
MP@table1.column23.name=JT7SPNM@table1.column24.name=NUMTHRD@table1.colu
mn25.name=IDNAME@table1.column26.name=DSGROUP@table1.column27.name=ORIGI
NNODE@table1.column28.name=SYSID@table1.column29.name=JT7DBNM@table1.col
umnCount=29@tableCount=1@filter1.connector=AND@filter1.column=IDNAME@fil
ter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=AND@filter2.co
lumn=JT7DBNM@filter2.operator=EQ@filter2.value=$DBNAME$@filter3.connecto
r=AND@filter3.column=JT7SPNM@filter3.operator=EQ@filter3.value=$SPNAME$@
filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@pr
operty1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp202.dat
*
* ****************************************************************
* *  Report:             GBP Statistics Detail                   *
* *  Table:              GBP_STATS                               *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node, and struct name, data sharing     *
* *                      group, Timeout, not visible.            *
* *  Parent:             Group Buffer Pool Statistics            *
* ****************************************************************
* IDENT=zDB2_202_Group_Buffpool_Stats;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GBP Statistics Detail;
* USER=CCC_200
* DESC=Retrieve DB2 Group BP Statistics information
* TABLE=KDP.GBP_STATS;
* NODETYPE=DSGROUP;
* VISIBLE=N;
* AT=*HUB;
* READONLY=T;
* COLUMNS=STRUCTN,NUMDB2,XIREAD,XIREADN;
* COLUMNS=GBPREAD,GBPREADN,CHGWRITE,CLNWRITE;
* COLUMNS=COCLASST,COGBPT,COPAGES,COENGNA;
* COLUMNS=WRENGNA,RDFAILS,WRFAILS,RPLREQ;
* COLUMNS=RPLRCHN,RPLRCLN,NUMCHECK,NUMREBLD;
* COLUMNS=STGSTAT,UNLCO,READCOC;
* COLUMNS=READCOST,DELNAME,RDIRINFO,UNREGP;
* COLUMNS=REGPAGE,PFREAD,PFREADN,SYSWRCHN;
* COLUMNS=SYSWRCLN,TIMESTAMP;
* COLUMNS=ORIGINNODE,SYSID,IDNAME,DB2ID,DSGROUP;
* PRED=IDNAME = $IDNAME$;
* PRED=AND STRUCTN = $STRUCTN$;
* PARMS='TIMEOUT','300',3;
* ORDER=A STRUCTN;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_202_Group_Buffpool_Stats";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_202_Group_Buffpool_Stats",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GBP Statistics Detail",
  "Retrieve DB2 Group BP Statistics information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GBP_STATS@table1.column1.name=STRUCTN@table1.column
2.name=NUMDB2@table1.column3.name=XIREAD@table1.column4.name=XIREADN@tab
le1.column5.name=GBPREAD@table1.column6.name=GBPREADN@table1.column7.nam
e=CHGWRITE@table1.column8.name=CLNWRITE@table1.column9.name=COCLASST@tab
le1.column10.name=COGBPT@table1.column11.name=COPAGES@table1.column12.na
me=COENGNA@table1.column13.name=WRENGNA@table1.column14.name=RDFAILS@tab
le1.column15.name=WRFAILS@table1.column16.name=RPLREQ@table1.column17.na
me=RPLRCHN@table1.column18.name=RPLRCLN@table1.column19.name=NUMCHECK@ta
ble1.column20.name=NUMREBLD@table1.column21.name=STGSTAT@table1.column22
.name=UNLCO@table1.column23.name=READCOC@table1.column24.name=READCOST@t
able1.column25.name=DELNAME@table1.column26.name=RDIRINFO@table1.column2
7.name=UNREGP@table1.column28.name=REGPAGE@table1.column29.name=PFREAD@t
able1.column30.name=PFREADN@table1.column31.name=SYSWRCHN@table1.column3
2.name=SYSWRCLN@table1.column33.name=TIMESTAMP@table1.column34.name=ORIG
INNODE@table1.column35.name=SYSID@table1.column36.name=IDNAME@table1.col
umn37.name=DB2ID@table1.column38.name=DSGROUP@table1.columnCount=38@tabl
eCount=1@filter1.connector=AND@filter1.column=IDNAME@filter1.operator=EQ
@filter1.value=$IDNAME$@filter2.connector=AND@filter2.column=STRUCTN@fil
ter2.operator=EQ@filter2.value=$STRUCTN$@filterCount=2@order1.column=STR
UCTN@order1.sequence=ASCENDING@orderCount=1@parma1.value='TIMEOUT','300'
,3@parmaCount=1@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@
property1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp203.dat
*
* ****************************************************************
* *  Report:             GOA Volume Database                     *
* *  Table:              GOAVOLD                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node and volume name, data sharing      *
* *                      group, sub-report.                      *
* *  Parent:             GOA Volume                              *
* ****************************************************************
* IDENT=zDB2_203_GOA_Volume_Database;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GOA Volume Database Report
* USER=CCC_200
* DESC=Retrieve DB2 GOA Volume Database information
* TABLE=KDP.GOAVOLD;
* NODETYPE=DSGROUP;
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=JVPDB,DB2COUNT,JVPDSNS,JVPEXTS,JVPVUSE;
* COLUMNS=JVPTIOR,JVPRIOR,JVPWIOR;
* COLUMNS=JVPTIO,JVPRIO,JVPWIO;
* COLUMNS=JVPTIOM,JVPRIOM,JVPWIOM,TIMESTAMP;
* COLUMNS=ORIGINNODE,DSGROUP,JVPVOL,IDNAME;
* COLUMNS=JVPSP,DB2ID,SYSID;
* PRED=DSGROUP = $IDNAME$;
* PRED=AND JVPVOL = $VOLSER$

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_203_GOA_Volume_Database";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_203_GOA_Volume_Database",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GOA Volume Database Report",
  "Retrieve DB2 GOA Volume Database information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAVOLD@table1.column1.name=JVPDB@table1.column2.na
me=DB2COUNT@table1.column3.name=JVPDSNS@table1.column4.name=JVPEXTS@tabl
e1.column5.name=JVPVUSE@table1.column6.name=JVPTIOR@table1.column7.name=
JVPRIOR@table1.column8.name=JVPWIOR@table1.column9.name=JVPTIO@table1.co
lumn10.name=JVPRIO@table1.column11.name=JVPWIO@table1.column12.name=JVPT
IOM@table1.column13.name=JVPRIOM@table1.column14.name=JVPWIOM@table1.col
umn15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@table1.column17.nam
e=DSGROUP@table1.column18.name=JVPVOL@table1.column19.name=IDNAME@table1
.column20.name=JVPSP@table1.column21.name=DB2ID@table1.column22.name=SYS
ID@table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.colu
mn=DSGROUP@filter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=
AND@filter2.column=JVPVOL@filter2.operator=EQ@filter2.value=$VOLSER$@fil
terCount=2@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@prope
rty1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp204.dat
*
* ****************************************************************
* *  Report:             GOA Volume Spacename                    *
* *  Table:              GOAVOLD                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node, volume name, and space name, data *
* *                      sharing group, sub-report.              *
* *  Parent:             GOA Volume Database                     *
* ****************************************************************
* IDENT=zDB2_204_GOA_Volume_Spacename;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GOA Volume Spacename;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Volume Spacename Summary information
* TABLE=KDP.GOAVOLD;
* NODETYPE=DSGROUP
* VISIBLE=N;
* READONLY=T;
* AT=*HUB;
* COLUMNS=JVPSP,DB2COUNT,JVPDSNS,JVPEXTS,JVPVUSE;
* COLUMNS=JVPTIOR,JVPRIOR,JVPWIOR,JVPTIO,JVPRIO;
* COLUMNS=JVPWIO,JVPTIOM,JVPRIOM,JVPWIOM,TIMESTAMP;
* COLUMNS=JVPVOL,JVPDB;
* COLUMNS=ORIGINNODE,IDNAME,DSGROUP,DB2ID,SYSID; 
* PRED=IDNAME = $IDNAME$;
* PRED=AND JVPVOL = $VOLSER$
* PRED=AND JVPDB  = $DBNAME$

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_204_GOA_Volume_Spacename";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_204_GOA_Volume_Spacename",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GOA Volume Spacename",
  "Retrieve DB2 GOA Volume Spacename Summary information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAVOLD@table1.column1.name=JVPSP@table1.column2.na
me=DB2COUNT@table1.column3.name=JVPDSNS@table1.column4.name=JVPEXTS@tabl
e1.column5.name=JVPVUSE@table1.column6.name=JVPTIOR@table1.column7.name=
JVPRIOR@table1.column8.name=JVPWIOR@table1.column9.name=JVPTIO@table1.co
lumn10.name=JVPRIO@table1.column11.name=JVPWIO@table1.column12.name=JVPT
IOM@table1.column13.name=JVPRIOM@table1.column14.name=JVPWIOM@table1.col
umn15.name=TIMESTAMP@table1.column16.name=JVPVOL@table1.column17.name=JV
PDB@table1.column18.name=ORIGINNODE@table1.column19.name=IDNAME@table1.c
olumn20.name=DSGROUP@table1.column21.name=DB2ID@table1.column22.name=SYS
ID@table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.colu
mn=IDNAME@filter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=A
ND@filter2.column=JVPVOL@filter2.operator=EQ@filter2.value=$VOLSER$@filt
er3.connector=AND@filter3.column=JVPDB@filter3.operator=EQ@filter3.value
=$DBNAME$@filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@property1.name
=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp206.dat
*
* ****************************************************************
* *  Report:             GOA Volume Spacename Detail             *
* *  Table:              GOAVOLD                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node, volume name, database name, space *
* *                      name, data sharing group, sub-report.   *
* *  Parent:             GOA Volume Spacename                    *
* ****************************************************************
* IDENT=zDB2_206_GOA_Volume_Spacename_D;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=GOA Volume Spacename Detail;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Volume Spacename Detail information
* TABLE=KDP.GOAVOLD;
* NODETYPE=DSGROUP
* VISIBLE=N;
* AT=*HUB;
* READONLY=T;
* COLUMNS=JVPSP,DB2ID,JVPDSNS,JVPEXTS,JVPVUSE;
* COLUMNS=JVPTIOR,JVPRIOR,JVPWIOR,JVPTIO,JVPRIO;
* COLUMNS=JVPWIO,JVPTIOM,JVPRIOM,JVPWIOM,TIMESTAMP;
* COLUMNS=JVPVOL,JVPDB;
* COLUMNS=ORIGINNODE,IDNAME,DSGROUP,DB2COUNT,SYSID; 
* PRED=IDNAME     = $IDNAME$;
* PRED=AND JVPVOL = $VOLSER$;
* PRED=AND JVPDB  = $DBNAME$;
* PRED=AND JVPSP  = $SPNAME$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_206_GOA_Volume_Spacename_D";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_206_GOA_Volume_Spacename_D",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "GOA Volume Spacename Detail",
  "Retrieve DB2 GOA Volume Spacename Detail information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAVOLD@table1.column1.name=JVPSP@table1.column2.na
me=DB2ID@table1.column3.name=JVPDSNS@table1.column4.name=JVPEXTS@table1.
column5.name=JVPVUSE@table1.column6.name=JVPTIOR@table1.column7.name=JVP
RIOR@table1.column8.name=JVPWIOR@table1.column9.name=JVPTIO@table1.colum
n10.name=JVPRIO@table1.column11.name=JVPWIO@table1.column12.name=JVPTIOM
@table1.column13.name=JVPRIOM@table1.column14.name=JVPWIOM@table1.column
15.name=TIMESTAMP@table1.column16.name=JVPVOL@table1.column17.name=JVPDB
@table1.column18.name=ORIGINNODE@table1.column19.name=IDNAME@table1.colu
mn20.name=DSGROUP@table1.column21.name=DB2COUNT@table1.column22.name=SYS
ID@table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.colu
mn=IDNAME@filter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=A
ND@filter2.column=JVPVOL@filter2.operator=EQ@filter2.value=$VOLSER$@filt
er3.connector=AND@filter3.column=JVPDB@filter3.operator=EQ@filter3.value
=$DBNAME$@filter4.connector=AND@filter4.column=JVPSP@filter4.operator=EQ
@filter4.value=$SPNAME$@filterCount=4@nodeTypeCount=1@nodeType1=DSGROUP@
property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@histo
ry=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp207.dat
*
* ****************************************************************
* *  Report:             GOA Volume Thread Detail                *
* *  Table:              GOATHVS                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node and volser, sub-report.            *
* *  Parent:             GOA Volume Thread                       *
* ****************************************************************
* IDENT=zDB2_207_GOA_THREAD_VOL_DET;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Analysis Volume Thread Detail;
* USER=CCC_200
* DESC=Retrieve DB2 Group Object Analysis Thread Volume Detail information
* TABLE=KDP.GOATHVS;
* NODETYPE=DSGROUP
* VISIBLE=N;
* AT=*HUB;
* READONLY=T;
* COLUMNS=JVTPLNM,JVTAUID,JVTCRID,DB2ID;
* COLUMNS=JVTTIOR,JVTRIOR,JVTWIOR;
* COLUMNS=JVTTIO,JVTRIO,JVTWIO,TIMESTAMP;
* COLUMNS=ORIGINNODE,SYSID,IDNAME,DSGROUP;
* COLUMNS=JVTTIORM,JVTRIORM,JVTWIORM;
* COLUMNS=JVTVOL,NUMTHRD,JVTVUSE;
* PRED=IDNAME = $IDNAME$;
* PRED=AND JVTVOL = $VOLSER$;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_207_GOA_THREAD_VOL_DET";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_207_GOA_THREAD_VOL_DET",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Group Object Analysis Volume Thread Detail",
  "Retrieve DB2 Group Object Analysis Thread Volume Detail information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOATHVS@table1.column1.name=JVTPLNM@table1.column2.
name=JVTAUID@table1.column3.name=JVTCRID@table1.column4.name=DB2ID@table
1.column5.name=JVTTIOR@table1.column6.name=JVTRIOR@table1.column7.name=J
VTWIOR@table1.column8.name=JVTTIO@table1.column9.name=JVTRIO@table1.colu
mn10.name=JVTWIO@table1.column11.name=TIMESTAMP@table1.column12.name=ORI
GINNODE@table1.column13.name=SYSID@table1.column14.name=IDNAME@table1.co
lumn15.name=DSGROUP@table1.column16.name=JVTTIORM@table1.column17.name=J
VTRIORM@table1.column18.name=JVTWIORM@table1.column19.name=JVTVOL@table1
.column20.name=NUMTHRD@table1.column21.name=JVTVUSE@table1.columnCount=2
1@tableCount=1@filter1.connector=AND@filter1.column=IDNAME@filter1.opera
tor=EQ@filter1.value=$IDNAME$@filter2.connector=AND@filter2.column=JVTVO
L@filter2.operator=EQ@filter2.value=$VOLSER$@filterCount=2@nodeTypeCount
=1@nodeType1=DSGROUP@property1.name=-1021A@property1.value=kfw.TableRow@
propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp208.dat
*
* ****************************************************************
* *  Report:             Group Object Activity Spacename         *
* *  Table:              GOAACTS                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node and database name, data sharing    *
* *                      groups, sub report.                     *
* *  Parent:             GOA Activity Database                   *
* ****************************************************************
* IDENT=zDB2_208_GOA_ACTIVITY_SP;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Activity by Spacename;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Activity information
* TABLE=KDP.GOAACTS;
* NODETYPE=DSGROUP
* VISIBLE=N;
* AT=*HUB;
* READONLY=T;
* COLUMNS=JTPSP,NUMDB2,JTPPCGP,JTPPCIO,JTPRIOR,JTPGETP,JTPSYNR;
* COLUMNS=JTPPREF,JTPASYW,JTPOTHW,JTPGPR,JTPSYR,JTPPRR;
* COLUMNS=JTPASR,JTPOTR,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,DB2ID,JTPDB,DSGROUP,SYSID;
* PRED=IDNAME = $IDNAME$;
* PRED=AND JTPDB = $DBNAME$;
* *ORDER=A JTPDB;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_208_GOA_ACTIVITY_SP";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_208_GOA_ACTIVITY_SP",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Group Object Activity by Spacename",
  "Retrieve DB2 GOA Activity information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAACTS@table1.column1.name=JTPSP@table1.column2.na
me=NUMDB2@table1.column3.name=JTPPCGP@table1.column4.name=JTPPCIO@table1
.column5.name=JTPRIOR@table1.column6.name=JTPGETP@table1.column7.name=JT
PSYNR@table1.column8.name=JTPPREF@table1.column9.name=JTPASYW@table1.col
umn10.name=JTPOTHW@table1.column11.name=JTPGPR@table1.column12.name=JTPS
YR@table1.column13.name=JTPPRR@table1.column14.name=JTPASR@table1.column
15.name=JTPOTR@table1.column16.name=TIMESTAMP@table1.column17.name=ORIGI
NNODE@table1.column18.name=IDNAME@table1.column19.name=DB2ID@table1.colu
mn20.name=JTPDB@table1.column21.name=DSGROUP@table1.column22.name=SYSID@
table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.column=
IDNAME@filter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=AND@
filter2.column=JTPDB@filter2.operator=EQ@filter2.value=$DBNAME$@filterCo
unt=2@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.169
*
*   Data generated for V180 CandleNet Portal 
*
*   Input Data from Input/kdp209.dat
*
* ****************************************************************
* *  Report:             Group Object Activity Spacename Detail  *
* *  Table:              GOAACTS                                 *
* *  Characteristics:    Execute on *HUB, filter on origin       *
* *                      node database name and space name, data *
* *                      sharing groups, sub report.             *
* *  Parent:             GOA Activity Spacename                  *
* ****************************************************************
* IDENT=zDB2_209_GOA_ACTIVITY_SP_DET;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Group Object Activity by Spacename Detail;
* USER=CCC_200
* DESC=Retrieve DB2 GOA Activity information
* TABLE=KDP.GOAACTS;
* NODETYPE=DSGROUP
* AT=*HUB;
* VISIBLE=N;
* READONLY=T;
* COLUMNS=JTPSP,DB2ID,JTPPCGP,JTPPCIO,JTPRIOR,JTPGETP,JTPSYNR;
* COLUMNS=JTPPREF,JTPASYW,JTPOTHW,JTPGPR,JTPSYR,JTPPRR;
* COLUMNS=JTPASR,JTPOTR,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,NUMDB2,JTPDB,DSGROUP,SYSID;
* PRED=IDNAME = $IDNAME$;
* PRED=AND JTPDB = $DBNAME$;
* PRED=AND JTPSP = $SPNAME$;
* *ORDER=A JTPDB;

DELETE FROM KFWQUERY   WHERE ID       =
 "zDB2_209_GOA_ACTIVITY_SP_DET";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "zDB2_209_GOA_ACTIVITY_SP_DET",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Group Object Activity by Spacename Detail",
  "Retrieve DB2 GOA Activity information",
  "CCC_200",
  "1021212090347000",
"at=*HUB@table1.name=GOAACTS@table1.column1.name=JTPSP@table1.column2.na
me=DB2ID@table1.column3.name=JTPPCGP@table1.column4.name=JTPPCIO@table1.
column5.name=JTPRIOR@table1.column6.name=JTPGETP@table1.column7.name=JTP
SYNR@table1.column8.name=JTPPREF@table1.column9.name=JTPASYW@table1.colu
mn10.name=JTPOTHW@table1.column11.name=JTPGPR@table1.column12.name=JTPSY
R@table1.column13.name=JTPPRR@table1.column14.name=JTPASR@table1.column1
5.name=JTPOTR@table1.column16.name=TIMESTAMP@table1.column17.name=ORIGIN
NODE@table1.column18.name=IDNAME@table1.column19.name=NUMDB2@table1.colu
mn20.name=JTPDB@table1.column21.name=DSGROUP@table1.column22.name=SYSID@
table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.column=
IDNAME@filter1.operator=EQ@filter1.value=$IDNAME$@filter2.connector=AND@
filter2.column=JTPDB@filter2.operator=EQ@filter2.value=$DBNAME$@filter3.
connector=AND@filter3.column=JTPSP@filter3.operator=EQ@filter3.value=$SP
NAME$@filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@property1.name=-10
21A@property1.value=kfw.TableRow@propertyCount=1@history=F@");

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_300_ALL_Active_THREADS";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_Thread_High_CPU" AND 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "*Critical";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "*Warning";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "*Informational";
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "*STATUS_UNKNOWN";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "OK";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "Critical";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "Warning";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "Informational";
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = "ZDB2_300_ALL_Active_THREADS" AND NAME = "Unavailable";
DELETE FROM KFWTMPL WHERE NAME     =
 "ZDB2_300_ALL_Active_THREADS";
******************************************************************
*                                                                *
* D5300	starts from here                                         *
*                                                                *  
******************************************************************


DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ARCM_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_CTHD_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_DWAT_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_ETIM_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_GETP_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDBC_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_IDBT_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_INDB_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PGUP_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_PREF_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_RCPU_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_RIO_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TCPU_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TRCV_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_TSND_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WCLM_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WDLK_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WGLK_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WLGQ_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WSPS_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";
DELETE FROM KFWTMPLSIT WHERE 
 NAME = "KDP_WSRV_Warning" AND 
 TEMPLATE = "zDB2_020_Test_THR";



*  ****************************************************************
*  *  Product:            KDP                                     *
*  *  Version:            300                                     *
*  *  Workspace:          Top threads                             *
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  ****************************************************************
*  IDENT=ZDB2_0000_TOP_TEN_CPU;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=Thread Activity;
*  USER=CCC_300;
*  DESC=Display thread activity;
*  NODETYPE=DB2;
*  VISIBLE=*;
*  TABLE=KDP.REALTHDA;
*  TABLE=KDP.REALACT;
*  TABLE=KDP.REALENC;
*  TABLE=KDP.REALRSUM;
*  TABLE=KDP.TDB2CONN;
*  TABLE=KDP.TCONOVER;
*  TABLE=KDP.TCONSTMT;
*  TABLE=KDP.TCONPKG;
*  SITNAME=KD5_ARCM_Warning Warning;
*  SITNAME=KD5_CTHD_Warning Warning;
*  SITNAME=KD5_DWAT_Warning Warning;
*  SITNAME=KD5_ETIM_Warning Warning;
*  SITNAME=KD5_GETP_Warning Warning;
*  SITNAME=KD5_IDBC_Warning Warning;
*  SITNAME=KD5_IDBT_Warning Warning;
*  SITNAME=KD5_INDB_Warning Warning;
*  SITNAME=KD5_PGUP_Warning Warning;
*  SITNAME=KD5_PREF_Warning Warning;
*  SITNAME=KD5_RCPU_Warning Warning;
*  SITNAME=KD5_RIO_Warning Warning;
*  SITNAME=KD5_TCPU_Warning Warning;
*  SITNAME=KD5_TRCV_Warning Warning;
*  SITNAME=KD5_TSND_Warning Warning;
*  SITNAME=KD5_WCLM_Warning Warning;
*  SITNAME=KD5_WDLK_Warning Warning;
*  SITNAME=KD5_WGLK_Warning Warning;
*  SITNAME=KD5_WLGQ_Warning Warning;
*  SITNAME=KD5_WSPS_Warning Warning;
*  SITNAME=KD5_WSRV_Warning Warning;
*  SITNAME=KD5_Recent_Stmt_ETIM_Warning Warning;
*  SITNAME=KD5_Fail_Stmt_Percent_Warning Warning; 

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_ARCM_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_CTHD_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DWAT_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_ETIM_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_GETP_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_IDBC_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_IDBT_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_INDB_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_PGUP_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_PREF_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_RCPU_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_RIO_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_TCPU_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_TRCV_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_TSND_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WCLM_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WDLK_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WGLK_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WLGQ_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WSPS_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_WSRV_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Recent_Stmt_ETIM_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Fail_Stmt_Percent_Warning' AND 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0000_TOP_TEN_CPU' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZDB2_0000_TOP_TEN_CPU';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0000_TOP_TEN_CPU',
  'KDP',
  '0020000000000000000000000000000000000000000',
  '*',
  'Thread Activity',
  'Display thread activity',
  'CCC_300',
  '1051017180243000',
'table1.name=REALTHDA@table2.name=REALACT@table3.name=REALENC@table4.nam
e=REALRSUM@table5.name=TDB2CONN@table6.name=TCONOVER@table7.name=TCONSTM
T@table8.name=TCONPKG@tableCount=8@nodeTypeCount=1@nodeType1=DB2@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000000000000000',
   32,
   259,
   '1051017180243000',
   '_ KCJ',
   'ZDB2_0000_TOP_TEN_CPU',
   'Thread Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0000_TOP_TEN_CPU',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0000_TOP_TEN_CPU',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0000_TOP_TEN_CPU',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0000_TOP_TEN_CPU',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0000_TOP_TEN_CPU',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZDB2_0000_TOP_TEN_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZDB2_0000_TOP_TEN_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZDB2_0000_TOP_TEN_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_ARCM_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_CTHD_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DWAT_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_ETIM_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_GETP_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_IDBC_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_IDBT_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_INDB_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_PGUP_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_PREF_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_RCPU_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_RIO_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_TCPU_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_TRCV_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_TSND_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WCLM_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WDLK_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WGLK_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WLGQ_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WSPS_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_WSRV_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Recent_Stmt_ETIM_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Fail_Stmt_Percent_Warning',
   'Warning',
   'ZDB2_0000_TOP_TEN_CPU',
   0
);




* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            300                                     *
* *  Workspace:          Top Ten in_DB2_CPU Time Threads         *
* *  Table:              REALTHRD                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_0001_TOP_TEN_INDB2CPU_TIME;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten in_DB2_CPU Time Threads;
* USER=CCC_300;
* DESC=Display top Ten threads with the most in_DB2_CPU_time;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  * First column to return
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; * Last column to return
* PRED=ORIGINNODE = $NODE$;
* ORDER=ASCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0001_TOP_TEN_INDB2CPU_TIME";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0001_TOP_TEN_INDB2CPU_TIME",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten in_DB2_CPU Time Threads",
  "Display top Ten threads with the most in_DB2_CPU_time",
  "CCC_300",
  "1041230130524000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=@filter2.operator=EQ@filter2.value=LAST(10)@filterCount=2@order1.column=WHNDBTCT@order1.sequence=ASCENDING@orderCou
nt=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@");

* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            300                                     *
* *  Workspace:          Top Ten Elapsed Time                    *
* *  Table:              REALTHRD                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
* ****************************************************************
* IDENT=ZDB2_0007_TOP_TEN_ELAPSED_TIME_THREADS;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten Elapsed Time Threads;
* USER=CCC_300;
* DESC=Display top Ten threads with the most elapsed time;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  * First column to return
* COLUMNS=MVSID;
* COLUMNS=SSID;                             
*      COLUMNS=  QWHSLUUV 
*      COLUMNS=  QWHSLUUV2                                  
*      COLUMNS=  QW0148AC                             
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR                                  
*      COLUMNS=  TDIDDB2S                                  
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                                  
*      COLUMNS=  TDIDPLAN                                   
*      COLUMNS=  THDXETIM                                   
* COLUMNS=ORIGINNODE; * Last column to return
* PRED=ORIGINNODE = $NODE$;
* ORDER=ASCENDING THDXETIM;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0007_TOP_TEN_ELAPSED_TIME_T";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0007_TOP_TEN_ELAPSED_TIME_T",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten Elapsed Time Threads",
  "Display top Ten threads with the most elapsed time",
  "CCC_300",
  "1041230131038000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=QWHSLUU
V@table1.column5.name=QWHSLUUV2@table1.column6.name=QW0148AC@table1.colu
mn7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDC
ONN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDDB2S@table1.c
olumn12.name=TDIDLOCN@table1.column13.name=TDIDOPID@table1.column14.name
=TDIDPACK@table1.column15.name=TDIDPCOL@table1.column16.name=TDIDPLAN@ta
ble1.column17.name=THDXETIM@table1.column18.name=ORIGINNODE@table1.colum
nCount=18@tableCount=1@filter1.value=LAST(10)@filter1.connector=AND@filt
er1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCou
nt=1@order1.column=THDXETIM@order1.sequence=ASCENDING@orderCount=1@nodeT
ypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Table
Row@propertyCount=1@history=F@");

* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            300                                     *
* *  Workspace:          Top Ten In_DB2 Time Threads             *
* *  Table:              REALTHRD                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_0009_TOP_TEN_INDB2_TIME;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten In_DB2 Time Threads;
* USER=CCC_300;
* DESC=Display top Ten threads with the most In_DB2 Time;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  * First column to return
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; * Last column to return
* PRED=ORIGINNODE = $NODE$;
* ORDER=ASCENDING WHNDBTIM;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0009_TOP_TEN_INDB2_TIME";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0009_TOP_TEN_INDB2_TIME",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten In_DB2 Time Threads",
  "Display top Ten threads with the most In_DB2 Time",
  "CCC_300",
  "1041230131547000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=@filter2.operator=EQ@filter2.value=LAST(10)@filterCount=2@order1.column=WHNDBTIM@order1.sequence=ASCENDING@orderCou
nt=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@");


* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            300                                     *
* *  Workspace:          Top Ten in_DB2_CPU Time Threads         *
* *  Table:              REALTHRD                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_00010_TOP_TEN_INDB2CPUD_TIME;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten in_DB2_CPU Time Descending Threads;
* USER=CCC_300;
* DESC=Display top Ten threads with the most in_DB2_CPU time;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  * First column to return
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; * Last column to return
* PRED=ORIGINNODE = $NODE$;
* ORDER=DESCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_00010_TOP_TEN_INDB2CPUD_TIM";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_00010_TOP_TEN_INDB2CPUD_TIM",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten in_DB2_CPU Time Descending Threads",
  "Display top Ten threads with the most in_DB2_CPU time",
  "CCC_300",
  "1041230134321000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.
connector=AND@filter2.column=@filter2.operator=EQ@filter2.value=FIRST(10
)@filterCount=2@order1.column=WHNDBTCT@order1.sequence=DESCENDING@orderC
ount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.val
ue=kfw.TableRow@propertyCount=1@history=F@");


*  ****************************************************************
*  *  Product:            KDP                                     *
*  *  Version:            300                                     *
*  *  Workspace:          All Active Threads                      *
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  ****************************************************************
*   IDENT=ZDB2_0002_ALL_ACTIVE_THREADS;
*   AFFINITY=0020000000000000000000000000000000000000000;
*   NAME=All Active Threads;
*   USER=CCC_300;
*   DESC=Display all active threads;
*   VISIBLE=N;	
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   COLUMNS=TIMESTAMP;
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  ENCLCPUT                                   
*        COLUMNS=  ENCLPER_P_                                 
*        COLUMNS=  ENCLPIDX                                   
*        COLUMNS=  ENCLSCLN                                   
*        COLUMNS=  QWHSLUUV 
*        COLUMNS=  QWHSLUUV2
*        COLUMNS=  QW0148AC                                   
*        COLUMNS=  TDIDAGNT                                   
*        COLUMNS=  TDIDASID                                   
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR                                  
*        COLUMNS=  TDIDDB2S                                  
*        COLUMNS=  TDIDETKN                                   
*        COLUMNS=  TDIDEUID                                  
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                                  
*        COLUMNS=  TDIDPLAN                                   
*        COLUMNS=  TDIDTCBA                                   
*        COLUMNS=  TDIDTTYP                                   
*        COLUMNS=  TDIDTXID                                  
*        COLUMNS=  TDIDWKID                                  
*        COLUMNS=  THDFBYTS                                   
*        COLUMNS=  THDFCNVS                                   
*        COLUMNS=  THDFLTI2                                   
*        COLUMNS=  THDFMSGS                                   
*        COLUMNS=  THDFRCPU                                   
*        COLUMNS=  THDFROWS                                   
*        COLUMNS=  THDFRTI2                                   
*        COLUMNS=  THDFSQLS                                   
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXCPUR                                   
*        COLUMNS=  THDXDBCM                                   
*        COLUMNS=  THDXELCM                                   
*        COLUMNS=  THDXETIM                                   
*        COLUMNS=  THDXGETP                                   
*        COLUMNS=  THDXGPPR                                   
*        COLUMNS=  THDXJOBN                                   
*        COLUMNS=  QWACPACE                                   
*        COLUMNS=  THDXPFCH                                   
*        COLUMNS=  THDXPIND                                   
*        COLUMNS=  THDXREAD                                   
*        COLUMNS=  THDXSTAT                                  
*        COLUMNS=  THDXUPDT                                   
*        COLUMNS=  WHNDBTCT                                   
*        COLUMNS=  WHNDBTIM
*        COLUMNS=  QW0148CR
*        COLUMNS=  QW0148EL
*        COLUMNS=  QW0148ER 
*        COLUMNS=  THDFSQLR
*        COLUMNS=  VLUNAME 
*        COLUMNS=  TOKENWORK                                  
*   COLUMNS=ORIGINNODE;
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND TDIDCORR = $DB2CORR$;
*  *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0002_ALL_ACTIVE_THREADS";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0002_ALL_ACTIVE_THREADS",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "All Active Threads",
  "Display all active threads",
  "CCC_300",
  "1060705165442000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLCPU
T@table1.column5.name=ENCLPER_P_@table1.column6.name=ENCLPIDX@table1.col
umn7.name=ENCLSCLN@table1.column8.name=QWHSLUUV@table1.column9.name=QWHS
LUUV2@table1.column10.name=QW0148AC@table1.column11.name=TDIDAGNT@table1
.column12.name=TDIDASID@table1.column13.name=TDIDAUTH@table1.column14.na
me=TDIDCNTY@table1.column15.name=TDIDCONN@table1.column16.name=TDIDCORR@
table1.column17.name=TDIDDB2S@table1.column18.name=TDIDETKN@table1.colum
n19.name=TDIDEUID@table1.column20.name=TDIDLOCN@table1.column21.name=TDI
DOPID@table1.column22.name=TDIDPACK@table1.column23.name=TDIDPCOL@table1
.column24.name=TDIDPLAN@table1.column25.name=TDIDTCBA@table1.column26.na
me=TDIDTTYP@table1.column27.name=TDIDTXID@table1.column28.name=TDIDWKID@
table1.column29.name=THDFBYTS@table1.column30.name=THDFCNVS@table1.colum
n31.name=THDFLTI2@table1.column32.name=THDFMSGS@table1.column33.name=THD
FRCPU@table1.column34.name=THDFROWS@table1.column35.name=THDFRTI2@table1
.column36.name=THDFSQLS@table1.column37.name=THDXCOMT@table1.column38.na
me=THDXCPUR@table1.column39.name=THDXDBCM@table1.column40.name=THDXELCM@
table1.column41.name=THDXETIM@table1.column42.name=THDXGETP@table1.colum
n43.name=THDXGPPR@table1.column44.name=THDXJOBN@table1.column45.name=QWA
CPACE@table1.column46.name=THDXPFCH@table1.column47.name=THDXPIND@table1
.column48.name=THDXREAD@table1.column49.name=THDXSTAT@table1.column50.na
me=THDXUPDT@table1.column51.name=WHNDBTCT@table1.column52.name=WHNDBTIM@
table1.column53.name=QW0148CR@table1.column54.name=QW0148EL@table1.colum
n55.name=QW0148ER@table1.column56.name=THDFSQLR@table1.column57.name=VLU
NAME@table1.column58.name=TOKENWORK@table1.column59.name=ORIGINNODE@tabl
e1.columnCount=59@tableCount=1@filter1.connector=AND@filter1.column=ORIG
INNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@fi
lter2.column=TDIDCORR@filter2.operator=EQ@filter2.value=$DB2CORR$@filter
Count=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.va
lue=kfw.TableRow@propertyCount=1@history=F@");



* ******************************************************************
* * Product:            KD3                                        *
* * Version:            300                                        *
* * Workspace:          Thread Enclave                             *
* * Table:              REALENC                                    *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_0003_THREAD_ENCLAVE;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread_ENCLAVE;
* USER=CCC_300;
* DESC=Display thread enclave;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.REALENC;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=ENCLACCT;                                   
* COLUMNS=ENCLADSC;                                   
* COLUMNS=ENCLAENV;                                   
* COLUMNS=ENCLAPNM;                                    
* COLUMNS=ENCLASP1;                                   
* COLUMNS=ENCLASP2;                                   
* COLUMNS=ENCLCCRT;                                    
* COLUMNS=ENCLCPUF;                                    
* COLUMNS=ENCLCTYP;                                    
* COLUMNS=ENCLFCN;                                     
* COLUMNS=ENCLFLG;                                     
* COLUMNS=ENCLGORC;                                    
* COLUMNS=ENCLLCDE;                                   
* COLUMNS=ENCLLCPN;                                   
* COLUMNS=ENCLLGDE;                                   
* COLUMNS=ENCLLGNM;                                    
* COLUMNS=ENCLLU;                                      
* COLUMNS=ENCLLWDE;                                   
* COLUMNS=ENCLLWNM;                                    
* COLUMNS=ENCLNET;                                     
* COLUMNS=ENCLOJOB;                                    
* COLUMNS=ENCLOSYS;                                    
* COLUMNS=ENCLPER_P_;                                  
* COLUMNS=ENCLPERF;                                    
* COLUMNS=ENCLPIDX;                                    
* COLUMNS=ENCLPRIO;                                    
* COLUMNS=ENCLPRNM;                                   
* COLUMNS=ENCLPROC;                                   
* COLUMNS=ENCLRCLN;                                    
* COLUMNS=ENCLRGNN;                                    
* COLUMNS=ENCLSCHD;                                   
* COLUMNS=ENCLSCLN;                                    
* COLUMNS=ENCLSPRT;                                    
* COLUMNS=ENCLSSCN;                                    
* COLUMNS=ENCLSSPM;                                   
* COLUMNS=ENCLSUBN;                              
* COLUMNS=ENCLSUBT;                                    
* COLUMNS=ENCLTRXC;                                    
* COLUMNS=ENCLTRXN;                              
* COLUMNS=ENCLTYPE;                                    
* COLUMNS=ENCLUSER;                                    
* COLUMNS=ENCLVERS;                                    
* COLUMNS=ENCLWKLN;                                    
* COLUMNS=QWHSLUUV; 
* COLUMNS=QWHSLUUV2;                                   
* COLUMNS=TDIDACE;                                     
* COLUMNS=TDIDAGNT;                                    
* COLUMNS=TDIDAUTH;                                    
* COLUMNS=TDIDCNTY;                                    
* COLUMNS=TDIDEUID;                                   
* COLUMNS=TDIDLOCN;                                   
* COLUMNS=TDIDTCBA;                                    
* COLUMNS=TDIDTXID;                                   
* COLUMNS=TDIDWKID; 
*   COLUMNS=TDIDPLAN;
*   COLUMNS=TDIDASID;
*   COLUMNS=TDIDPCOL;
*   COLUMNS=TDIDPACK;
*   COLUMNS=TOKENWORK;
*   COLUMNS=ENCLLIMP;
*   COLUMNS=ENCLLDUR;
*   COLUMNS=ENCLLPER;
*   COLUMNS=ENCLLTYP80;
*   COLUMNS=ENCLLTYP40;
*   COLUMNS=ENCLLTYP20;
*   COLUMNS=ENCLLTYP10;
*   COLUMNS=ENCLLTYP08;
*   COLUMNS=ENCLLRTU;
*   COLUMNS=ENCLLRDE;
*   COLUMNS=ENCLCORR;
*   COLUMNS=WLMTYPE;                             
*   COLUMNS=ORIGINNODE;   
*   COLUMNS=TDIDCONN;
*   COLUMNS=TOTUSES;
*   COLUMNS=TOTDELAY;
*   COLUMNS=GOALDESC;
*   COLUMNS=ENCLLVAL;
*   COLUMNS=STOKEN;
*   COLUMNS=XTOKEN;
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* *    One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0003_THREAD_ENCLAVE";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0003_THREAD_ENCLAVE",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_ENCLAVE",
  "Display thread enclave",
  "CCC_300",
  "1050120221848000",
"at=$THRUNODE$@table1.name=REALENC@table1.column1.name=TIMESTAMP@table1.
column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLACCT
@table1.column5.name=ENCLADSC@table1.column6.name=ENCLAENV@table1.column
7.name=ENCLAPNM@table1.column8.name=ENCLASP1@table1.column9.name=ENCLASP
2@table1.column10.name=ENCLCCRT@table1.column11.name=ENCLCPUF@table1.col
umn12.name=ENCLCTYP@table1.column13.name=ENCLFCN@table1.column14.name=EN
CLFLG@table1.column15.name=ENCLGORC@table1.column16.name=ENCLLCDE@table1
.column17.name=ENCLLCPN@table1.column18.name=ENCLLGDE@table1.column19.na
me=ENCLLGNM@table1.column20.name=ENCLLU@table1.column21.name=ENCLLWDE@ta
ble1.column22.name=ENCLLWNM@table1.column23.name=ENCLNET@table1.column24
.name=ENCLOJOB@table1.column25.name=ENCLOSYS@table1.column26.name=ENCLPE
R_P_@table1.column27.name=ENCLPERF@table1.column28.name=ENCLPIDX@table1.
column29.name=ENCLPRIO@table1.column30.name=ENCLPRNM@table1.column31.nam
e=ENCLPROC@table1.column32.name=ENCLRCLN@table1.column33.name=ENCLRGNN@t
able1.column34.name=ENCLSCHD@table1.column35.name=ENCLSCLN@table1.column
36.name=ENCLSPRT@table1.column37.name=ENCLSSCN@table1.column38.name=ENCL
SSPM@table1.column39.name=ENCLSUBN@table1.column40.name=ENCLSUBT@table1.
column41.name=ENCLTRXC@table1.column42.name=ENCLTRXN@table1.column43.nam
e=ENCLTYPE@table1.column44.name=ENCLUSER@table1.column45.name=ENCLVERS@t
able1.column46.name=ENCLWKLN@table1.column47.name=QWHSLUUV@table1.column
48.name=QWHSLUUV2@table1.column49.name=TDIDACE@table1.column50.name=TDID
AGNT@table1.column51.name=TDIDAUTH@table1.column52.name=TDIDCNTY@table1.
column53.name=TDIDEUID@table1.column54.name=TDIDLOCN@table1.column55.nam
e=TDIDTCBA@table1.column56.name=TDIDTXID@table1.column57.name=TDIDWKID@t
able1.column58.name=TDIDPLAN@table1.column59.name=TDIDASID@table1.column
60.name=TDIDPCOL@table1.column61.name=TDIDPACK@table1.column62.name=TOKE
NWORK@table1.column63.name=ENCLLIMP@table1.column64.name=ENCLLDUR@table1
.column65.name=ENCLLPER@table1.column66.name=ENCLLTYP80@table1.column67.
name=ENCLLTYP40@table1.column68.name=ENCLLTYP20@table1.column69.name=ENC
LLTYP10@table1.column70.name=ENCLLTYP08@table1.column71.name=ENCLLRTU@ta
ble1.column72.name=ENCLLRDE@table1.column73.name=ENCLCORR@table1.column7
4.name=WLMTYPE@table1.column75.name=ORIGINNODE@table1.column76.name=TDID
CONN@table1.column77.name=TOTUSES@table1.column78.name=TOTDELAY@table1.c
olumn79.name=GOALDESC@table1.column80.name=ENCLLVAL@table1.column81.name
=STOKEN@table1.column82.name=XTOKEN@table1.columnCount=82@tableCount=1@f
ilter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filte
r1.value=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@filter2.op
erator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter3.column=
QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filterCount=3@nod
eTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@");



* ******************************************************************
* * Product:            KD3                                        *
* * Version:            300                                        *
* * Workspace:          Thread Enclave                             *
* * Table:              REALENC                                    *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_0012_THREAD_ENCLAVE;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread_ENCLAVE_Service_Period;
* USER=CCC_300;
* DESC=Display thread enclave period;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.REALENC;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=ENCLLU;
* COLUMNS=ENCLPER_P_;
* COLUMNS=ENCLLCPN;                                  
* COLUMNS=ENCLPERF;                                    
* COLUMNS=ENCLPIDX;                                    
* COLUMNS=ENCLPRIO;
* COLUMNS=QWHSLUUV; 
* COLUMNS=QWHSLUUV2;                                   
* COLUMNS=TDIDACE;                                     
* COLUMNS=TDIDAGNT;                                    
* COLUMNS=TDIDAUTH;                                    
* COLUMNS=TDIDCNTY;                                    
* COLUMNS=TDIDEUID;                                   
* COLUMNS=TDIDLOCN;             
* COLUMNS=TDIDTXID;                                   
* COLUMNS=TDIDWKID; 
*   COLUMNS=TDIDPLAN;
*   COLUMNS=TDIDASID;
*   COLUMNS=TDIDPCOL;
*   COLUMNS=TDIDPACK;
*   COLUMNS=TOKENWORK;
*   COLUMNS=ENCLLIMP;
*   COLUMNS=ENCLLDUR;
*   COLUMNS=ENCLLPER;
*   COLUMNS=ENCLLTYP80;
*   COLUMNS=ENCLLTYP40;
*   COLUMNS=ENCLLTYP20;
*   COLUMNS=ENCLLTYP10;
*   COLUMNS=ENCLLTYP08;
*   COLUMNS=ENCLLRTU;
*   COLUMNS=ENCLLRDE;
*   COLUMNS=ENCLCORR;
*   COLUMNS=ORIGINNODE;   
*   COLUMNS=TDIDCONN;
*   COLUMNS=GOALDESC;
* COLUMNS=ENCLLDUR1;
* COLUMNS=ENCLLPER1;
* COLUMNS=ENCLLRTU1;
* COLUMNS=GOALDESC1;
* COLUMNS=ENCLLDUR2;
* COLUMNS=ENCLLPER2;
* COLUMNS=ENCLLRTU2;
* COLUMNS=GOALDESC2;
* COLUMNS=ENCLLDUR3;
* COLUMNS=ENCLLPER3;
* COLUMNS=ENCLLRTU3;
* COLUMNS=GOALDESC3;
* COLUMNS=ENCLLDUR4;
* COLUMNS=ENCLLPER4;
* COLUMNS=ENCLLRTU4;
* COLUMNS=GOALDESC4;
* COLUMNS=ENCLLDUR5;
* COLUMNS=ENCLLPER5;
* COLUMNS=ENCLLRTU5;
* COLUMNS=GOALDESC5;
* COLUMNS=ENCLLDUR6;
* COLUMNS=ENCLLPER6;
* COLUMNS=ENCLLRTU6;
* COLUMNS=GOALDESC6;
* COLUMNS=ENCLLDUR7;
* COLUMNS=ENCLLPER7;
* COLUMNS=ENCLLRTU7;
* COLUMNS=GOALDESC7;
* COLUMNS=ENCLLDUR8;
* COLUMNS=ENCLLPER8;
* COLUMNS=ENCLLRTU8;
* COLUMNS=GOALDESC8;
* COLUMNS=ENCLSCLN;
* COLUMNS=TDIDCONN;
* COLUMNS=ENCLLIMP1;
* COLUMNS=ENCLLIMP2;
* COLUMNS=ENCLLIMP3;
* COLUMNS=ENCLLIMP4;
* COLUMNS=ENCLLIMP5;
* COLUMNS=ENCLLIMP6;
* COLUMNS=ENCLLIMP7;
* COLUMNS=ENCLLIMP8;
* COLUMNS=ENCLLVAL1;
* COLUMNS=ENCLLVAL;
* COLUMNS=ENCLLVAL2;
* COLUMNS=ENCLLVAL3;
* COLUMNS=ENCLLVAL4;
* COLUMNS=ENCLLVAL5;
* COLUMNS=ENCLLVAL6;
* COLUMNS=ENCLLVAL7;
* COLUMNS=ENCLLVAL8;
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0012_THREAD_ENCLAVE";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0012_THREAD_ENCLAVE",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_ENCLAVE_Service_Period",
  "Display thread enclave period",
  "CCC_300",
  "1050118093414000",
"at=$THRUNODE$@table1.name=REALENC@table1.column1.name=TIMESTAMP@table1.
column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLLU@t
able1.column5.name=ENCLPER_P_@table1.column6.name=ENCLLCPN@table1.column
7.name=ENCLPERF@table1.column8.name=ENCLPIDX@table1.column9.name=ENCLPRI
O@table1.column10.name=QWHSLUUV@table1.column11.name=QWHSLUUV2@table1.co
lumn12.name=TDIDACE@table1.column13.name=TDIDAGNT@table1.column14.name=T
DIDAUTH@table1.column15.name=TDIDCNTY@table1.column16.name=TDIDEUID@tabl
e1.column17.name=TDIDLOCN@table1.column18.name=TDIDTXID@table1.column19.
name=TDIDWKID@table1.column20.name=TDIDPLAN@table1.column21.name=TDIDASI
D@table1.column22.name=TDIDPCOL@table1.column23.name=TDIDPACK@table1.col
umn24.name=TOKENWORK@table1.column25.name=ENCLLIMP@table1.column26.name=
ENCLLDUR@table1.column27.name=ENCLLPER@table1.column28.name=ENCLLTYP80@t
able1.column29.name=ENCLLTYP40@table1.column30.name=ENCLLTYP20@table1.co
lumn31.name=ENCLLTYP10@table1.column32.name=ENCLLTYP08@table1.column33.n
ame=ENCLLRTU@table1.column34.name=ENCLLRDE@table1.column35.name=ENCLCORR
@table1.column36.name=ORIGINNODE@table1.column37.name=TDIDCONN@table1.co
lumn38.name=GOALDESC@table1.column39.name=ENCLLDUR1@table1.column40.name
=ENCLLPER1@table1.column41.name=ENCLLRTU1@table1.column42.name=GOALDESC1
@table1.column43.name=ENCLLDUR2@table1.column44.name=ENCLLPER2@table1.co
lumn45.name=ENCLLRTU2@table1.column46.name=GOALDESC2@table1.column47.nam
e=ENCLLDUR3@table1.column48.name=ENCLLPER3@table1.column49.name=ENCLLRTU
3@table1.column50.name=GOALDESC3@table1.column51.name=ENCLLDUR4@table1.c
olumn52.name=ENCLLPER4@table1.column53.name=ENCLLRTU4@table1.column54.na
me=GOALDESC4@table1.column55.name=ENCLLDUR5@table1.column56.name=ENCLLPE
R5@table1.column57.name=ENCLLRTU5@table1.column58.name=GOALDESC5@table1.
column59.name=ENCLLDUR6@table1.column60.name=ENCLLPER6@table1.column61.n
ame=ENCLLRTU6@table1.column62.name=GOALDESC6@table1.column63.name=ENCLLD
UR7@table1.column64.name=ENCLLPER7@table1.column65.name=ENCLLRTU7@table1
.column66.name=GOALDESC7@table1.column67.name=ENCLLDUR8@table1.column68.
name=ENCLLPER8@table1.column69.name=ENCLLRTU8@table1.column70.name=GOALD
ESC8@table1.column71.name=ENCLSCLN@table1.column72.name=TDIDCONN@table1.
column73.name=ENCLLIMP1@table1.column74.name=ENCLLIMP2@table1.column75.n
ame=ENCLLIMP3@table1.column76.name=ENCLLIMP4@table1.column77.name=ENCLLI
MP5@table1.column78.name=ENCLLIMP6@table1.column79.name=ENCLLIMP7@table1
.column80.name=ENCLLIMP8@table1.column81.name=ENCLLVAL1@table1.column82.
name=ENCLLVAL@table1.column83.name=ENCLLVAL2@table1.column84.name=ENCLLV
AL3@table1.column85.name=ENCLLVAL4@table1.column86.name=ENCLLVAL5@table1
.column87.name=ENCLLVAL6@table1.column88.name=ENCLLVAL7@table1.column89.
name=ENCLLVAL8@table1.columnCount=89@tableCount=1@filter1.connector=AND@
filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filte
r2.connector=AND@filter2.column=QWHSLUUV@filter2.operator=EQ@filter2.val
ue=$UNIQUET1$@filter3.connector=AND@filter3.column=QWHSLUUV2@filter3.ope
rator=EQ@filter3.value=$UNIQUET2$@filterCount=3@nodeTypeCount=1@nodeType
1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1
@history=F@");


* ******************************************************************
* *    Product:            KD3                                     *
* *    Version:            300                                     *
* *    Workspace:          Thread DDF                              *
* *    Table:              REALRSUM                                *
* *    COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visi*
* ******************************************************************
*    IDENT=ZDB2_00011_DDF_THREAD_ID;
*    AFFINITY=0020000000000000000000000000000000000000000;
*    NAME=DDF_THREAD_ID;
*    USER=CCC_300;
*    DESC=Display DDF thread id;
*    VISIBLE=N;
*    NODETYPE=DB2;
*    TABLE=KDP.REALRSUM;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;  
*   COLUMNS=  DLCSETIM;                                   
*   COLUMNS=  DLCSLUNM;                                     
*   COLUMNS=  DLCSSTAT                                
*   COLUMNS=  QWHSLUUV
*   COLUMNS=  QWHSLUUV2                                     
*   COLUMNS=  TDIDAUTH                                   
*   COLUMNS=  TDIDCNTY                                   
*   COLUMNS=  TDIDEUID                                  
*   COLUMNS=  TDIDLOCN                                  
*  COLUMNS=TDIDPLAN;
*  COLUMNS=TDIDASID;
*  COLUMNS=TDIDPCOL;
*  COLUMNS=TDIDPACK;
*  COLUMNS=THDFRBTR;
*  COLUMNS=TDIDCORR;
*  COLUMNS=TDIDCONN;
*  COLUMNS=THDFTYPE;
*  COLUMNS=ORIGINNODE;
*  COLUMNS=TDIDTXID;
*  COLUMNS=RCOUNT;
*    PRED=ORIGINNODE = $NODE$;
*    PRED= AND QWHSLUUV = $UNIQUET1$;
* PRED= AND QWHSLUUV2 = $UNIQUET2$;
* PRED= AND DLCSLUNM = $LUNAME$;
* *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_00011_DDF_THREAD_ID";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_00011_DDF_THREAD_ID",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "DDF_THREAD_ID",
  "Display DDF thread id",
  "CCC_300",
  "1050113220954000",
"at=$THRUNODE$@table1.name=REALRSUM@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=DLCSETI
M@table1.column5.name=DLCSLUNM@table1.column6.name=DLCSSTAT@table1.colum
n7.name=QWHSLUUV@table1.column8.name=QWHSLUUV2@table1.column9.name=TDIDA
UTH@table1.column10.name=TDIDCNTY@table1.column11.name=TDIDEUID@table1.c
olumn12.name=TDIDLOCN@table1.column13.name=TDIDPLAN@table1.column14.name
=TDIDASID@table1.column15.name=TDIDPCOL@table1.column16.name=TDIDPACK@ta
ble1.column17.name=THDFRBTR@table1.column18.name=TDIDCORR@table1.column1
9.name=TDIDCONN@table1.column20.name=THDFTYPE@table1.column21.name=ORIGI
NNODE@table1.column22.name=TDIDTXID@table1.column23.name=RCOUNT@table1.c
olumnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNO
DE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter
2.column=QWHSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.c
onnector=AND@filter3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=
$UNIQUET2$@filter4.connector=AND@filter4.column=DLCSLUNM@filter4.operato
r=EQ@filter4.value=$LUNAME$@filterCount=4@nodeTypeCount=1@nodeType1=DB2@
property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@histo
ry=F@");


* ******************************************************************
* *    Product:            KD3                                     *
* *    Version:            300                                     *
* *    Workspace:          Thread DDF                              *
* *    Table:              REALRSUM                                *
* *    COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visi*
* ******************************************************************
*    IDENT=ZDB2_0004_THREAD_DDF;
*    AFFINITY=0020000000000000000000000000000000000000000;
*    NAME=Thread_DDF;
*    USER=CCC_300;
*    DESC=Display thread DDF;
*    VISIBLE=N;
*    NODETYPE=DB2;
*    TABLE=KDP.REALRSUM;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*   COLUMNS=  DLCSCVID;                                   
*   COLUMNS=  DLCSETIM;                                   
*   COLUMNS=  DLCSLUNM;                                   
*   COLUMNS=  DLCSMODE;                                   
*   COLUMNS=  DLCSQUAL;                                  
*   COLUMNS=  DLCSREQ;                                   
*   COLUMNS=  DLCSSSID                                   
*   COLUMNS=  DLCSSTAT                                  
*   COLUMNS=  QWHSLUUV
*   COLUMNS=  QWHSLUUV2                                   
*   COLUMNS=  TCPADDR                                    
*   COLUMNS=  TCPHOST                                  
*   COLUMNS=  TCPLOC                                    
*   COLUMNS=  TCPPORT                                    
*   COLUMNS=  TCPPRD                                     
*   COLUMNS=  TCPSCLN                                    
*   COLUMNS=  TCPSVNM                                   
*   COLUMNS=  TDIDACE                                    
*   COLUMNS=  TDIDAGNT                                   
*   COLUMNS=  TDIDAUTH                                   
*   COLUMNS=  TDIDEUID                                  
*   COLUMNS=  TDIDLOCN                                  
*   COLUMNS=  TDIDTCBA                                   
*   COLUMNS=  TDIDTXID                                  
*   COLUMNS=  TDIDWKID                                  
*   COLUMNS=  THDFABRR                                   
*   COLUMNS=  THDFABRS                                   
*   COLUMNS=  THDFBKRC                                   
*   COLUMNS=  THDFBKSE                                   
*   COLUMNS=  THDFBRBF                                   
*   COLUMNS=  THDFBROW                                   
*   COLUMNS=  THDFBTBF                                   
*   COLUMNS=  THDFBYTR
*   COLUMNS=  THDFBYTS                                   
*   COLUMNS=  THDFCBLB                                   
*   COLUMNS=  THDFCIEL                                   
*   COLUMNS=  THDFCNVA                                   
*   COLUMNS=  THDFCNVQ                                   
*   COLUMNS=  THDFCNVR                                   
*   COLUMNS=  THDFCNVS                                   
*   COLUMNS=  THDFCNVT                                   
*   COLUMNS=  THDFCOMR                                   
*   COLUMNS=  THDFCOMS                                   
*   COLUMNS=  THDFCPTR                                   
*   COLUMNS=  THDFCPUR                                   
*   COLUMNS=  THDFCRRC                                   
*   COLUMNS=  THDFCRSE                                   
*   COLUMNS=  THDFDBAT                                   
*   COLUMNS=  THDFFLGS20                                 
*   COLUMNS=  THDFFLGS40                                 
*   COLUMNS=  THDFINDT                                   
*   COLUMNS=  THDFLARC                                   
*   COLUMNS=  THDFLASE                                   
*   COLUMNS=  THDFMSGR                                   
*   COLUMNS=  THDFMSGS                                   
*   COLUMNS=  THDFPROT                                  
*   COLUMNS=  THDFPRRC                                   
*   COLUMNS=  THDFRBND                                   
*   COLUMNS=  THDFRBTR                                   
*   COLUMNS=  THDFROWR                                   
*   COLUMNS=  THDFROWS                                   
*   COLUMNS=  THDFRRRC                                   
*   COLUMNS=  THDFRRSE                                   
*   COLUMNS=  THDFRTI2                                   
*   COLUMNS=  THDFSQLR                                   
*   COLUMNS=  THDFSQLS                                   
*   COLUMNS=  THDFTRNR                                   
*   COLUMNS=  THDFTRNS                                   
*   COLUMNS=  THDFTYPE                                   
*   COLUMNS=  THDFVNRC
*   COLUMNS=  THDFVNSE                                   
*   COLUMNS=  THDFVYRC                                   
*   COLUMNS=  THDFVYSE 
*  COLUMNS=TDIDPLAN;
*  COLUMNS=TDIDPCOL;
*  COLUMNS=TDIDPACK;
*  COLUMNS=THDFRBTR;
*   COLUMNS=REMWTIME;
*    COLUMNS=ORIGINNODE;   
* COLUMNS=THDFPRSE;
* COLUMNS=RCOUNT;
* COLUMNS=VLUNAME;
*    PRED=ORIGINNODE = $NODE$;
*    PRED= AND QWHSLUUV = $UNIQUET1$;
*    PRED= AND QWHSLUUV2 = $UNIQUET2$;
*    PRED= AND DLCSLUNM = $LUNAME$;
* *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0004_THREAD_DDF";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0004_THREAD_DDF",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_DDF",
  "Display thread DDF",
  "CCC_300",
  "1050119142724000",
"at=$THRUNODE$@table1.name=REALRSUM@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=DLCSCVI
D@table1.column5.name=DLCSETIM@table1.column6.name=DLCSLUNM@table1.colum
n7.name=DLCSMODE@table1.column8.name=DLCSQUAL@table1.column9.name=DLCSRE
Q@table1.column10.name=DLCSSSID@table1.column11.name=DLCSSTAT@table1.col
umn12.name=QWHSLUUV@table1.column13.name=QWHSLUUV2@table1.column14.name=
TCPADDR@table1.column15.name=TCPHOST@table1.column16.name=TCPLOC@table1.
column17.name=TCPPORT@table1.column18.name=TCPPRD@table1.column19.name=T
CPSCLN@table1.column20.name=TCPSVNM@table1.column21.name=TDIDACE@table1.
column22.name=TDIDAGNT@table1.column23.name=TDIDAUTH@table1.column24.nam
e=TDIDEUID@table1.column25.name=TDIDLOCN@table1.column26.name=TDIDTCBA@t
able1.column27.name=TDIDTXID@table1.column28.name=TDIDWKID@table1.column
29.name=THDFABRR@table1.column30.name=THDFABRS@table1.column31.name=THDF
BKRC@table1.column32.name=THDFBKSE@table1.column33.name=THDFBRBF@table1.
column34.name=THDFBROW@table1.column35.name=THDFBTBF@table1.column36.nam
e=THDFBYTR@table1.column37.name=THDFBYTS@table1.column38.name=THDFCBLB@t
able1.column39.name=THDFCIEL@table1.column40.name=THDFCNVA@table1.column
41.name=THDFCNVQ@table1.column42.name=THDFCNVR@table1.column43.name=THDF
CNVS@table1.column44.name=THDFCNVT@table1.column45.name=THDFCOMR@table1.
column46.name=THDFCOMS@table1.column47.name=THDFCPTR@table1.column48.nam
e=THDFCPUR@table1.column49.name=THDFCRRC@table1.column50.name=THDFCRSE@t
able1.column51.name=THDFDBAT@table1.column52.name=THDFFLGS20@table1.colu
mn53.name=THDFFLGS40@table1.column54.name=THDFINDT@table1.column55.name=
THDFLARC@table1.column56.name=THDFLASE@table1.column57.name=THDFMSGR@tab
le1.column58.name=THDFMSGS@table1.column59.name=THDFPROT@table1.column60
.name=THDFPRRC@table1.column61.name=THDFRBND@table1.column62.name=THDFRB
TR@table1.column63.name=THDFROWR@table1.column64.name=THDFROWS@table1.co
lumn65.name=THDFRRRC@table1.column66.name=THDFRRSE@table1.column67.name=
THDFRTI2@table1.column68.name=THDFSQLR@table1.column69.name=THDFSQLS@tab
le1.column70.name=THDFTRNR@table1.column71.name=THDFTRNS@table1.column72
.name=THDFTYPE@table1.column73.name=THDFVNRC@table1.column74.name=THDFVN
SE@table1.column75.name=THDFVYRC@table1.column76.name=THDFVYSE@table1.co
lumn77.name=TDIDPLAN@table1.column78.name=TDIDPCOL@table1.column79.name=
TDIDPACK@table1.column80.name=THDFRBTR@table1.column81.name=REMWTIME@tab
le1.column82.name=ORIGINNODE@table1.column83.name=THDFPRSE@table1.column
84.name=RCOUNT@table1.column85.name=VLUNAME@table1.columnCount=85@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@fi
lter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter3
.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filter4.c
onnector=AND@filter4.column=DLCSLUNM@filter4.operator=EQ@filter4.value=$
LUNAME$@filterCount=4@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021
A@property1.value=kfw.TableRow@propertyCount=1@history=F@");



* * ****************************************************************
* * *  Product:            KD3                                     *
* * *  Version:            300                                     *
* * *  Workspace:          Thread Detail                           *
* * *  Table:              REALACT                                 *
* * *  COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, vis *
* * * **************************************************************
*  IDENT=ZDB2_0005_THREADs_DETAIL;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=Thread_Details1;
*  USER=CCC_300;
*  DESC=Display thread detail;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.REALACT;
*  COLUMNS= ORIGINNODE;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=QWHSLUUV;
*  COLUMNS=QWHSLUUV2;
*  COLUMNS=TDIDCORR;
*  COLUMNS=TDIDEUID;
*  COLUMNS=TDIDWKID;
*  COLUMNS=TDIDTXID;
*  COLUMNS=SSID;
*  COLUMNS=TDIDTCBA;
*  COLUMNS=TDIDAGNT;
*  COLUMNS=TDIDACE;
*  COLUMNS=STATUS;
*  COLUMNS=ELAPSED;
*  COLUMNS=CPU;
*  COLUMNS=THNDBCPU;
*  COLUMNS=THNDBTMF;
*  COLUMNS=THNDBHCP;
*  COLUMNS=THNDBSCP;
*  COLUMNS=MVSSTAT;
*  COLUMNS=CPURATE;
*  COLUMNS=THWTTSPT;
*  COLUMNS=THWTCSPT;
*  COLUMNS=THWTSPCT;
*  COLUMNS=THWTOCSE;
*  COLUMNS=THWTCCSE;
*  COLUMNS=THWTOCNS;
*  COLUMNS=THWTSLSE;
*  COLUMNS=THWTCLSE;
*  COLUMNS=THWTSLNS;
*  COLUMNS=THWTDSSE;
*  COLUMNS=THWTCSSE;
*  COLUMNS=THWTDSNS;
*  COLUMNS=THWTOTSE;
*  COLUMNS=THWTCTSE;
*  COLUMNS=THWTOTNS;
*  COLUMNS=THWTAWFC;
*  COLUMNS=THWTCWFC;
*  COLUMNS=THWTFCCT;
*  COLUMNS=THWTTKSE;
*  COLUMNS=THWTCKSE;
*  COLUMNS=THWTTKNS;
*  COLUMNS=THWTTMSE;
*  COLUMNS=THWTCMSE;
*  COLUMNS=THWTTMNS;
*  COLUMNS=THWTTNSE;
*  COLUMNS=THWTCNSE;
*  COLUMNS=THWTTNNS;
*  COLUMNS=THWTTOSE;
*  COLUMNS=THWTCOSE;
*  COLUMNS=THWTTONS;
*  COLUMNS=THWTTQSE;
*  COLUMNS=THWTCQSE;
*  COLUMNS=THWTTQNS;
*  COLUMNS=THWTTWLG;
*  COLUMNS=THWTCWLG;
*  COLUMNS=THWTARLG;
*  COLUMNS=THWTTWTE;
*  COLUMNS=THWTCWTE;
*  COLUMNS=THWTARNS;
*  COLUMNS=THWTTWTW;
*  COLUMNS=THWTCWTW;
*  COLUMNS=THWTARNW;
*  COLUMNS=QWACPCNT;
*  COLUMNS=THACTCNT;
*  COLUMNS=QWACUDCP;
*  COLUMNS=QWACUDTT;
*  COLUMNS=QWACUDNE;
*  COLUMNS=QWACUDST;
*  COLUMNS=QWACUDEA;
*  COLUMNS=QWACUDEB;
*  COLUMNS=QWACTRTT;
*  COLUMNS=QWACTRET;
*  COLUMNS=QWACPECT;
*  COLUMNS=QWACSPEA;
*  COLUMNS=QWACSPEB;
*  COLUMNS=QWACTRTE;
*  COLUMNS=QWACTREE;
*  COLUMNS=QWAXALCT;
*  COLUMNS=QWAXOCSE;
*  COLUMNS=QWACSPCP;
*  COLUMNS=QWACSVPT;
*  COLUMNS=QWACRLSV;
*  COLUMNS=QWACRBSV;
*  COLUMNS=INDB2IIP;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND QWHSLUUV = $UNIQUET1$;
*  PRED=AND QWHSLUUV2 = $UNIQUET2$;
*  * One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0005_THREADs_DETAIL";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0005_THREADs_DETAIL",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_Details1",
  "Display thread detail",
  "CCC_300",
  "1060621184612000",
"at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=QW
HSLUUV@table1.column5.name=QWHSLUUV2@table1.column6.name=TDIDCORR@table1
.column7.name=TDIDEUID@table1.column8.name=TDIDWKID@table1.column9.name=
TDIDTXID@table1.column10.name=SSID@table1.column11.name=TDIDTCBA@table1.
column12.name=TDIDAGNT@table1.column13.name=TDIDACE@table1.column14.name
=STATUS@table1.column15.name=ELAPSED@table1.column16.name=CPU@table1.col
umn17.name=THNDBCPU@table1.column18.name=THNDBTMF@table1.column19.name=T
HNDBHCP@table1.column20.name=THNDBSCP@table1.column21.name=MVSSTAT@table
1.column22.name=CPURATE@table1.column23.name=THWTTSPT@table1.column24.na
me=THWTCSPT@table1.column25.name=THWTSPCT@table1.column26.name=THWTOCSE@
table1.column27.name=THWTCCSE@table1.column28.name=THWTOCNS@table1.colum
n29.name=THWTSLSE@table1.column30.name=THWTCLSE@table1.column31.name=THW
TSLNS@table1.column32.name=THWTDSSE@table1.column33.name=THWTCSSE@table1
.column34.name=THWTDSNS@table1.column35.name=THWTOTSE@table1.column36.na
me=THWTCTSE@table1.column37.name=THWTOTNS@table1.column38.name=THWTAWFC@
table1.column39.name=THWTCWFC@table1.column40.name=THWTFCCT@table1.colum
n41.name=THWTTKSE@table1.column42.name=THWTCKSE@table1.column43.name=THW
TTKNS@table1.column44.name=THWTTMSE@table1.column45.name=THWTCMSE@table1
.column46.name=THWTTMNS@table1.column47.name=THWTTNSE@table1.column48.na
me=THWTCNSE@table1.column49.name=THWTTNNS@table1.column50.name=THWTTOSE@
table1.column51.name=THWTCOSE@table1.column52.name=THWTTONS@table1.colum
n53.name=THWTTQSE@table1.column54.name=THWTCQSE@table1.column55.name=THW
TTQNS@table1.column56.name=THWTTWLG@table1.column57.name=THWTCWLG@table1
.column58.name=THWTARLG@table1.column59.name=THWTTWTE@table1.column60.na
me=THWTCWTE@table1.column61.name=THWTARNS@table1.column62.name=THWTTWTW@
table1.column63.name=THWTCWTW@table1.column64.name=THWTARNW@table1.colum
n65.name=QWACPCNT@table1.column66.name=THACTCNT@table1.column67.name=QWA
CUDCP@table1.column68.name=QWACUDTT@table1.column69.name=QWACUDNE@table1
.column70.name=QWACUDST@table1.column71.name=QWACUDEA@table1.column72.na
me=QWACUDEB@table1.column73.name=QWACTRTT@table1.column74.name=QWACTRET@
table1.column75.name=QWACPECT@table1.column76.name=QWACSPEA@table1.colum
n77.name=QWACSPEB@table1.column78.name=QWACTRTE@table1.column79.name=QWA
CTREE@table1.column80.name=QWAXALCT@table1.column81.name=QWAXOCSE@table1
.column82.name=QWACSPCP@table1.column83.name=QWACSVPT@table1.column84.na
me=QWACRLSV@table1.column85.name=QWACRBSV@table1.column86.name=INDB2IIP@
table1.columnCount=86@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AN
D@filter2.column=QWHSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@f
ilter3.connector=AND@filter3.column=QWHSLUUV2@filter3.operator=EQ@filter
3.value=$UNIQUET2$@filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1
.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");



* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            300                                     *
* *  Workspace:          Thread Detail                           *
* *  Table:              REALACT                                 *
* *  COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, vis ...
* ****************************************************************
* IDENT=ZDB2_0006_THREADS_DETAIL;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread_Details2;
* USER=CCC_300;
* DESC=Display thread detail;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.REALACT;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=TDIDCORR;
* COLUMNS=TDIDWKID;
* COLUMNS=TDIDEUID;
* COLUMNS=THWTTIOT;
* COLUMNS=THWTCIOT;
* COLUMNS=THWTIOCT;
* COLUMNS=THWTTRDT;
* COLUMNS=THWTCRDT;
* COLUMNS=THWTRDCT;
* COLUMNS=THWTTWRT;
* COLUMNS=THWTCWRT;
* COLUMNS=THWTWRCT;
* COLUMNS=THWTTLKT;
* COLUMNS=THWTCLKT;
* COLUMNS=THWTLKCT;
* COLUMNS=THWTTPGT;
* COLUMNS=THWTCPGT;
* COLUMNS=THWTPGCT;
* COLUMNS=THWTTDRT;
* COLUMNS=THWTCDRT;
* COLUMNS=THWTDRCT;
* COLUMNS=THWTTCLT;
* COLUMNS=THWTCCLT;
* COLUMNS=THWTCLCT;
* COLUMNS=THWTTSRT;
* COLUMNS=THWTCSRT;
* COLUMNS=THWTSRCT;
* COLUMNS=THWTTLQT;
* COLUMNS=THWTLQCT;
* COLUMNS=THWTCLQT;
* COLUMNS=THWTTTPT;
* COLUMNS=THWTCTPT;
* COLUMNS=THWTTPCT;
* COLUMNS=QWACAWTJ;
* COLUMNS=THWTCGCT;
* COLUMNS=THWTGCCT;
* COLUMNS=THWTTGMT;
* COLUMNS=THWTCGMT;
* COLUMNS=THWTGMCT;
* COLUMNS=THWTTSPT;
* COLUMNS=THWTCSPT;
* COLUMNS=THWTSPCT;
* COLUMNS=THWTOCSE;
* COLUMNS=THWTCCSE;
* COLUMNS=THWTOCNS;
* COLUMNS=THWTSLSE;
* COLUMNS=THWTCLSE;
* COLUMNS=THWTSLNS;
* COLUMNS=THWTDSSE;
* COLUMNS=THWTCSSE;
* COLUMNS=THWTDSNS;
* COLUMNS=THWTOTSE;
* COLUMNS=THWTCTSE;
* COLUMNS=THWTOTNS;
* COLUMNS=THWTAWFC;
* COLUMNS=THWTCWFC;
* COLUMNS=THWTFCCT;
* COLUMNS=THWTTKSE;
* COLUMNS=THWTCKSE;
* COLUMNS=THWTTKNS;
* COLUMNS=THWTTMSE;
* COLUMNS=THWTCMSE;
* COLUMNS=THWTTMNS;
* COLUMNS=THWTTNSE;
* COLUMNS=THWTCNSE;
* COLUMNS=THWTTNNS;
* COLUMNS=THWTTOSE;
* COLUMNS=THWTCOSE;
* COLUMNS=THWTTONS;
* COLUMNS=THWTTQSE;
* COLUMNS=THWTCQSE;
* COLUMNS=THWTTQNS;
* COLUMNS=THWTTWLG;
* COLUMNS=THWTCWLG;
* COLUMNS=THWTARLG;
* COLUMNS=THWTTWTE;
* COLUMNS=THWTCWTE;
* COLUMNS=THWTARNS;
* COLUMNS=THWTTWTW;
* COLUMNS=THWTCWTW;
* COLUMNS=THWTARNW;
* COLUMNS=QWAXALCT;
* COLUMNS=QWAXOCSE;
* COLUMNS=QWACSPCP;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* * * One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0006_THREADS_DETAIL";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0006_THREADS_DETAIL",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_Details2",
  "Display thread detail",
  "CCC_300",
  "1041229120120000",
"at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=QWHSLUUV@table1.column6.name=QWHSLUUV2@table1.col
umn7.name=TDIDCORR@table1.column8.name=TDIDWKID@table1.column9.name=TDID
EUID@table1.column10.name=THWTTIOT@table1.column11.name=THWTCIOT@table1.
column12.name=THWTIOCT@table1.column13.name=THWTTRDT@table1.column14.nam
e=THWTCRDT@table1.column15.name=THWTRDCT@table1.column16.name=THWTTWRT@t
able1.column17.name=THWTCWRT@table1.column18.name=THWTWRCT@table1.column
19.name=THWTTLKT@table1.column20.name=THWTCLKT@table1.column21.name=THWT
LKCT@table1.column22.name=THWTTPGT@table1.column23.name=THWTCPGT@table1.
column24.name=THWTPGCT@table1.column25.name=THWTTDRT@table1.column26.nam
e=THWTCDRT@table1.column27.name=THWTDRCT@table1.column28.name=THWTTCLT@t
able1.column29.name=THWTCCLT@table1.column30.name=THWTCLCT@table1.column
31.name=THWTTSRT@table1.column32.name=THWTCSRT@table1.column33.name=THWT
SRCT@table1.column34.name=THWTTLQT@table1.column35.name=THWTLQCT@table1.
column36.name=THWTCLQT@table1.column37.name=THWTTTPT@table1.column38.nam
e=THWTCTPT@table1.column39.name=THWTTPCT@table1.column40.name=QWACAWTJ@t
able1.column41.name=THWTCGCT@table1.column42.name=THWTGCCT@table1.column
43.name=THWTTGMT@table1.column44.name=THWTCGMT@table1.column45.name=THWT
GMCT@table1.column46.name=THWTTSPT@table1.column47.name=THWTCSPT@table1.
column48.name=THWTSPCT@table1.column49.name=THWTOCSE@table1.column50.nam
e=THWTCCSE@table1.column51.name=THWTOCNS@table1.column52.name=THWTSLSE@t
able1.column53.name=THWTCLSE@table1.column54.name=THWTSLNS@table1.column
55.name=THWTDSSE@table1.column56.name=THWTCSSE@table1.column57.name=THWT
DSNS@table1.column58.name=THWTOTSE@table1.column59.name=THWTCTSE@table1.
column60.name=THWTOTNS@table1.column61.name=THWTAWFC@table1.column62.nam
e=THWTCWFC@table1.column63.name=THWTFCCT@table1.column64.name=THWTTKSE@t
able1.column65.name=THWTCKSE@table1.column66.name=THWTTKNS@table1.column
67.name=THWTTMSE@table1.column68.name=THWTCMSE@table1.column69.name=THWT
TMNS@table1.column70.name=THWTTNSE@table1.column71.name=THWTCNSE@table1.
column72.name=THWTTNNS@table1.column73.name=THWTTOSE@table1.column74.nam
e=THWTCOSE@table1.column75.name=THWTTONS@table1.column76.name=THWTTQSE@t
able1.column77.name=THWTCQSE@table1.column78.name=THWTTQNS@table1.column
79.name=THWTTWLG@table1.column80.name=THWTCWLG@table1.column81.name=THWT
ARLG@table1.column82.name=THWTTWTE@table1.column83.name=THWTCWTE@table1.
column84.name=THWTARNS@table1.column85.name=THWTTWTW@table1.column86.nam
e=THWTCWTW@table1.column87.name=THWTARNW@table1.column88.name=QWAXALCT@t
able1.column89.name=QWAXOCSE@table1.column90.name=QWACSPCP@table1.column
Count=90@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@fi
lter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.col
umn=QWHSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connec
tor=AND@filter3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQ
UET2$@filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@
property1.value=kfw.TableRow@propertyCount=1@history=F@");

* ****************************************************************
* *  Product:            KD3                                     *
* *  Version:            300                                     *
* *  Workspace:          Thread Detail                           *
* *  Table:              REALACT                                 *
* *  COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, vis ...
* ****************************************************************
* IDENT=ZDB2_0008_THREADS_DETAIL;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread_id;
* USER=CCC_300;
* DESC=Display thread id;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.REALACT;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=TDIDACE;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=TDIDCORR;
* COLUMNS=TDIDEUID;
* COLUMNS=TDIDWKID;
* COLUMNS=TDIDTXID;
* COLUMNS=TDIDPLAN;
* COLUMNS=TDIDASID;
* COLUMNS=TDIDPCOL;
* COLUMNS=TDIDPACK;
* COLUMNS=TDIDCORR;
* COLUMNS=TDIDAUTH;
* COLUMNS=TDIDCONN;
* COLUMNS=TDIDCNTY;
* COLUMNS=TDIDLOCN;
* COLUMNS=TDIDWKID;
* COLUMNS=TDIDTXID;
* COLUMNS=TDIDEUID;
* COLUMNS=STATUS;
* COLUMNS=ELAPSED;
* COLUMNS=MVSSTAT;
* COLUMNS=JOBNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* * One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_0008_THREADS_DETAIL";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_0008_THREADS_DETAIL",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread_id",
  "Display thread id",
  "CCC_300",
  "1050103133301000",
"at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=TDIDACE@table1.column6.name=QWHSLUUV@table1.colum
n7.name=QWHSLUUV2@table1.column8.name=TDIDCORR@table1.column9.name=TDIDE
UID@table1.column10.name=TDIDWKID@table1.column11.name=TDIDTXID@table1.c
olumn12.name=TDIDPLAN@table1.column13.name=TDIDASID@table1.column14.name
=TDIDPCOL@table1.column15.name=TDIDPACK@table1.column16.name=TDIDCORR@ta
ble1.column17.name=TDIDAUTH@table1.column18.name=TDIDCONN@table1.column1
9.name=TDIDCNTY@table1.column20.name=TDIDLOCN@table1.column21.name=TDIDW
KID@table1.column22.name=TDIDTXID@table1.column23.name=TDIDEUID@table1.c
olumn24.name=STATUS@table1.column25.name=ELAPSED@table1.column26.name=MV
SSTAT@table1.column27.name=JOBNAME@table1.columnCount=27@tableCount=1@fi
lter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter
1.value=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@filter2.ope
rator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter3.column=Q
WHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filterCount=3@node
TypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tabl
eRow@propertyCount=1@history=F@");


*  ****************************************************************
*  *  Product:            KDP                                     *
*  *  Version:            310                                     *
*  *  Workspace:          DB2 Connect Server                      *
*  *  Table:              DB2CONN,DB2CPKG,DB2CTASK                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  ****************************************************************
*  IDENT=ZDB2_1101_DB2_CONNECT;
*  AFFINITY=0020000000000000000000000000000000000000000;
*  NAME=DB2 Connect Server;
*  USER=CCC_110;
*  DESC=Display DB2 Connect Server information;
*  NODETYPE=DB2;
*  VISIBLE=*;
*  TABLE=KDP.DB2CONN;
*  TABLE=KDP.DB2CTASK;
*  TABLE=KDP.DB2CPKG;
* SITNAME=KD5_Process_CPU_Usage_Warning Warning;
* SITNAME=KD5_Stolen_Agents_Warning Warning;
* SITNAME=KD5_Max_Agents_Waiting_Warning Warning;
* SITNAME=KD5_Max_Agent_Overflows_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1101_DB2_CONNECT';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Process_CPU_Usage_Warning' AND 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Stolen_Agents_Warning' AND 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Max_Agents_Waiting_Warning' AND 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Max_Agent_Overflows_Warning' AND 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_1101_DB2_CONNECT' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZDB2_1101_DB2_CONNECT';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1101_DB2_CONNECT',
  'KDP',
  '0020000000000000000000000000000000000000000',
  '*',
  'DB2 Connect Server',
  'Display DB2 Connect Server information',
  'CCC_110',
  '1051018081725000',
'table1.name=DB2CONN@table2.name=DB2CTASK@table3.name=DB2CPKG@tableCount
=3@nodeTypeCount=1@nodeType1=DB2@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000000000000000',
   32,
   259,
   '1051018081725000',
   '_ KCJ',
   'ZDB2_1101_DB2_CONNECT',
   'DB2 Connect Server'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_1101_DB2_CONNECT',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_1101_DB2_CONNECT',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_1101_DB2_CONNECT',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_1101_DB2_CONNECT',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_1101_DB2_CONNECT',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZDB2_1101_DB2_CONNECT',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZDB2_1101_DB2_CONNECT',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZDB2_1101_DB2_CONNECT',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZDB2_1101_DB2_CONNECT',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Process_CPU_Usage_Warning',
   'Warning',
   'ZDB2_1101_DB2_CONNECT',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Stolen_Agents_Warning',
   'Warning',
   'ZDB2_1101_DB2_CONNECT',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Max_Agents_Waiting_Warning',
   'Warning',
   'ZDB2_1101_DB2_CONNECT',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Max_Agent_Overflows_Warning',
   'Warning',
   'ZDB2_1101_DB2_CONNECT',
   0
);



* ******************************************************************
* * Product:            KD5                                        *
* * Version:            310                                        *
* * Workspace:          DB2 CONNECT SERVER Summary                 *
* * Table:              DB2CONN                                    *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1102_DB2_CONNECT;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=DB2 Connect Server Summary;
* USER=CCC_110;
* DESC=Display all DB2 Connect Servers;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2CONN;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EESGD002;
* COLUMNS=EESGD001;
* COLUMNS=EESGD009;
* COLUMNS=EESGD007;
* COLUMNS=EESG2003;
* COLUMNS=EESGD008;
* COLUMNS=EESGD010;
* COLUMNS=ESGD004S;
* COLUMNS=EESGD006;
* COLUMNS=EESGD005;
* COLUMNS=EESGD016;
* COLUMNS=EESGD017;
* COLUMNS=EESGD019;
* COLUMNS=EESGD020;
* COLUMNS=EESGD021;
* COLUMNS=EESGD023;
* COLUMNS=EESGD024;
* COLUMNS=EESGD025;
* COLUMNS=EESGD027;
* COLUMNS=EESGD033;
* COLUMNS=EESGD032;
* COLUMNS=EESGD022;
* COLUMNS=EESGD026;
* COLUMNS=EESGD029;
* COLUMNS=EESGD028;
* COLUMNS=EESGD030;
* COLUMNS=EESGD031;
* COLUMNS=EESGD012;
* COLUMNS=EESGD013;
* COLUMNS=EESGD011;
* COLUMNS=EESGD057;
* COLUMNS=EESGD056;
* COLUMNS=EESGD059;
* COLUMNS=EESGD147;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EESGD001 = $IPADDR$;
* PRED=AND EESGD002 = $SRVNAME$;
* PRED=AND EESGD010 = $INSTNAME$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1102_DB2_CONNECT";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1102_DB2_CONNECT",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "DB2 Connect Server Summary",
  "Display all DB2 Connect Servers",
  "CCC_110",
  "1050421230844000",
"at=$THRUNODE$@table1.name=DB2CONN@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=EESGD002@table1.column6.name=EESGD001@table1.colu
mn7.name=EESGD009@table1.column8.name=EESGD007@table1.column9.name=EESG2
003@table1.column10.name=EESGD008@table1.column11.name=EESGD010@table1.c
olumn12.name=ESGD004S@table1.column13.name=EESGD006@table1.column14.name
=EESGD005@table1.column15.name=EESGD016@table1.column16.name=EESGD017@ta
ble1.column17.name=EESGD019@table1.column18.name=EESGD020@table1.column1
9.name=EESGD021@table1.column20.name=EESGD023@table1.column21.name=EESGD
024@table1.column22.name=EESGD025@table1.column23.name=EESGD027@table1.c
olumn24.name=EESGD033@table1.column25.name=EESGD032@table1.column26.name
=EESGD022@table1.column27.name=EESGD026@table1.column28.name=EESGD029@ta
ble1.column29.name=EESGD028@table1.column30.name=EESGD030@table1.column3
1.name=EESGD031@table1.column32.name=EESGD012@table1.column33.name=EESGD
013@table1.column34.name=EESGD011@table1.column35.name=EESGD057@table1.c
olumn36.name=EESGD056@table1.column37.name=EESGD059@table1.column38.name
=EESGD147@table1.columnCount=38@tableCount=1@filter1.connector=AND@filte
r1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.co
nnector=AND@filter2.column=EESGD001@filter2.operator=EQ@filter2.value=$I
PADDR$@filter3.connector=AND@filter3.column=EESGD002@filter3.operator=EQ
@filter3.value=$SRVNAME$@filter4.connector=AND@filter4.column=EESGD010@f
ilter4.operator=EQ@filter4.value=$INSTNAME$@filterCount=4@nodeTypeCount=
1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@prope
rtyCount=1@history=F@");

* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          DB2 CONNECT TASK                          *
* * Table:              DB2CTASK                                   *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1103_DB2_CONNECT_TASK;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=DB2 Connect Task;
* USER=CCC_110;
* DESC=Display DB2 Connect Tasks;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2CTASK;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EESGD002;
* COLUMNS=EESGD001;
* COLUMNS=EESGD009;
* COLUMNS=EESGD007;
* COLUMNS=EESG2003;
* COLUMNS=EESGD008;
* COLUMNS=EESGD010;
* COLUMNS=ESGD004S;
* COLUMNS=EESGD006;
* COLUMNS=EESGD005;
* COLUMNS=EESTL003;
* COLUMNS=EESTL002;
* COLUMNS=EESTL001;
* COLUMNS=EESTL004;
* COLUMNS=EESTL005;
* COLUMNS=EESTL006;
* COLUMNS=EESTL007;
* COLUMNS=EESTL008;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EESGD001 = $IPADDR$;
* PRED=AND EESGD002 = $SRVNAME$;
* PRED=AND EESGD010 = $INSTNAME$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1103_DB2_CONNECT_TASK";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1103_DB2_CONNECT_TASK",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "DB2 Connect Task",
  "Display DB2 Connect Tasks",
  "CCC_110",
  "1050421230927000",
"at=$THRUNODE$@table1.name=DB2CTASK@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EESGD002@table1.column6.name=EESGD001@table1.col
umn7.name=EESGD009@table1.column8.name=EESGD007@table1.column9.name=EESG
2003@table1.column10.name=EESGD008@table1.column11.name=EESGD010@table1.
column12.name=ESGD004S@table1.column13.name=EESGD006@table1.column14.nam
e=EESGD005@table1.column15.name=EESTL003@table1.column16.name=EESTL002@t
able1.column17.name=EESTL001@table1.column18.name=EESTL004@table1.column
19.name=EESTL005@table1.column20.name=EESTL006@table1.column21.name=EEST
L007@table1.column22.name=EESTL008@table1.columnCount=22@tableCount=1@fi
lter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter
1.value=$NODE$@filter2.connector=AND@filter2.column=EESGD001@filter2.ope
rator=EQ@filter2.value=$IPADDR$@filter3.connector=AND@filter3.column=EES
GD002@filter3.operator=EQ@filter3.value=$SRVNAME$@filter4.connector=AND@
filter4.column=EESGD010@filter4.operator=EQ@filter4.value=$INSTNAME$@fil
terCount=4@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1
.value=kfw.TableRow@propertyCount=1@history=F@");


* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          DB2 CONNECT PACKAGE                       *
* * Table:              DB2CPKG                                   *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1104_DB2_CONNECT_PACKAGE;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=DB2 Connect Package;
* USER=CCC_110;
* DESC=Display DB2 Connect Packages;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2CPKG;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EESGD002;
* COLUMNS=EESGD001;
* COLUMNS=EESGD009;
* COLUMNS=EESGD007;
* COLUMNS=EESG2003;
* COLUMNS=EESGD008;
* COLUMNS=EESGD010;
* COLUMNS=ESGD004S;
* COLUMNS=EESGD006;
* COLUMNS=EESGD005;
* COLUMNS=EESPS053;
* COLUMNS=EESPS052;
* COLUMNS=EESPS050;
* COLUMNS=EESPS051;
* COLUMNS=EESPS047;
* COLUMNS=EESPS049;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EESGD001 = $IPADDR$;
* PRED=AND EESGD002 = $SRVNAME$;
* PRED=AND EESGD010 = $INSTNAME$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1104_DB2_CONNECT_PACKAGE";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1104_DB2_CONNECT_PACKAGE",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "DB2 Connect Package",
  "Display DB2 Connect Packages",
  "CCC_110",
  "1050421231016000",
"at=$THRUNODE$@table1.name=DB2CPKG@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=EESGD002@table1.column6.name=EESGD001@table1.colu
mn7.name=EESGD009@table1.column8.name=EESGD007@table1.column9.name=EESG2
003@table1.column10.name=EESGD008@table1.column11.name=EESGD010@table1.c
olumn12.name=ESGD004S@table1.column13.name=EESGD006@table1.column14.name
=EESGD005@table1.column15.name=EESPS053@table1.column16.name=EESPS052@ta
ble1.column17.name=EESPS050@table1.column18.name=EESPS051@table1.column1
9.name=EESPS047@table1.column20.name=EESPS049@table1.columnCount=20@tabl
eCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operato
r=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=EESGD001@
filter2.operator=EQ@filter2.value=$IPADDR$@filter3.connector=AND@filter3
.column=EESGD002@filter3.operator=EQ@filter3.value=$SRVNAME$@filter4.con
nector=AND@filter4.column=EESGD010@filter4.operator=EQ@filter4.value=$IN
STNAME$@filterCount=4@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021
A@property1.value=kfw.TableRow@propertyCount=1@history=F@");



* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          THREAD DB2 CONNECT SERVER                 *
* * Table:              TDB2CONN                                  *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1105_THREAD_DB2_CONNECT;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread DB2 Connect;
* USER=CCC_110;
* DESC=Display Thread DB2 Connect Server;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TDB2CONN;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP007;
* COLUMNS=EEAPP005;
* COLUMNS=EEAPP006;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP004;
* COLUMNS=EEAPP003;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP067;
* COLUMNS=EEAPP064;
* COLUMNS=EEAPP065;
* COLUMNS=EEAPP066;
* COLUMNS=EEAPP031;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORR;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1105_THREAD_DB2_CONNECT";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1105_THREAD_DB2_CONNECT",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread DB2 Connect",
  "Display Thread DB2 Connect Server",
  "CCC_110",
  "1050413215543000",
"at=$THRUNODE$@table1.name=TDB2CONN@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP007@table1.column8.name=EEAPP005@table1.column9.name=EEAP
P006@table1.column10.name=EEAPP008@table1.column11.name=EEAPP004@table1.
column12.name=EEAPP003@table1.column13.name=EEAPP045@table1.column14.nam
e=EEAPP046@table1.column15.name=EEAPP055@table1.column16.name=EAPP010S@t
able1.column17.name=EEAPP067@table1.column18.name=EEAPP064@table1.column
19.name=EEAPP065@table1.column20.name=EEAPP066@table1.column21.name=EEAP
P031@table1.column22.name=ACE@table1.column23.name=PLAN@table1.column24.
name=CORR@table1.column25.name=CONNID@table1.column26.name=AUTHID@table1
.column27.name=QWHSLUUV@table1.column28.name=QWHSLUUV2@table1.columnCoun
t=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter
1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=
QWHSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connector=
AND@filter3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2
$@filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@prop
erty1.value=kfw.TableRow@propertyCount=1@history=F@");

* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          THREAD DB2 CONNECT OVERALL                *
* * Table:              TCONOVER                                  *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1106_THREAD_DB2_CONNECT_OVERALL;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Thread DB2 Connect Overall;
* USER=CCC_110;
* DESC=Display Thread DB2 Connect Server Overview;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONOVER;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP034;
* COLUMNS=EEAPP048;
* COLUMNS=EEAPP035;
* COLUMNS=EEAPP037;
* COLUMNS=EEAPP040;
* COLUMNS=EEAPP041;
* COLUMNS=EEAPP042;
* COLUMNS=EEAPP049;
* COLUMNS=EEAPP050;
* COLUMNS=EEAPP058;
* COLUMNS=EEAPP036;
* COLUMNS=EAPP039S;
* COLUMNS=EEAPP044;
* COLUMNS=EEAPP047;
* COLUMNS=EEAPP051;
* COLUMNS=EEAPP052;
* COLUMNS=EEAPP056;
* COLUMNS=EEAPP057;
* COLUMNS=EEAPP043;
* COLUMNS=EEAPP053;
* COLUMNS=EEAPP054;
* COLUMNS=EEAPP033;
* COLUMNS=EEAPP011;
* COLUMNS=EEAPP012;
* COLUMNS=EAPP027S;
* COLUMNS=EAPP028S;
* COLUMNS=EEAPP029;
* COLUMNS=EEAPP030;
* COLUMNS=EEAPP013;
* COLUMNS=EAPP024S;
* COLUMNS=EAPP025S;
* COLUMNS=EAPP026S;
* COLUMNS=EEAPP031;
* COLUMNS=EEAPP014;
* COLUMNS=EEAPP015;
* COLUMNS=EEAPP016;
* COLUMNS=EEAPP017;
* COLUMNS=EEAPP018;
* COLUMNS=EEAPP023;
* COLUMNS=EEAPP032;
* COLUMNS=EEAPP022;
* COLUMNS=EEAPP019;
* COLUMNS=EEAPP020;
* COLUMNS=EEAPP021;
* COLUMNS=TOFAIL;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1106_THREAD_DB2_CONNECT_OVE";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1106_THREAD_DB2_CONNECT_OVE",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Thread DB2 Connect Overall",
  "Display Thread DB2 Connect Server Overview",
  "CCC_110",
  "1050413215551000",
"at=$THRUNODE$@table1.name=TCONOVER@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAP
P046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.
column12.name=EEAPP034@table1.column13.name=EEAPP048@table1.column14.nam
e=EEAPP035@table1.column15.name=EEAPP037@table1.column16.name=EEAPP040@t
able1.column17.name=EEAPP041@table1.column18.name=EEAPP042@table1.column
19.name=EEAPP049@table1.column20.name=EEAPP050@table1.column21.name=EEAP
P058@table1.column22.name=EEAPP036@table1.column23.name=EAPP039S@table1.
column24.name=EEAPP044@table1.column25.name=EEAPP047@table1.column26.nam
e=EEAPP051@table1.column27.name=EEAPP052@table1.column28.name=EEAPP056@t
able1.column29.name=EEAPP057@table1.column30.name=EEAPP043@table1.column
31.name=EEAPP053@table1.column32.name=EEAPP054@table1.column33.name=EEAP
P033@table1.column34.name=EEAPP011@table1.column35.name=EEAPP012@table1.
column36.name=EAPP027S@table1.column37.name=EAPP028S@table1.column38.nam
e=EEAPP029@table1.column39.name=EEAPP030@table1.column40.name=EEAPP013@t
able1.column41.name=EAPP024S@table1.column42.name=EAPP025S@table1.column
43.name=EAPP026S@table1.column44.name=EEAPP031@table1.column45.name=EEAP
P014@table1.column46.name=EEAPP015@table1.column47.name=EEAPP016@table1.
column48.name=EEAPP017@table1.column49.name=EEAPP018@table1.column50.nam
e=EEAPP023@table1.column51.name=EEAPP032@table1.column52.name=EEAPP022@t
able1.column53.name=EEAPP019@table1.column54.name=EEAPP020@table1.column
55.name=EEAPP021@table1.column56.name=TOFAIL@table1.column57.name=ACE@ta
ble1.column58.name=PLAN@table1.column59.name=CORRID@table1.column60.name
=CONNID@table1.column61.name=AUTHID@table1.column62.name=QWHSLUUV@table1
.column63.name=QWHSLUUV2@table1.columnCount=63@tableCount=1@filter1.conn
ector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$N
ODE$@filter2.connector=AND@filter2.column=EEAPP001@filter2.operator=EQ@f
ilter2.value=$IPADDR$@filter3.connector=AND@filter3.column=EEAPP002@filt
er3.operator=EQ@filter3.value=$SRVNAME$@filter4.connector=AND@filter4.co
lumn=EEAPP008@filter4.operator=EQ@filter4.value=$INSTNAME$@filter5.conne
ctor=AND@filter5.column=EEAPP055@filter5.operator=EQ@filter5.value=$THDL
UWID$@filterCount=5@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@
property1.value=kfw.TableRow@propertyCount=1@history=F@");


* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          THREAD DB2 CONNECT STATEMENT              *
* * Table:              TCONSTMT                                  *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1107_THREAD_DB2_CONNECT_STATEMENT;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=THREAD_DB2_CONNECT_STATEMENT;
* USER=CCC_110;
* DESC=Display Thread DB2 Connect Server Statement;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONSTMT;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP059;
* COLUMNS=EEAPP060;
* COLUMNS=EEAPP061;
* COLUMNS=EEAPP062;
* COLUMNS=EEAPP063;
* COLUMNS=EEAPP074;
* COLUMNS=EEAPP075;
* COLUMNS=EEAPP076;
* COLUMNS=EEAPP077;
* COLUMNS=EEAPP079;
* COLUMNS=EEAPP080;
* COLUMNS=EEAPP067;
* COLUMNS=EEAPP064;
* COLUMNS=EEAPP065;
* COLUMNS=EEAPP066;
* COLUMNS=EAPP068S;
* COLUMNS=EAPP069S;
* COLUMNS=EEAPP070;
* COLUMNS=EEAPP071;
* COLUMNS=EEAPP072;
* COLUMNS=EEAPP073;
* COLUMNS=EEAPP082;
* COLUMNS=EEAPP081;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1107_THREAD_DB2_CONNECT_STA";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1107_THREAD_DB2_CONNECT_STA",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "THREAD_DB2_CONNECT_STATEMENT",
  "Display Thread DB2 Connect Server Statement",
  "CCC_110",
  "1050414075754000",
"at=$THRUNODE$@table1.name=TCONSTMT@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAP
P046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.
column12.name=EEAPP059@table1.column13.name=EEAPP060@table1.column14.nam
e=EEAPP061@table1.column15.name=EEAPP062@table1.column16.name=EEAPP063@t
able1.column17.name=EEAPP074@table1.column18.name=EEAPP075@table1.column
19.name=EEAPP076@table1.column20.name=EEAPP077@table1.column21.name=EEAP
P079@table1.column22.name=EEAPP080@table1.column23.name=EEAPP067@table1.
column24.name=EEAPP064@table1.column25.name=EEAPP065@table1.column26.nam
e=EEAPP066@table1.column27.name=EAPP068S@table1.column28.name=EAPP069S@t
able1.column29.name=EEAPP070@table1.column30.name=EEAPP071@table1.column
31.name=EEAPP072@table1.column32.name=EEAPP073@table1.column33.name=EEAP
P082@table1.column34.name=EEAPP081@table1.column35.name=ACE@table1.colum
n36.name=PLAN@table1.column37.name=CORRID@table1.column38.name=CONNID@ta
ble1.column39.name=AUTHID@table1.column40.name=QWHSLUUV@table1.column41.
name=QWHSLUUV2@table1.columnCount=41@tableCount=1@filter1.connector=AND@
filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filte
r2.connector=AND@filter2.column=EEAPP001@filter2.operator=EQ@filter2.val
ue=$IPADDR$@filter3.connector=AND@filter3.column=EEAPP002@filter3.operat
or=EQ@filter3.value=$SRVNAME$@filter4.connector=AND@filter4.column=EEAPP
008@filter4.operator=EQ@filter4.value=$INSTNAME$@filter5.connector=AND@f
ilter5.column=EEAPP055@filter5.operator=EQ@filter5.value=$THDLUWID$@filt
erCount=5@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@");


* ******************************************************************
* * Product:            KD5                                       *
* * Version:            310                                       *
* * Workspace:          THREAD DB2 CONNECT PACKAGE                *
* * Table:              TCONPKG                                   *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1108_THREAD_DB2_CONNECT_PACKAGE;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=THREAD_DB2_CONNECT_PACKAGE;
* USER=CCC_110;
* DESC=Display Thread DB2 Connect Server Package;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONPKG;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP083;
* COLUMNS=EEAPP084;
* COLUMNS=EEAPP085;
* COLUMNS=EEAPP086;
* COLUMNS=EEAPP087;
* COLUMNS=EEAPP088;
* COLUMNS=EEAPP089;
* COLUMNS=EEAPP090;
* COLUMNS=EEAPP091;
* COLUMNS=EEAPP092;
* COLUMNS=EEAPP093;
* COLUMNS=EEAPP094;
* COLUMNS=EEAPP095;
* COLUMNS=EEAPP096;
* COLUMNS=EEAPP097;
* COLUMNS=EEAPP098;
* COLUMNS=EEAPP099;
* COLUMNS=EEAPP100;
* COLUMNS=EEAPP101;
* COLUMNS=EEAPP102;
* COLUMNS=EEAPP103;
* COLUMNS=EEAPP104;
* COLUMNS=EEAPP105;
* COLUMNS=EEAPP106;
* COLUMNS=EEAPP107;
* COLUMNS=EEAPP108;
* COLUMNS=EEAPP109;
* COLUMNS=EEAPP110;
* COLUMNS=EEAPP111;
* COLUMNS=EEAPP112;
* COLUMNS=EEAPP113;
* COLUMNS=EEAPP114;
* COLUMNS=EEAPP115;
* COLUMNS=EEAPP116;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1108_THREAD_DB2_CONNECT_PAC";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1108_THREAD_DB2_CONNECT_PAC",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "THREAD_DB2_CONNECT_PACKAGE",
  "Display Thread DB2 Connect Server Package",
  "CCC_110",
  "1050414075825000",
"at=$THRUNODE$@table1.name=TCONPKG@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.colu
mn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAPP
046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.c
olumn12.name=EEAPP083@table1.column13.name=EEAPP084@table1.column14.name
=EEAPP085@table1.column15.name=EEAPP086@table1.column16.name=EEAPP087@ta
ble1.column17.name=EEAPP088@table1.column18.name=EEAPP089@table1.column1
9.name=EEAPP090@table1.column20.name=EEAPP091@table1.column21.name=EEAPP
092@table1.column22.name=EEAPP093@table1.column23.name=EEAPP094@table1.c
olumn24.name=EEAPP095@table1.column25.name=EEAPP096@table1.column26.name
=EEAPP097@table1.column27.name=EEAPP098@table1.column28.name=EEAPP099@ta
ble1.column29.name=EEAPP100@table1.column30.name=EEAPP101@table1.column3
1.name=EEAPP102@table1.column32.name=EEAPP103@table1.column33.name=EEAPP
104@table1.column34.name=EEAPP105@table1.column35.name=EEAPP106@table1.c
olumn36.name=EEAPP107@table1.column37.name=EEAPP108@table1.column38.name
=EEAPP109@table1.column39.name=EEAPP110@table1.column40.name=EEAPP111@ta
ble1.column41.name=EEAPP112@table1.column42.name=EEAPP113@table1.column4
3.name=EEAPP114@table1.column44.name=EEAPP115@table1.column45.name=EEAPP
116@table1.column46.name=ACE@table1.column47.name=PLAN@table1.column48.n
ame=CORRID@table1.column49.name=CONNID@table1.column50.name=AUTHID@table
1.column51.name=QWHSLUUV@table1.column52.name=QWHSLUUV2@table1.columnCou
nt=52@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filte
r1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column
=EEAPP001@filter2.operator=EQ@filter2.value=$IPADDR$@filter3.connector=A
ND@filter3.column=EEAPP002@filter3.operator=EQ@filter3.value=$SRVNAME$@f
ilter4.connector=AND@filter4.column=EEAPP008@filter4.operator=EQ@filter4
.value=$INSTNAME$@filter5.connector=AND@filter5.column=EEAPP055@filter5.
operator=EQ@filter5.value=$THDLUWID$@filterCount=5@nodeTypeCount=1@nodeT
ype1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@");

* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            310                                     *
* *  Workspace:          Top Ten in_DB2_CPU Time Threads by pkg  *
* *  Table:              REALTHDA                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_1109_TOP_TEN_INDB2CPU_TIME_PKG;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten in_DB2_CPU Time Threads by PKG;
* USER=CCC_300;
* DESC=Display top Ten threads in_DB2_CPU_time by package;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; 
* PRED=ORIGINNODE = $NODE$;
* ORDER=ASCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1109_TOP_TEN_INDB2CPU_TIME_";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1109_TOP_TEN_INDB2CPU_TIME_",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten in_DB2_CPU Time Threads by PKG",
  "Display top Ten threads in_DB2_CPU_time by package",
  "CCC_300",
  "1050914075822000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.
connector=AND@filter2.column=@filter2.operator=EQ@filter2.value=LAST(10)
@filter3.connector=AND@filter3.column=TDIDPACK@filter3.operator=NE@filte
r3.value=9@filter4.connector=AND@filter4.column=TDIDPCOL@filter4.operato
r=NE@filter4.value=9@filterCount=4@order1.column=WHNDBTCT@order1.sequenc
e=ASCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");


* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            310                                     *
* *  Workspace:          Top Ten in_DB2_CPU Time Threads by pkg  *
* *  Table:              REALTHDA                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_1110_TOP_TEN_INDB2CPUD_TIME_PKG;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten in_DB2_CPU Time Descending by pkg;
* USER=CCC_300;
* DESC=Top Ten threads in_DB2_CPU time by pkg;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;        
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; 
* PRED=ORIGINNODE = $NODE$;
* ORDER=DESCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1110_TOP_TEN_INDB2CPUD_TIME";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1110_TOP_TEN_INDB2CPUD_TIME",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten in_DB2_CPU Time Descending by PKG",
  "Top Ten threads in_DB2_CPU time by pkg",
  "CCC_300",
  "1050913174227000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.value=FIRST(10)@f
ilter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filte
r1.value=$NODE$@filter2.connector=AND@filter2.column=TDIDPACK@filter2.op
erator=NE@filter2.value=9@filter3.connector=AND@filter3.column=TDIDPCOL@
filter3.operator=NE@filter3.value=9@filter4.connector=AND@filter4.column
=@filter4.operator=NE@filter4.value=FIRST(10)@filterCount=4@order1.colum
n=WHNDBTCT@order1.sequence=DESCENDING@orderCount=1@nodeTypeCount=1@nodeT
ype1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@");

* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            310                                     *
* *  Workspace:          Top Ten In_DB2 Time Threads by PKG      *
* *  Table:              REALTHDA                                *
* *  Characteristics:    IRA, all DB2 systems, thrunode          *
* ****************************************************************
* IDENT=ZDB2_1111_TOP_TEN_INDB2_TIME_PKG;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=Top Ten In_DB2 Time Threads by PKG;
* USER=CCC_300;
* DESC=Top Ten threads In_DB2 Time by package;
* NODETYPE=DB2;
* TABLE=KDP.REALTHDA;
* VISIBLE=N;
* COLUMNS=TIMESTAMP;  
* COLUMNS=MVSID;
* COLUMNS=SSID;
*      COLUMNS=  WHNDBTCT  
*      COLUMNS=  WHNDBTIM                                            ...
*      COLUMNS=  TDIDPLAN                                            ...
*      COLUMNS=  TDIDAUTH                                   
*      COLUMNS=  TDIDCNTY                                   
*      COLUMNS=  TDIDCONN                                   
*      COLUMNS=  TDIDCORR 
*      COLUMNS=  TDIDLOCN                                  
*      COLUMNS=  TDIDOPID                                   
*      COLUMNS=  TDIDPACK                                   
*      COLUMNS=  TDIDPCOL                         
*      COLUMNS=  TDIDDB2S  
*      COLUMNS=  THDXSTAT                                
*      COLUMNS=  THDXCPUR
*      COLUMNS=  THDXGETP
*      COLUMNS=  THDXUPDT
*      COLUMNS=  THDXCOMT
*      COLUMNS=  THDXJOBN
*      COLUMNS=  THDXETIM
*      COLUMNS=  QWHSLUUV
*      COLUMNS=  QWHSLUUV2                                   
*      COLUMNS=  QW0148AC                             
* COLUMNS=ORIGINNODE; 
* PRED=ORIGINNODE = $NODE$;
* ORDER=ASCENDING WHNDBTIM;


DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1111_TOP_TEN_INDB2_TIME_PKG";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1111_TOP_TEN_INDB2_TIME_PKG",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "Top Ten In_DB2 Time Threads by PKG",
  "Top Ten threads In_DB2 Time by package",
  "CCC_300",
  "1050913214927000",
"at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.
connector=AND@filter2.column=TDIDPACK@filter2.operator=NE@filter2.value=
9@filter3.connector=AND@filter3.column=TDIDPCOL@filter3.operator=NE@filt
er3.value=9@filter4.connector=AND@filter4.column=@filter4.operator=EQ@fi
lter4.value=LAST(10)@filterCount=4@order1.column=WHNDBTIM@order1.sequenc
e=ASCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@");

*   ****************************************************************
*   *  Product:            KDP                                     *
*   *  Version:            410                                  *
*   *  Workspace:          All Active Threads                      *
*   *  Table:              REALTHDA                                *
*   *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*   ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from imscics
*
*   IDENT=ZDB2_4101_THD_SUMMARY:410;
*   AFFINITY=0020000000000000000000000000000004000008000;
*   NAME=All Active Threads Summary;
*     USER=CCC_410;
*     DESC=Display summary for active threads;
*     VISIBLE=N;	
*     NODETYPE=DB2;
*     TABLE=KDP.REALTHDA;
*     COLUMNS=TIMESTAMP;
*     COLUMNS=MVSID;
*     COLUMNS=SSID;
*     COLUMNS=  ORIGINNODE; 
*          COLUMNS=  QWHSLUUV; 
*          COLUMNS=  QWHSLUUV2;
*          COLUMNS=  QW0148AC;                                   
*          COLUMNS=  TDIDASID;                                   
*          COLUMNS=  TDIDCNTY;                                   
*          COLUMNS=  TDIDCONN;                                   
*          COLUMNS=  TDIDCORR;                                  
*          COLUMNS=  TDIDDB2S;                                  
*          COLUMNS=  TDIDEUID;      
*          COLUMNS=  TDIDPLAN; 
*          COLUMNS=  TDIDTTYP;                                   
*          COLUMNS=  TDIDTXID;                                  
*          COLUMNS=  TDIDWKID;                                  
*          COLUMNS=  THDFRCPU;                                   
*          COLUMNS=  THDFROWS;                                   
*          COLUMNS=  THDFRTI2;                                   
*          COLUMNS=  THDFSQLS;                                   
*          COLUMNS=  THDXCOMT;
*          COLUMNS=  THDXCPUR;                                   
*          COLUMNS=  THDXETIM;                                   
*          COLUMNS=  THDXGETP;                                   
*          COLUMNS=  THDXJOBN;                                   
*          COLUMNS=  THDXSTAT;                                  
*          COLUMNS=  THDXUPDT;                                   
*          COLUMNS=  WHNDBTCT;                                   
*          COLUMNS=  WHNDBTIM;
*          COLUMNS=  IIPDB2CPU; 
*          COLUMNS=  UTDIDOPID;
*          COLUMNS=  UTDIDAUTH;
*          COLUMNS=  UTDIDLOCN;
*          COLUMNS=  UTDIDPCOL;
*          COLUMNS=  UTDIDPACK;
*          COLUMNS=  CICSMVSID;
*          COLUMNS=  VLUNAME;
*          COLUMNS=  THWTTOTW;
*     PRED=ORIGINNODE = $NODE$;
*     PRED=AND TDIDCORR = $DB2CORR$;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_4101_THD_SUMMARY:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_4101_THD_SUMMARY:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'All Active Threads Summary',
  'Display summary for active threads',
  'CCC_410',
  '1080528141046000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ORIGINN
ODE@table1.column5.name=QWHSLUUV@table1.column6.name=QWHSLUUV2@table1.co
lumn7.name=QW0148AC@table1.column8.name=TDIDASID@table1.column9.name=TDI
DCNTY@table1.column10.name=TDIDCONN@table1.column11.name=TDIDCORR@table1
.column12.name=TDIDDB2S@table1.column13.name=TDIDEUID@table1.column14.na
me=TDIDPLAN@table1.column15.name=TDIDTTYP@table1.column16.name=TDIDTXID@
table1.column17.name=TDIDWKID@table1.column18.name=THDFRCPU@table1.colum
n19.name=THDFROWS@table1.column20.name=THDFRTI2@table1.column21.name=THD
FSQLS@table1.column22.name=THDXCOMT@table1.column23.name=THDXCPUR@table1
.column24.name=THDXETIM@table1.column25.name=THDXGETP@table1.column26.na
me=THDXJOBN@table1.column27.name=THDXSTAT@table1.column28.name=THDXUPDT@
table1.column29.name=WHNDBTCT@table1.column30.name=WHNDBTIM@table1.colum
n31.name=IIPDB2CPU@table1.column32.name=UTDIDOPID@table1.column33.name=U
TDIDAUTH@table1.column34.name=UTDIDLOCN@table1.column35.name=UTDIDPCOL@t
able1.column36.name=UTDIDPACK@table1.column37.name=CICSMVSID@table1.colu
mn38.name=VLUNAME@table1.column39.name=THWTTOTW@table1.columnCount=39@ta
bleCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.opera
tor=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=TDIDCOR
R@filter2.operator=EQ@filter2.value=$DB2CORR$@filterCount=2@nodeTypeCoun
t=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@pro
pertyCount=1@history=F@');


* ****************************************************************
* *  Product:            KD5                                     *
* *  Version:            410                                     *
* *  Report:             DB2plex Thread Exceptions               *
* *  Table:              DP_TH_EXC                               *
* *  Characteristics:    IRA, All DB2 systems, thrunode, visible.*
* *  Maint Log:                                                  *
* *    08/24/2006 Added new fields UTDIDPCOL, UTDIDPACK          *
* *    09/05/2006 Removed ziip fields                            *
* *        COLUMNS=IIPCPU, IIPCPURAT, IIPECPCPU;                 *
* *                                                              *
* ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from dpthexc
*
* IDENT=zDB2_020_Test_THR:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Detailed Thread Exception
* USER=CCC_410
* DESC=Retrieve DB2 Threads information from DP Collector
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_TH_EXC
* COLUMNS=EX_TIME;
* COLUMNS=THREADTYPE;
* COLUMNS=CONNTYPE;
* COLUMNS=EX_PLAN;
* COLUMNS=EX_PKGN;                         
* COLUMNS=EX_COLLID;                       
* COLUMNS=EX_CORRID;
* COLUMNS=EX_CONNID;
* COLUMNS=EX_AUTHID;
* COLUMNS=EX_DB2ID;
* COLUMNS=EX_MVSID;
* COLUMNS=EX_INTRV;
* COLUMNS=EX_ARCM;
* COLUMNS=EX_CTHD;
* COLUMNS=EX_INDB;
* COLUMNS=EX_MISC;
* COLUMNS=EX_COMT;
* COLUMNS=EX_TCPU;
* COLUMNS=EX_IDBC;
* COLUMNS=EX_IDBT;
* COLUMNS=EX_RCPU;
* COLUMNS=EX_TRCV;
* COLUMNS=EX_TSND;
* COLUMNS=EX_ETIM;
* COLUMNS=EX_GETP;
* COLUMNS=EX_LKUS;
* COLUMNS=EX_PGUP;
* COLUMNS=EX_PREF;
* COLUMNS=EX_RIO;
* COLUMNS=EX_RELM;
* COLUMNS=EX_WCLM;
* COLUMNS=EX_WDLK;
* COLUMNS=EX_WGLK;
* COLUMNS=EX_WLGQ;
* COLUMNS=EX_WSPS;
* COLUMNS=EX_WTRE;
* COLUMNS=EX_WSRV;
* COLUMNS=EX_DWAT;
* COLUMNS=EX_CMTCNT;
* COLUMNS=EX_GETCNT;
* COLUMNS=EX_LCKCNT;
* COLUMNS=EX_LCKMAX;
* COLUMNS=EX_PRECNT;
* COLUMNS=EX_RDCNT;
* COLUMNS=EX_RESCNT;
* COLUMNS=EX_RESLIM;
* COLUMNS=EX_SRDCNT;
* COLUMNS=EX_UPDCNT;
* COLUMNS=EX_WTRES;
* COLUMNS=ORIGINNODE;
* COLUMNS=KILLTHREAD;
* COLUMNS=THREADSTAT;
* COLUMNS=THRDTOKEN;
* COLUMNS=TH_SPN;
* COLUMNS=TH_GROUPN;
* COLUMNS=TH_GMN;
* COLUMNS=IDNAME;
* COLUMNS=THD_CPU;
* COLUMNS=IMMWIO;
* COLUMNS=LISTPREF;
* COLUMNS=DYNPREF;
* COLUMNS=SUCHPR;
* COLUMNS=SUCHPW;
* COLUMNS=UNSUCHPR;
* COLUMNS=UNSUCHPW;
* COLUMNS=UNGPOP;
* COLUMNS=APAGER;
* COLUMNS=PHPMOVE;
* COLUMNS=TYPE_IND;
* COLUMNS=EX_NAME;
* COLUMNS=CICSMVSID,INDB2IIP;
* COLUMNS=UEX_AUTHID;
* COLUMNS=JOBNAME,UTDIDPCOL,UTDIDPACK;
* COLUMNS=DTLUWID;
* COLUMNS=THWTTOTW;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EX_CORRID = $DB2CORR$;
* SITNAME=KDP_COMT_Warning Warning;
* SITNAME=KDP_COMT_Critical Critical;
* SITNAME=KDP_LKUS_Warning Warning;
* SITNAME=KDP_LKUS_Critical Critical;
* SITNAME=KDP_PGUP_Warning Warning;
* SITNAME=KDP_PGUP_Critical Critical;
* SITNAME=KDP_PREF_Warning Warning;
* SITNAME=KDP_PREF_Critical Critical;
* SITNAME=KDP_RELM_Warning Warning;
* SITNAME=KDP_RELM_Critical Critical;
* SITNAME=KDP_WTRE_Warning Warning;
* SITNAME=KDP_WTRE_Critical Critical;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_COMT_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_COMT_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LKUS_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LKUS_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PGUP_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PGUP_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PREF_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PREF_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_RELM_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_RELM_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_WTRE_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_WTRE_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_020_Test_THR:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_020_Test_THR:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Detailed Thread Exception',
  'Retrieve DB2 Threads information from DP Collector',
  'CCC_410',
  '1080517195402000',
'at=$THRUNODE$@table1.name=DP_TH_EXC@table1.column1.name=EX_TIME@table1.
column2.name=THREADTYPE@table1.column3.name=CONNTYPE@table1.column4.name
=EX_PLAN@table1.column5.name=EX_PKGN@table1.column6.name=EX_COLLID@table
1.column7.name=EX_CORRID@table1.column8.name=EX_CONNID@table1.column9.na
me=EX_AUTHID@table1.column10.name=EX_DB2ID@table1.column11.name=EX_MVSID
@table1.column12.name=EX_INTRV@table1.column13.name=EX_ARCM@table1.colum
n14.name=EX_CTHD@table1.column15.name=EX_INDB@table1.column16.name=EX_MI
SC@table1.column17.name=EX_COMT@table1.column18.name=EX_TCPU@table1.colu
mn19.name=EX_IDBC@table1.column20.name=EX_IDBT@table1.column21.name=EX_R
CPU@table1.column22.name=EX_TRCV@table1.column23.name=EX_TSND@table1.col
umn24.name=EX_ETIM@table1.column25.name=EX_GETP@table1.column26.name=EX_
LKUS@table1.column27.name=EX_PGUP@table1.column28.name=EX_PREF@table1.co
lumn29.name=EX_RIO@table1.column30.name=EX_RELM@table1.column31.name=EX_
WCLM@table1.column32.name=EX_WDLK@table1.column33.name=EX_WGLK@table1.co
lumn34.name=EX_WLGQ@table1.column35.name=EX_WSPS@table1.column36.name=EX
_WTRE@table1.column37.name=EX_WSRV@table1.column38.name=EX_DWAT@table1.c
olumn39.name=EX_CMTCNT@table1.column40.name=EX_GETCNT@table1.column41.na
me=EX_LCKCNT@table1.column42.name=EX_LCKMAX@table1.column43.name=EX_PREC
NT@table1.column44.name=EX_RDCNT@table1.column45.name=EX_RESCNT@table1.c
olumn46.name=EX_RESLIM@table1.column47.name=EX_SRDCNT@table1.column48.na
me=EX_UPDCNT@table1.column49.name=EX_WTRES@table1.column50.name=ORIGINNO
DE@table1.column51.name=KILLTHREAD@table1.column52.name=THREADSTAT@table
1.column53.name=THRDTOKEN@table1.column54.name=TH_SPN@table1.column55.na
me=TH_GROUPN@table1.column56.name=TH_GMN@table1.column57.name=IDNAME@tab
le1.column58.name=THD_CPU@table1.column59.name=IMMWIO@table1.column60.na
me=LISTPREF@table1.column61.name=DYNPREF@table1.column62.name=SUCHPR@tab
le1.column63.name=SUCHPW@table1.column64.name=UNSUCHPR@table1.column65.n
ame=UNSUCHPW@table1.column66.name=UNGPOP@table1.column67.name=APAGER@tab
le1.column68.name=PHPMOVE@table1.column69.name=TYPE_IND@table1.column70.
name=EX_NAME@table1.column71.name=CICSMVSID@table1.column72.name=INDB2II
P@table1.column73.name=UEX_AUTHID@table1.column74.name=JOBNAME@table1.co
lumn75.name=UTDIDPCOL@table1.column76.name=UTDIDPACK@table1.column77.nam
e=DTLUWID@table1.column78.name=THWTTOTW@table1.columnCount=78@tableCount
=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@f
ilter1.value=$NODE$@filter2.connector=AND@filter2.column=EX_CORRID@filte
r2.operator=EQ@filter2.value=$DB2CORR$@filterCount=2@nodeTypeCount=1@nod
eType1=DB2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow
@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1080517195402000',
   '_ KCJ',
   'zDB2_020_Test_THR:410',
   'Detailed Thread Exception'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_020_Test_THR:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_020_Test_THR:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_COMT_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_COMT_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LKUS_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LKUS_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PGUP_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PGUP_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PREF_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PREF_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_RELM_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_RELM_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_WTRE_Warning',
   'Warning',
   'zDB2_020_Test_THR:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_WTRE_Critical',
   'Critical',
   'zDB2_020_Test_THR:410',
   0
);



*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_plan.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten in_DB2_CPU Time Threads Unicode *
*  *  Table:              REALTHRD                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed ziip fields IIPCPUR, IIPCPU     *
*  *                      and IIPECPU                             *
*  ****************************************************************
*  IDENT=ZDB2_0001_TOP_TEN_INDB2CPU_TIME:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Top Ten in_DB2_CPU Time Threads;
*  USER=CCC_410;
*  DESC=Display top Ten threads with the most in_DB2_CPU_time;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;  * First column to return
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  WHNDBTCT  
*       COLUMNS=  WHNDBTIM                                       
*       COLUMNS=  TDIDPLAN                                       
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR 
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                         
*       COLUMNS=  TDIDDB2S  
*       COLUMNS=  THDXSTAT                                
*       COLUMNS=  THDXCPUR
*       COLUMNS=  THDXGETP
*       COLUMNS=  THDXUPDT
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXJOBN
*       COLUMNS=  THDXETIM
*       COLUMNS=  QWHSLUUV
*       COLUMNS=  QWHSLUUV2                                   
*       COLUMNS=  QW0148AC  
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                                
*  COLUMNS=ORIGINNODE; * Last column to return
*  PRED=ORIGINNODE = $NODE$;
*  ORDER=ASCENDING WHNDBTCT;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten in_DB2_CPU Time Threads',
  'Display top Ten threads with the most in_DB2_CPU_time',
  'CCC_410',
  '1060905201847000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.columnCount=33@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterC
ount=1@order1.column=WHNDBTCT@order1.sequence=ASCENDING@orderCount=1@nod
eTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');

*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          All Active Threads Unicode              *
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *   ...
*  ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from realthda
*
*  IDENT=ZDB2_0002_ALL_ACTIVE_THREADS:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=All Active Threads;
*  USER=CCC_410;
*  DESC=Display all active threads;
*  VISIBLE=N;	
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  ENCLCPUT                                   
*       COLUMNS=  ENCLPER_P_                                 
*       COLUMNS=  ENCLPIDX                                   
*       COLUMNS=  ENCLSCLN                                   
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2
*       COLUMNS=  QW0148AC                                   
*       COLUMNS=  TDIDAGNT                                   
*       COLUMNS=  TDIDASID                                   
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR                                  
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDETKN                                   
*       COLUMNS=  TDIDEUID                                  
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  TDIDTCBA                                   
*       COLUMNS=  TDIDTTYP                                   
*       COLUMNS=  TDIDTXID                                  
*       COLUMNS=  TDIDWKID                                  
*       COLUMNS=  THDFBYTS                                   
*       COLUMNS=  THDFCNVS                                   
*       COLUMNS=  THDFLTI2                                   
*       COLUMNS=  THDFMSGS                                   
*       COLUMNS=  THDFRCPU                                   
*       COLUMNS=  THDFROWS                                   
*       COLUMNS=  THDFRTI2                                   
*       COLUMNS=  THDFSQLS                                   
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXCPUR                                   
*       COLUMNS=  THDXDBCM                                   
*       COLUMNS=  THDXELCM                                   
*       COLUMNS=  THDXETIM                                   
*       COLUMNS=  THDXGETP                                   
*       COLUMNS=  THDXGPPR                                   
*       COLUMNS=  THDXJOBN                                   
*       COLUMNS=  QWACPACE                                   
*       COLUMNS=  THDXPFCH                                   
*       COLUMNS=  THDXPIND                                   
*       COLUMNS=  THDXREAD                                   
*       COLUMNS=  THDXSTAT                                  
*       COLUMNS=  THDXUPDT                                   
*       COLUMNS=  WHNDBTCT                                   
*       COLUMNS=  WHNDBTIM
*       COLUMNS=  QW0148CR
*       COLUMNS=  QW0148EL
*       COLUMNS=  QW0148ER 
*       COLUMNS=  THDFSQLR
*       COLUMNS=  VLUNAME 
*       COLUMNS=  TOKENWORK 
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                                 
*       COLUMNS=ORIGINNODE;
*        COLUMNS= THWTTOTW;
*  PRED=ORIGINNODE = $NODE$;
*  *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_ALL_ACTIVE_THREADS:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_ALL_ACTIVE_THREADS:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'All Active Threads',
  'Display all active threads',
  'CCC_410',
  '1080528142007000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLCPU
T@table1.column5.name=ENCLPER_P_@table1.column6.name=ENCLPIDX@table1.col
umn7.name=ENCLSCLN@table1.column8.name=QWHSLUUV@table1.column9.name=QWHS
LUUV2@table1.column10.name=QW0148AC@table1.column11.name=TDIDAGNT@table1
.column12.name=TDIDASID@table1.column13.name=TDIDAUTH@table1.column14.na
me=TDIDCNTY@table1.column15.name=TDIDCONN@table1.column16.name=TDIDCORR@
table1.column17.name=TDIDDB2S@table1.column18.name=TDIDETKN@table1.colum
n19.name=TDIDEUID@table1.column20.name=TDIDLOCN@table1.column21.name=TDI
DOPID@table1.column22.name=TDIDPACK@table1.column23.name=TDIDPCOL@table1
.column24.name=TDIDPLAN@table1.column25.name=TDIDTCBA@table1.column26.na
me=TDIDTTYP@table1.column27.name=TDIDTXID@table1.column28.name=TDIDWKID@
table1.column29.name=THDFBYTS@table1.column30.name=THDFCNVS@table1.colum
n31.name=THDFLTI2@table1.column32.name=THDFMSGS@table1.column33.name=THD
FRCPU@table1.column34.name=THDFROWS@table1.column35.name=THDFRTI2@table1
.column36.name=THDFSQLS@table1.column37.name=THDXCOMT@table1.column38.na
me=THDXCPUR@table1.column39.name=THDXDBCM@table1.column40.name=THDXELCM@
table1.column41.name=THDXETIM@table1.column42.name=THDXGETP@table1.colum
n43.name=THDXGPPR@table1.column44.name=THDXJOBN@table1.column45.name=QWA
CPACE@table1.column46.name=THDXPFCH@table1.column47.name=THDXPIND@table1
.column48.name=THDXREAD@table1.column49.name=THDXSTAT@table1.column50.na
me=THDXUPDT@table1.column51.name=WHNDBTCT@table1.column52.name=WHNDBTIM@
table1.column53.name=QW0148CR@table1.column54.name=QW0148EL@table1.colum
n55.name=QW0148ER@table1.column56.name=THDFSQLR@table1.column57.name=VLU
NAME@table1.column58.name=TOKENWORK@table1.column59.name=IIPDB2CPU@table
1.column60.name=UTDIDOPID@table1.column61.name=UTDIDAUTH@table1.column62
.name=UTDIDLOCN@table1.column63.name=UTDIDPCOL@table1.column64.name=UTDI
DPACK@table1.column65.name=CICSMVSID@table1.column66.name=ORIGINNODE@tab
le1.column67.name=THWTTOTW@table1.columnCount=67@tableCount=1@filter1.co
nnector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=
$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A
@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_etim.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten Elapsed Time Unicode            *
*  *  Table:              REALTHRD                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  *                                                              *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *   
*  ****************************************************************
*  IDENT=ZDB2_0007_TOP_TEN_ELAPSED_TIME_T:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Top Ten Elapsed Time Threads;
*  USER=CCC_410;
*  DESC=Display top Ten threads with the most elapsed time;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;  * First column to return
*  COLUMNS=MVSID;
*  COLUMNS=SSID;                             
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2                                  
*       COLUMNS=  QW0148AC                             
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR                                  
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  THDXETIM 
*       COLUMNS=  IIPDB2CPU                                    
*       COLUMNS=  UTDIDOPID                             
*       COLUMNS=  UTDIDAUTH                                  
*       COLUMNS=  UTDIDLOCN                                   
*       COLUMNS=  UTDIDPCOL                                   
*       COLUMNS=  UTDIDPACK  
*       COLUMNS=  CICSMVSID                                 
*  COLUMNS=ORIGINNODE; * Last column to return
*  PRED=ORIGINNODE = $NODE$;
*  ORDER=ASCENDING THDXETIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten Elapsed Time Threads',
  'Display top Ten threads with the most elapsed time',
  'CCC_410',
  '1060905201847000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=QWHSLUU
V@table1.column5.name=QWHSLUUV2@table1.column6.name=QW0148AC@table1.colu
mn7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDC
ONN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDDB2S@table1.c
olumn12.name=TDIDLOCN@table1.column13.name=TDIDOPID@table1.column14.name
=TDIDPACK@table1.column15.name=TDIDPCOL@table1.column16.name=TDIDPLAN@ta
ble1.column17.name=THDXETIM@table1.column18.name=IIPDB2CPU@table1.column
19.name=UTDIDOPID@table1.column20.name=UTDIDAUTH@table1.column21.name=UT
DIDLOCN@table1.column22.name=UTDIDPCOL@table1.column23.name=UTDIDPACK@ta
ble1.column24.name=CICSMVSID@table1.column25.name=ORIGINNODE@table1.colu
mnCount=25@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@
filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=THD
XETIM@order1.sequence=ASCENDING@orderCount=1@nodeTypeCount=1@nodeType1=D
B2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@hi
story=F@');
*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_indb2.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten In_DB2 Time Threads Unicode     *
*  *  Table:              REALTHRD                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *   ...
*  ****************************************************************
*  IDENT=ZDB2_0009_TOP_TEN_INDB2_TIME:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Top Ten In_DB2 Time Threads;
*  USER=CCC_410;
*  DESC=Display top Ten threads with the most In_DB2 Time;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;  * First column to return
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  WHNDBTCT  
*       COLUMNS=  WHNDBTIM                         
*       COLUMNS=  TDIDPLAN                 
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR 
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                         
*       COLUMNS=  TDIDDB2S  
*       COLUMNS=  THDXSTAT                                
*       COLUMNS=  THDXCPUR
*       COLUMNS=  THDXGETP
*       COLUMNS=  THDXUPDT
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXJOBN
*       COLUMNS=  THDXETIM
*       COLUMNS=  QWHSLUUV
*       COLUMNS=  QWHSLUUV2                                   
*       COLUMNS=  QW0148AC
*       COLUMNS=  IIPDB2CPU   
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                   
*  COLUMNS=ORIGINNODE; * Last column to return
*  PRED=ORIGINNODE = $NODE$;
*  ORDER=ASCENDING WHNDBTIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2_TIME:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0009_TOP_TEN_INDB2_TIME:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten In_DB2 Time Threads',
  'Display top Ten threads with the most In_DB2 Time',
  'CCC_410',
  '1060905201847000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.columnCount=33@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterC
ount=1@order1.column=WHNDBTIM@order1.sequence=ASCENDING@orderCount=1@nod
eTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_indb2cpu.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten in_DB2_CPU Time Threads Unicode *
*  *  Table:              REALTHRD                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *                                                              *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *  
*  *                                                              *
*  ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from thddesc
*
*    IDENT=ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:410;
*    AFFINITY=0020000000000000000000000000000004000008000;
*    NAME=Top Ten in_DB2_CPU Time Descending Threads;
*    USER=CCC_410;
*    DESC=Display top Ten threads with the most in_DB2_CPU time;
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    VISIBLE=N;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*         COLUMNS=  WHNDBTCT  
*         COLUMNS=  WHNDBTIM
*         COLUMNS=  TDIDPLAN
*         COLUMNS=  TDIDAUTH                                   
*         COLUMNS=  TDIDCNTY                                   
*         COLUMNS=  TDIDCONN                                   
*         COLUMNS=  TDIDCORR 
*         COLUMNS=  TDIDLOCN                                  
*         COLUMNS=  TDIDOPID                                   
*         COLUMNS=  TDIDPACK                                   
*         COLUMNS=  TDIDPCOL                         
*         COLUMNS=  TDIDDB2S  
*         COLUMNS=  THDXSTAT                                
*         COLUMNS=  THDXCPUR
*         COLUMNS=  THDXGETP
*         COLUMNS=  THDXUPDT
*         COLUMNS=  THDXCOMT
*         COLUMNS=  THDXJOBN
*         COLUMNS=  THDXETIM
*         COLUMNS=  QWHSLUUV
*         COLUMNS=  QWHSLUUV2                                   
*         COLUMNS=  QW0148AC   
*         COLUMNS=  IIPDB2CPU  
*         COLUMNS=  UTDIDOPID 
*         COLUMNS=  UTDIDAUTH 
*         COLUMNS=  UTDIDLOCN 
*         COLUMNS=  UTDIDPCOL 
*         COLUMNS=  UTDIDPACK 
*         COLUMNS=  CICSMVSID 
*         COLUMNS=  VLUNAME 
*         COLUMNS=  THWTTOTW 
*    COLUMNS=ORIGINNODE;   
*    PRED=ORIGINNODE = $NODE$;
*    ORDER=DESCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending Threads',
  'Display top Ten threads with the most in_DB2_CPU time',
  'CCC_410',
  '1080528143342000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=VLUNAME@table1.column34.name=THWTTOTW@table1.column35.name=ORIGINNODE@
table1.columnCount=35@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1
.column=WHNDBTCT@order1.sequence=DESCENDING@orderCount=1@nodeTypeCount=1
@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@proper
tyCount=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_pkg.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten in_DB2_CPU Time Threads by pkg_U*
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *                                                              *
*  * Maintenance:                                                 *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *   ...
*  *                                                              *
*  ****************************************************************
*  IDENT=ZDB2_1109_TOP_TEN_INDB2CPU_TIME_:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Top Ten in_DB2_CPU Time Threads by PKG;
*  USER=CCC_410;
*  DESC=Display top Ten threads in_DB2_CPU_time by package;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;  
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  WHNDBTCT  
*       COLUMNS=  WHNDBTIM                                         
*       COLUMNS=  TDIDPLAN                                         
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR 
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                         
*       COLUMNS=  TDIDDB2S  
*       COLUMNS=  THDXSTAT                                
*       COLUMNS=  THDXCPUR
*       COLUMNS=  THDXGETP
*       COLUMNS=  THDXUPDT
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXJOBN
*       COLUMNS=  THDXETIM
*       COLUMNS=  QWHSLUUV
*       COLUMNS=  QWHSLUUV2                                   
*       COLUMNS=  QW0148AC
*       COLUMNS=  IIPDB2CPU                                    
*       COLUMNS=  UTDIDOPID                                         
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN                                  
*       COLUMNS=  UTDIDPCOL                                    
*       COLUMNS=  UTDIDPACK                                   
*       COLUMNS=  CICSMVSID                                
*  COLUMNS=ORIGINNODE; 
*  PRED=ORIGINNODE = $NODE$;
*  ORDER=ASCENDING WHNDBTCT;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten in_DB2_CPU Time Threads by PKG',
  'Display top Ten threads in_DB2_CPU_time by package',
  'CCC_410',
  '1060905201847000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.columnCount=33@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterC
ount=1@order1.column=WHNDBTCT@order1.sequence=ASCENDING@orderCount=1@nod
eTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');


*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten in_DB2_CPU Time Threads by pkg_U*
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *   
*  ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from pkgdesc
*
*   IDENT=ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:410;
*   AFFINITY=0020000000000000000000000000000004000008000;
*   NAME=Top Ten in_DB2_CPU Time Descending by pkg;
*   USER=CCC_410;
*   DESC=Top Ten threads in_DB2_CPU time by pkg;
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   VISIBLE=N;
*   COLUMNS=TIMESTAMP;        
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  WHNDBTCT  
*        COLUMNS=  WHNDBTIM                                      
*        COLUMNS=  TDIDPLAN                                     
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR 
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                         
*        COLUMNS=  TDIDDB2S  
*        COLUMNS=  THDXSTAT                                
*        COLUMNS=  THDXCPUR
*        COLUMNS=  THDXGETP
*        COLUMNS=  THDXUPDT
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXJOBN
*        COLUMNS=  THDXETIM
*        COLUMNS=  QWHSLUUV
*        COLUMNS=  QWHSLUUV2                                   
*        COLUMNS=  QW0148AC 
*        COLUMNS=  IIPDB2CPU   
*        COLUMNS=  UTDIDOPID 
*        COLUMNS=  UTDIDAUTH 
*        COLUMNS=  UTDIDLOCN 
*        COLUMNS=  UTDIDPCOL 
*        COLUMNS=  UTDIDPACK 
*        COLUMNS=  CICSMVSID                         
*        COLUMNS=ORIGINNODE; 
*        COLUMNS=  VLUNAME;                         
*        COLUMNS=  THWTTOTW; 
*   PRED=ORIGINNODE = $NODE$;
*   ORDER=DESCENDING WHNDBTCT;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending by pkg',
  'Top Ten threads in_DB2_CPU time by pkg',
  'CCC_410',
  '1080528144149000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.column34.name=VLUNAME@table1.column35.name=THWTTOTW@
table1.columnCount=35@tableCount=1@filter1.connector=AND@filter1.column=
ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1
.column=WHNDBTCT@order1.sequence=DESCENDING@orderCount=1@nodeTypeCount=1
@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@proper
tyCount=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realthda_indb2_pkg.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Top Ten In_DB2 Time Threads by PKG_U    *
*  *  Table:              REALTHDA                                *
*  *  Characteristics:    IRA, all DB2 systems, thrunode          *
*  *  Maintenance:                                                *
*  *    06/28/06 HZH      New V410 query                          *
*  *    06/09/05 HZH      Removed IIPCPUR, IIPCPU, and IIPECPU    *
*  ****************************************************************
*  IDENT=ZDB2_1111_TOP_TEN_INDB2_TIME_PKG:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Top Ten In_DB2 Time Threads by PKG;
*  USER=CCC_410;
*  DESC=Top Ten threads In_DB2 Time by package;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;  
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  WHNDBTCT  
*       COLUMNS=  WHNDBTIM             
*       COLUMNS=  TDIDPLAN             
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR 
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                         
*       COLUMNS=  TDIDDB2S  
*       COLUMNS=  THDXSTAT                                
*       COLUMNS=  THDXCPUR
*       COLUMNS=  THDXGETP
*       COLUMNS=  THDXUPDT
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXJOBN
*       COLUMNS=  THDXETIM
*       COLUMNS=  QWHSLUUV
*       COLUMNS=  QWHSLUUV2                                   
*       COLUMNS=  QW0148AC   
*       COLUMNS=  IIPDB2CPU   
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                             
*       COLUMNS=ORIGINNODE; 
*  PRED=ORIGINNODE = $NODE$;
*  ORDER=ASCENDING WHNDBTIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Top Ten In_DB2 Time Threads by PKG',
  'Top Ten threads In_DB2 Time by package',
  'CCC_410',
  '1060905201847000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.columnCount=33@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterC
ount=1@order1.column=WHNDBTIM@order1.sequence=ASCENDING@orderCount=1@nod
eTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from db2lkconf.txt
*
* ****************************************************************
* *  Report:             DB2 Lock Conflicts Unicode              *
* *  Table:              DB2LKCONF                               *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* *  Maintenance:                                                *
* *    06/28/06 HZH      New V410 query                          *
* ****************************************************************
* IDENT=zDB2_025_Lock_Conflict:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Lock Conflicts;
* USER=CCC_410;
* DESC=Retrieve lock information on this node;
* TABLE=KDP.DB2LKCONF;
* NODETYPE=DB2;
* READONLY=T;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,LK_STATUS,DISPET;
* COLUMNS=LK_TYPE,LK_LEVEL,LK_RESOURC;
* COLUMNS=AUTHID,CONNID,CONNTYPE,TH_TYPE,TH_STATUS,SMFID;
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE,LK_ET,LK_TOKEN,IDNAME;
* COLUMNS=UAUTHID;      
* COLUMNS=RESTYPE1;     
* COLUMNS=RESTYPE2;     
* COLUMNS=RESTYPE3;     
* COLUMNS=RESTYPE4;     
* COLUMNS=URESNAME1;    
* COLUMNS=URESNAME2;    
* COLUMNS=RESNAME3;     
* COLUMNS=RESNAME4;    
* PRED=ORIGINNODE = $NODE$;
* PRED=AND LK_RESOURC = $LKRES$;
* * PRED=AND IDNAME         = $IDNAME$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_025_Lock_Conflict:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_025_Lock_Conflict:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_025_Lock_Conflict:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_025_Lock_Conflict:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Lock Conflicts',
  'Retrieve lock information on this node',
  'CCC_410',
  '1060724171211000',
'at=$THRUNODE$@table1.name=DB2LKCONF@table1.column1.name=DB2ID@table1.co
lumn2.name=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=LK_S
TATUS@table1.column5.name=DISPET@table1.column6.name=LK_TYPE@table1.colu
mn7.name=LK_LEVEL@table1.column8.name=LK_RESOURC@table1.column9.name=AUT
HID@table1.column10.name=CONNID@table1.column11.name=CONNTYPE@table1.col
umn12.name=TH_TYPE@table1.column13.name=TH_STATUS@table1.column14.name=S
MFID@table1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@tabl
e1.column17.name=LK_ET@table1.column18.name=LK_TOKEN@table1.column19.nam
e=IDNAME@table1.column20.name=UAUTHID@table1.column21.name=RESTYPE1@tabl
e1.column22.name=RESTYPE2@table1.column23.name=RESTYPE3@table1.column24.
name=RESTYPE4@table1.column25.name=URESNAME1@table1.column26.name=URESNA
ME2@table1.column27.name=RESNAME3@table1.column28.name=RESNAME4@table1.c
olumnCount=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNO
DE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter
2.column=LK_RESOURC@filter2.operator=EQ@filter2.value=$LKRES$@filterCoun
t=2@nodeTypeCount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@prope
rty1.value=kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1060724171211000',
   '_ KCJ',
   'zDB2_025_Lock_Conflict:410',
   'Lock Conflicts'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_025_Lock_Conflict:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_025_Lock_Conflict:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_025_Lock_Conflict:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_025_Lock_Conflict:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_025_Lock_Conflict:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_025_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_025_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_025_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_025_Lock_Conflict:410',
   256
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vdb2lkconf.txt
*
* ****************************************************************
* *  Report:             DB2 Lock Conflicts                      *
* *  Table:              VDB2LKCONF                              *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* *  Maintainance:                                               *
* *  07/16/2006    HZH   Added V410 new query                    *
* ****************************************************************
* IDENT=zDB2_003_Lock_Conflict:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Global Lock Conflicts;
* USER=CCC_410;
* DESC=Retrieve lock information on this node;
* TABLE=KDP.VDB2LKCONF;
* AT=*HUB;
* VISIBLE=Y;
* READONLY=T;
* NODETYPE=DSGROUP;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,LK_STATUS,DISPET;
* COLUMNS=LK_TYPE,LK_LEVEL,LK_RESOURC;
* COLUMNS=AUTHID,CONNID,CONNTYPE,TH_TYPE,TH_STATUS,SMFID;
* COLUMNS=TIMESTAMP;
* COLUMNS=ORIGINNODE,LK_ET,LK_TOKEN,IDNAME;
* COLUMNS=UAUTHID;      
* COLUMNS=RESTYPE1;     
* COLUMNS=RESTYPE2;     
* COLUMNS=RESTYPE3;     
* COLUMNS=RESTYPE4;     
* COLUMNS=URESNAME1;    
* COLUMNS=URESNAME2;    
* COLUMNS=RESNAME3;     
* COLUMNS=RESNAME4;    
* PRED=ORIGINNODE         = $NODE$;
* PRED=AND LK_RESOURC = $LKRES$;
* PRED=AND IDNAME = $IDNAME$;
* SITNAME=DB2_Lock_Waiter_Time_Critical   Critical 
* SITNAME=DB2_Lock_Waiter_Time_Warning    Warning  


DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_003_Lock_Conflict:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'DB2_Lock_Waiter_Time_Critical' AND 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'DB2_Lock_Waiter_Time_Warning' AND 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_003_Lock_Conflict:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_003_Lock_Conflict:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_003_Lock_Conflict:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Global Lock Conflicts',
  'Retrieve lock information on this node',
  'CCC_410',
  '1060724171211000',
'at=*HUB@table1.name=VDB2LKCONF@table1.column1.name=DB2ID@table1.column2
.name=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=LK_STATUS
@table1.column5.name=DISPET@table1.column6.name=LK_TYPE@table1.column7.n
ame=LK_LEVEL@table1.column8.name=LK_RESOURC@table1.column9.name=AUTHID@t
able1.column10.name=CONNID@table1.column11.name=CONNTYPE@table1.column12
.name=TH_TYPE@table1.column13.name=TH_STATUS@table1.column14.name=SMFID@
table1.column15.name=TIMESTAMP@table1.column16.name=ORIGINNODE@table1.co
lumn17.name=LK_ET@table1.column18.name=LK_TOKEN@table1.column19.name=IDN
AME@table1.column20.name=UAUTHID@table1.column21.name=RESTYPE1@table1.co
lumn22.name=RESTYPE2@table1.column23.name=RESTYPE3@table1.column24.name=
RESTYPE4@table1.column25.name=URESNAME1@table1.column26.name=URESNAME2@t
able1.column27.name=RESNAME3@table1.column28.name=RESNAME4@table1.column
Count=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@fi
lter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.col
umn=LK_RESOURC@filter2.operator=EQ@filter2.value=$LKRES$@filter3.connect
or=AND@filter3.column=IDNAME@filter3.operator=EQ@filter3.value=$IDNAME$@
filterCount=3@nodeTypeCount=1@nodeType1=DSGROUP@readonly=T@property1.nam
e=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1060724171211000',
   '_ KCJ',
   'zDB2_003_Lock_Conflict:410',
   'Global Lock Conflicts'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_003_Lock_Conflict:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_003_Lock_Conflict:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_003_Lock_Conflict:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_003_Lock_Conflict:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_003_Lock_Conflict:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_003_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_003_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_003_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_003_Lock_Conflict:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'DB2_Lock_Waiter_Time_Critical',
   'Critical',
   'zDB2_003_Lock_Conflict:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'DB2_Lock_Waiter_Time_Warning',
   'Warning',
   'zDB2_003_Lock_Conflict:410',
   0
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realact.txt
*
*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            410                                     *
*  *  Workspace:          Thread Detail Unicode                   *
*  *  Table:              REALACT                                 *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  *  Maintenance:                                                *
*  *    07/02/06 HZH      New V410 query                          *
*  *    09/07/06 HZH      Removed IIPCPU, IIPCPURAT and IIPECPCPU *
*  ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from threadid
*
*   IDENT=ZDB2_0008_THREADS_DETAIL:410;
*   AFFINITY=0020000000000000000000000000000004000008000;
*   NAME=Thread_id;
*   USER=CCC_410;
*   DESC=Display thread id;
*   VISIBLE=N;
*   NODETYPE=DB2;
*   TABLE=KDP.REALACT;
*   COLUMNS=ORIGINNODE;
*   COLUMNS=TIMESTAMP;
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*   COLUMNS=TDIDACE;
*   COLUMNS=QWHSLUUV;
*   COLUMNS=QWHSLUUV2;
*   COLUMNS=TDIDCORR;
*   COLUMNS=TDIDEUID;
*   COLUMNS=TDIDWKID;
*   COLUMNS=TDIDTXID;
*   COLUMNS=TDIDPLAN;
*   COLUMNS=TDIDASID;
*   COLUMNS=TDIDPCOL;
*   COLUMNS=TDIDPACK;
*   COLUMNS=TDIDCORR;
*   COLUMNS=TDIDAUTH;
*   COLUMNS=TDIDCONN;
*   COLUMNS=TDIDCNTY;
*   COLUMNS=TDIDLOCN;
*   COLUMNS=TDIDWKID;
*   COLUMNS=TDIDTXID;
*   COLUMNS=TDIDEUID;
*   COLUMNS=STATUS;
*   COLUMNS=ELAPSED;
*   COLUMNS=MVSSTAT;
*   COLUMNS=JOBNAME;
*   COLUMNS=INDB2IIP;
*   COLUMNS=UTDIDAUTH; 
*   COLUMNS=UTDIDLOCN; 
*   COLUMNS=UTDIDPCOL; 
*   COLUMNS=UTDIDPACK; 
*   COLUMNS=CICSMVSID; 
*   COLUMNS=DTLUWID;
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND QWHSLUUV = $UNIQUET1$;
*   PRED=AND QWHSLUUV2 = $UNIQUET2$;
*   * One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0008_THREADS_DETAIL:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0008_THREADS_DETAIL:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Thread_id',
  'Display thread id',
  'CCC_410',
  '1080516104759000',
'at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=TDIDACE@table1.column6.name=QWHSLUUV@table1.colum
n7.name=QWHSLUUV2@table1.column8.name=TDIDCORR@table1.column9.name=TDIDE
UID@table1.column10.name=TDIDWKID@table1.column11.name=TDIDTXID@table1.c
olumn12.name=TDIDPLAN@table1.column13.name=TDIDASID@table1.column14.name
=TDIDPCOL@table1.column15.name=TDIDPACK@table1.column16.name=TDIDCORR@ta
ble1.column17.name=TDIDAUTH@table1.column18.name=TDIDCONN@table1.column1
9.name=TDIDCNTY@table1.column20.name=TDIDLOCN@table1.column21.name=TDIDW
KID@table1.column22.name=TDIDTXID@table1.column23.name=TDIDEUID@table1.c
olumn24.name=STATUS@table1.column25.name=ELAPSED@table1.column26.name=MV
SSTAT@table1.column27.name=JOBNAME@table1.column28.name=INDB2IIP@table1.
column29.name=UTDIDAUTH@table1.column30.name=UTDIDLOCN@table1.column31.n
ame=UTDIDPCOL@table1.column32.name=UTDIDPACK@table1.column33.name=CICSMV
SID@table1.column34.name=DTLUWID@table1.columnCount=34@tableCount=1@filt
er1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.
value=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@filter2.opera
tor=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter3.column=QWH
SLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filterCount=3@nodeTy
peCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableR
ow@propertyCount=1@history=F@');

*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            510                                     *
*  *  Workspace:          Thread Detail                           *
*  *  Table:              REALACT                                 *
*  *  Characteristics:    IRA, all DB2 systems, thrunode, visible *
*  *  Maintenance:                                                *
*  *    12/02/09 SMW      New V510 query                          *
*  ****************************************************************
*    IDENT=ZDB2_0005_THREADs_DETAIL:510;
*    AFFINITY=002000000000000000000000000000000G000008000;
*    NAME=Thread_Details1;
*    USER=CCC_510;
*    DESC=Display thread detail;
*    VISIBLE=N;
*    NODETYPE=DB2;
*    TABLE=KDP.REALACT;
*    COLUMNS= ORIGINNODE;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=QWHSLUUV;
*    COLUMNS=QWHSLUUV2;
*    COLUMNS=TDIDCORR;
*    COLUMNS=TDIDEUID;
*    COLUMNS=TDIDWKID;
*    COLUMNS=TDIDTXID;
*    COLUMNS=SSID;
*    COLUMNS=TDIDTCBA;
*    COLUMNS=TDIDAGNT;
*    COLUMNS=TDIDACE;
*    COLUMNS=STATUS;
*    COLUMNS=ELAPSED;
*    COLUMNS=CPU;
*    COLUMNS=THNDBCPU;
*    COLUMNS=THNDBTMF;
*    COLUMNS=THNDBHCP;
*    COLUMNS=THNDBSCP;
*    COLUMNS=MVSSTAT;
*    COLUMNS=CPURATE;
*    COLUMNS=THWTTSPT;
*    COLUMNS=THWTCSPT;
*    COLUMNS=THWTSPCT;
*    COLUMNS=THWTOCSE;
*    COLUMNS=THWTCCSE;
*    COLUMNS=THWTOCNS;
*    COLUMNS=THWTSLSE;
*    COLUMNS=THWTCLSE;
*    COLUMNS=THWTSLNS;
*    COLUMNS=THWTDSSE;
*    COLUMNS=THWTCSSE;
*    COLUMNS=THWTDSNS;
*    COLUMNS=THWTOTSE;
*    COLUMNS=THWTCTSE;
*    COLUMNS=THWTOTNS;
*    COLUMNS=THWTAWFC;
*    COLUMNS=THWTCWFC;
*    COLUMNS=THWTFCCT;
*    COLUMNS=THWTTKSE;
*    COLUMNS=THWTCKSE;
*    COLUMNS=THWTTKNS;
*    COLUMNS=THWTTMSE;
*    COLUMNS=THWTCMSE;
*    COLUMNS=THWTTMNS;
*    COLUMNS=THWTTNSE;
*    COLUMNS=THWTCNSE;
*    COLUMNS=THWTTNNS;
*    COLUMNS=THWTTOSE;
*    COLUMNS=THWTCOSE;
*    COLUMNS=THWTTONS;
*    COLUMNS=THWTTQSE;
*    COLUMNS=THWTCQSE;
*    COLUMNS=THWTTQNS;
*    COLUMNS=THWTTWLG;
*    COLUMNS=THWTCWLG;
*    COLUMNS=THWTARLG;
*    COLUMNS=THWTTWTE;
*    COLUMNS=THWTCWTE;
*    COLUMNS=THWTARNS;
*    COLUMNS=THWTTWTW;
*    COLUMNS=THWTCWTW;
*    COLUMNS=THWTARNW;
*    COLUMNS=QWACPCNT;
*    COLUMNS=THACTCNT;
*    COLUMNS=QWACUDCP;
*    COLUMNS=QWACUDTT;
*    COLUMNS=QWACUDNE;
*    COLUMNS=QWACUDST;
*    COLUMNS=QWACUDEA;
*    COLUMNS=QWACUDEB;
*    COLUMNS=QWACTRTT;
*    COLUMNS=QWACTRET;
*    COLUMNS=QWACPECT;
*    COLUMNS=QWACSPEA;
*    COLUMNS=QWACSPEB;
*    COLUMNS=QWACTRTE;
*    COLUMNS=QWACTREE;
*    COLUMNS=QWAXALCT;
*    COLUMNS=QWAXOCSE;
*    COLUMNS=QWACSPCP;
*    COLUMNS=QWACSVPT;
*    COLUMNS=QWACRLSV;
*    COLUMNS=QWACRBSV;
*    COLUMNS=INDB2IIP;
*    COLUMNS=THWTTOTW;
*    COLUMNS=QWACUDFELP;
*    COLUMNS=QWACUDFCP;
*    COLUMNS=QWACUDFZII;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND QWHSLUUV = $UNIQUET1$;
*    PRED=AND QWHSLUUV2 = $UNIQUET2$;
*  *   One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0005_THREADs_DETAIL:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0005_THREADs_DETAIL:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Thread_Details1',
  'Display thread detail',
  'CCC_510',
  '1091206204306000',
'at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=QW
HSLUUV@table1.column5.name=QWHSLUUV2@table1.column6.name=TDIDCORR@table1
.column7.name=TDIDEUID@table1.column8.name=TDIDWKID@table1.column9.name=
TDIDTXID@table1.column10.name=SSID@table1.column11.name=TDIDTCBA@table1.
column12.name=TDIDAGNT@table1.column13.name=TDIDACE@table1.column14.name
=STATUS@table1.column15.name=ELAPSED@table1.column16.name=CPU@table1.col
umn17.name=THNDBCPU@table1.column18.name=THNDBTMF@table1.column19.name=T
HNDBHCP@table1.column20.name=THNDBSCP@table1.column21.name=MVSSTAT@table
1.column22.name=CPURATE@table1.column23.name=THWTTSPT@table1.column24.na
me=THWTCSPT@table1.column25.name=THWTSPCT@table1.column26.name=THWTOCSE@
table1.column27.name=THWTCCSE@table1.column28.name=THWTOCNS@table1.colum
n29.name=THWTSLSE@table1.column30.name=THWTCLSE@table1.column31.name=THW
TSLNS@table1.column32.name=THWTDSSE@table1.column33.name=THWTCSSE@table1
.column34.name=THWTDSNS@table1.column35.name=THWTOTSE@table1.column36.na
me=THWTCTSE@table1.column37.name=THWTOTNS@table1.column38.name=THWTAWFC@
table1.column39.name=THWTCWFC@table1.column40.name=THWTFCCT@table1.colum
n41.name=THWTTKSE@table1.column42.name=THWTCKSE@table1.column43.name=THW
TTKNS@table1.column44.name=THWTTMSE@table1.column45.name=THWTCMSE@table1
.column46.name=THWTTMNS@table1.column47.name=THWTTNSE@table1.column48.na
me=THWTCNSE@table1.column49.name=THWTTNNS@table1.column50.name=THWTTOSE@
table1.column51.name=THWTCOSE@table1.column52.name=THWTTONS@table1.colum
n53.name=THWTTQSE@table1.column54.name=THWTCQSE@table1.column55.name=THW
TTQNS@table1.column56.name=THWTTWLG@table1.column57.name=THWTCWLG@table1
.column58.name=THWTARLG@table1.column59.name=THWTTWTE@table1.column60.na
me=THWTCWTE@table1.column61.name=THWTARNS@table1.column62.name=THWTTWTW@
table1.column63.name=THWTCWTW@table1.column64.name=THWTARNW@table1.colum
n65.name=QWACPCNT@table1.column66.name=THACTCNT@table1.column67.name=QWA
CUDCP@table1.column68.name=QWACUDTT@table1.column69.name=QWACUDNE@table1
.column70.name=QWACUDST@table1.column71.name=QWACUDEA@table1.column72.na
me=QWACUDEB@table1.column73.name=QWACTRTT@table1.column74.name=QWACTRET@
table1.column75.name=QWACPECT@table1.column76.name=QWACSPEA@table1.colum
n77.name=QWACSPEB@table1.column78.name=QWACTRTE@table1.column79.name=QWA
CTREE@table1.column80.name=QWAXALCT@table1.column81.name=QWAXOCSE@table1
.column82.name=QWACSPCP@table1.column83.name=QWACSVPT@table1.column84.na
me=QWACRLSV@table1.column85.name=QWACRBSV@table1.column86.name=INDB2IIP@
table1.column87.name=THWTTOTW@table1.column88.name=QWACUDFELP@table1.col
umn89.name=QWACUDFCP@table1.column90.name=QWACUDFZII@table1.columnCount=
90@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.
operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=QW
HSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AN
D@filter3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@
filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@proper
ty1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realenc.txt
*
*  ******************************************************************
*  * Product:            KD5                                        *
*  * Version:            410                                        *
*  * Workspace:          Thread Enclave                             *
*  * Table:              REALENC                                    *
*  * Characteristics:    IRA, all DB2 systems, thrunode, visible    *
*  *  Maintenance:                                                  *
*  *    06/28/06 HZH     New V410 query                             *
*  *    06/09/06 HZH     Removed IIPCPUR,IIPFLAG,IIPECPU,IIPSPEED   * ...
*  ******************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from realenc
*
*  IDENT=ZDB2_0003_THREAD_ENCLAVE:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Thread_ENCLAVE;
*  USER=CCC_410;
*  DESC=Display thread enclave;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.REALENC;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*  COLUMNS=ENCLACCT;                                   
*  COLUMNS=ENCLADSC;                                   
*  COLUMNS=ENCLAENV;                                   
*  COLUMNS=ENCLAPNM;                                    
*  COLUMNS=ENCLASP1;                                   
*  COLUMNS=ENCLASP2;                                   
*  COLUMNS=ENCLCCRT;                                    
*  COLUMNS=ENCLCPUF;                                    
*  COLUMNS=ENCLCTYP;                                    
*  COLUMNS=ENCLFCN;                                     
*  COLUMNS=ENCLFLG;                                     
*  COLUMNS=ENCLGORC;                                    
*  COLUMNS=ENCLLCDE;                                   
*  COLUMNS=ENCLLCPN;                                   
*  COLUMNS=ENCLLGDE;                                   
*  COLUMNS=ENCLLGNM;                                    
*  COLUMNS=ENCLLU;                                      
*  COLUMNS=ENCLLWDE;                                   
*  COLUMNS=ENCLLWNM;                                    
*  COLUMNS=ENCLNET;                                     
*  COLUMNS=ENCLOJOB;                                    
*  COLUMNS=ENCLOSYS;                                    
*  COLUMNS=ENCLPER_P_;                                  
*  COLUMNS=ENCLPERF;                                    
*  COLUMNS=ENCLPIDX;                                    
*  COLUMNS=ENCLPRIO;                                    
*  COLUMNS=ENCLPRNM;                                   
*  COLUMNS=ENCLPROC;                                   
*  COLUMNS=ENCLRCLN;                                    
*  COLUMNS=ENCLRGNN;                                    
*  COLUMNS=ENCLSCHD;                                   
*  COLUMNS=ENCLSCLN;                                    
*  COLUMNS=ENCLSPRT;                                    
*  COLUMNS=ENCLSSCN;                                    
*  COLUMNS=ENCLSSPM;                                   
*  COLUMNS=ENCLSUBN;                              
*  COLUMNS=ENCLSUBT;                                    
*  COLUMNS=ENCLTRXC;                                    
*  COLUMNS=ENCLTRXN;                              
*  COLUMNS=ENCLTYPE;                                    
*  COLUMNS=ENCLUSER;                                    
*  COLUMNS=ENCLVERS;                                    
*  COLUMNS=ENCLWKLN;                                    
*  COLUMNS=QWHSLUUV; 
*  COLUMNS=QWHSLUUV2;                                   
*  COLUMNS=TDIDACE;                                     
*  COLUMNS=TDIDAGNT;                                    
*  COLUMNS=TDIDAUTH;                                    
*  COLUMNS=TDIDCNTY;                                    
*  COLUMNS=TDIDEUID;                                   
*  COLUMNS=TDIDLOCN;                                   
*  COLUMNS=TDIDTCBA;                                    
*  COLUMNS=TDIDTXID;                                   
*  COLUMNS=TDIDWKID; 
*  COLUMNS=TDIDPLAN;
*  COLUMNS=TDIDASID;
*  COLUMNS=TDIDPCOL;
*  COLUMNS=TDIDPACK;
*  COLUMNS=TOKENWORK;
*  COLUMNS=ENCLLIMP;
*  COLUMNS=ENCLLDUR;
*  COLUMNS=ENCLLPER;
*  COLUMNS=ENCLLTYP80;
*  COLUMNS=ENCLLTYP40;
*  COLUMNS=ENCLLTYP20;
*  COLUMNS=ENCLLTYP10;
*  COLUMNS=ENCLLTYP08;
*  COLUMNS=ENCLLRTU;
*  COLUMNS=ENCLLRDE;
*  COLUMNS=ENCLCORR;
*  COLUMNS=WLMTYPE;                             
*  COLUMNS=ORIGINNODE;   
*  COLUMNS=TDIDCONN;
*  COLUMNS=TOTUSES;
*  COLUMNS=TOTDELAY;
*  COLUMNS=GOALDESC;
*  COLUMNS=ENCLLVAL;
*  COLUMNS=STOKEN;
*  COLUMNS=XTOKEN;
*  COLUMNS=UTDIDAUTH,UTDIDLOCN,UTDIDPCOL,UTDIDPACK;
*  COLUMNS=DTLUWID;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND QWHSLUUV = $UNIQUET1$;
*  PRED=AND QWHSLUUV2 = $UNIQUET2$;
*  *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0003_THREAD_ENCLAVE:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0003_THREAD_ENCLAVE:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Thread_ENCLAVE',
  'Display thread enclave',
  'CCC_410',
  '1080516105210000',
'at=$THRUNODE$@table1.name=REALENC@table1.column1.name=TIMESTAMP@table1.
column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLACCT
@table1.column5.name=ENCLADSC@table1.column6.name=ENCLAENV@table1.column
7.name=ENCLAPNM@table1.column8.name=ENCLASP1@table1.column9.name=ENCLASP
2@table1.column10.name=ENCLCCRT@table1.column11.name=ENCLCPUF@table1.col
umn12.name=ENCLCTYP@table1.column13.name=ENCLFCN@table1.column14.name=EN
CLFLG@table1.column15.name=ENCLGORC@table1.column16.name=ENCLLCDE@table1
.column17.name=ENCLLCPN@table1.column18.name=ENCLLGDE@table1.column19.na
me=ENCLLGNM@table1.column20.name=ENCLLU@table1.column21.name=ENCLLWDE@ta
ble1.column22.name=ENCLLWNM@table1.column23.name=ENCLNET@table1.column24
.name=ENCLOJOB@table1.column25.name=ENCLOSYS@table1.column26.name=ENCLPE
R_P_@table1.column27.name=ENCLPERF@table1.column28.name=ENCLPIDX@table1.
column29.name=ENCLPRIO@table1.column30.name=ENCLPRNM@table1.column31.nam
e=ENCLPROC@table1.column32.name=ENCLRCLN@table1.column33.name=ENCLRGNN@t
able1.column34.name=ENCLSCHD@table1.column35.name=ENCLSCLN@table1.column
36.name=ENCLSPRT@table1.column37.name=ENCLSSCN@table1.column38.name=ENCL
SSPM@table1.column39.name=ENCLSUBN@table1.column40.name=ENCLSUBT@table1.
column41.name=ENCLTRXC@table1.column42.name=ENCLTRXN@table1.column43.nam
e=ENCLTYPE@table1.column44.name=ENCLUSER@table1.column45.name=ENCLVERS@t
able1.column46.name=ENCLWKLN@table1.column47.name=QWHSLUUV@table1.column
48.name=QWHSLUUV2@table1.column49.name=TDIDACE@table1.column50.name=TDID
AGNT@table1.column51.name=TDIDAUTH@table1.column52.name=TDIDCNTY@table1.
column53.name=TDIDEUID@table1.column54.name=TDIDLOCN@table1.column55.nam
e=TDIDTCBA@table1.column56.name=TDIDTXID@table1.column57.name=TDIDWKID@t
able1.column58.name=TDIDPLAN@table1.column59.name=TDIDASID@table1.column
60.name=TDIDPCOL@table1.column61.name=TDIDPACK@table1.column62.name=TOKE
NWORK@table1.column63.name=ENCLLIMP@table1.column64.name=ENCLLDUR@table1
.column65.name=ENCLLPER@table1.column66.name=ENCLLTYP80@table1.column67.
name=ENCLLTYP40@table1.column68.name=ENCLLTYP20@table1.column69.name=ENC
LLTYP10@table1.column70.name=ENCLLTYP08@table1.column71.name=ENCLLRTU@ta
ble1.column72.name=ENCLLRDE@table1.column73.name=ENCLCORR@table1.column7
4.name=WLMTYPE@table1.column75.name=ORIGINNODE@table1.column76.name=TDID
CONN@table1.column77.name=TOTUSES@table1.column78.name=TOTDELAY@table1.c
olumn79.name=GOALDESC@table1.column80.name=ENCLLVAL@table1.column81.name
=STOKEN@table1.column82.name=XTOKEN@table1.column83.name=UTDIDAUTH@table
1.column84.name=UTDIDLOCN@table1.column85.name=UTDIDPCOL@table1.column86
.name=UTDIDPACK@table1.column87.name=DTLUWID@table1.columnCount=87@table
Count=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator
=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@f
ilter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter
3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filterCo
unt=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.valu
e=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realrsum_id.txt
*
* ******************************************************************
* *    Product:            KD5                                     *
* *    Version:            410                                     *
* *    Workspace:          Thread DDF Unicode                      *
* *    Table:              REALRSUM                                *
* *    Characteristics:    IRA, all DB2 systems, thrunode, visible *
* *    Maintenance:                                                *
* *      06/28/06 HZH      New V410 query                          *
* ******************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from realrsum
*
* IDENT=ZDB2_00011_DDF_THREAD_ID:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=DDF_THREAD_ID;
* USER=CCC_410;
* DESC=Display DDF thread id;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.REALRSUM;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;  
* COLUMNS=DLCSETIM;                                   
* COLUMNS=DLCSLUNM;                                     
* COLUMNS=DLCSSTAT                                
* COLUMNS=QWHSLUUV
* COLUMNS=QWHSLUUV2                                     
* COLUMNS=TDIDAUTH                                   
* COLUMNS=TDIDCNTY                                   
* COLUMNS=TDIDEUID                                  
* COLUMNS=TDIDLOCN                                  
* COLUMNS=TDIDPLAN;
* COLUMNS=TDIDASID;
* COLUMNS=TDIDPCOL;
* COLUMNS=TDIDPACK;
* COLUMNS=THDFRBTR;
* COLUMNS=TDIDCORR;
* COLUMNS=TDIDCONN;
* COLUMNS=THDFTYPE;
* COLUMNS=ORIGINNODE;
* COLUMNS=TDIDTXID;
* COLUMNS=RCOUNT;
* COLUMNS=UTDIDAUTH,UTDIDLOCN,UTDIDPCOL,UTDIDPACK; 
* COLUMNS=VLUNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED= AND QWHSLUUV = $UNIQUET1$;
* PRED= AND QWHSLUUV2 = $UNIQUET2$;
* PRED= AND DLCSLUNM = $LUNAME$;
* *  One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_00011_DDF_THREAD_ID:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_00011_DDF_THREAD_ID:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'DDF_THREAD_ID',
  'Display DDF thread id',
  'CCC_410',
  '1080527224419000',
'at=$THRUNODE$@table1.name=REALRSUM@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=DLCSETI
M@table1.column5.name=DLCSLUNM@table1.column6.name=DLCSSTAT@table1.colum
n7.name=QWHSLUUV@table1.column8.name=QWHSLUUV2@table1.column9.name=TDIDA
UTH@table1.column10.name=TDIDCNTY@table1.column11.name=TDIDEUID@table1.c
olumn12.name=TDIDLOCN@table1.column13.name=TDIDPLAN@table1.column14.name
=TDIDASID@table1.column15.name=TDIDPCOL@table1.column16.name=TDIDPACK@ta
ble1.column17.name=THDFRBTR@table1.column18.name=TDIDCORR@table1.column1
9.name=TDIDCONN@table1.column20.name=THDFTYPE@table1.column21.name=ORIGI
NNODE@table1.column22.name=TDIDTXID@table1.column23.name=RCOUNT@table1.c
olumn24.name=UTDIDAUTH@table1.column25.name=UTDIDLOCN@table1.column26.na
me=UTDIDPCOL@table1.column27.name=UTDIDPACK@table1.column28.name=VLUNAME
@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.column
=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=A
ND@filter2.column=QWHSLUUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@
filter3.connector=AND@filter3.column=QWHSLUUV2@filter3.operator=EQ@filte
r3.value=$UNIQUET2$@filter4.connector=AND@filter4.column=DLCSLUNM@filter
4.operator=EQ@filter4.value=$LUNAME$@filterCount=4@nodeTypeCount=1@nodeT
ype1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tconover.txt
*
* ****************************************************************
* * Product:            KD5                                      *
* * Version:            410                                      *
* * Workspace:          THREAD DB2 CONNECT OVERALL Unicode       *
* * Table:              TCONOVER                                 *
* * Characteristics:    IRA, all DB2 systems, thrunode, visible  *
* *                                                              *
* * Maintenance:                          		       *
* *    06/28/06 HZH Shortened the source IDENT to match the      *
* *                 truncated ID generated by old helper.exe.    *
* *    07/04/06 HZH V410 new query                               *
* *                                                              *
* ****************************************************************
* IDENT=ZDB2_1106_THREAD_DB2_CONNECT_OVE:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Thread DB2 Connect Overall;
* USER=CCC_410;
* DESC=Display Thread DB2 Connect Server Overview;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONOVER;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP034;
* COLUMNS=EEAPP048;
* COLUMNS=EEAPP035;
* COLUMNS=EEAPP037;
* COLUMNS=EEAPP040;
* COLUMNS=EEAPP041;
* COLUMNS=EEAPP042;
* COLUMNS=EEAPP049;
* COLUMNS=EEAPP050;
* COLUMNS=EEAPP058;
* COLUMNS=EEAPP036;
* COLUMNS=EAPP039S;
* COLUMNS=EEAPP044;
* COLUMNS=EEAPP047;
* COLUMNS=EEAPP051;
* COLUMNS=EEAPP052;
* COLUMNS=EEAPP056;
* COLUMNS=EEAPP057;
* COLUMNS=EEAPP043;
* COLUMNS=EEAPP053;
* COLUMNS=EEAPP054;
* COLUMNS=EEAPP033;
* COLUMNS=EEAPP011;
* COLUMNS=EEAPP012;
* COLUMNS=EAPP027S;
* COLUMNS=EAPP028S;
* COLUMNS=EEAPP029;
* COLUMNS=EEAPP030;
* COLUMNS=EEAPP013;
* COLUMNS=EAPP024S;
* COLUMNS=EAPP025S;
* COLUMNS=EAPP026S;
* COLUMNS=EEAPP031;
* COLUMNS=EEAPP014;
* COLUMNS=EEAPP015;
* COLUMNS=EEAPP016;
* COLUMNS=EEAPP017;
* COLUMNS=EEAPP018;
* COLUMNS=EEAPP023;
* COLUMNS=EEAPP032;
* COLUMNS=EEAPP022;
* COLUMNS=EEAPP019;
* COLUMNS=EEAPP020;
* COLUMNS=EEAPP021;
* COLUMNS=TOFAIL;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=UAUTHID;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1106_THREAD_DB2_CONNECT_OVE:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1106_THREAD_DB2_CONNECT_OVE:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Thread DB2 Connect Overall',
  'Display Thread DB2 Connect Server Overview',
  'CCC_410',
  '1060724171211000',
'at=$THRUNODE$@table1.name=TCONOVER@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAP
P046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.
column12.name=EEAPP034@table1.column13.name=EEAPP048@table1.column14.nam
e=EEAPP035@table1.column15.name=EEAPP037@table1.column16.name=EEAPP040@t
able1.column17.name=EEAPP041@table1.column18.name=EEAPP042@table1.column
19.name=EEAPP049@table1.column20.name=EEAPP050@table1.column21.name=EEAP
P058@table1.column22.name=EEAPP036@table1.column23.name=EAPP039S@table1.
column24.name=EEAPP044@table1.column25.name=EEAPP047@table1.column26.nam
e=EEAPP051@table1.column27.name=EEAPP052@table1.column28.name=EEAPP056@t
able1.column29.name=EEAPP057@table1.column30.name=EEAPP043@table1.column
31.name=EEAPP053@table1.column32.name=EEAPP054@table1.column33.name=EEAP
P033@table1.column34.name=EEAPP011@table1.column35.name=EEAPP012@table1.
column36.name=EAPP027S@table1.column37.name=EAPP028S@table1.column38.nam
e=EEAPP029@table1.column39.name=EEAPP030@table1.column40.name=EEAPP013@t
able1.column41.name=EAPP024S@table1.column42.name=EAPP025S@table1.column
43.name=EAPP026S@table1.column44.name=EEAPP031@table1.column45.name=EEAP
P014@table1.column46.name=EEAPP015@table1.column47.name=EEAPP016@table1.
column48.name=EEAPP017@table1.column49.name=EEAPP018@table1.column50.nam
e=EEAPP023@table1.column51.name=EEAPP032@table1.column52.name=EEAPP022@t
able1.column53.name=EEAPP019@table1.column54.name=EEAPP020@table1.column
55.name=EEAPP021@table1.column56.name=TOFAIL@table1.column57.name=ACE@ta
ble1.column58.name=PLAN@table1.column59.name=CORRID@table1.column60.name
=CONNID@table1.column61.name=AUTHID@table1.column62.name=QWHSLUUV@table1
.column63.name=QWHSLUUV2@table1.column64.name=UAUTHID@table1.columnCount
=64@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1
.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=E
EAPP001@filter2.operator=EQ@filter2.value=$IPADDR$@filter3.connector=AND
@filter3.column=EEAPP002@filter3.operator=EQ@filter3.value=$SRVNAME$@fil
ter4.connector=AND@filter4.column=EEAPP008@filter4.operator=EQ@filter4.v
alue=$INSTNAME$@filter5.connector=AND@filter5.column=EEAPP055@filter5.op
erator=EQ@filter5.value=$THDLUWID$@filterCount=5@nodeTypeCount=1@nodeTyp
e1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=
1@history=F@');
*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tconpkg.txt
*
* ****************************************************************
* * Product:            KD5                                      *
* * Version:            410                                      *
* * Workspace:          THREAD DB2 CONNECT PACKAGE Unicode       *
* * Table:              TCONPKG                                  *
* * Characteristics:    IRA, all DB2 systems, thrunode, visible  *
* *                                                              *
* * Maintenance:                                                 *
* *    06/28/06 HZH Shortened the source IDENT to match the      *
* *                 truncated ID generated by old helper.exe.    *
* *    07/04/06 HZH V410 new query                               *
* *                                                              *
* ****************************************************************
* IDENT=ZDB2_1108_THREAD_DB2_CONNECT_PAC:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=THREAD_DB2_CONNECT_PACKAGE;
* USER=CCC_410;
* DESC=Display Thread DB2 Connect Server Package;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONPKG;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP083;
* COLUMNS=EEAPP084;
* COLUMNS=EEAPP085;
* COLUMNS=EEAPP086;
* COLUMNS=EEAPP087;
* COLUMNS=EEAPP088;
* COLUMNS=EEAPP089;
* COLUMNS=EEAPP090;
* COLUMNS=EEAPP091;
* COLUMNS=EEAPP092;
* COLUMNS=EEAPP093;
* COLUMNS=EEAPP094;
* COLUMNS=EEAPP095;
* COLUMNS=EEAPP096;
* COLUMNS=EEAPP097;
* COLUMNS=EEAPP098;
* COLUMNS=EEAPP099;
* COLUMNS=EEAPP100;
* COLUMNS=EEAPP101;
* COLUMNS=EEAPP102;
* COLUMNS=EEAPP103;
* COLUMNS=EEAPP104;
* COLUMNS=EEAPP105;
* COLUMNS=EEAPP106;
* COLUMNS=EEAPP107;
* COLUMNS=EEAPP108;
* COLUMNS=EEAPP109;
* COLUMNS=EEAPP110;
* COLUMNS=EEAPP111;
* COLUMNS=EEAPP112;
* COLUMNS=EEAPP113;
* COLUMNS=EEAPP114;
* COLUMNS=EEAPP115;
* COLUMNS=EEAPP116;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=UAUTHID;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1108_THREAD_DB2_CONNECT_PAC:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1108_THREAD_DB2_CONNECT_PAC:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'THREAD_DB2_CONNECT_PACKAGE',
  'Display Thread DB2 Connect Server Package',
  'CCC_410',
  '1060724171211000',
'at=$THRUNODE$@table1.name=TCONPKG@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=SS
ID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.colu
mn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAPP
046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.c
olumn12.name=EEAPP083@table1.column13.name=EEAPP084@table1.column14.name
=EEAPP085@table1.column15.name=EEAPP086@table1.column16.name=EEAPP087@ta
ble1.column17.name=EEAPP088@table1.column18.name=EEAPP089@table1.column1
9.name=EEAPP090@table1.column20.name=EEAPP091@table1.column21.name=EEAPP
092@table1.column22.name=EEAPP093@table1.column23.name=EEAPP094@table1.c
olumn24.name=EEAPP095@table1.column25.name=EEAPP096@table1.column26.name
=EEAPP097@table1.column27.name=EEAPP098@table1.column28.name=EEAPP099@ta
ble1.column29.name=EEAPP100@table1.column30.name=EEAPP101@table1.column3
1.name=EEAPP102@table1.column32.name=EEAPP103@table1.column33.name=EEAPP
104@table1.column34.name=EEAPP105@table1.column35.name=EEAPP106@table1.c
olumn36.name=EEAPP107@table1.column37.name=EEAPP108@table1.column38.name
=EEAPP109@table1.column39.name=EEAPP110@table1.column40.name=EEAPP111@ta
ble1.column41.name=EEAPP112@table1.column42.name=EEAPP113@table1.column4
3.name=EEAPP114@table1.column44.name=EEAPP115@table1.column45.name=EEAPP
116@table1.column46.name=ACE@table1.column47.name=PLAN@table1.column48.n
ame=CORRID@table1.column49.name=CONNID@table1.column50.name=AUTHID@table
1.column51.name=QWHSLUUV@table1.column52.name=QWHSLUUV2@table1.column53.
name=UAUTHID@table1.columnCount=53@tableCount=1@filter1.connector=AND@fi
lter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2
.connector=AND@filter2.column=EEAPP001@filter2.operator=EQ@filter2.value
=$IPADDR$@filter3.connector=AND@filter3.column=EEAPP002@filter3.operator
=EQ@filter3.value=$SRVNAME$@filter4.connector=AND@filter4.column=EEAPP00
8@filter4.operator=EQ@filter4.value=$INSTNAME$@filter5.connector=AND@fil
ter5.column=EEAPP055@filter5.operator=EQ@filter5.value=$THDLUWID$@filter
Count=5@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.va
lue=kfw.TableRow@propertyCount=1@history=F@');
*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tconstmt.txt
*
* ****************************************************************
* * Product:            KD5                                      *
* * Version:            410                                      *
* * Workspace:          THREAD DB2 CONNECT STATEMENT UNICODE     *
* * Table:              TCONSTMT                                 *
* * Characteristics:    IRA, all DB2 systems, thrunode, visible  *
* *                                                              *
* * Maintenance:                                                 *
* *    06/28/06 HZH Shortened the source IDENT to match the      *
* *                 truncated ID generated by old helper.exe.    *
* *    07/04/06 HZH V410 new query                               *
* *                                                              *
* ****************************************************************
* IDENT=ZDB2_1107_THREAD_DB2_CONNECT_STA:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=THREAD_DB2_CONNECT_STATEMENT;
* USER=CCC_410;
* DESC=Display Thread DB2 Connect Server Statement;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TCONSTMT;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP059;
* COLUMNS=EEAPP060;
* COLUMNS=EEAPP061;
* COLUMNS=EEAPP062;
* COLUMNS=EEAPP063;
* COLUMNS=EEAPP074;
* COLUMNS=EEAPP075;
* COLUMNS=EEAPP076;
* COLUMNS=EEAPP077;
* COLUMNS=EEAPP079;
* COLUMNS=EEAPP080;
* COLUMNS=EEAPP067;
* COLUMNS=EEAPP064;
* COLUMNS=EEAPP065;
* COLUMNS=EEAPP066;
* COLUMNS=EAPP068S;
* COLUMNS=EAPP069S;
* COLUMNS=EEAPP070;
* COLUMNS=EEAPP071;
* COLUMNS=EEAPP072;
* COLUMNS=EEAPP073;
* COLUMNS=EEAPP082;
* COLUMNS=EEAPP081;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORRID;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=UAUTHID;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND EEAPP001 = $IPADDR$;
* PRED=AND EEAPP002 = $SRVNAME$;
* PRED=AND EEAPP008 = $INSTNAME$;
* PRED=AND EEAPP055 = $THDLUWID$;
* *One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1107_THREAD_DB2_CONNECT_STA:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1107_THREAD_DB2_CONNECT_STA:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'THREAD_DB2_CONNECT_STATEMENT',
  'Display Thread DB2 Connect Server Statement',
  'CCC_410',
  '1060724171211000',
'at=$THRUNODE$@table1.name=TCONSTMT@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP008@table1.column8.name=EEAPP045@table1.column9.name=EEAP
P046@table1.column10.name=EEAPP055@table1.column11.name=EAPP010S@table1.
column12.name=EEAPP059@table1.column13.name=EEAPP060@table1.column14.nam
e=EEAPP061@table1.column15.name=EEAPP062@table1.column16.name=EEAPP063@t
able1.column17.name=EEAPP074@table1.column18.name=EEAPP075@table1.column
19.name=EEAPP076@table1.column20.name=EEAPP077@table1.column21.name=EEAP
P079@table1.column22.name=EEAPP080@table1.column23.name=EEAPP067@table1.
column24.name=EEAPP064@table1.column25.name=EEAPP065@table1.column26.nam
e=EEAPP066@table1.column27.name=EAPP068S@table1.column28.name=EAPP069S@t
able1.column29.name=EEAPP070@table1.column30.name=EEAPP071@table1.column
31.name=EEAPP072@table1.column32.name=EEAPP073@table1.column33.name=EEAP
P082@table1.column34.name=EEAPP081@table1.column35.name=ACE@table1.colum
n36.name=PLAN@table1.column37.name=CORRID@table1.column38.name=CONNID@ta
ble1.column39.name=AUTHID@table1.column40.name=QWHSLUUV@table1.column41.
name=QWHSLUUV2@table1.column42.name=UAUTHID@table1.columnCount=42@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=EEAPP001@fi
lter2.operator=EQ@filter2.value=$IPADDR$@filter3.connector=AND@filter3.c
olumn=EEAPP002@filter3.operator=EQ@filter3.value=$SRVNAME$@filter4.conne
ctor=AND@filter4.column=EEAPP008@filter4.operator=EQ@filter4.value=$INST
NAME$@filter5.connector=AND@filter5.column=EEAPP055@filter5.operator=EQ@
filter5.value=$THDLUWID$@filterCount=5@nodeTypeCount=1@nodeType1=DB2@pro
perty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=
F@');
*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tdb2conn.txt
*
* *****************************************************************
* * Product:            KD5                                       *
* * Version:            410                                       *
* * Workspace:          THREAD DB2 CONNECT SERVER UNICODE         *
* * Table:              TDB2CONN                                  *
* * Characteristics:    IRA, all DB2 systems, thrunode, visible   *
* *  Maintenance:                                                *
* *    06/28/06 HZH      New V410 query                          *
* *****************************************************************
* IDENT=ZDB2_1105_THREAD_DB2_CONNECT:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Thread DB2 Connect;
* USER=CCC_410;
* DESC=Display Thread DB2 Connect Server;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.TDB2CONN;
* COLUMNS=ORIGINNODE;
* COLUMNS=TIMESTAMP;
* COLUMNS=MVSID;
* COLUMNS=SSID;
* COLUMNS=EEAPP002;
* COLUMNS=EEAPP001;
* COLUMNS=EEAPP007;
* COLUMNS=EEAPP005;
* COLUMNS=EEAPP006;
* COLUMNS=EEAPP008;
* COLUMNS=EEAPP004;
* COLUMNS=EEAPP003;
* COLUMNS=EEAPP045;
* COLUMNS=EEAPP046;
* COLUMNS=EEAPP055;
* COLUMNS=EAPP010S;
* COLUMNS=EEAPP067;
* COLUMNS=EEAPP064;
* COLUMNS=EEAPP065;
* COLUMNS=EEAPP066;
* COLUMNS=EEAPP031;
* COLUMNS=ACE;
* COLUMNS=PLAN;
* COLUMNS=CORR;
* COLUMNS=CONNID;
* COLUMNS=AUTHID;
* COLUMNS=QWHSLUUV;
* COLUMNS=QWHSLUUV2;
* COLUMNS=UAUTHID;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND QWHSLUUV = $UNIQUET1$;
* PRED=AND QWHSLUUV2 = $UNIQUET2$;
* * *One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1105_THREAD_DB2_CONNECT:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1105_THREAD_DB2_CONNECT:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Thread DB2 Connect',
  'Display Thread DB2 Connect Server',
  'CCC_410',
  '1060724171211000',
'at=$THRUNODE$@table1.name=TDB2CONN@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=EEAPP002@table1.column6.name=EEAPP001@table1.col
umn7.name=EEAPP007@table1.column8.name=EEAPP005@table1.column9.name=EEAP
P006@table1.column10.name=EEAPP008@table1.column11.name=EEAPP004@table1.
column12.name=EEAPP003@table1.column13.name=EEAPP045@table1.column14.nam
e=EEAPP046@table1.column15.name=EEAPP055@table1.column16.name=EAPP010S@t
able1.column17.name=EEAPP067@table1.column18.name=EEAPP064@table1.column
19.name=EEAPP065@table1.column20.name=EEAPP066@table1.column21.name=EEAP
P031@table1.column22.name=ACE@table1.column23.name=PLAN@table1.column24.
name=CORR@table1.column25.name=CONNID@table1.column26.name=AUTHID@table1
.column27.name=QWHSLUUV@table1.column28.name=QWHSLUUV2@table1.column29.n
ame=UAUTHID@table1.columnCount=29@tableCount=1@filter1.connector=AND@fil
ter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.
connector=AND@filter2.column=QWHSLUUV@filter2.operator=EQ@filter2.value=
$UNIQUET1$@filter3.connector=AND@filter3.column=QWHSLUUV2@filter3.operat
or=EQ@filter3.value=$UNIQUET2$@filterCount=3@nodeTypeCount=1@nodeType1=D
B2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@hi
story=F@');
*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vdpthdet.txt
*
* ****************************************************************
* *  Report:             Detailed Thread Activity                *
* *  Table:              VDPTHDET                                *
* *  Characteristics:    Virtual table, executed at hub, filter  *
* *                      on identifier name.                     *
* *  Maintainance:                                               *
* *   07/24/2006  Added V410 new query                           *
* *   08/24/2006  Added new fields unicode package and collid    *
* ****************************************************************
* IDENT=zDB2_002_Threads:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Data Sharing Thread Activity;
* USER=CCC_410;
* DESC=Retrieve DB2 Thread information
* TABLE=KDP.VDPTHDET;
* AT=*HUB;
* NODETYPE=DSGROUP;
* VISIBLE=Y;
* READONLY=T;
* COLUMNS=DB2ID,PLAN_NAME,CORRID,EX_PKGN,EX_COLLID;
* COLUMNS=TH_STATUS,TH_TYPE,AUTHID;
* COLUMNS=CONNID,CONNTYPE,DISP_ET,DISP_CPU,DISP_WAIT;
* COLUMNS=TH_SPN,SMFID,TH_GROUPN,TH_GMN,TIMESTAMP;
* COLUMNS=ORIGINNODE,IDNAME,THD_CPU,THD_ET,THD_WAIT;
* COLUMNS=UAUTHID,UTDIDPACK,UTDIDPCOL,THNDBTMF    
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IDNAME = $IDNAME$;
* SITNAME=DB2_Thread_Wait_Time_Critical   Critical
* SITNAME=DB2_Thread_Wait_Time_Warning    Warning 


DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_002_Threads:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'DB2_Thread_Wait_Time_Critical' AND 
 TEMPLATE = 'zDB2_002_Threads:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'DB2_Thread_Wait_Time_Warning' AND 
 TEMPLATE = 'zDB2_002_Threads:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_002_Threads:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_002_Threads:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_002_Threads:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Data Sharing Thread Activity',
  'Retrieve DB2 Thread information',
  'CCC_410',
  '1060826091241000',
'at=*HUB@table1.name=VDPTHDET@table1.column1.name=DB2ID@table1.column2.n
ame=PLAN_NAME@table1.column3.name=CORRID@table1.column4.name=EX_PKGN@tab
le1.column5.name=EX_COLLID@table1.column6.name=TH_STATUS@table1.column7.
name=TH_TYPE@table1.column8.name=AUTHID@table1.column9.name=CONNID@table
1.column10.name=CONNTYPE@table1.column11.name=DISP_ET@table1.column12.na
me=DISP_CPU@table1.column13.name=DISP_WAIT@table1.column14.name=TH_SPN@t
able1.column15.name=SMFID@table1.column16.name=TH_GROUPN@table1.column17
.name=TH_GMN@table1.column18.name=TIMESTAMP@table1.column19.name=ORIGINN
ODE@table1.column20.name=IDNAME@table1.column21.name=THD_CPU@table1.colu
mn22.name=THD_ET@table1.column23.name=THD_WAIT@table1.column24.name=UAUT
HID@table1.column25.name=UTDIDPACK@table1.column26.name=UTDIDPCOL@table1
.column27.name=THNDBTMF@table1.columnCount=27@tableCount=1@filter1.conne
ctor=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NO
DE$@filter2.connector=AND@filter2.column=IDNAME@filter2.operator=EQ@filt
er2.value=$IDNAME$@filterCount=2@nodeTypeCount=1@nodeType1=DSGROUP@reado
nly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1
@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1060826091241000',
   '_ KCJ',
   'zDB2_002_Threads:410',
   'Data Sharing Thread Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_002_Threads:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_002_Threads:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_002_Threads:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_002_Threads:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_002_Threads:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_002_Threads:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_002_Threads:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_002_Threads:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_002_Threads:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'DB2_Thread_Wait_Time_Critical',
   'Critical',
   'zDB2_002_Threads:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'DB2_Thread_Wait_Time_Warning',
   'Warning',
   'zDB2_002_Threads:410',
   0
);

* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410 PK36297 EDMPOOL V9 support             *
* * Workspace:          EDM POOL                                   *
* * Table:              EDMPOOL                                    *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1112_EDMPOOL;
* AFFINITY=0020000000000000000000000000000000000000000;
* NAME=EDM POOL;
* USER=CCC_410;
* DESC=Display EDM Pool data;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.EDMPOOL;
* COLUMNS=  ORIGINNODE;
* COLUMNS=  TIMESTAMP; 
* COLUMNS=  DB2ID;      
* COLUMNS=  DB2VER;     
* COLUMNS=  QISEFAIL;
* COLUMNS=  QISEPAGE;
* COLUMNS=  QISECTG; 
* COLUMNS=  QISECTL; 
* COLUMNS=  QISECT;  
* COLUMNS=  QISEFREE;
* COLUMNS=  QISESTMT;
* COLUMNS=  QISEDBDG;
* COLUMNS=  QISEDBDL;
* COLUMNS=  QISEKTG; 
* COLUMNS=  QISEKTL; 
* COLUMNS=  QISEKT;  
* COLUMNS=  QISEDSI; 
* COLUMNS=  QISEDSG; 
* COLUMNS=  QISEDBD; 
* COLUMNS=  QISEDFAL;
* COLUMNS=  QISEDPGE;
* COLUMNS=  QISEDFRE;
* COLUMNS=  QISEDYNP;
* COLUMNS=  QISECFAL;
* COLUMNS=  QISECPGE;
* COLUMNS=  QISECFRE;
* COLUMNS=  QISESKCT;
* COLUMNS=  QISESKPT;
* COLUMNS=  QISEKFAL;
* COLUMNS=  QISEKPGE;
* COLUMNS=  QISEKFRE;
* COLUMNS=  QISECTA; 
* COLUMNS=  QISEKTA; 
* COLUMNS=  QISESFAL;
* COLUMNS=  QISESPGE;
* COLUMNS=  QISESFRE;
* COLUMNS= QISEKNFM;
* COLUMNS= QISEKNFA;
* COLUMNS= QISEKNFR;
* COLUMNS= QISE7FAL;
* COLUMNS= QISE7PGE;
* COLUMNS= QISE7FRE;
* COLUMNS= QISEDSC; 
* COLUMNS= QISEDSFA;
* COLUMNS= QISEDSPG;
* COLUMNS= QISEDSFR;
* COLUMNS= QISE7CT; 
* COLUMNS= QISE7KT; 
* COLUMNS= SEDMIUSE;
* COLUMNS= SERBUTP; 
* COLUMNS= SDBDP;   
* COLUMNS= SSTMTP;  
* COLUMNS= SCTP;    
* COLUMNS= SPTP;    
* COLUMNS= SCTBP;   
* COLUMNS= SPTBP;   
* COLUMNS= SCTAP;   
* COLUMNS= SPTAP;   
* COLUMNS= SAVAIL;  
* COLUMNS= SAVAILP; 
* COLUMNS= SSKCTP;  
* COLUMNS= SSKPTP;  
* COLUMNS= SDSCP;   
* COLUMNS= SEDMFREP;
* COLUMNS= SDBDFREP;
* COLUMNS= SSTMTFRP;
* COLUMNS= SRDSFREP;
* COLUMNS= SRDSAFRP;
* COLUMNS= SSKELFRP;
* COLUMNS= SRDSIUSE;
* COLUMNS= SRDSIUSP;
* COLUMNS= SRDSAIUS;
* COLUMNS= SRDSAIUP; 
* COLUMNS= SSKELIUS; 
* COLUMNS= SSKELIUP; 
* PRED=ORIGINNODE = $NODE$;
* *    One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 "ZDB2_1112_EDMPOOL";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( "ZDB2_1112_EDMPOOL",
  "KDP",
  "0020000000000000000000000000000000000000000",
  "P",
  "EDM POOL",
  "Display EDM Pool data",
  "CCC_410",
  "1070203071432000",
"at=$THRUNODE$@table1.name=EDMPOOL@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=DB2ID@table1.column4.name=DB
2VER@table1.column5.name=QISEFAIL@table1.column6.name=QISEPAGE@table1.co
lumn7.name=QISECTG@table1.column8.name=QISECTL@table1.column9.name=QISEC
T@table1.column10.name=QISEFREE@table1.column11.name=QISESTMT@table1.col
umn12.name=QISEDBDG@table1.column13.name=QISEDBDL@table1.column14.name=Q
ISEKTG@table1.column15.name=QISEKTL@table1.column16.name=QISEKT@table1.c
olumn17.name=QISEDSI@table1.column18.name=QISEDSG@table1.column19.name=Q
ISEDBD@table1.column20.name=QISEDFAL@table1.column21.name=QISEDPGE@table
1.column22.name=QISEDFRE@table1.column23.name=QISEDYNP@table1.column24.n
ame=QISECFAL@table1.column25.name=QISECPGE@table1.column26.name=QISECFRE
@table1.column27.name=QISESKCT@table1.column28.name=QISESKPT@table1.colu
mn29.name=QISEKFAL@table1.column30.name=QISEKPGE@table1.column31.name=QI
SEKFRE@table1.column32.name=QISECTA@table1.column33.name=QISEKTA@table1.
column34.name=QISESFAL@table1.column35.name=QISESPGE@table1.column36.nam
e=QISESFRE@table1.column37.name=QISEKNFM@table1.column38.name=QISEKNFA@t
able1.column39.name=QISEKNFR@table1.column40.name=QISE7FAL@table1.column
41.name=QISE7PGE@table1.column42.name=QISE7FRE@table1.column43.name=QISE
DSC@table1.column44.name=QISEDSFA@table1.column45.name=QISEDSPG@table1.c
olumn46.name=QISEDSFR@table1.column47.name=QISE7CT@table1.column48.name=
QISE7KT@table1.column49.name=SEDMIUSE@table1.column50.name=SERBUTP@table
1.column51.name=SDBDP@table1.column52.name=SSTMTP@table1.column53.name=S
CTP@table1.column54.name=SPTP@table1.column55.name=SCTBP@table1.column56
.name=SPTBP@table1.column57.name=SCTAP@table1.column58.name=SPTAP@table1
.column59.name=SAVAIL@table1.column60.name=SAVAILP@table1.column61.name=
SSKCTP@table1.column62.name=SSKPTP@table1.column63.name=SDSCP@table1.col
umn64.name=SEDMFREP@table1.column65.name=SDBDFREP@table1.column66.name=S
STMTFRP@table1.column67.name=SRDSFREP@table1.column68.name=SRDSAFRP@tabl
e1.column69.name=SSKELFRP@table1.column70.name=SRDSIUSE@table1.column71.
name=SRDSIUSP@table1.column72.name=SRDSAIUS@table1.column73.name=SRDSAIU
P@table1.column74.name=SSKELIUS@table1.column75.name=SSKELIUP@table1.col
umnCount=75@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE
@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@
nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propert
yCount=1@history=F@");

*  ******************************************************************
*  * Product:            KD5                                        *
*  * Version:            410                                        *
*  * Workspace:          DBM1STO                                    *
*  * Table:              DBM1STO                                    *
*  * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
*  ******************************************************************
*  IDENT=ZDB2_0050_DBM1_STORAGE:410;
*  AFFINITY=0020000000000000000000000000000004000008000;
*  NAME=Storage Consumption;
*  USER=CCC_410;
*  DESC=Display storage consumption;
*  VISIBLE=Y;
*  NODETYPE=DB2;
*  TABLE=KDP.DBM1STO;
*  COLUMNS=  ORIGINNODE;
*  COLUMNS=  TIMESTAMP;
*  COLUMNS=  MVSID;
*  COLUMNS=  DB2ID;
*  COLUMNS=  DB2VER;
*  COLUMNS=  QW0225AL;
*  COLUMNS=  QW0225AS;
*  COLUMNS=  QW0225CD;
*  COLUMNS=  QW0225FX;
*  COLUMNS=  QW0225GM;
*  COLUMNS=  QW0225GS;
*  COLUMNS=  QW0225PM;
*  COLUMNS=  QW0225RO;
*  COLUMNS=  QW0225RP;
*  COLUMNS=  QW0225SB;
*  COLUMNS=  QW0225SC;
*  COLUMNS=  QW0225TT;
*  COLUMNS=  QW0225VR;
*  COLUMNS=  QW0225CE;
*  COLUMNS=  QW0225DW;
*  COLUMNS=  QW0225GW;
*  COLUMNS=  QW0225PF;
*  COLUMNS=  QW0225PL;
*  COLUMNS=  QW0225LO;
*  COLUMNS=  QW0225HI;
*  COLUMNS=  QW0225EL;
*  COLUMNS=  QW0225EH;
*  COLUMNS=  QW0225RG;
*  COLUMNS=  QW0225EC;
*  COLUMNS=  QW0225FA;
*  COLUMNS=  QW0225GA;
*  COLUMNS=  QW0225VA;
*  COLUMNS=  SW0225RL;
*  COLUMNS=  SW0225AX;
*  COLUMNS=  QW0225LC;
*  COLUMNS=  QW0225LS;
*  COLUMNS=  QW0225HS;
*  COLUMNS=  QW0225HC;
*  COLUMNS=  QW0225HT;
*  COLUMNS=  QW0225SF;
*  COLUMNS=  QW0225SG;
*  COLUMNS=  QW0225SV;
*  COLUMNS=  QW0225SU;
*  COLUMNS=  QW0225L2;
*  COLUMNS=  QW0225H2;
*  COLUMNS=  QW0225S2;
*  COLUMNS=  SW0225TF;
*  COLUMNS=  SW0225MT;
*  COLUMNS=  SW0225DB;
*  COLUMNS=  SW0225C2;
*  COLUMNS=  STORCUSH;
*  COLUMNS=  SW0225SM;
*  COLUMNS=  QW0225BB;
*  PRED=ORIGINNODE = $NODE$;
*  SITNAME=KD5_MVS_Extended_CSA_Warning warning;
*  SITNAME=KD5_MVS_low_private_Warning warning;
*  SITNAME=KD5_Storage_Cushion_Warning warning;
*  SITNAME=KD5_Total_DBM1_Warning warning;
*  SITNAME=KD5_Real_Storage_Warning warning;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_MVS_Extended_CSA_Warning' AND 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_MVS_low_private_Warning' AND 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Storage_Cushion_Warning' AND 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Total_DBM1_Warning' AND 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Real_Storage_Warning' AND 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_0050_DBM1_STORAGE:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZDB2_0050_DBM1_STORAGE:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0050_DBM1_STORAGE:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Storage Consumption',
  'Display storage consumption',
  'CCC_410',
  '1071217210547000',
'at=$THRUNODE$@table1.name=DBM1STO@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB
2ID@table1.column5.name=DB2VER@table1.column6.name=QW0225AL@table1.colum
n7.name=QW0225AS@table1.column8.name=QW0225CD@table1.column9.name=QW0225
FX@table1.column10.name=QW0225GM@table1.column11.name=QW0225GS@table1.co
lumn12.name=QW0225PM@table1.column13.name=QW0225RO@table1.column14.name=
QW0225RP@table1.column15.name=QW0225SB@table1.column16.name=QW0225SC@tab
le1.column17.name=QW0225TT@table1.column18.name=QW0225VR@table1.column19
.name=QW0225CE@table1.column20.name=QW0225DW@table1.column21.name=QW0225
GW@table1.column22.name=QW0225PF@table1.column23.name=QW0225PL@table1.co
lumn24.name=QW0225LO@table1.column25.name=QW0225HI@table1.column26.name=
QW0225EL@table1.column27.name=QW0225EH@table1.column28.name=QW0225RG@tab
le1.column29.name=QW0225EC@table1.column30.name=QW0225FA@table1.column31
.name=QW0225GA@table1.column32.name=QW0225VA@table1.column33.name=SW0225
RL@table1.column34.name=SW0225AX@table1.column35.name=QW0225LC@table1.co
lumn36.name=QW0225LS@table1.column37.name=QW0225HS@table1.column38.name=
QW0225HC@table1.column39.name=QW0225HT@table1.column40.name=QW0225SF@tab
le1.column41.name=QW0225SG@table1.column42.name=QW0225SV@table1.column43
.name=QW0225SU@table1.column44.name=QW0225L2@table1.column45.name=QW0225
H2@table1.column46.name=QW0225S2@table1.column47.name=SW0225TF@table1.co
lumn48.name=SW0225MT@table1.column49.name=SW0225DB@table1.column50.name=
SW0225C2@table1.column51.name=STORCUSH@table1.column52.name=SW0225SM@tab
le1.column53.name=QW0225BB@table1.columnCount=53@tableCount=1@filter1.co
nnector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=
$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A
@property1.value=kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1071217210547000',
   '_ KCJ',
   'ZDB2_0050_DBM1_STORAGE:410',
   'Storage Consumption'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0050_DBM1_STORAGE:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0050_DBM1_STORAGE:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0050_DBM1_STORAGE:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0050_DBM1_STORAGE:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_0050_DBM1_STORAGE:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZDB2_0050_DBM1_STORAGE:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZDB2_0050_DBM1_STORAGE:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZDB2_0050_DBM1_STORAGE:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_MVS_Extended_CSA_Warning',
   'warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_MVS_low_private_Warning',
   'warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Storage_Cushion_Warning',
   'warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Total_DBM1_Warning',
   'warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Real_Storage_Warning',
   'warning',
   'ZDB2_0050_DBM1_STORAGE:410',
   0
);






* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410                                        *
* * Workspace:          OPERSYS                                    *
* * Table:              OPERSYS                                    *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_1115_OPERSYS:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=zOS System Statistics;
* USER=CCC_410;
* DESC=Display zOS system statistics;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.OPERSYS;
* COLUMNS=  ORIGINNODE;
* COLUMNS=  TIMESTAMP;
* COLUMNS=  MVSID;
* COLUMNS=  DB2ID;
* COLUMNS=  DB2VER;
* COLUMNS=  QWOSLNCP;
* COLUMNS=  QWOSLPRU;
* COLUMNS=  QWOSDB2U;
* COLUMNS=  QWOSMSTU;
* COLUMNS=  QWOSDBMU;
* COLUMNS=  QWOSLPIR;
* COLUMNS=  QWOSDPIR;
* COLUMNS=  QWOSLRST;
* COLUMNS=  QWOSLRSF;
* COLUMNS=  QWOSDRSU;
* COLUMNS=  QWOSLVST;
* COLUMNS=  QWOSLVSF;
* COLUMNS=  QWOSDVSU;
* PRED=ORIGINNODE = $NODE$;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1115_OPERSYS:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1115_OPERSYS:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'zOS System Statistics',
  'Display zOS system statistics',
  'CCC_410',
  '1070830211450000',
'at=$THRUNODE$@table1.name=OPERSYS@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB
2ID@table1.column5.name=DB2VER@table1.column6.name=QWOSLNCP@table1.colum
n7.name=QWOSLPRU@table1.column8.name=QWOSDB2U@table1.column9.name=QWOSMS
TU@table1.column10.name=QWOSDBMU@table1.column11.name=QWOSLPIR@table1.co
lumn12.name=QWOSDPIR@table1.column13.name=QWOSLRST@table1.column14.name=
QWOSLRSF@table1.column15.name=QWOSDRSU@table1.column16.name=QWOSLVST@tab
le1.column17.name=QWOSLVSF@table1.column18.name=QWOSDVSU@table1.columnCo
unt=18@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filt
er1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeT
ype1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@');

* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410                                        *
* * Workspace:          DB2MSG                                     *
* * Table:              DB2MSG                                     *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_060_TDB2MSG:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=DB2 Messages;
* USER=CCC_410;
* DESC=Display DB2 messages;
* VISIBLE=Y;
* NODETYPE=DB2;
* TABLE=KDP.DB2MSG;
* COLUMNS=  ORIGINNODE;
* COLUMNS= TIMESTAMP;
* COLUMNS= MVSID;
* COLUMNS= DB2ID;
* COLUMNS= DB2VER;
* COLUMNS= QW0197ID;
* COLUMNS= QW0197AL;
* COLUMNS= QW0197TX;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KD5_DSNT376I_Timeout_Critical critical;
* SITNAME=KD5_DSNT501I_ResUnavail_Warning warning;
* SITNAME=KD5_DSNT375I_Deadlock_Critical critical;
* SITNAME=KD5_DSNU621I_Runstats_Critical critical;
* SITNAME=KD5_DSNU511I_Recovery_Critical critical;
* SITNAME=KD5_DSNP007I_Space_Critical critical;
* SITNAME=KD5_DSNU548I_Recovery_Critical critical;
* SITNAME=KD5_DSNT500I_ResUnavail_Warning warning;
* SITNAME=KD5_DSNP001I_Space_Warning warning;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNT376I_Timeout_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNT501I_ResUnavail_Warning' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNT375I_Deadlock_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNU621I_Runstats_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNU511I_Recovery_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNP007I_Space_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNU548I_Recovery_Critical' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNT500I_ResUnavail_Warning' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSNP001I_Space_Warning' AND 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZDB2_060_TDB2MSG:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZDB2_060_TDB2MSG:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_060_TDB2MSG:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'DB2 Messages',
  'Display DB2 messages',
  'CCC_410',
  '1080115184717000',
'at=$THRUNODE$@table1.name=DB2MSG@table1.column1.name=ORIGINNODE@table1.
column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB2
ID@table1.column5.name=DB2VER@table1.column6.name=QW0197ID@table1.column
7.name=QW0197AL@table1.column8.name=QW0197TX@table1.columnCount=8@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@prop
erty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F
@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1080115184717000',
   '_ KCJ',
   'ZDB2_060_TDB2MSG:410',
   'DB2 Messages'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_060_TDB2MSG:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_060_TDB2MSG:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_060_TDB2MSG:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_060_TDB2MSG:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZDB2_060_TDB2MSG:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZDB2_060_TDB2MSG:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZDB2_060_TDB2MSG:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZDB2_060_TDB2MSG:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZDB2_060_TDB2MSG:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNT376I_Timeout_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNT501I_ResUnavail_Warning',
   'warning',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNT375I_Deadlock_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNU621I_Runstats_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNU511I_Recovery_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNP007I_Space_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNU548I_Recovery_Critical',
   'critical',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNT500I_ResUnavail_Warning',
   'warning',
   'ZDB2_060_TDB2MSG:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSNP001I_Space_Warning',
   'warning',
   'ZDB2_060_TDB2MSG:410',
   0
);



* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410                                        *
* * Workspace:          DB2MSG                                     *
* * Table:              DB2MSG                                     *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_0601_DB2MSG_LAST10:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Last 10 DB2 Messages;
* USER=CCC_410;
* DESC=Display last 10 DB2 messages;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2MSG;
* COLUMNS=  ORIGINNODE;
* COLUMNS= TIMESTAMP;
* COLUMNS= MVSID;
* COLUMNS= DB2ID;
* COLUMNS= DB2VER;
* COLUMNS= QW0197ID;
* COLUMNS= QW0197AL;
* COLUMNS= QW0197TX;
* PRED=ORIGINNODE = $NODE$;
* ORDER=DESCENDING TIMESTAMP;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0601_DB2MSG_LAST10:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0601_DB2MSG_LAST10:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Last 10 DB2 Messages',
  'Display last 10 DB2 messages',
  'CCC_410',
  '1071113142940000',
'at=$THRUNODE$@table1.name=DB2MSG@table1.column1.name=ORIGINNODE@table1.
column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB2
ID@table1.column5.name=DB2VER@table1.column6.name=QW0197ID@table1.column
7.name=QW0197AL@table1.column8.name=QW0197TX@table1.columnCount=8@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=@filter2.op
erator=EQ@filter2.value=FIRST(10)@filterCount=2@order1.column=TIMESTAMP@
order1.sequence=DESCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@pr
operty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history
=F@');

* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410                                        *
* * Workspace:          DB2MSG                                     *
* * Table:              DB2MSG                                     *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * ****************************************************************
* IDENT=ZDB2_0602_DB2MSG_TIME:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=DB2 Messages by Time Interval;
* USER=CCC_410;
* DESC=Display DB2 messages by Time Interval;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2MSG;
* COLUMNS=  ORIGINNODE;
* COLUMNS= TIMESTAMP;
* COLUMNS= MVSID;
* COLUMNS= DB2ID;
* COLUMNS= DB2VER;
* COLUMNS= QW0197ID;
* COLUMNS= QW0197AL;
* COLUMNS= QW0197TX;
* PRED=ORIGINNODE = $NODE$;
* ORDER=DESCENDING TIMESTAMP;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0602_DB2MSG_TIME:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0602_DB2MSG_TIME:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'DB2 Messages by Time Interval',
  'Display DB2 messages by Time Interval',
  'CCC_410',
  '1071113155824000',
'at=$THRUNODE$@table1.name=DB2MSG@table1.column1.name=ORIGINNODE@table1.
column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB2
ID@table1.column5.name=DB2VER@table1.column6.name=QW0197ID@table1.column
7.name=QW0197AL@table1.column8.name=QW0197TX@table1.columnCount=8@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filterCount=1@order1.column=TIMESTAMP@order1.seq
uence=DESCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.na
me=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


* ******************************************************************
* * Product:            KD5                                        *
* * Version:            410                                        *
* * Workspace:          DB2MSG                                     *
* * Table:              DB2MSG                                     *
* * COLUMNS=acteristics:    IRA, all DB2 systems, thrunode, visib .*
* * *****************************************************************
* IDENT=ZDB2_0603_DB2MSG_MSGID:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=DB2 Messages by Message ID;
* USER=CCC_410;
* DESC=Display DB2 messages by Message ID;
* VISIBLE=N;
* NODETYPE=DB2;
* TABLE=KDP.DB2MSG;
* COLUMNS=  ORIGINNODE;
* COLUMNS= TIMESTAMP;
* COLUMNS= MVSID;
* COLUMNS= DB2ID;
* COLUMNS= DB2VER;
* COLUMNS= QW0197ID;
* COLUMNS= QW0197AL;
* COLUMNS= QW0197TX;
* PRED=ORIGINNODE = $NODE$;
* ORDER=DESCENDING QW0197ID;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0603_DB2MSG_MSGID:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0603_DB2MSG_MSGID:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'DB2 Messages by Message ID',
  'Display DB2 messages by Message ID',
  'CCC_410',
  '1071113155900000',
'at=$THRUNODE$@table1.name=DB2MSG@table1.column1.name=ORIGINNODE@table1.
column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=DB2
ID@table1.column5.name=DB2VER@table1.column6.name=QW0197ID@table1.column
7.name=QW0197AL@table1.column8.name=QW0197TX@table1.columnCount=8@tableC
ount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=
EQ@filter1.value=$NODE$@filterCount=1@order1.column=QW0197ID@order1.sequ
ence=DESCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.nam
e=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

* ****************************************************************
* *  Product:            KD5                                     *
* *  Version:            410                                     *
* *  Report:             System Status                           *
* *  Table:              DP_SY_EXC                               *
* *  Characteristics:    IRA, All DB2 systems, thrunode, visible *
* *                                                              *
* ****************************************************************
* IDENT=zDB2_010_System_Exc:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=System Status
* USER=CCC_410
* DESC=Retrieve DB2 System State type exceptions
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SY_EXC
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SYS_INTR;            * Interval time in seconds
* COLUMNS=SYS_ARCV;            * True is waiting on archive
* COLUMNS=SYS_DDFS;            * True if DDF not available
* COLUMNS=SYS_GTRC;            * True if tracing is active
* COLUMNS=SYS_EDMU;            * EDM pages / Total EDM pages
* COLUMNS=SYS_MDBT;            * DB Wait Percent
* COLUMNS=SYS_INDT;            * Number of threads INDOUBT
* COLUMNS=SYS_MDBW;            * Threads waiting on limits
* COLUMNS=SYS_SUSL;            * Threads waiting on locks
* COLUMNS=SYS_THDQ;            * Users waiting for threads
* COLUMNS=SYS_DSND;            * Distributed bytes sent / sec
* COLUMNS=SYS_DRCV;            * Distributed bytes rcvd / sec
* COLUMNS=SYS_STPE;            * Number of active procedures
* COLUMNS=SYS_SFAC;            * ACE's running procedures
* COLUMNS=SYS_UDFE;            * Number of active user functions
* COLUMNS=SYS_UFAC;            * ACE's running functions
* COLUMNS=SYS_TRGE;            * Number of active triggers
* COLUMNS=SYS_TRGD;            * Max depth of triggers
* COLUMNS=SYS_TMAX;            * Count of active threads
* COLUMNS=SYS_EDMC;            * Current EDM pages in use
* COLUMNS=SYS_EDMT;            * Total EDM Pages
* COLUMNS=SYS_ARCN;            * DS name of archive log
* COLUMNS=SYS_ARDEV;           * Device address for archive
* COLUMNS=SYS_ARVOL;           * Volser for archive
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* COLUMNS=SYOPZPMX;
* COLUMNS=BMGRCRO;
* COLUMNS=SDSMAXUTL;
* COLUMNS=SQIQRNST;
* COLUMNS=SQRSRNST;
* COLUMNS=LKIQLESX;
* COLUMNS=LKIQLESS;
* COLUMNS=LKRSLES;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_ARCV_Warning Warning;
* SITNAME=KDP_ARCV_Critical Critical;
* SITNAME=KDP_DDFS_Warning Warning;
* SITNAME=KDP_DDFS_Critical Critical;
* SITNAME=KDP_DRCV_Warning Warning;
* SITNAME=KDP_DRCV_Critical Critical;
* SITNAME=KDP_DSND_Warning Warning;
* SITNAME=KDP_DSND_Critical Critical;
* SITNAME=KDP_EDMU_Warning Warning;
* SITNAME=KDP_EDMU_Critical Critical;
* SITNAME=KDP_GTRC_Warning Warning;
* SITNAME=KDP_GTRC_Critical Critical;
* SITNAME=KDP_INDT_Warning Warning;
* SITNAME=KDP_INDT_Critical Critical;
* SITNAME=KDP_MDBT_Warning Warning;
* SITNAME=KDP_MDBT_Critical Critical;
* SITNAME=KDP_MDBW_Warning Warning;
* SITNAME=KDP_MDBW_Critical Critical;
* SITNAME=KDP_SPAC_Warning Warning;        
* SITNAME=KDP_SPAC_Critical Critical;      
* SITNAME=KDP_STPE_Warning Warning;
* SITNAME=KDP_STPE_Critical Critical;
* SITNAME=KDP_SUSL_Warning Warning;
* SITNAME=KDP_SUSL_Critical Critical;
* SITNAME=KDP_THDQ_Warning Warning;
* SITNAME=KDP_THDQ_Critical Critical;
* SITNAME=KDP_TMAX_Warning Warning;
* SITNAME=KDP_TMAX_Critical Critical;
* SITNAME=KDP_TRGD_Warning Warning;
* SITNAME=KDP_TRGD_Critical Critical;
* SITNAME=KDP_TRGE_Warning Warning;
* SITNAME=KDP_TRGE_Critical Critical;
* SITNAME=KDP_UDFE_Warning Warning;
* SITNAME=KDP_UDFE_Critical Critical;
* SITNAME=KDP_UFAC_Warning Warning;
* SITNAME=KDP_UFAC_Critical Critical;
* SITNAME=KDP_MCNV_Warning Warning;     
* SITNAME=KDP_MCNV_Critical Critical;
* SITNAME=KD5_DSMAX_Approach_Max_Warning Warning; 
* SITNAME=KD5_LOCK_ESCAL_EXCL_Warning Warning;
* SITNAME=KD5_RID_Fallback_Warning Warning;
* SITNAME=KD5_DBAT_Wait_Warning Warning;  

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_ARCV_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_ARCV_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DDFS_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DDFS_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DRCV_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DRCV_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DSND_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_DSND_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_EDMU_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_EDMU_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_GTRC_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_GTRC_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_INDT_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_INDT_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MDBT_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MDBT_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MDBW_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MDBW_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_SPAC_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_SPAC_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_STPE_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_STPE_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_SUSL_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_SUSL_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_THDQ_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_THDQ_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TMAX_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TMAX_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TRGD_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TRGD_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TRGE_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_TRGE_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UDFE_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UDFE_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UFAC_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UFAC_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MCNV_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_MCNV_Critical' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DSMAX_Approach_Max_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_LOCK_ESCAL_EXCL_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_RID_Fallback_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_DBAT_Wait_Warning' AND 
 TEMPLATE = 'zDB2_010_System_Exc:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_010_System_Exc:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_010_System_Exc:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_010_System_Exc:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'System Status',
  'Retrieve DB2 System State type exceptions',
  'CCC_410',
  '1080529103639000',
'at=$THRUNODE$@table1.name=DP_SY_EXC@table1.column1.name=TIME@table1.col
umn2.name=SYS_INTR@table1.column3.name=SYS_ARCV@table1.column4.name=SYS_
DDFS@table1.column5.name=SYS_GTRC@table1.column6.name=SYS_EDMU@table1.co
lumn7.name=SYS_MDBT@table1.column8.name=SYS_INDT@table1.column9.name=SYS
_MDBW@table1.column10.name=SYS_SUSL@table1.column11.name=SYS_THDQ@table1
.column12.name=SYS_DSND@table1.column13.name=SYS_DRCV@table1.column14.na
me=SYS_STPE@table1.column15.name=SYS_SFAC@table1.column16.name=SYS_UDFE@
table1.column17.name=SYS_UFAC@table1.column18.name=SYS_TRGE@table1.colum
n19.name=SYS_TRGD@table1.column20.name=SYS_TMAX@table1.column21.name=SYS
_EDMC@table1.column22.name=SYS_EDMT@table1.column23.name=SYS_ARCN@table1
.column24.name=SYS_ARDEV@table1.column25.name=SYS_ARVOL@table1.column26.
name=ORIGINNODE@table1.column27.name=SYOPZPMX@table1.column28.name=BMGRC
RO@table1.column29.name=SDSMAXUTL@table1.column30.name=SQIQRNST@table1.c
olumn31.name=SQRSRNST@table1.column32.name=LKIQLESX@table1.column33.name
=LKIQLESS@table1.column34.name=LKRSLES@table1.columnCount=34@tableCount=
1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@fi
lter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@readonly=
T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@his
tory=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1080529103639000',
   '_ KCJ',
   'zDB2_010_System_Exc:410',
   'System Status'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_010_System_Exc:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_010_System_Exc:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_010_System_Exc:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_010_System_Exc:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_010_System_Exc:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_010_System_Exc:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_010_System_Exc:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_ARCV_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_ARCV_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DDFS_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DDFS_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DRCV_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DRCV_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DSND_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_DSND_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_EDMU_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_EDMU_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_GTRC_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_GTRC_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_INDT_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_INDT_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MDBT_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MDBT_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MDBW_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MDBW_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_SPAC_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_SPAC_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_STPE_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_STPE_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_SUSL_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_SUSL_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_THDQ_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_THDQ_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TMAX_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TMAX_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TRGD_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TRGD_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TRGE_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_TRGE_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UDFE_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UDFE_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UFAC_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UFAC_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MCNV_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_MCNV_Critical',
   'Critical',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DSMAX_Approach_Max_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_LOCK_ESCAL_EXCL_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_RID_Fallback_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_DBAT_Wait_Warning',
   'Warning',
   'zDB2_010_System_Exc:410',
   0
);



* ****************************************************************
* *  Product:            KDP                                     *
* *  Version:            410                                     *
* *  Report:             SRM Subsystem Management                *
* *  Table:              DP_SRM_SUB                              *
* *  Characteristics:    IRA, All DP systems, thrunode.          *
* ****************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from dpsrmsub
*
* IDENT=zDB2_030_SRM_SubSystem:410;
* AFFINITY=0020000000000000000000000000000004000008000;
* NAME=Subsystem Management
* USER=CCC_410
* DESC=Retrieve DB2 SRM Subsystem management information
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_SUB
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SSM_INTR;            * Interval time in seconds
* COLUMNS= SSM_IDFG;           * Utilization of foreground
* COLUMNS= SSM_IDBK;           * Utilization of background
* COLUMNS= SSM_MCTH;           * Max concurrent threads
* COLUMNS= SSM_MIDF;           * Max foregound connections
* COLUMNS= SSM_MIDB;           * Max background connections
* COLUMNS= SSM_CTHRD;          * Current count of threads
* COLUMNS= SSM_CIDFC;          * Current foreground connections
* COLUMNS= SSM_CIDBC;          * Current background connections
* COLUMNS= SSM_THRDU;          * Users waiting for threads
* COLUMNS= SSM_TIDEN;          * Total Identifies
* COLUMNS= SSM_DIDEN;          * Delta Identifies
* COLUMNS= SSM_RIDEN;          * Identify Rate
* COLUMNS= SSM_TSIGN;          * Total Signon
* COLUMNS= SSM_DSIGN;          * Delta Signon
* COLUMNS= SSM_RSIGN;          * Signon Rate
* COLUMNS= SSM_TCTHD;          * Total Create Thread
* COLUMNS= SSM_DCTHD;          * Delta Create Thread
* COLUMNS= SSM_RCTHD;          * Create Thread Rate
* COLUMNS= SSM_TCTHDW;         * Total Create Thread Wait
* COLUMNS= SSM_DCTHDW;         * Delta Create Thread Wait
* COLUMNS= SSM_RCTHDW;         * Create Thread Wait Rate
* COLUMNS= SSM_TTERM;          * Total Terminate Thread
* COLUMNS= SSM_DTERM;          * Delta Terminate Thread
* COLUMNS= SSM_RTERM;          * Terminate Thread Rate
* COLUMNS= SSM_TSYNC;          * Total single phase commits
* COLUMNS= SSM_DSYNC;          * Delta single phase commits
* COLUMNS= SSM_RSYNC;          * Single phase commits rate
* COLUMNS= SSM_TRDON;          * Total read only commits
* COLUMNS= SSM_DRDON;          * Delta read only commits
* COLUMNS= SSM_RRDON;          * Read only commits rate
* COLUMNS= SSM_TCMT1;          * Total phase 1 commits
* COLUMNS= SSM_DCMT1;          * Delta phase 1 commits
* COLUMNS= SSM_RCMT1;          * Phase 1 commits rate
* COLUMNS= SSM_TCMT2;          * Total phase 2 commits
* COLUMNS= SSM_DCMT2;          * Delta phase 2 commits        
* COLUMNS= SSM_RCMT2;          * Phase 2 commits rate
* COLUMNS= SSM_TABRT;          * Total aborts
* COLUMNS= SSM_DABRT;          * Delta aborts 
* COLUMNS= SSM_RABRT;          * Abort rate
* COLUMNS= SSM_TCOM;           * Total commits
* COLUMNS= SSM_DCOM;           * Delta commits
* COLUMNS= SSM_RCOM;           * Commit rate
* COLUMNS= SSM_TINDT;          * Total UOR Indoubt
* COLUMNS= SSM_DINDT;          * Delta UOR Indoubt
* COLUMNS= SSM_RINDT;          * UOR Indoubt rate
* COLUMNS= SSM_TRIUR;          * Total UOR Indoubt resolved
* COLUMNS= SSM_DRIUR;          * Delta UOR Indoubt resolved
* COLUMNS= SSM_RRIUR;          * UOR Indoubt resolved rate
* COLUMNS= SSM_TMEOM;          * Total Abends end of memory
* COLUMNS= SSM_DMEOM;          * Delta Abends end of memory
* COLUMNS= SSM_RMEOM;          * Abends end of memory rate
* COLUMNS= SSM_TMEOT;          * Total Abends end of task
* COLUMNS= SSM_DMEOT;          * Delta Abends end of task
* COLUMNS= SSM_RMEOT;          * Abends end of task rate
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* COLUMNS=DBSTMAX;
* COLUMNS= DBSTNUM;          
* COLUMNS= SDBATUTL;        
* COLUMNS= Q3STHWCT;        
* COLUMNS= Q3STHWIF;        
* COLUMNS= Q3STHWIB;  
* COLUMNS= QDSTHWAT;      
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_IDBK_Warning Warning;
* SITNAME=KDP_IDBK_Critical Critical;
* SITNAME=KDP_IDFR_Warning Warning;
* SITNAME=KDP_IDFR_Critical Critical;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_030_SRM_SubSystem:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_030_SRM_SubSystem:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_030_SRM_SubSystem:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'D',
  'Subsystem Management',
  'Retrieve DB2 SRM Subsystem management information',
  'CCC_410',
  '1080515203024000',
'at=$THRUNODE$@table1.name=DP_SRM_SUB@table1.column1.name=TIME@table1.co
lumn2.name=SSM_INTR@table1.column3.name=SSM_IDFG@table1.column4.name=SSM
_IDBK@table1.column5.name=SSM_MCTH@table1.column6.name=SSM_MIDF@table1.c
olumn7.name=SSM_MIDB@table1.column8.name=SSM_CTHRD@table1.column9.name=S
SM_CIDFC@table1.column10.name=SSM_CIDBC@table1.column11.name=SSM_THRDU@t
able1.column12.name=SSM_TIDEN@table1.column13.name=SSM_DIDEN@table1.colu
mn14.name=SSM_RIDEN@table1.column15.name=SSM_TSIGN@table1.column16.name=
SSM_DSIGN@table1.column17.name=SSM_RSIGN@table1.column18.name=SSM_TCTHD@
table1.column19.name=SSM_DCTHD@table1.column20.name=SSM_RCTHD@table1.col
umn21.name=SSM_TCTHDW@table1.column22.name=SSM_DCTHDW@table1.column23.na
me=SSM_RCTHDW@table1.column24.name=SSM_TTERM@table1.column25.name=SSM_DT
ERM@table1.column26.name=SSM_RTERM@table1.column27.name=SSM_TSYNC@table1
.column28.name=SSM_DSYNC@table1.column29.name=SSM_RSYNC@table1.column30.
name=SSM_TRDON@table1.column31.name=SSM_DRDON@table1.column32.name=SSM_R
RDON@table1.column33.name=SSM_TCMT1@table1.column34.name=SSM_DCMT1@table
1.column35.name=SSM_RCMT1@table1.column36.name=SSM_TCMT2@table1.column37
.name=SSM_DCMT2@table1.column38.name=SSM_RCMT2@table1.column39.name=SSM_
TABRT@table1.column40.name=SSM_DABRT@table1.column41.name=SSM_RABRT@tabl
e1.column42.name=SSM_TCOM@table1.column43.name=SSM_DCOM@table1.column44.
name=SSM_RCOM@table1.column45.name=SSM_TINDT@table1.column46.name=SSM_DI
NDT@table1.column47.name=SSM_RINDT@table1.column48.name=SSM_TRIUR@table1
.column49.name=SSM_DRIUR@table1.column50.name=SSM_RRIUR@table1.column51.
name=SSM_TMEOM@table1.column52.name=SSM_DMEOM@table1.column53.name=SSM_R
MEOM@table1.column54.name=SSM_TMEOT@table1.column55.name=SSM_DMEOT@table
1.column56.name=SSM_RMEOT@table1.column57.name=ORIGINNODE@table1.column5
8.name=DBSTMAX@table1.column59.name=DBSTNUM@table1.column60.name=SDBATUT
L@table1.column61.name=Q3STHWCT@table1.column62.name=Q3STHWIF@table1.col
umn63.name=Q3STHWIB@table1.column64.name=QDSTHWAT@table1.columnCount=64@
tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.ope
rator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB
2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@property
Count=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000004000008000',
   32,
   259,
   '1080515203024000',
   '_ KCJ',
   'zDB2_030_SRM_SubSystem:410',
   'Subsystem Management'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_030_SRM_SubSystem:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_030_SRM_SubSystem:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:410',
   0
);

* * ****************************************************************
* * *  Product:            KD5                                     *
* * *  Version:            410                                     *
* * *  Workspace:          Thread Detail                           *
* * *  Table:              REALACT                                 *
* * * **************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from realact
*
*    IDENT=ZDB2_0005_THREADs_DETAIL:410;
*    AFFINITY=0020000000000000000000000000000004000008000;
*    NAME=Thread_Details1;
*    USER=CCC_410;
*    DESC=Display thread detail;
*    VISIBLE=N;
*    NODETYPE=DB2;
*    TABLE=KDP.REALACT;
*    COLUMNS= ORIGINNODE;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=QWHSLUUV;
*    COLUMNS=QWHSLUUV2;
*    COLUMNS=TDIDCORR;
*    COLUMNS=TDIDEUID;
*    COLUMNS=TDIDWKID;
*    COLUMNS=TDIDTXID;
*    COLUMNS=SSID;
*    COLUMNS=TDIDTCBA;
*    COLUMNS=TDIDAGNT;
*    COLUMNS=TDIDACE;
*    COLUMNS=STATUS;
*    COLUMNS=ELAPSED;
*    COLUMNS=CPU;
*    COLUMNS=THNDBCPU;
*    COLUMNS=THNDBTMF;
*    COLUMNS=THNDBHCP;
*    COLUMNS=THNDBSCP;
*    COLUMNS=MVSSTAT;
*    COLUMNS=CPURATE;
*    COLUMNS=THWTTSPT;
*    COLUMNS=THWTCSPT;
*    COLUMNS=THWTSPCT;
*    COLUMNS=THWTOCSE;
*    COLUMNS=THWTCCSE;
*    COLUMNS=THWTOCNS;
*    COLUMNS=THWTSLSE;
*    COLUMNS=THWTCLSE;
*    COLUMNS=THWTSLNS;
*    COLUMNS=THWTDSSE;
*    COLUMNS=THWTCSSE;
*    COLUMNS=THWTDSNS;
*    COLUMNS=THWTOTSE;
*    COLUMNS=THWTCTSE;
*    COLUMNS=THWTOTNS;
*    COLUMNS=THWTAWFC;
*    COLUMNS=THWTCWFC;
*    COLUMNS=THWTFCCT;
*    COLUMNS=THWTTKSE;
*    COLUMNS=THWTCKSE;
*    COLUMNS=THWTTKNS;
*    COLUMNS=THWTTMSE;
*    COLUMNS=THWTCMSE;
*    COLUMNS=THWTTMNS;
*    COLUMNS=THWTTNSE;
*    COLUMNS=THWTCNSE;
*    COLUMNS=THWTTNNS;
*    COLUMNS=THWTTOSE;
*    COLUMNS=THWTCOSE;
*    COLUMNS=THWTTONS;
*    COLUMNS=THWTTQSE;
*    COLUMNS=THWTCQSE;
*    COLUMNS=THWTTQNS;
*    COLUMNS=THWTTWLG;
*    COLUMNS=THWTCWLG;
*    COLUMNS=THWTARLG;
*    COLUMNS=THWTTWTE;
*    COLUMNS=THWTCWTE;
*    COLUMNS=THWTARNS;
*    COLUMNS=THWTTWTW;
*    COLUMNS=THWTCWTW;
*    COLUMNS=THWTARNW;
*    COLUMNS=QWACPCNT;
*    COLUMNS=THACTCNT;
*    COLUMNS=QWACUDCP;
*    COLUMNS=QWACUDTT;
*    COLUMNS=QWACUDNE;
*    COLUMNS=QWACUDST;
*    COLUMNS=QWACUDEA;
*    COLUMNS=QWACUDEB;
*    COLUMNS=QWACTRTT;
*    COLUMNS=QWACTRET;
*    COLUMNS=QWACPECT;
*    COLUMNS=QWACSPEA;
*    COLUMNS=QWACSPEB;
*    COLUMNS=QWACTRTE;
*    COLUMNS=QWACTREE;
*    COLUMNS=QWAXALCT;
*    COLUMNS=QWAXOCSE;
*    COLUMNS=QWACSPCP;
*    COLUMNS=QWACSVPT;
*    COLUMNS=QWACRLSV;
*    COLUMNS=QWACRBSV;
*    COLUMNS=INDB2IIP;
*    COLUMNS=THWTTOTW;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND QWHSLUUV = $UNIQUET1$;
*    PRED=AND QWHSLUUV2 = $UNIQUET2$;
*  *   One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0005_THREADs_DETAIL:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0005_THREADs_DETAIL:410',
  'KDP',
  '0020000000000000000000000000000004000008000',
  'P',
  'Thread_Details1',
  'Display thread detail',
  'CCC_410',
  '1080516104545000',
'at=$THRUNODE$@table1.name=REALACT@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=QW
HSLUUV@table1.column5.name=QWHSLUUV2@table1.column6.name=TDIDCORR@table1
.column7.name=TDIDEUID@table1.column8.name=TDIDWKID@table1.column9.name=
TDIDTXID@table1.column10.name=SSID@table1.column11.name=TDIDTCBA@table1.
column12.name=TDIDAGNT@table1.column13.name=TDIDACE@table1.column14.name
=STATUS@table1.column15.name=ELAPSED@table1.column16.name=CPU@table1.col
umn17.name=THNDBCPU@table1.column18.name=THNDBTMF@table1.column19.name=T
HNDBHCP@table1.column20.name=THNDBSCP@table1.column21.name=MVSSTAT@table
1.column22.name=CPURATE@table1.column23.name=THWTTSPT@table1.column24.na
me=THWTCSPT@table1.column25.name=THWTSPCT@table1.column26.name=THWTOCSE@
table1.column27.name=THWTCCSE@table1.column28.name=THWTOCNS@table1.colum
n29.name=THWTSLSE@table1.column30.name=THWTCLSE@table1.column31.name=THW
TSLNS@table1.column32.name=THWTDSSE@table1.column33.name=THWTCSSE@table1
.column34.name=THWTDSNS@table1.column35.name=THWTOTSE@table1.column36.na
me=THWTCTSE@table1.column37.name=THWTOTNS@table1.column38.name=THWTAWFC@
table1.column39.name=THWTCWFC@table1.column40.name=THWTFCCT@table1.colum
n41.name=THWTTKSE@table1.column42.name=THWTCKSE@table1.column43.name=THW
TTKNS@table1.column44.name=THWTTMSE@table1.column45.name=THWTCMSE@table1
.column46.name=THWTTMNS@table1.column47.name=THWTTNSE@table1.column48.na
me=THWTCNSE@table1.column49.name=THWTTNNS@table1.column50.name=THWTTOSE@
table1.column51.name=THWTCOSE@table1.column52.name=THWTTONS@table1.colum
n53.name=THWTTQSE@table1.column54.name=THWTCQSE@table1.column55.name=THW
TTQNS@table1.column56.name=THWTTWLG@table1.column57.name=THWTCWLG@table1
.column58.name=THWTARLG@table1.column59.name=THWTTWTE@table1.column60.na
me=THWTCWTE@table1.column61.name=THWTARNS@table1.column62.name=THWTTWTW@
table1.column63.name=THWTCWTW@table1.column64.name=THWTARNW@table1.colum
n65.name=QWACPCNT@table1.column66.name=THACTCNT@table1.column67.name=QWA
CUDCP@table1.column68.name=QWACUDTT@table1.column69.name=QWACUDNE@table1
.column70.name=QWACUDST@table1.column71.name=QWACUDEA@table1.column72.na
me=QWACUDEB@table1.column73.name=QWACTRTT@table1.column74.name=QWACTRET@
table1.column75.name=QWACPECT@table1.column76.name=QWACSPEA@table1.colum
n77.name=QWACSPEB@table1.column78.name=QWACTRTE@table1.column79.name=QWA
CTREE@table1.column80.name=QWAXALCT@table1.column81.name=QWAXOCSE@table1
.column82.name=QWACSPCP@table1.column83.name=QWACSVPT@table1.column84.na
me=QWACRLSV@table1.column85.name=QWACRBSV@table1.column86.name=INDB2IIP@
table1.column87.name=THWTTOTW@table1.columnCount=87@tableCount=1@filter1
.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.val
ue=$NODE$@filter2.connector=AND@filter2.column=QWHSLUUV@filter2.operator
=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@filter3.column=QWHSLU
UV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@filterCount=3@nodeTypeC
ount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@
propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from realsqlc
*
*  ******************************************************************
*  * Product:            KD5                                        *
*  * Version:            420                                        *
*  * Workspace:          SQL                                        *
*  * Table:              SQL                                        *
*  ******************************************************************
*  IDENT=ZDB2_0066_SQL_COUNTER:420;
*  AFFINITY=0020000000000000000000000000000008000008000;
*  NAME=SQL Counters at subsystem level;
*  USER=CCC_420;
*  DESC=Display SQL counters at subsystem level;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.REALSQLC;
*  COLUMNS=  ORIGINNODE;
*  COLUMNS=  TIMESTAMP;
*  COLUMNS=  MVSID;
*  COLUMNS=  SSID;
*  COLUMNS=  SQL_IDENT; 
*  COLUMNS=  SQL_INTR;  
*  COLUMNS=  SQL_DELTA; 
*  COLUMNS=  SQL_RATE;  
*  COLUMNS=  SQL_TOTAL; 
* PRED=ORIGINNODE = $NODE$;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0066_SQL_COUNTER:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0066_SQL_COUNTER:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'SQL Counters at subsystem level',
  'Display SQL counters at subsystem level',
  'CCC_420',
  '1100323221143000',
'at=$THRUNODE$@table1.name=REALSQLC@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=SQL_IDENT@table1.column6.name=SQL_INTR@table1.co
lumn7.name=SQL_DELTA@table1.column8.name=SQL_RATE@table1.column9.name=SQ
L_TOTAL@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.
column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1
@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw
.TableRow@propertyCount=1@history=F@');

*  ******************************************************************
*  * Product:            KD5                                        *
*  * Version:            420                                        *
*  * Workspace:          TSQL                                       *
*  * Table:              TSQL                                       *
*  ******************************************************************
*  IDENT=ZDB2_0067_TSQL_COUNTER:420;
*  AFFINITY=0020000000000000000000000000000008000008000;
*  NAME=SQL Counters at thread level;
*  USER=CCC_420;
*  DESC=Display SQL counters at thread level;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.REALSQLS;
*  COLUMNS=  ORIGINNODE;
*  COLUMNS=  TIMESTAMP;
*  COLUMNS=  MVSID;
*  COLUMNS=  SSID;
*  COLUMNS=  TDIDPLAN;     
*  COLUMNS=  TDIDCORR;  
*  COLUMNS=  TDIDCONN;   
*  COLUMNS=  TDIDAUTH;   
*  COLUMNS=  TDIDAUTU;
*  COLUMNS=  DTLUWID; 
*  COLUMNS=  SQL_IDENT; 
*  COLUMNS=  SQL_TOTAL; 
*  COLUMNS=  QWHSLUUV; 
*  COLUMNS=  QWHSLUUV2;    
*  COLUMNS=  TDIDEUID;  
*  COLUMNS=  JOBNAME;    
*  COLUMNS=  TDIDASID;     
*  COLUMNS=  UTDIDPACK;
*  COLUMNS=  UTDIDPCOL;
*  COLUMNS=  TDIDCNTY;   
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND QWHSLUUV = $UNIQUET1$;
*  PRED=AND QWHSLUUV2 = $UNIQUET2$;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0067_TSQL_COUNTER:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0067_TSQL_COUNTER:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'SQL Counters at thread level',
  'Display SQL counters at thread level',
  'CCC_420',
  '1100323221153000',
'at=$THRUNODE$@table1.name=REALSQLS@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=S
SID@table1.column5.name=TDIDPLAN@table1.column6.name=TDIDCORR@table1.col
umn7.name=TDIDCONN@table1.column8.name=TDIDAUTH@table1.column9.name=TDID
AUTU@table1.column10.name=DTLUWID@table1.column11.name=SQL_IDENT@table1.
column12.name=SQL_TOTAL@table1.column13.name=QWHSLUUV@table1.column14.na
me=QWHSLUUV2@table1.column15.name=TDIDEUID@table1.column16.name=JOBNAME@
table1.column17.name=TDIDASID@table1.column18.name=UTDIDPACK@table1.colu
mn19.name=UTDIDPCOL@table1.column20.name=TDIDCNTY@table1.columnCount=20@
tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.ope
rator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=QWHSL
UUV@filter2.operator=EQ@filter2.value=$UNIQUET1$@filter3.connector=AND@f
ilter3.column=QWHSLUUV2@filter3.operator=EQ@filter3.value=$UNIQUET2$@fil
terCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1
.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from thdxgppr
*
*   IDENT=ZDB2_0002_ALL_ACTIVE_THREADS:420;
*   AFFINITY=0020000000000000000000000000000008000008000;
*   NAME=All Active Threads;
*   USER=CCC_420;
*   DESC=Display all active threads;
*   VISIBLE=N;	
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   COLUMNS=TIMESTAMP;
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  ENCLCPUT                                   
*        COLUMNS=  ENCLPER_P_                                 
*        COLUMNS=  ENCLPIDX                                   
*        COLUMNS=  ENCLSCLN                                   
*        COLUMNS=  QWHSLUUV 
*        COLUMNS=  QWHSLUUV2
*        COLUMNS=  QW0148AC                                   
*        COLUMNS=  TDIDAGNT                                   
*        COLUMNS=  TDIDASID                                   
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR                                  
*        COLUMNS=  TDIDDB2S                                  
*        COLUMNS=  TDIDETKN                                   
*        COLUMNS=  TDIDEUID                                  
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                                  
*        COLUMNS=  TDIDPLAN                                   
*        COLUMNS=  TDIDTCBA                                   
*        COLUMNS=  TDIDTTYP                                   
*        COLUMNS=  TDIDTXID                                  
*        COLUMNS=  TDIDWKID                                  
*        COLUMNS=  THDFBYTS                                   
*        COLUMNS=  THDFCNVS                                   
*        COLUMNS=  THDFLTI2                                   
*        COLUMNS=  THDFMSGS                                   
*        COLUMNS=  THDFRCPU                                   
*        COLUMNS=  THDFROWS                                   
*        COLUMNS=  THDFRTI2                                   
*        COLUMNS=  THDFSQLS                                   
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXCPUR                                   
*        COLUMNS=  THDXDBCM                                   
*        COLUMNS=  THDXELCM                                   
*        COLUMNS=  THDXETIM                                   
*        COLUMNS=  THDXGETP                                   
*        COLUMNS=  THDXGPPR                                   
*        COLUMNS=  THDXJOBN                                   
*        COLUMNS=  QWACPACE                                   
*        COLUMNS=  THDXPFCH                                   
*        COLUMNS=  THDXPIND                                   
*        COLUMNS=  THDXREAD                                   
*        COLUMNS=  THDXSTAT                                  
*        COLUMNS=  THDXUPDT                                   
*        COLUMNS=  WHNDBTCT                                   
*        COLUMNS=  WHNDBTIM
*        COLUMNS=  QW0148CR
*        COLUMNS=  QW0148EL
*        COLUMNS=  QW0148ER 
*        COLUMNS=  THDFSQLR
*        COLUMNS=  VLUNAME 
*        COLUMNS=  TOKENWORK 
*        COLUMNS=  IIPDB2CPU  
*        COLUMNS=  UTDIDOPID 
*        COLUMNS=  UTDIDAUTH 
*        COLUMNS=  UTDIDLOCN 
*        COLUMNS=  UTDIDPCOL 
*        COLUMNS=  UTDIDPACK 
*        COLUMNS=  CICSMVSID                                 
*        COLUMNS=  ORIGINNODE;
*        COLUMNS=  THWTTOTW;
*        COLUMNS=  KILLTHREAD;
*        COLUMNS=  THDXGPPR64;
*    PRED=ORIGINNODE = $NODE$;
*  *  One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_ALL_ACTIVE_THREADS:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_ALL_ACTIVE_THREADS:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'All Active Threads',
  'Display all active threads',
  'CCC_420',
  '1101130180224000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLCPU
T@table1.column5.name=ENCLPER_P_@table1.column6.name=ENCLPIDX@table1.col
umn7.name=ENCLSCLN@table1.column8.name=QWHSLUUV@table1.column9.name=QWHS
LUUV2@table1.column10.name=QW0148AC@table1.column11.name=TDIDAGNT@table1
.column12.name=TDIDASID@table1.column13.name=TDIDAUTH@table1.column14.na
me=TDIDCNTY@table1.column15.name=TDIDCONN@table1.column16.name=TDIDCORR@
table1.column17.name=TDIDDB2S@table1.column18.name=TDIDETKN@table1.colum
n19.name=TDIDEUID@table1.column20.name=TDIDLOCN@table1.column21.name=TDI
DOPID@table1.column22.name=TDIDPACK@table1.column23.name=TDIDPCOL@table1
.column24.name=TDIDPLAN@table1.column25.name=TDIDTCBA@table1.column26.na
me=TDIDTTYP@table1.column27.name=TDIDTXID@table1.column28.name=TDIDWKID@
table1.column29.name=THDFBYTS@table1.column30.name=THDFCNVS@table1.colum
n31.name=THDFLTI2@table1.column32.name=THDFMSGS@table1.column33.name=THD
FRCPU@table1.column34.name=THDFROWS@table1.column35.name=THDFRTI2@table1
.column36.name=THDFSQLS@table1.column37.name=THDXCOMT@table1.column38.na
me=THDXCPUR@table1.column39.name=THDXDBCM@table1.column40.name=THDXELCM@
table1.column41.name=THDXETIM@table1.column42.name=THDXGETP@table1.colum
n43.name=THDXGPPR@table1.column44.name=THDXJOBN@table1.column45.name=QWA
CPACE@table1.column46.name=THDXPFCH@table1.column47.name=THDXPIND@table1
.column48.name=THDXREAD@table1.column49.name=THDXSTAT@table1.column50.na
me=THDXUPDT@table1.column51.name=WHNDBTCT@table1.column52.name=WHNDBTIM@
table1.column53.name=QW0148CR@table1.column54.name=QW0148EL@table1.colum
n55.name=QW0148ER@table1.column56.name=THDFSQLR@table1.column57.name=VLU
NAME@table1.column58.name=TOKENWORK@table1.column59.name=IIPDB2CPU@table
1.column60.name=UTDIDOPID@table1.column61.name=UTDIDAUTH@table1.column62
.name=UTDIDLOCN@table1.column63.name=UTDIDPCOL@table1.column64.name=UTDI
DPACK@table1.column65.name=CICSMVSID@table1.column66.name=ORIGINNODE@tab
le1.column67.name=THWTTOTW@table1.column68.name=KILLTHREAD@table1.column
69.name=THDXGPPR64@table1.columnCount=69@tableCount=1@filter1.connector=
AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@f
ilterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from thdacics
*
*   IDENT=ZDB2_4101_THD_SUMMARY:420;
*   AFFINITY=0020000000000000000000000000000008000008000;
*   NAME=All Active Threads Summary;
*     USER=CCC_420;
*     DESC=Display summary for active threads;
*     VISIBLE=N;	
*     NODETYPE=DB2;
*     TABLE=KDP.REALTHDA;
*     COLUMNS=TIMESTAMP;
*     COLUMNS=MVSID;
*     COLUMNS=SSID;
*     COLUMNS=  ORIGINNODE; 
*          COLUMNS=  QWHSLUUV; 
*          COLUMNS=  QWHSLUUV2;
*          COLUMNS=  QW0148AC;                                   
*          COLUMNS=  TDIDASID;                                   
*          COLUMNS=  TDIDCNTY;                                   
*          COLUMNS=  TDIDCONN;                                   
*          COLUMNS=  TDIDCORR;                                  
*          COLUMNS=  TDIDDB2S;                                  
*          COLUMNS=  TDIDEUID;      
*          COLUMNS=  TDIDPLAN; 
*          COLUMNS=  TDIDTTYP;                                   
*          COLUMNS=  TDIDTXID;                                  
*          COLUMNS=  TDIDWKID;                                  
*          COLUMNS=  THDFRCPU;                                   
*          COLUMNS=  THDFROWS;                                   
*          COLUMNS=  THDFRTI2;                                   
*          COLUMNS=  THDFSQLS;                                   
*          COLUMNS=  THDXCOMT;
*          COLUMNS=  THDXCPUR;                                   
*          COLUMNS=  THDXETIM;                                   
*          COLUMNS=  THDXGETP;                                   
*          COLUMNS=  THDXJOBN;                                   
*          COLUMNS=  THDXSTAT;                                  
*          COLUMNS=  THDXUPDT;                                   
*          COLUMNS=  WHNDBTCT;                                   
*          COLUMNS=  WHNDBTIM;
*          COLUMNS=  IIPDB2CPU; 
*          COLUMNS=  UTDIDOPID;
*          COLUMNS=  UTDIDAUTH;
*          COLUMNS=  UTDIDLOCN;
*          COLUMNS=  UTDIDPCOL;
*          COLUMNS=  UTDIDPACK;
*          COLUMNS=  CICSMVSID;
*          COLUMNS=  VLUNAME;
*          COLUMNS=  THWTTOTW;
*          COLUMNS=  KILLTHREAD;
*     PRED=ORIGINNODE = $NODE$;
*     PRED=AND TDIDCORR = $DB2CORR$;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_4101_THD_SUMMARY:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_4101_THD_SUMMARY:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'All Active Threads Summary',
  'Display summary for active threads',
  'CCC_420',
  '1100311162508000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ORIGINN
ODE@table1.column5.name=QWHSLUUV@table1.column6.name=QWHSLUUV2@table1.co
lumn7.name=QW0148AC@table1.column8.name=TDIDASID@table1.column9.name=TDI
DCNTY@table1.column10.name=TDIDCONN@table1.column11.name=TDIDCORR@table1
.column12.name=TDIDDB2S@table1.column13.name=TDIDEUID@table1.column14.na
me=TDIDPLAN@table1.column15.name=TDIDTTYP@table1.column16.name=TDIDTXID@
table1.column17.name=TDIDWKID@table1.column18.name=THDFRCPU@table1.colum
n19.name=THDFROWS@table1.column20.name=THDFRTI2@table1.column21.name=THD
FSQLS@table1.column22.name=THDXCOMT@table1.column23.name=THDXCPUR@table1
.column24.name=THDXETIM@table1.column25.name=THDXGETP@table1.column26.na
me=THDXJOBN@table1.column27.name=THDXSTAT@table1.column28.name=THDXUPDT@
table1.column29.name=WHNDBTCT@table1.column30.name=WHNDBTIM@table1.colum
n31.name=IIPDB2CPU@table1.column32.name=UTDIDOPID@table1.column33.name=U
TDIDAUTH@table1.column34.name=UTDIDLOCN@table1.column35.name=UTDIDPCOL@t
able1.column36.name=UTDIDPACK@table1.column37.name=CICSMVSID@table1.colu
mn38.name=VLUNAME@table1.column39.name=THWTTOTW@table1.column40.name=KIL
LTHREAD@table1.columnCount=40@tableCount=1@filter1.connector=AND@filter1
.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.conn
ector=AND@filter2.column=TDIDCORR@filter2.operator=EQ@filter2.value=$DB2
CORR$@filterCount=2@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@
property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from thdatpkg
*
*   IDENT=ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420;
*   AFFINITY=0020000000000000000000000000000008000008000;
*   NAME=Top Ten in_DB2_CPU Time Descending by pkg;
*   USER=CCC_420;
*   DESC=Top Ten threads in_DB2_CPU time by pkg;
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   VISIBLE=N;
*   COLUMNS=TIMESTAMP;        
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  WHNDBTCT  
*        COLUMNS=  WHNDBTIM                                      
*        COLUMNS=  TDIDPLAN                                     
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR 
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                         
*        COLUMNS=  TDIDDB2S  
*        COLUMNS=  THDXSTAT                                
*        COLUMNS=  THDXCPUR
*        COLUMNS=  THDXGETP
*        COLUMNS=  THDXUPDT
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXJOBN
*        COLUMNS=  THDXETIM
*        COLUMNS=  QWHSLUUV
*        COLUMNS=  QWHSLUUV2                                   
*        COLUMNS=  QW0148AC 
*        COLUMNS=  IIPDB2CPU   
*        COLUMNS=  UTDIDOPID 
*        COLUMNS=  UTDIDAUTH 
*        COLUMNS=  UTDIDLOCN 
*        COLUMNS=  UTDIDPCOL 
*        COLUMNS=  UTDIDPACK 
*        COLUMNS=  CICSMVSID                         
*        COLUMNS=ORIGINNODE; 
*        COLUMNS=  VLUNAME;                         
*        COLUMNS=  THWTTOTW; 
*        COLUMNS=  KILLTHREAD;
*   PRED=ORIGINNODE = $NODE$;
*   ORDER=DESCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending by pkg',
  'Top Ten threads in_DB2_CPU time by pkg',
  'CCC_420',
  '1100311164221000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.column34.name=VLUNAME@table1.column35.name=THWTTOTW@
table1.column36.name=KILLTHREAD@table1.columnCount=36@tableCount=1@filte
r1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=@filter2.operator=EQ@fi
lter2.value=FIRST(10)@filterCount=2@order1.column=WHNDBTCT@order1.sequen
ce=DESCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from thdatpln
*
*    IDENT=ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420;
*    AFFINITY=0020000000000000000000000000000008000008000;
*    NAME=Top Ten in_DB2_CPU Time Descending Threads;
*    USER=CCC_420;
*    DESC=Display top Ten threads with the most in_DB2_CPU time;
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    VISIBLE=N;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*         COLUMNS=  WHNDBTCT  
*         COLUMNS=  WHNDBTIM
*         COLUMNS=  TDIDPLAN
*         COLUMNS=  TDIDAUTH                                   
*         COLUMNS=  TDIDCNTY                                   
*         COLUMNS=  TDIDCONN                                   
*         COLUMNS=  TDIDCORR 
*         COLUMNS=  TDIDLOCN                                  
*         COLUMNS=  TDIDOPID                                   
*         COLUMNS=  TDIDPACK                                   
*         COLUMNS=  TDIDPCOL                         
*         COLUMNS=  TDIDDB2S  
*         COLUMNS=  THDXSTAT                                
*         COLUMNS=  THDXCPUR
*         COLUMNS=  THDXGETP
*         COLUMNS=  THDXUPDT
*         COLUMNS=  THDXCOMT
*         COLUMNS=  THDXJOBN
*         COLUMNS=  THDXETIM
*         COLUMNS=  QWHSLUUV
*         COLUMNS=  QWHSLUUV2                                   
*         COLUMNS=  QW0148AC   
*         COLUMNS=  IIPDB2CPU  
*         COLUMNS=  UTDIDOPID 
*         COLUMNS=  UTDIDAUTH 
*         COLUMNS=  UTDIDLOCN 
*         COLUMNS=  UTDIDPCOL 
*         COLUMNS=  UTDIDPACK 
*         COLUMNS=  CICSMVSID 
*         COLUMNS=  VLUNAME 
*         COLUMNS=  THWTTOTW 
*         COLUMNS=  KILLTHREAD
*    COLUMNS=ORIGINNODE;   
*    PRED=ORIGINNODE = $NODE$;
*    ORDER=DESCENDING WHNDBTCT;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending Threads',
  'Display top Ten threads with the most in_DB2_CPU time',
  'CCC_420',
  '1100311163124000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=VLUNAME@table1.column34.name=THWTTOTW@table1.column35.name=KILLTHREAD@
table1.column36.name=ORIGINNODE@table1.columnCount=36@tableCount=1@filte
r1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=@filter2.operator=EQ@fi
lter2.value=FIRST(10)@filterCount=2@order1.column=WHNDBTCT@order1.sequen
ce=DESCENDING@orderCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

***********v510 MVS STORAGE********
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mvstor
*
*  ******************************************************************
*  * Product:            KD5                                        *
*  * Version:            510                                        *
*  * Workspace:          MVS Storage                                *
*  * Table:              MVS Storage                                *
*  ******************************************************************
*  IDENT=ZDB2_0050_MVS_STORAGE:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=MVS Storage;
*  USER=CCC_510;
*  DESC=Display MVS Storage V510;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.MVSTOR64;
*  COLUMNS=  ORIGINNODE
*  COLUMNS=  TIMESTAMP
*  COLUMNS=  MVSID
*  COLUMNS=  DB2ID
*  COLUMNS=  DB2VER
*  COLUMNS=  QW0225AN
*  COLUMNS= QW0225AL
*  COLUMNS= QW0225AS
*  COLUMNS= QW0225AV
*  COLUMNS= QW0225CD
*  COLUMNS= QW0225CR
*  COLUMNS= QW0225FX
*  COLUMNS= QW0225GM
*  COLUMNS= QW0225GS
*  COLUMNS= QW0225MV
*  COLUMNS= QW0225PM
*  COLUMNS= QW0225RO
*  COLUMNS= QW0225RP
*  COLUMNS= QW0225SB
*  COLUMNS= QW0225SC
*  COLUMNS= QW0225SO
*  COLUMNS= QW0225TT
*  COLUMNS= QW0225VR
*  COLUMNS= QW0225AT
*  COLUMNS= QW0225CE
*  COLUMNS= QW0225DW
*  COLUMNS= QW0225GW
*  COLUMNS= QW0225PF
*  COLUMNS= QW0225PL
*  COLUMNS= QW0225LO
*  COLUMNS= QW0225HI
*  COLUMNS= QW0225EL
*  COLUMNS= QW0225EH
*  COLUMNS= QW0225RG
*  COLUMNS= QW0225EC
*  COLUMNS= QW0225BB
*  COLUMNS= QW0225FA
*  COLUMNS= QW0225GA
*  COLUMNS= QW0225VA
*  COLUMNS= QW0225SJ
*  COLUMNS= NW0225RL
*  COLUMNS= NW0225AX
*  COLUMNS= QW0225LC
*  COLUMNS= QW0225LS
*  COLUMNS= QW0225HS
*  COLUMNS= QW0225HC
*  COLUMNS= QW0225HT
*  COLUMNS= QW0225SF
*  COLUMNS= QW0225SG
*  COLUMNS= QW0225SV
*  COLUMNS= QW0225SU
*  COLUMNS= QW0225L2
*  COLUMNS= QW0225H2
*  COLUMNS= QW0225F1
*  COLUMNS= QW0225F2
*  COLUMNS= QW0225S2
*  COLUMNS= SW0225TF
*  COLUMNS= SW0225MT
*  COLUMNS= SW0225DB
*  COLUMNS= SW0225C2
*  COLUMNS= STORCUSH
*  COLUMNS= SW0225RL
*  COLUMNS= SW0225AX
*  COLUMNS= SW0225SM
*  COLUMNS= QW0225TP
*  COLUMNS= QW0225EP
*  COLUMNS= QW0225RL
*  COLUMNS= QW0225HVP
*  COLUMNS= QW0225HVGP
*  COLUMNS= QW0225AX
*  COLUMNS= QW0225HVA
*  COLUMNS= QW0225HVGA
*  COLUMNS= QW0225SM
*  COLUMNS= QW0225SX
*  COLUMNS= QW0225DB
*  COLUMNS= QW0225ALG
*  COLUMNS= QW0225ASG
*  COLUMNS=  SW0225ALG
*  COLUMNS=  QW0225FC
*  COLUMNS=  QW0225VC
*  COLUMNS=  QW0225GC
*  COLUMNS=  QW0225FCG
*  COLUMNS=  QW0225VCG
*  COLUMNS=  QW0225GCG
*  COLUMNS=  QW0225SMC
*  COLUMNS=  QW0225SMS
*  COLUMNS=  QW0225GSGS
*  COLUMNS=  QW0225SUGS
*  COLUMNS=  QW0225GSG
*  COLUMNS=  QW0225SUG
*  COLUMNS=  QW0225MOBJ
*  COLUMNS=  QW0225MPG
*  COLUMNS=  QW0225BYTE
*  COLUMNS=  QW0225AUX
*  COLUMNS=  QW0225PAXI
*  COLUMNS=  QW0225PAXO
*  COLUMNS=  SW0225AL
*  PRED=ORIGINNODE = $NODE$;
*  SITNAME=KD5_MVS_Ext_CSA_64_Warning warning;
*  SITNAME=KD5_MVS_low_Pri_64_Warning warning;
*  SITNAME=KD5_Stor_Cushion_64_Warning warning;
*  SITNAME=KD5_Total_DBM1_64_Warning warning;
*  SITNAME=KD5_Real_Stor_64_Warning warning;
* *    One product provided situationed situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0050_MVS_STORAGE:510';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_MVS_Ext_CSA_64_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_MVS_low_Pri_64_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Stor_Cushion_64_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Total_DBM1_64_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KD5_Real_Stor_64_Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0050_MVS_STORAGE:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'MVS Storage',
  'Display MVS Storage V510',
  'CCC_510',
  '1100529135903000',
'at=$THRUNODE$@table1.name=MVSTOR64@table1.column1.name=ORIGINNODE@table
1.column2.name=TIMESTAMP@table1.column3.name=MVSID@table1.column4.name=D
B2ID@table1.column5.name=DB2VER@table1.column6.name=QW0225AN@table1.colu
mn7.name=QW0225AL@table1.column8.name=QW0225AS@table1.column9.name=QW022
5AV@table1.column10.name=QW0225CD@table1.column11.name=QW0225CR@table1.c
olumn12.name=QW0225FX@table1.column13.name=QW0225GM@table1.column14.name
=QW0225GS@table1.column15.name=QW0225MV@table1.column16.name=QW0225PM@ta
ble1.column17.name=QW0225RO@table1.column18.name=QW0225RP@table1.column1
9.name=QW0225SB@table1.column20.name=QW0225SC@table1.column21.name=QW022
5SO@table1.column22.name=QW0225TT@table1.column23.name=QW0225VR@table1.c
olumn24.name=QW0225AT@table1.column25.name=QW0225CE@table1.column26.name
=QW0225DW@table1.column27.name=QW0225GW@table1.column28.name=QW0225PF@ta
ble1.column29.name=QW0225PL@table1.column30.name=QW0225LO@table1.column3
1.name=QW0225HI@table1.column32.name=QW0225EL@table1.column33.name=QW022
5EH@table1.column34.name=QW0225RG@table1.column35.name=QW0225EC@table1.c
olumn36.name=QW0225BB@table1.column37.name=QW0225FA@table1.column38.name
=QW0225GA@table1.column39.name=QW0225VA@table1.column40.name=QW0225SJ@ta
ble1.column41.name=NW0225RL@table1.column42.name=NW0225AX@table1.column4
3.name=QW0225LC@table1.column44.name=QW0225LS@table1.column45.name=QW022
5HS@table1.column46.name=QW0225HC@table1.column47.name=QW0225HT@table1.c
olumn48.name=QW0225SF@table1.column49.name=QW0225SG@table1.column50.name
=QW0225SV@table1.column51.name=QW0225SU@table1.column52.name=QW0225L2@ta
ble1.column53.name=QW0225H2@table1.column54.name=QW0225F1@table1.column5
5.name=QW0225F2@table1.column56.name=QW0225S2@table1.column57.name=SW022
5TF@table1.column58.name=SW0225MT@table1.column59.name=SW0225DB@table1.c
olumn60.name=SW0225C2@table1.column61.name=STORCUSH@table1.column62.name
=SW0225RL@table1.column63.name=SW0225AX@table1.column64.name=SW0225SM@ta
ble1.column65.name=QW0225TP@table1.column66.name=QW0225EP@table1.column6
7.name=QW0225RL@table1.column68.name=QW0225HVP@table1.column69.name=QW02
25HVGP@table1.column70.name=QW0225AX@table1.column71.name=QW0225HVA@tabl
e1.column72.name=QW0225HVGA@table1.column73.name=QW0225SM@table1.column7
4.name=QW0225SX@table1.column75.name=QW0225DB@table1.column76.name=QW022
5ALG@table1.column77.name=QW0225ASG@table1.column78.name=SW0225ALG@table
1.column79.name=QW0225FC@table1.column80.name=QW0225VC@table1.column81.n
ame=QW0225GC@table1.column82.name=QW0225FCG@table1.column83.name=QW0225V
CG@table1.column84.name=QW0225GCG@table1.column85.name=QW0225SMC@table1.
column86.name=QW0225SMS@table1.column87.name=QW0225GSGS@table1.column88.
name=QW0225SUGS@table1.column89.name=QW0225GSG@table1.column90.name=QW02
25SUG@table1.column91.name=QW0225MOBJ@table1.column92.name=QW0225MPG@tab
le1.column93.name=QW0225BYTE@table1.column94.name=QW0225AUX@table1.colum
n95.name=QW0225PAXI@table1.column96.name=QW0225PAXO@table1.column97.name
=SW0225AL@table1.columnCount=97@tableCount=1@filter1.connector=AND@filte
r1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCoun
t=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=
kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_MVS_Ext_CSA_64_Warning',
   'warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_MVS_low_Pri_64_Warning',
   'warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Stor_Cushion_64_Warning',
   'warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Total_DBM1_64_Warning',
   'warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KD5_Real_Stor_64_Warning',
   'warning',
   'KFW_NODE',
   0
);



********************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from edmpool51
*
********************************************************************
* * Product:            KD5                                        *
* * Version:            510 EDM POOL V10 support                   *
* * Workspace:          EDM POOL                                   *
* * Table:              EDMPOOL                                    *
* * ****************************************************************
*  IDENT=ZDB2_1112_EDMPOOL:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=EDM POOL V510;
*  USER=CCC_510;
*  DESC=Display EDM Pool data V510;
*  VISIBLE=N;
*  NODETYPE=DB2;
*  TABLE=KDP.EDMPOOL;
*  COLUMNS=  ORIGINNODE;
*  COLUMNS=  TIMESTAMP; 
*  COLUMNS=  DB2ID;      
*  COLUMNS=  DB2VER;     
*  COLUMNS=  QISEFAIL;
*  COLUMNS=  QISEPAGE;
*  COLUMNS=  QISECTG; 
*  COLUMNS=  QISECTL; 
*  COLUMNS=  QISECT;  
*  COLUMNS=  QISEFREE;
*  COLUMNS=  QISESTMT;
*  COLUMNS=  QISEDBDG;
*  COLUMNS=  QISEDBDL;
*  COLUMNS=  QISEKTG; 
*  COLUMNS=  QISEKTL; 
*  COLUMNS=  QISEKT;  
*  COLUMNS=  QISEDSI; 
*  COLUMNS=  QISEDSG; 
*  COLUMNS=  QISEDBD; 
*  COLUMNS=  QISEDFAL;
*  COLUMNS=  QISEDPGE;
*  COLUMNS=  QISEDFRE;
*  COLUMNS=  QISEDYNP;
*  COLUMNS=  QISECFAL;
*  COLUMNS=  QISECPGE;
*  COLUMNS=  QISECFRE;
*  COLUMNS=  QISESKCT;
*  COLUMNS=  QISESKPT;
*  COLUMNS=  QISEKFAL;
*  COLUMNS=  QISEKPGE;
*  COLUMNS=  QISEKFRE;
*  COLUMNS=  QISECTA; 
*  COLUMNS=  QISEKTA; 
*  COLUMNS=  QISESFAL;
*  COLUMNS=  QISESPGE;
*  COLUMNS=  QISESFRE;
*  COLUMNS= QISEKNFM;
*  COLUMNS= QISEKNFA;
*  COLUMNS= QISEKNFR;
*  COLUMNS= QISE7FAL;
*  COLUMNS= QISE7PGE;
*  COLUMNS= QISE7FRE;
*  COLUMNS= QISEDSC; 
*  COLUMNS= QISEDSFA;
*  COLUMNS= QISEDSPG;
*  COLUMNS= QISEDSFR;
*  COLUMNS= QISE7CT; 
*  COLUMNS= QISE7KT; 
*  COLUMNS= SEDMIUSE;
*  COLUMNS= SERBUTP; 
*  COLUMNS= SDBDP;   
*  COLUMNS= SSTMTP;  
*  COLUMNS= SCTP;    
*  COLUMNS= SPTP;    
*  COLUMNS= SCTBP;   
*  COLUMNS= SPTBP;   
*  COLUMNS= SCTAP;   
*  COLUMNS= SPTAP;   
*  COLUMNS= SAVAIL;  
*  COLUMNS= SAVAILP; 
*  COLUMNS= SSKCTP;  
*  COLUMNS= SSKPTP;  
*  COLUMNS= SDSCP;   
*  COLUMNS= SEDMFREP;
*  COLUMNS= SDBDFREP;
*  COLUMNS= SSTMTFRP;
*  COLUMNS= SRDSFREP;
*  COLUMNS= SRDSAFRP;
*  COLUMNS= SSKELFRP;
*  COLUMNS= SRDSIUSE;
*  COLUMNS= SRDSIUSP;
*  COLUMNS= SRDSAIUS;
*  COLUMNS= SRDSAIUP; 
*  COLUMNS= SSKELIUS; 
*  COLUMNS= SSKELIUP; 
*  COLUMNS= QISEKLRU;
*  COLUMNS= QISEDLRU;
*  PRED=ORIGINNODE = $NODE$;
* *    One product provided situationed situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1112_EDMPOOL:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1112_EDMPOOL:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'EDM POOL V510',
  'Display EDM Pool data V510',
  'CCC_510',
  '1100506123809000',
'at=$THRUNODE$@table1.name=EDMPOOL@table1.column1.name=ORIGINNODE@table1
.column2.name=TIMESTAMP@table1.column3.name=DB2ID@table1.column4.name=DB
2VER@table1.column5.name=QISEFAIL@table1.column6.name=QISEPAGE@table1.co
lumn7.name=QISECTG@table1.column8.name=QISECTL@table1.column9.name=QISEC
T@table1.column10.name=QISEFREE@table1.column11.name=QISESTMT@table1.col
umn12.name=QISEDBDG@table1.column13.name=QISEDBDL@table1.column14.name=Q
ISEKTG@table1.column15.name=QISEKTL@table1.column16.name=QISEKT@table1.c
olumn17.name=QISEDSI@table1.column18.name=QISEDSG@table1.column19.name=Q
ISEDBD@table1.column20.name=QISEDFAL@table1.column21.name=QISEDPGE@table
1.column22.name=QISEDFRE@table1.column23.name=QISEDYNP@table1.column24.n
ame=QISECFAL@table1.column25.name=QISECPGE@table1.column26.name=QISECFRE
@table1.column27.name=QISESKCT@table1.column28.name=QISESKPT@table1.colu
mn29.name=QISEKFAL@table1.column30.name=QISEKPGE@table1.column31.name=QI
SEKFRE@table1.column32.name=QISECTA@table1.column33.name=QISEKTA@table1.
column34.name=QISESFAL@table1.column35.name=QISESPGE@table1.column36.nam
e=QISESFRE@table1.column37.name=QISEKNFM@table1.column38.name=QISEKNFA@t
able1.column39.name=QISEKNFR@table1.column40.name=QISE7FAL@table1.column
41.name=QISE7PGE@table1.column42.name=QISE7FRE@table1.column43.name=QISE
DSC@table1.column44.name=QISEDSFA@table1.column45.name=QISEDSPG@table1.c
olumn46.name=QISEDSFR@table1.column47.name=QISE7CT@table1.column48.name=
QISE7KT@table1.column49.name=SEDMIUSE@table1.column50.name=SERBUTP@table
1.column51.name=SDBDP@table1.column52.name=SSTMTP@table1.column53.name=S
CTP@table1.column54.name=SPTP@table1.column55.name=SCTBP@table1.column56
.name=SPTBP@table1.column57.name=SCTAP@table1.column58.name=SPTAP@table1
.column59.name=SAVAIL@table1.column60.name=SAVAILP@table1.column61.name=
SSKCTP@table1.column62.name=SSKPTP@table1.column63.name=SDSCP@table1.col
umn64.name=SEDMFREP@table1.column65.name=SDBDFREP@table1.column66.name=S
STMTFRP@table1.column67.name=SRDSFREP@table1.column68.name=SRDSAFRP@tabl
e1.column69.name=SSKELFRP@table1.column70.name=SRDSIUSE@table1.column71.
name=SRDSIUSP@table1.column72.name=SRDSAIUS@table1.column73.name=SRDSAIU
P@table1.column74.name=SSKELIUS@table1.column75.name=SSKELIUP@table1.col
umn76.name=QISEKLRU@table1.column77.name=QISEDLRU@table1.columnCount=77@
tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.ope
rator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB
2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@his
tory=F@');

* *   File created by Helper Version 05.237
* *
* *   Data generated for Candle Net PortalV180 and above
* *
* *   Input Data from dpthexc
* *
* IDENT=zDB2_020_Test_THR:420;
* AFFINITY=0020000000000000000000000000000008000008000;
*  NAME=Detailed Thread Exception
*  USER=CCC_420
*  DESC=Retrieve DB2 Threads information from DP Collector
*  NODETYPE=DB2;
*  READONLY=T;
*  TABLE=KDP.DP_TH_EXC
*  COLUMNS=EX_TIME;
*  COLUMNS=THREADTYPE;
*  COLUMNS=CONNTYPE;
*  COLUMNS=EX_PLAN;
*  COLUMNS=EX_PKGN;                         
*  COLUMNS=EX_COLLID;                       
*  COLUMNS=EX_CORRID;
*  COLUMNS=EX_CONNID;
*  COLUMNS=EX_AUTHID;
*  COLUMNS=EX_DB2ID;
*  COLUMNS=EX_MVSID;
*  COLUMNS=EX_INTRV;
*  COLUMNS=EX_ARCM;
*  COLUMNS=EX_CTHD;
*  COLUMNS=EX_INDB;
*  COLUMNS=EX_MISC;
*  COLUMNS=EX_COMT;
*  COLUMNS=EX_TCPU;
*  COLUMNS=EX_IDBC;
*  COLUMNS=EX_IDBT;
*  COLUMNS=EX_RCPU;
*  COLUMNS=EX_TRCV;
*  COLUMNS=EX_TSND;
*  COLUMNS=EX_ETIM;
*  COLUMNS=EX_GETP;
*  COLUMNS=EX_LKUS;
*  COLUMNS=EX_PGUP;
*  COLUMNS=EX_PREF;
*  COLUMNS=EX_RIO;
*  COLUMNS=EX_RELM;
*  COLUMNS=EX_WCLM;
*  COLUMNS=EX_WDLK;
*  COLUMNS=EX_WGLK;
*  COLUMNS=EX_WLGQ;
*  COLUMNS=EX_WSPS;
*  COLUMNS=EX_WTRE;
*  COLUMNS=EX_WSRV;
*  COLUMNS=EX_DWAT;
*  COLUMNS=EX_CMTCNT;
*  COLUMNS=EX_GETCNT;
*  COLUMNS=EX_LCKCNT;
*  COLUMNS=EX_LCKMAX;
*  COLUMNS=EX_PRECNT;
*  COLUMNS=EX_RDCNT;
*  COLUMNS=EX_RESCNT;
*  COLUMNS=EX_RESLIM;
*  COLUMNS=EX_SRDCNT;
*  COLUMNS=EX_UPDCNT;
*  COLUMNS=EX_WTRES;
*  COLUMNS=ORIGINNODE;
*  COLUMNS=KILLTHREAD;
*  COLUMNS=THREADSTAT;
*  COLUMNS=THRDTOKEN;
*  COLUMNS=TH_SPN;
*  COLUMNS=TH_GROUPN;
*  COLUMNS=TH_GMN;
*  COLUMNS=IDNAME;
*  COLUMNS=THD_CPU;
*  COLUMNS=IMMWIO;
*  COLUMNS=LISTPREF;
*  COLUMNS=DYNPREF;
*  COLUMNS=SUCHPR;
*  COLUMNS=SUCHPW;
*  COLUMNS=UNSUCHPR;
*  COLUMNS=UNSUCHPW;
*  COLUMNS=UNGPOP;
*  COLUMNS=APAGER;
*  COLUMNS=PHPMOVE;
*  COLUMNS=TYPE_IND;
*  COLUMNS=EX_NAME;
*  COLUMNS=CICSMVSID,INDB2IIP;
*  COLUMNS=UEX_AUTHID;
*  COLUMNS=JOBNAME,UTDIDPCOL,UTDIDPACK;
*  COLUMNS=DTLUWID;
*  COLUMNS=THWTTOTW;
*  COLUMNS=DDFRECV64;
*  COLUMNS=DDFSEND64;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND EX_CORRID = $DB2CORR$;
*  SITNAME=KDP_COMT_Warning Warning;
*  SITNAME=KDP_COMT_Critical Critical;
*  SITNAME=KDP_LKUS_Warning Warning;
*  SITNAME=KDP_LKUS_Critical Critical;
*  SITNAME=KDP_PGUP_Warning Warning;
*  SITNAME=KDP_PGUP_Critical Critical;
*  SITNAME=KDP_PREF_Warning Warning;
*  SITNAME=KDP_PREF_Critical Critical;
*  SITNAME=KDP_RELM_Warning Warning;
*  SITNAME=KDP_RELM_Critical Critical;
*  SITNAME=KDP_WTRE_Warning Warning;
*  SITNAME=KDP_WTRE_Critical Critical;cal;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_COMT_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_COMT_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LKUS_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_LKUS_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PGUP_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PGUP_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PREF_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_PREF_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_RELM_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_RELM_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_WTRE_Warning' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_WTRE_Critical' AND 
 TEMPLATE = 'zDB2_020_Test_THR:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_020_Test_THR:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_020_Test_THR:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_020_Test_THR:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'D',
  'Detailed Thread Exception',
  'Retrieve DB2 Threads information from DP Collector',
  'CCC_420',
  '1100530104819000',
'at=$THRUNODE$@table1.name=DP_TH_EXC@table1.column1.name=EX_TIME@table1.
column2.name=THREADTYPE@table1.column3.name=CONNTYPE@table1.column4.name
=EX_PLAN@table1.column5.name=EX_PKGN@table1.column6.name=EX_COLLID@table
1.column7.name=EX_CORRID@table1.column8.name=EX_CONNID@table1.column9.na
me=EX_AUTHID@table1.column10.name=EX_DB2ID@table1.column11.name=EX_MVSID
@table1.column12.name=EX_INTRV@table1.column13.name=EX_ARCM@table1.colum
n14.name=EX_CTHD@table1.column15.name=EX_INDB@table1.column16.name=EX_MI
SC@table1.column17.name=EX_COMT@table1.column18.name=EX_TCPU@table1.colu
mn19.name=EX_IDBC@table1.column20.name=EX_IDBT@table1.column21.name=EX_R
CPU@table1.column22.name=EX_TRCV@table1.column23.name=EX_TSND@table1.col
umn24.name=EX_ETIM@table1.column25.name=EX_GETP@table1.column26.name=EX_
LKUS@table1.column27.name=EX_PGUP@table1.column28.name=EX_PREF@table1.co
lumn29.name=EX_RIO@table1.column30.name=EX_RELM@table1.column31.name=EX_
WCLM@table1.column32.name=EX_WDLK@table1.column33.name=EX_WGLK@table1.co
lumn34.name=EX_WLGQ@table1.column35.name=EX_WSPS@table1.column36.name=EX
_WTRE@table1.column37.name=EX_WSRV@table1.column38.name=EX_DWAT@table1.c
olumn39.name=EX_CMTCNT@table1.column40.name=EX_GETCNT@table1.column41.na
me=EX_LCKCNT@table1.column42.name=EX_LCKMAX@table1.column43.name=EX_PREC
NT@table1.column44.name=EX_RDCNT@table1.column45.name=EX_RESCNT@table1.c
olumn46.name=EX_RESLIM@table1.column47.name=EX_SRDCNT@table1.column48.na
me=EX_UPDCNT@table1.column49.name=EX_WTRES@table1.column50.name=ORIGINNO
DE@table1.column51.name=KILLTHREAD@table1.column52.name=THREADSTAT@table
1.column53.name=THRDTOKEN@table1.column54.name=TH_SPN@table1.column55.na
me=TH_GROUPN@table1.column56.name=TH_GMN@table1.column57.name=IDNAME@tab
le1.column58.name=THD_CPU@table1.column59.name=IMMWIO@table1.column60.na
me=LISTPREF@table1.column61.name=DYNPREF@table1.column62.name=SUCHPR@tab
le1.column63.name=SUCHPW@table1.column64.name=UNSUCHPR@table1.column65.n
ame=UNSUCHPW@table1.column66.name=UNGPOP@table1.column67.name=APAGER@tab
le1.column68.name=PHPMOVE@table1.column69.name=TYPE_IND@table1.column70.
name=EX_NAME@table1.column71.name=CICSMVSID@table1.column72.name=INDB2II
P@table1.column73.name=UEX_AUTHID@table1.column74.name=JOBNAME@table1.co
lumn75.name=UTDIDPCOL@table1.column76.name=UTDIDPACK@table1.column77.nam
e=DTLUWID@table1.column78.name=THWTTOTW@table1.column79.name=DDFRECV64@t
able1.column80.name=DDFSEND64@table1.columnCount=80@tableCount=1@filter1
.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.val
ue=$NODE$@filter2.connector=AND@filter2.column=EX_CORRID@filter2.operato
r=EQ@filter2.value=$DB2CORR$@filterCount=2@nodeTypeCount=1@nodeType1=DB2
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000008000008000',
   32,
   259,
   '1100530104819000',
   '_ KCJ',
   'zDB2_020_Test_THR:420',
   'Detailed Thread Exception'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_020_Test_THR:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_020_Test_THR:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_020_Test_THR:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_COMT_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_COMT_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LKUS_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_LKUS_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PGUP_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PGUP_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PREF_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_PREF_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_RELM_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_RELM_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_WTRE_Warning',
   'Warning',
   'zDB2_020_Test_THR:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_WTRE_Critical',
   'Critical',
   'zDB2_020_Test_THR:420',
   0
);


*  ****************************************************************
*  *  Product:            KDP                                     *
*  *  Version:            220                                     *
*  *  Report:             DB2plex SRM Log Management eXtention    *
*  *  Table:              DP_SRM_LOG                              *
*  *  Characteristics:    IRA, All DP systems, thrunode.          *
*  ****************************************************************
*  IDENT=zDB2_041_SRM_Log:420;
*  AFFINITY=0020000000000000000000000000000008000008000;
*  NAME=Log Manager Statistics
*  USER=CCC_420
*  DESC=Retrieve DB2 SRM Log management information
*  NODETYPE=DB2;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KDP.DP_SRM_LOX
*  * Timestamp and interval
*  COLUMNS=LOG_IDENT;           * Description of field
*  COLUMNS=LOG_TOTAL;           * Totals for field sind DB2 started
*  COLUMNS=LOG_DELTA;           * Delta values since last sample
*  COLUMNS=LOG_RATE;            * Activity per second
*  COLUMNS=ORIGINNODE;          * Node
*  COLUMNS=LOG_INTR;            * Interval time in seconds
*  COLUMNS=LOG_TOT64;           * 64bit Total since DB2 started
*  PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_041_SRM_Log:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_041_SRM_Log:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'P',
  'Log Manager Statistics',
  'Retrieve DB2 SRM Log management information',
  'CCC_420',
  '1100530104805000',
'at=$THRUNODE$@table1.name=DP_SRM_LOX@table1.column1.name=LOG_IDENT@tabl
e1.column2.name=LOG_TOTAL@table1.column3.name=LOG_DELTA@table1.column4.n
ame=LOG_RATE@table1.column5.name=ORIGINNODE@table1.column6.name=LOG_INTR
@table1.column7.name=LOG_TOT64@table1.columnCount=7@tableCount=1@filter1
.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.val
ue=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=DB2@readonly=T@propert
y1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@')
;

***** REALTHDA CPUPLAN FILTER *****
*   Input Data from topcpu
*
*    IDENT=ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510;
*    AFFINITY=002000000000000000000000000000000G000008000;
*    NAME=Top Ten in_DB2_CPU Time Descending Threads V510;
*    USER=CCC_510;
*    DESC=Display top Ten threads with the most in_DB2_CPU time V510;
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    VISIBLE=N;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*         COLUMNS=  WHNDBTCT  
*         COLUMNS=  WHNDBTIM
*         COLUMNS=  TDIDPLAN
*         COLUMNS=  TDIDAUTH                                   
*         COLUMNS=  TDIDCNTY                                   
*         COLUMNS=  TDIDCONN                                   
*         COLUMNS=  TDIDCORR 
*         COLUMNS=  TDIDLOCN                                  
*         COLUMNS=  TDIDOPID                                   
*         COLUMNS=  TDIDPACK                                   
*         COLUMNS=  TDIDPCOL                         
*         COLUMNS=  TDIDDB2S  
*         COLUMNS=  THDXSTAT                                
*         COLUMNS=  THDXCPUR
*         COLUMNS=  THDXGETP
*         COLUMNS=  THDXUPDT
*         COLUMNS=  THDXCOMT
*         COLUMNS=  THDXJOBN
*         COLUMNS=  THDXETIM
*         COLUMNS=  QWHSLUUV
*         COLUMNS=  QWHSLUUV2                                   
*         COLUMNS=  QW0148AC   
*         COLUMNS=  IIPDB2CPU  
*         COLUMNS=  UTDIDOPID 
*         COLUMNS=  UTDIDAUTH 
*         COLUMNS=  UTDIDLOCN 
*         COLUMNS=  UTDIDPCOL 
*         COLUMNS=  UTDIDPACK 
*         COLUMNS=  CICSMVSID 
*         COLUMNS=  VLUNAME 
*         COLUMNS=  THWTTOTW 
*         COLUMNS=  KILLTHREAD
*         COLUMNS=  REQTYPE
*    COLUMNS=ORIGINNODE;   
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND REQTYPE = "CPUPLAN";
*    PRED=OR ORIGINNODE = $NODE$;
* *   ORDER=DESCENDING WHNDBTCT;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending Threads V510',
  'Display top Ten threads with the most in_DB2_CPU time V510',
  'CCC_510',
  '1100708231445000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=VLUNAME@table1.column34.name=THWTTOTW@table1.column35.name=KILLTHREAD@
table1.column36.name=REQTYPE@table1.column37.name=ORIGINNODE@table1.colu
mnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@
filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.c
olumn=REQTYPE@filter2.operator=EQ@filter2.value=CPUPLAN@filter3.connecto
r=OR@filter3.column=ORIGINNODE@filter3.operator=EQ@filter3.value=$NODE$@
filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@proper
ty1.value=kfw.TableRow@propertyCount=1@history=F@');


***** REALTHDA CPUPKG  FILTER *****
*   Input Data from topcpupkg
*
*  IDENT=ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=Top Ten in_DB2_CPU Time Descending by pkg V510;
*  USER=CCC_510;
*  DESC=Top Ten threads in_DB2_CPU time by pkg V510;
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  VISIBLE=N;
*  COLUMNS=TIMESTAMP;        
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  WHNDBTCT  
*       COLUMNS=  WHNDBTIM                                      
*       COLUMNS=  TDIDPLAN                                     
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR 
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                         
*       COLUMNS=  TDIDDB2S  
*       COLUMNS=  THDXSTAT                                
*       COLUMNS=  THDXCPUR
*       COLUMNS=  THDXGETP
*       COLUMNS=  THDXUPDT
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXJOBN
*       COLUMNS=  THDXETIM
*       COLUMNS=  QWHSLUUV
*       COLUMNS=  QWHSLUUV2                                   
*       COLUMNS=  QW0148AC 
*       COLUMNS=  IIPDB2CPU   
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                         
*       COLUMNS=ORIGINNODE; 
*       COLUMNS=  VLUNAME;                         
*       COLUMNS=  THWTTOTW; 
*       COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND REQTYPE = "CPUPKG";
*    PRED=OR ORIGINNODE = $NODE$;
* * ORDER=DESCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten in_DB2_CPU Time Descending by pkg V510',
  'Top Ten threads in_DB2_CPU time by pkg V510',
  'CCC_510',
  '1100709171352000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=ORIGINNODE@table1.column34.name=VLUNAME@table1.column35.name=THWTTOTW@
table1.column36.name=KILLTHREAD@table1.column37.name=REQTYPE@table1.colu
mnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@
filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.c
olumn=REQTYPE@filter2.operator=EQ@filter2.value=CPUPKG@filter3.connector
=OR@filter3.column=ORIGINNODE@filter3.operator=EQ@filter3.value=$NODE$@f
ilterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@');



***** REALTHDA DBACCESS FILTER *****
*   Input Data from dbat
*
*  IDENT=ZDB2_0002_ALL_DBAT_THREADS:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=DBAT Threads V510;
*  USER=CCC_510;
*  DESC=Display database access threads V510;
*  VISIBLE=N;	
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDEUID                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  TDIDTTYP                                   
*       COLUMNS=  TDIDTXID                                  
*       COLUMNS=  TDIDWKID                                  
*       COLUMNS=  THDFBYTS                                   
*       COLUMNS=  THDFCNVS                                   
*       COLUMNS=  THDFLTI2                                   
*       COLUMNS=  THDFMSGS                                   
*       COLUMNS=  THDFRCPU                                   
*       COLUMNS=  THDFROWS                                   
*       COLUMNS=  THDFRTI2                                   
*       COLUMNS=  THDFSQLS                                   
*       COLUMNS=  THDXCPUR                                   
*       COLUMNS=  THDXDBCM                                   
*       COLUMNS=  THDXETIM                                   
*       COLUMNS=  THDXJOBN                                   
*       COLUMNS=  THDXSTAT                                  
*       COLUMNS=  WHNDBTCT                                   
*       COLUMNS=  WHNDBTIM
*       COLUMNS=  QW0148CR
*       COLUMNS=  QW0148EL
*       COLUMNS=  QW0148ER 
*       COLUMNS=  THDFSQLR
*       COLUMNS=  VLUNAME 
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  ORIGINNODE;
*       COLUMNS=  THWTTOTW;
*       COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND REQTYPE = "DBACCESS";
*    PRED=OR ORIGINNODE = $NODE$;
* *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_ALL_DBAT_THREADS:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_ALL_DBAT_THREADS:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'DBAT Threads V510',
  'Display database access threads V510',
  'CCC_510',
  '1100709232750000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=QWHSLUU
V@table1.column5.name=QWHSLUUV2@table1.column6.name=TDIDCNTY@table1.colu
mn7.name=TDIDDB2S@table1.column8.name=TDIDEUID@table1.column9.name=TDIDP
LAN@table1.column10.name=TDIDTTYP@table1.column11.name=TDIDTXID@table1.c
olumn12.name=TDIDWKID@table1.column13.name=THDFBYTS@table1.column14.name
=THDFCNVS@table1.column15.name=THDFLTI2@table1.column16.name=THDFMSGS@ta
ble1.column17.name=THDFRCPU@table1.column18.name=THDFROWS@table1.column1
9.name=THDFRTI2@table1.column20.name=THDFSQLS@table1.column21.name=THDXC
PUR@table1.column22.name=THDXDBCM@table1.column23.name=THDXETIM@table1.c
olumn24.name=THDXJOBN@table1.column25.name=THDXSTAT@table1.column26.name
=WHNDBTCT@table1.column27.name=WHNDBTIM@table1.column28.name=QW0148CR@ta
ble1.column29.name=QW0148EL@table1.column30.name=QW0148ER@table1.column3
1.name=THDFSQLR@table1.column32.name=VLUNAME@table1.column33.name=IIPDB2
CPU@table1.column34.name=UTDIDOPID@table1.column35.name=UTDIDAUTH@table1
.column36.name=UTDIDLOCN@table1.column37.name=UTDIDPCOL@table1.column38.
name=UTDIDPACK@table1.column39.name=ORIGINNODE@table1.column40.name=THWT
TOTW@table1.column41.name=KILLTHREAD@table1.column42.name=REQTYPE@table1
.columnCount=42@tableCount=1@filter1.connector=AND@filter1.column=ORIGIN
NODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filt
er2.column=REQTYPE@filter2.operator=EQ@filter2.value=DBACCESS@filter3.co
nnector=OR@filter3.column=ORIGINNODE@filter3.operator=EQ@filter3.value=$
NODE$@filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@
property1.value=kfw.TableRow@propertyCount=1@history=F@');




***** REALTHDA ALLIED FILTER *****
*   Input Data from allied
*
*  IDENT=ZDB2_0002_Allied_THREADS:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=Distributed Allied Threads V510;
*  USER=CCC_510;
*  DESC=Display distributed allied threads V510;
*  VISIBLE=N;	
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDEUID                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  TDIDTTYP                                   
*       COLUMNS=  TDIDTXID                                  
*       COLUMNS=  TDIDWKID                                  
*       COLUMNS=  THDFBYTS                                   
*       COLUMNS=  THDFCNVS                                   
*       COLUMNS=  THDFLTI2                                   
*       COLUMNS=  THDFMSGS                                   
*       COLUMNS=  THDFRCPU                                   
*       COLUMNS=  THDFROWS                                   
*       COLUMNS=  THDFRTI2                                   
*       COLUMNS=  THDFSQLS                                   
*       COLUMNS=  THDXCPUR                                   
*       COLUMNS=  THDXDBCM                                   
*       COLUMNS=  THDXETIM                                   
*       COLUMNS=  THDXJOBN                                   
*       COLUMNS=  THDXSTAT                                  
*       COLUMNS=  WHNDBTCT                                   
*       COLUMNS=  WHNDBTIM
*       COLUMNS=  QW0148CR
*       COLUMNS=  QW0148EL
*       COLUMNS=  QW0148ER 
*       COLUMNS=  THDFSQLR
*       COLUMNS=  VLUNAME 
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  ORIGINNODE;
*       COLUMNS=  THWTTOTW;
*       COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND REQTYPE = "ALLIED";
*    PRED=OR ORIGINNODE = $NODE$;
* *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_Allied_THREADS:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_Allied_THREADS:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Distributed Allied Threads V510',
  'Display distributed allied threads V510',
  'CCC_510',
  '1100709233552000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=QWHSLUU
V@table1.column5.name=QWHSLUUV2@table1.column6.name=TDIDCNTY@table1.colu
mn7.name=TDIDCONN@table1.column8.name=TDIDDB2S@table1.column9.name=TDIDE
UID@table1.column10.name=TDIDPLAN@table1.column11.name=TDIDTTYP@table1.c
olumn12.name=TDIDTXID@table1.column13.name=TDIDWKID@table1.column14.name
=THDFBYTS@table1.column15.name=THDFCNVS@table1.column16.name=THDFLTI2@ta
ble1.column17.name=THDFMSGS@table1.column18.name=THDFRCPU@table1.column1
9.name=THDFROWS@table1.column20.name=THDFRTI2@table1.column21.name=THDFS
QLS@table1.column22.name=THDXCPUR@table1.column23.name=THDXDBCM@table1.c
olumn24.name=THDXETIM@table1.column25.name=THDXJOBN@table1.column26.name
=THDXSTAT@table1.column27.name=WHNDBTCT@table1.column28.name=WHNDBTIM@ta
ble1.column29.name=QW0148CR@table1.column30.name=QW0148EL@table1.column3
1.name=QW0148ER@table1.column32.name=THDFSQLR@table1.column33.name=VLUNA
ME@table1.column34.name=IIPDB2CPU@table1.column35.name=UTDIDOPID@table1.
column36.name=UTDIDAUTH@table1.column37.name=UTDIDLOCN@table1.column38.n
ame=UTDIDPCOL@table1.column39.name=UTDIDPACK@table1.column40.name=ORIGIN
NODE@table1.column41.name=THWTTOTW@table1.column42.name=KILLTHREAD@table
1.column43.name=REQTYPE@table1.columnCount=43@tableCount=1@filter1.conne
ctor=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NO
DE$@filter2.connector=AND@filter2.column=REQTYPE@filter2.operator=EQ@fil
ter2.value=ALLIED@filter3.connector=OR@filter3.column=ORIGINNODE@filter3
.operator=EQ@filter3.value=$NODE$@filterCount=3@nodeTypeCount=1@nodeType
1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1
@history=F@');




***** REALTHDA ENCLAVE FILTER *****
*   Input Data from enclave
*
*  IDENT=ZDB2_0002_Enclave_THREADS:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=Enclave Threads V510;
*  USER=CCC_510;
*  DESC=Display enclave threads V510;
*  VISIBLE=N;	
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  ENCLCPUT                                   
*       COLUMNS=  ENCLPER_P_                                 
*       COLUMNS=  ENCLPIDX                                   
*       COLUMNS=  ENCLSCLN                                   
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  TDIDTTYP                                   
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXCPUR                                   
*       COLUMNS=  THDXDBCM                                   
*       COLUMNS=  THDXELCM                                   
*       COLUMNS=  THDXETIM                                   
*       COLUMNS=  THDXGETP                                   
*       COLUMNS=  THDXGPPR                                   
*       COLUMNS=  THDXJOBN         
*       COLUMNS=  THDXSTAT                                  
*       COLUMNS=  THDXUPDT                                   
*       COLUMNS=  WHNDBTCT                                   
*       COLUMNS=  WHNDBTIM
*       COLUMNS=  VLUNAME 
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  ORIGINNODE;
*       COLUMNS=  THWTTOTW;
*       COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND REQTYPE = "ENCLAVE";
*    PRED=OR ORIGINNODE = $NODE$;
* *  One product provided situation


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_Enclave_THREADS:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_Enclave_THREADS:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Enclave Threads V510',
  'Display enclave threads V510',
  'CCC_510',
  '1100709223606000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLCPU
T@table1.column5.name=ENCLPER_P_@table1.column6.name=ENCLPIDX@table1.col
umn7.name=ENCLSCLN@table1.column8.name=QWHSLUUV@table1.column9.name=QWHS
LUUV2@table1.column10.name=TDIDDB2S@table1.column11.name=TDIDPLAN@table1
.column12.name=TDIDTTYP@table1.column13.name=THDXCOMT@table1.column14.na
me=THDXCPUR@table1.column15.name=THDXDBCM@table1.column16.name=THDXELCM@
table1.column17.name=THDXETIM@table1.column18.name=THDXGETP@table1.colum
n19.name=THDXGPPR@table1.column20.name=THDXJOBN@table1.column21.name=THD
XSTAT@table1.column22.name=THDXUPDT@table1.column23.name=WHNDBTCT@table1
.column24.name=WHNDBTIM@table1.column25.name=VLUNAME@table1.column26.nam
e=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUT
H@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.c
olumn31.name=UTDIDPACK@table1.column32.name=ORIGINNODE@table1.column33.n
ame=THWTTOTW@table1.column34.name=KILLTHREAD@table1.column35.name=REQTYP
E@table1.columnCount=35@tableCount=1@filter1.connector=AND@filter1.colum
n=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=
AND@filter2.column=REQTYPE@filter2.operator=EQ@filter2.value=ENCLAVE@fil
ter3.connector=OR@filter3.column=ORIGINNODE@filter3.operator=EQ@filter3.
value=$NODE$@filterCount=3@nodeTypeCount=1@nodeType1=DB2@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');




***** REALTHDA IMSTHD FILTER *****
*   Input Data from imsthd
*
*  IDENT=ZDB2_4101_THDIMS_SUMMARY:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=All IMS Threads Summary V510;
*    USER=CCC_510;
*    DESC=Display summary for IMS threads V510;
*    VISIBLE=N;	
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*    COLUMNS=  ORIGINNODE; 
*         COLUMNS=  QWHSLUUV; 
*         COLUMNS=  QWHSLUUV2;
*         COLUMNS=  QW0148AC;                                   
*         COLUMNS=  TDIDASID;                                   
*         COLUMNS=  TDIDCNTY;                                   
*         COLUMNS=  TDIDCONN;                                   
*         COLUMNS=  TDIDCORR;                                  
*         COLUMNS=  TDIDDB2S;                                  
*         COLUMNS=  TDIDEUID;      
*         COLUMNS=  TDIDPLAN; 
*         COLUMNS=  TDIDTTYP;                                   
*         COLUMNS=  TDIDTXID;                                  
*         COLUMNS=  TDIDWKID;                                  
*         COLUMNS=  THDFRCPU;                                   
*         COLUMNS=  THDFROWS;                                   
*         COLUMNS=  THDFRTI2;                                   
*         COLUMNS=  THDFSQLS;                                   
*         COLUMNS=  THDXCOMT;
*         COLUMNS=  THDXCPUR;                                   
*         COLUMNS=  THDXETIM;                                   
*         COLUMNS=  THDXGETP;                                   
*         COLUMNS=  THDXJOBN;                                   
*         COLUMNS=  THDXSTAT;                                  
*         COLUMNS=  THDXUPDT;                                   
*         COLUMNS=  WHNDBTCT;                                   
*         COLUMNS=  WHNDBTIM;
*         COLUMNS=  IIPDB2CPU; 
*         COLUMNS=  UTDIDOPID;
*         COLUMNS=  UTDIDAUTH;
*         COLUMNS=  UTDIDLOCN;
*         COLUMNS=  UTDIDPCOL;
*         COLUMNS=  UTDIDPACK;
*         COLUMNS=  CICSMVSID;
*         COLUMNS=  VLUNAME;
*         COLUMNS=  THWTTOTW;
*         COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND TDIDCORR = $DB2CORR$;
*    PRED=AND REQTYPE = "MASS";
*    PRED=OR ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_4101_THDIMS_SUMMARY:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_4101_THDIMS_SUMMARY:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'All IMS Threads Summary V510',
  'Display summary for IMS threads V510',
  'CCC_510',
  '1100709172259000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ORIGINN
ODE@table1.column5.name=QWHSLUUV@table1.column6.name=QWHSLUUV2@table1.co
lumn7.name=QW0148AC@table1.column8.name=TDIDASID@table1.column9.name=TDI
DCNTY@table1.column10.name=TDIDCONN@table1.column11.name=TDIDCORR@table1
.column12.name=TDIDDB2S@table1.column13.name=TDIDEUID@table1.column14.na
me=TDIDPLAN@table1.column15.name=TDIDTTYP@table1.column16.name=TDIDTXID@
table1.column17.name=TDIDWKID@table1.column18.name=THDFRCPU@table1.colum
n19.name=THDFROWS@table1.column20.name=THDFRTI2@table1.column21.name=THD
FSQLS@table1.column22.name=THDXCOMT@table1.column23.name=THDXCPUR@table1
.column24.name=THDXETIM@table1.column25.name=THDXGETP@table1.column26.na
me=THDXJOBN@table1.column27.name=THDXSTAT@table1.column28.name=THDXUPDT@
table1.column29.name=WHNDBTCT@table1.column30.name=WHNDBTIM@table1.colum
n31.name=IIPDB2CPU@table1.column32.name=UTDIDOPID@table1.column33.name=U
TDIDAUTH@table1.column34.name=UTDIDLOCN@table1.column35.name=UTDIDPCOL@t
able1.column36.name=UTDIDPACK@table1.column37.name=CICSMVSID@table1.colu
mn38.name=VLUNAME@table1.column39.name=THWTTOTW@table1.column40.name=KIL
LTHREAD@table1.column41.name=REQTYPE@table1.columnCount=41@tableCount=1@
filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filt
er1.value=$NODE$@filter2.connector=AND@filter2.column=TDIDCORR@filter2.o
perator=EQ@filter2.value=$DB2CORR$@filter3.connector=AND@filter3.column=
REQTYPE@filter3.operator=EQ@filter3.value=MASS@filter4.connector=OR@filt
er4.column=ORIGINNODE@filter4.operator=EQ@filter4.value=$NODE$@filterCou
nt=4@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@');


***** REALTHDA CICSTHD FILTER *****
*   Input Data from cicsthd
*
*  IDENT=ZDB2_4101_THDCICS_SUMMARY:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=All CICS Threads Summary V510;
*    USER=CCC_510;
*    DESC=Display summary for CICS threads V510;
*    VISIBLE=N;	
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*    COLUMNS=  ORIGINNODE; 
*         COLUMNS=  QWHSLUUV; 
*         COLUMNS=  QWHSLUUV2;
*         COLUMNS=  QW0148AC;                                   
*         COLUMNS=  TDIDASID;                                   
*         COLUMNS=  TDIDCNTY;                                   
*         COLUMNS=  TDIDCONN;                                   
*         COLUMNS=  TDIDCORR;                                  
*         COLUMNS=  TDIDDB2S;                                  
*         COLUMNS=  TDIDEUID;      
*         COLUMNS=  TDIDPLAN; 
*         COLUMNS=  TDIDTTYP;                                   
*         COLUMNS=  TDIDTXID;                                  
*         COLUMNS=  TDIDWKID;                                  
*         COLUMNS=  THDFRCPU;                                   
*         COLUMNS=  THDFROWS;                                   
*         COLUMNS=  THDFRTI2;                                   
*         COLUMNS=  THDFSQLS;                                   
*         COLUMNS=  THDXCOMT;
*         COLUMNS=  THDXCPUR;                                   
*         COLUMNS=  THDXETIM;                                   
*         COLUMNS=  THDXGETP;                                   
*         COLUMNS=  THDXJOBN;                                   
*         COLUMNS=  THDXSTAT;                                  
*         COLUMNS=  THDXUPDT;                                   
*         COLUMNS=  WHNDBTCT;                                   
*         COLUMNS=  WHNDBTIM;
*         COLUMNS=  IIPDB2CPU; 
*         COLUMNS=  UTDIDOPID;
*         COLUMNS=  UTDIDAUTH;
*         COLUMNS=  UTDIDLOCN;
*         COLUMNS=  UTDIDPCOL;
*         COLUMNS=  UTDIDPACK;
*         COLUMNS=  CICSMVSID;
*         COLUMNS=  VLUNAME;
*         COLUMNS=  THWTTOTW;
*         COLUMNS=  KILLTHREAD;
*         COLUMNS=  REQTYPE;
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND TDIDCORR = $DB2CORR$;
*    PRED=AND REQTYPE = "SASS";
*    PRED=OR ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_4101_THDCICS_SUMMARY:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_4101_THDCICS_SUMMARY:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'All CICS Threads Summary V510',
  'Display summary for CICS threads V510',
  'CCC_510',
  '1100709172432000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ORIGINN
ODE@table1.column5.name=QWHSLUUV@table1.column6.name=QWHSLUUV2@table1.co
lumn7.name=QW0148AC@table1.column8.name=TDIDASID@table1.column9.name=TDI
DCNTY@table1.column10.name=TDIDCONN@table1.column11.name=TDIDCORR@table1
.column12.name=TDIDDB2S@table1.column13.name=TDIDEUID@table1.column14.na
me=TDIDPLAN@table1.column15.name=TDIDTTYP@table1.column16.name=TDIDTXID@
table1.column17.name=TDIDWKID@table1.column18.name=THDFRCPU@table1.colum
n19.name=THDFROWS@table1.column20.name=THDFRTI2@table1.column21.name=THD
FSQLS@table1.column22.name=THDXCOMT@table1.column23.name=THDXCPUR@table1
.column24.name=THDXETIM@table1.column25.name=THDXGETP@table1.column26.na
me=THDXJOBN@table1.column27.name=THDXSTAT@table1.column28.name=THDXUPDT@
table1.column29.name=WHNDBTCT@table1.column30.name=WHNDBTIM@table1.colum
n31.name=IIPDB2CPU@table1.column32.name=UTDIDOPID@table1.column33.name=U
TDIDAUTH@table1.column34.name=UTDIDLOCN@table1.column35.name=UTDIDPCOL@t
able1.column36.name=UTDIDPACK@table1.column37.name=CICSMVSID@table1.colu
mn38.name=VLUNAME@table1.column39.name=THWTTOTW@table1.column40.name=KIL
LTHREAD@table1.column41.name=REQTYPE@table1.columnCount=41@tableCount=1@
filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filt
er1.value=$NODE$@filter2.connector=AND@filter2.column=TDIDCORR@filter2.o
perator=EQ@filter2.value=$DB2CORR$@filter3.connector=AND@filter3.column=
REQTYPE@filter3.operator=EQ@filter3.value=SASS@filter4.connector=OR@filt
er4.column=ORIGINNODE@filter4.operator=EQ@filter4.value=$NODE$@filterCou
nt=4@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@');


***** REALTHDA CPUPLANA  FILTER for charting *****
*    IDENT=ZDB2_00010_TOP_TEN_INDB2CPUA_TIM:510;
*    AFFINITY=002000000000000000000000000000000G000008000;
*    NAME=Top Ten in_DB2_CPU Time Ascending Threads V510;
*    USER=CCC_510;
*    DESC=Display top Ten in_DB2_CPU time threads Ascending V510;
*    NODETYPE=DB2;
*    TABLE=KDP.REALTHDA;
*    VISIBLE=N;
*    COLUMNS=TIMESTAMP;
*    COLUMNS=MVSID;
*    COLUMNS=SSID;
*         COLUMNS=  WHNDBTCT  
*         COLUMNS=  WHNDBTIM
*         COLUMNS=  TDIDPLAN
*         COLUMNS=  TDIDAUTH                                   
*         COLUMNS=  TDIDCNTY                                   
*         COLUMNS=  TDIDCONN                                   
*         COLUMNS=  TDIDCORR 
*         COLUMNS=  TDIDLOCN                                  
*         COLUMNS=  TDIDOPID                                   
*         COLUMNS=  TDIDPACK                                   
*         COLUMNS=  TDIDPCOL                         
*         COLUMNS=  TDIDDB2S  
*         COLUMNS=  THDXSTAT                                
*         COLUMNS=  THDXCPUR
*         COLUMNS=  THDXGETP
*         COLUMNS=  THDXUPDT
*         COLUMNS=  THDXCOMT
*         COLUMNS=  THDXJOBN
*         COLUMNS=  THDXETIM
*         COLUMNS=  QWHSLUUV
*         COLUMNS=  QWHSLUUV2                                   
*         COLUMNS=  QW0148AC   
*         COLUMNS=  IIPDB2CPU  
*         COLUMNS=  UTDIDOPID 
*         COLUMNS=  UTDIDAUTH 
*         COLUMNS=  UTDIDLOCN 
*         COLUMNS=  UTDIDPCOL 
*         COLUMNS=  UTDIDPACK 
*         COLUMNS=  CICSMVSID 
*         COLUMNS=  VLUNAME 
*         COLUMNS=  THWTTOTW 
*         COLUMNS=  KILLTHREAD
*         COLUMNS=  REQTYPE
*    COLUMNS=ORIGINNODE;   
*    PRED=ORIGINNODE = $NODE$;
*    PRED=AND REQTYPE = "CPUPLAN";
*    ORDER=ASCENDING WHNDBTCT;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_00010_TOP_TEN_INDB2CPUA_TIM:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_00010_TOP_TEN_INDB2CPUA_TIM:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten in_DB2_CPU Time Ascending Threads V510',
  'Display top Ten in_DB2_CPU time threads Ascending V510',
  'CCC_510',
  '1100618085445000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=IIPDB2CPU@table1.column27.name=UTDIDOPID@table1.column28.name=UTDIDAUTH
@table1.column29.name=UTDIDLOCN@table1.column30.name=UTDIDPCOL@table1.co
lumn31.name=UTDIDPACK@table1.column32.name=CICSMVSID@table1.column33.nam
e=VLUNAME@table1.column34.name=THWTTOTW@table1.column35.name=KILLTHREAD@
table1.column36.name=REQTYPE@table1.column37.name=ORIGINNODE@table1.colu
mnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@
filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.c
olumn=REQTYPE@filter2.operator=EQ@filter2.value=CPUPLAN@filterCount=2@or
der1.column=WHNDBTCT@order1.sequence=ASCENDING@orderCount=1@nodeTypeCoun
t=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@pro
pertyCount=1@history=F@');


***** REALTHDA DB2PLANA  FILTER for charting *****
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from db2plana
*
*   IDENT=ZDB2_0009_TOP_TEN_INDB2_TIME:510;
*   AFFINITY=002000000000000000000000000000000G000008000;
*   NAME=Top Ten In_DB2 Time Threads Ascending V510;
*   USER=CCC_510;
*   DESC=Display top Ten In_DB2 Time threads ASC V510;
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   VISIBLE=N;
*   COLUMNS=TIMESTAMP;       
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  WHNDBTCT  
*        COLUMNS=  WHNDBTIM                                           ...
*        COLUMNS=  TDIDPLAN                                           ...
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR 
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                         
*        COLUMNS=  TDIDDB2S  
*        COLUMNS=  THDXSTAT                                
*        COLUMNS=  THDXCPUR
*        COLUMNS=  THDXGETP
*        COLUMNS=  THDXUPDT
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXJOBN
*        COLUMNS=  THDXETIM
*        COLUMNS=  QWHSLUUV
*        COLUMNS=  QWHSLUUV2                                   
*        COLUMNS=  QW0148AC   
*        COLUMNS=  ORIGINNODE
*        COLUMNS=  REQTYPE   
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND REQTYPE = "DB2PLAN";
* *  ORDER=AND ASCENDING WHNDBTIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2_TIME:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0009_TOP_TEN_INDB2_TIME:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten In_DB2 Time Threads Ascending V510',
  'Display top Ten In_DB2 Time threads ASC V510',
  'CCC_510',
  '1100618152609000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.column27.name=REQTYPE@table1.columnCount=27@tableCoun
t=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@
filter1.value=$NODE$@filter2.connector=AND@filter2.column=REQTYPE@filter
2.operator=EQ@filter2.value=DB2PLAN@filterCount=2@nodeTypeCount=1@nodeTy
pe1=DB2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount
=1@history=F@');



***** REALTHDA CPUPKGA  FILTER for charting *****
*   Input Data from db2plana
*
*   IDENT=ZDB2_0009_TOP_TEN_INDB2_TIME:510;
*   AFFINITY=002000000000000000000000000000000G000008000;
*   NAME=Top Ten In_DB2 Time Threads V510;
*   USER=CCC_510;
*   DESC=Display top Ten In_DB2 Time threads V510;
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   VISIBLE=N;
*   COLUMNS=TIMESTAMP;       
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  WHNDBTCT  
*        COLUMNS=  WHNDBTIM                                           ...
*        COLUMNS=  TDIDPLAN                                           ...
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR 
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                         
*        COLUMNS=  TDIDDB2S  
*        COLUMNS=  THDXSTAT                                
*        COLUMNS=  THDXCPUR
*        COLUMNS=  THDXGETP
*        COLUMNS=  THDXUPDT
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXJOBN
*        COLUMNS=  THDXETIM
*        COLUMNS=  QWHSLUUV
*        COLUMNS=  QWHSLUUV2                                   
*        COLUMNS=  QW0148AC   
*        COLUMNS=  ORIGINNODE
*        COLUMNS=  REQTYPE   
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND REQTYPE = "DB2PLAN";
*   PRED=OR ORIGINNODE = $NODE$;
* *  ORDER=AND ASCENDING WHNDBTIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2_TIME:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0009_TOP_TEN_INDB2_TIME:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten In_DB2 Time Threads V510',
  'Display top Ten In_DB2 Time threads V510',
  'CCC_510',
  '1100710021243000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.column27.name=REQTYPE@table1.columnCount=27@tableCoun
t=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@
filter1.value=$NODE$@filter2.connector=AND@filter2.column=REQTYPE@filter
2.operator=EQ@filter2.value=DB2PLAN@filter3.connector=OR@filter3.column=
ORIGINNODE@filter3.operator=EQ@filter3.value=$NODE$@filterCount=3@nodeTy
peCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableR
ow@propertyCount=1@history=F@');




***** REALTHDA DB2PKGA  FILTER for charting *****
DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2_TIME_PKG';
DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2_TIME_PKG:510';

*   Input Data from db2pkga
*
*   IDENT=ZDB2_0009_TOP_TEN_INDB2T_PKG:510;
*   AFFINITY=002000000000000000000000000000000G000008000;
*   NAME=Top Ten In_DB2 Time Threads by Package V510;
*   USER=CCC_510;
*   DESC=Display top Ten In_DB2 Time threads by package V510;
*   NODETYPE=DB2;
*   TABLE=KDP.REALTHDA;
*   VISIBLE=N;
*   COLUMNS=TIMESTAMP;    
*   COLUMNS=MVSID;
*   COLUMNS=SSID;
*        COLUMNS=  WHNDBTCT  
*        COLUMNS=  WHNDBTIM                                           ...
*        COLUMNS=  TDIDPLAN                                           ...
*        COLUMNS=  TDIDAUTH                                   
*        COLUMNS=  TDIDCNTY                                   
*        COLUMNS=  TDIDCONN                                   
*        COLUMNS=  TDIDCORR 
*        COLUMNS=  TDIDLOCN                                  
*        COLUMNS=  TDIDOPID                                   
*        COLUMNS=  TDIDPACK                                   
*        COLUMNS=  TDIDPCOL                         
*        COLUMNS=  TDIDDB2S  
*        COLUMNS=  THDXSTAT                                
*        COLUMNS=  THDXCPUR
*        COLUMNS=  THDXGETP
*        COLUMNS=  THDXUPDT
*        COLUMNS=  THDXCOMT
*        COLUMNS=  THDXJOBN
*        COLUMNS=  THDXETIM
*        COLUMNS=  QWHSLUUV
*        COLUMNS=  QWHSLUUV2                                   
*        COLUMNS=  QW0148AC                             
*        COLUMNS=  ORIGINNODE  
*        COLUMNS=  REQTYPE 
*   PRED=ORIGINNODE = $NODE$;
*   PRED=AND REQTYPE = "DB2PKG";
*   PRED=OR ORIGINNODE = $NODE$;
* *  ORDER=ASCENDING WHNDBTIM;

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0009_TOP_TEN_INDB2T_PKG:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0009_TOP_TEN_INDB2T_PKG:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Top Ten In_DB2 Time Threads by Package V510',
  'Display top Ten In_DB2 Time threads by package V510',
  'CCC_510',
  '1100710235214000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=WHNDBTC
T@table1.column5.name=WHNDBTIM@table1.column6.name=TDIDPLAN@table1.colum
n7.name=TDIDAUTH@table1.column8.name=TDIDCNTY@table1.column9.name=TDIDCO
NN@table1.column10.name=TDIDCORR@table1.column11.name=TDIDLOCN@table1.co
lumn12.name=TDIDOPID@table1.column13.name=TDIDPACK@table1.column14.name=
TDIDPCOL@table1.column15.name=TDIDDB2S@table1.column16.name=THDXSTAT@tab
le1.column17.name=THDXCPUR@table1.column18.name=THDXGETP@table1.column19
.name=THDXUPDT@table1.column20.name=THDXCOMT@table1.column21.name=THDXJO
BN@table1.column22.name=THDXETIM@table1.column23.name=QWHSLUUV@table1.co
lumn24.name=QWHSLUUV2@table1.column25.name=QW0148AC@table1.column26.name
=ORIGINNODE@table1.column27.name=REQTYPE@table1.columnCount=27@tableCoun
t=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@
filter1.value=$NODE$@filter2.connector=AND@filter2.column=REQTYPE@filter
2.operator=EQ@filter2.value=DB2PKG@filter3.connector=OR@filter3.column=O
RIGINNODE@filter3.operator=EQ@filter3.value=$NODE$@filterCount=3@nodeTyp
eCount=1@nodeType1=DB2@property1.name=-1021A@property1.value=kfw.TableRo
w@propertyCount=1@history=F@');


************************************************************************
*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from dpddfsta
*
*  IDENT=zDB2_070_THD_DDF_STA:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=Thread Distributed Statistics v510 
*  USER=CCC_510
*  DESC=Retrieve DB2 thread DDF statistics information V510
*  NODETYPE=DB2;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KDP.DP_DDF_STA;
*  COLUMNS=TIME    ;
*  COLUMNS=DDF_INTR;
*  COLUMNS=DDF_THTO;
*  COLUMNS=DDF_LOCN;
*  COLUMNS=DDF_LUNM;
*  COLUMNS=DDF_SQLS;
*  COLUMNS=DDF_SQLR;
*  COLUMNS=DDF_ROWS;
*  COLUMNS=DDF_ROWR;
*  COLUMNS=DDF_BYTS;
*  COLUMNS=DDF_BYTR;
*  COLUMNS=DDF_CNVS;
*  COLUMNS=DDF_CNVR;
*  COLUMNS=DDF_MSGS;
*  COLUMNS=DDF_MSGR;
*  COLUMNS=DDF_TRNS;
*  COLUMNS=DDF_TRNR;
*  COLUMNS=DDF_COMS;
*  COLUMNS=DDF_COMR;
*  COLUMNS=DDF_ABRS;
*  COLUMNS=DDF_ABRR;
*  COLUMNS=DDF_CNVQ;
*  COLUMNS=DDF_LTIM;
*  COLUMNS=DDF_RTIM;
*  COLUMNS=DDF_RCPU;
*  COLUMNS=DDF_CBLB;
*  COLUMNS=DDF_RBND;
*  COLUMNS=DDF_BROW;
*  COLUMNS=DDF_BTBF;
*  COLUMNS=DDF_BRBF;
*  COLUMNS=DDF_CNVA;
*  COLUMNS=DDF_CNVT;
*  COLUMNS=DDF_CIEL;
*  COLUMNS=DDF_FLGS;
*  COLUMNS=DDF_PROT;
*  COLUMNS=DDF_INDT;
*  COLUMNS=DDF_CPTR;
*  COLUMNS=DDF_RBTR;
*  COLUMNS=DDF_PRSE;
*  COLUMNS=DDF_PRRC;
*  COLUMNS=DDF_LASE;
*  COLUMNS=DDF_LARC;
*  COLUMNS=DDF_CRSE;
*  COLUMNS=DDF_CRRC;
*  COLUMNS=DDF_BKSE;
*  COLUMNS=DDF_BKRC;
*  COLUMNS=DDF_RRSE;
*  COLUMNS=DDF_RRRC;
*  COLUMNS=DDF_VYSE;
*  COLUMNS=DDF_VYRC;
*  COLUMNS=DDF_VNSE;
*  COLUMNS=DDF_VNRC;
*  COLUMNS=DDF_PRID;
*  COLUMNS=ORIGINNODE;
*  PRED=ORIGINNODE = $NODE$;
*  PRED=AND DDF_THTO = $THDTOKEN$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_070_THD_DDF_STA:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_070_THD_DDF_STA:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'Thread Distributed Statistics v510 ',
  'Retrieve DB2 thread DDF statistics information V510',
  'CCC_510',
  '1100618232254000',
'at=$THRUNODE$@table1.name=DP_DDF_STA@table1.column1.name=TIME@table1.co
lumn2.name=DDF_INTR@table1.column3.name=DDF_THTO@table1.column4.name=DDF
_LOCN@table1.column5.name=DDF_LUNM@table1.column6.name=DDF_SQLS@table1.c
olumn7.name=DDF_SQLR@table1.column8.name=DDF_ROWS@table1.column9.name=DD
F_ROWR@table1.column10.name=DDF_BYTS@table1.column11.name=DDF_BYTR@table
1.column12.name=DDF_CNVS@table1.column13.name=DDF_CNVR@table1.column14.n
ame=DDF_MSGS@table1.column15.name=DDF_MSGR@table1.column16.name=DDF_TRNS
@table1.column17.name=DDF_TRNR@table1.column18.name=DDF_COMS@table1.colu
mn19.name=DDF_COMR@table1.column20.name=DDF_ABRS@table1.column21.name=DD
F_ABRR@table1.column22.name=DDF_CNVQ@table1.column23.name=DDF_LTIM@table
1.column24.name=DDF_RTIM@table1.column25.name=DDF_RCPU@table1.column26.n
ame=DDF_CBLB@table1.column27.name=DDF_RBND@table1.column28.name=DDF_BROW
@table1.column29.name=DDF_BTBF@table1.column30.name=DDF_BRBF@table1.colu
mn31.name=DDF_CNVA@table1.column32.name=DDF_CNVT@table1.column33.name=DD
F_CIEL@table1.column34.name=DDF_FLGS@table1.column35.name=DDF_PROT@table
1.column36.name=DDF_INDT@table1.column37.name=DDF_CPTR@table1.column38.n
ame=DDF_RBTR@table1.column39.name=DDF_PRSE@table1.column40.name=DDF_PRRC
@table1.column41.name=DDF_LASE@table1.column42.name=DDF_LARC@table1.colu
mn43.name=DDF_CRSE@table1.column44.name=DDF_CRRC@table1.column45.name=DD
F_BKSE@table1.column46.name=DDF_BKRC@table1.column47.name=DDF_RRSE@table
1.column48.name=DDF_RRRC@table1.column49.name=DDF_VYSE@table1.column50.n
ame=DDF_VYRC@table1.column51.name=DDF_VNSE@table1.column52.name=DDF_VNRC
@table1.column53.name=DDF_PRID@table1.column54.name=ORIGINNODE@table1.co
lumnCount=54@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNOD
E@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2
.column=DDF_THTO@filter2.operator=EQ@filter2.value=$THDTOKEN$@filterCoun
t=2@nodeTypeCount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@prope
rty1.value=kfw.TableRow@propertyCount=1@history=F@');


*   Input Data from dpsrmsub
*
* IDENT=zDB2_030_SRM_SubSystem:510;
* AFFINITY=002000000000000000000000000000000G000008000;
* NAME=Subsystem Management 
* USER=CCC_510
* DESC=Retrieve DB2 SRM Subsystem management information V510
* NODETYPE=DB2;
* READONLY=T;
* TABLE=KDP.DP_SRM_SUB
* COLUMNS=TIME;                * Time of last sample
* COLUMNS=SSM_INTR;            * Interval time in seconds
* COLUMNS= SSM_IDFG;           * Utilization of foreground
* COLUMNS= SSM_IDBK;           * Utilization of background
* COLUMNS= SSM_MCTH;           * Max concurrent threads
* COLUMNS= SSM_MIDF;           * Max foregound connections
* COLUMNS= SSM_MIDB;           * Max background connections
* COLUMNS= SSM_CTHRD;          * Current count of threads
* COLUMNS= SSM_CIDFC;          * Current foreground connections
* COLUMNS= SSM_CIDBC;          * Current background connections
* COLUMNS= SSM_THRDU;          * Users waiting for threads
* COLUMNS= SSM_TIDEN;          * Total Identifies
* COLUMNS= SSM_DIDEN;          * Delta Identifies
* COLUMNS= SSM_RIDEN;          * Identify Rate
* COLUMNS= SSM_TSIGN;          * Total Signon
* COLUMNS= SSM_DSIGN;          * Delta Signon
* COLUMNS= SSM_RSIGN;          * Signon Rate
* COLUMNS= SSM_TCTHD;          * Total Create Thread
* COLUMNS= SSM_DCTHD;          * Delta Create Thread
* COLUMNS= SSM_RCTHD;          * Create Thread Rate
* COLUMNS= SSM_TCTHDW;         * Total Create Thread Wait
* COLUMNS= SSM_DCTHDW;         * Delta Create Thread Wait
* COLUMNS= SSM_RCTHDW;         * Create Thread Wait Rate
* COLUMNS= SSM_TTERM;          * Total Terminate Thread
* COLUMNS= SSM_DTERM;          * Delta Terminate Thread
* COLUMNS= SSM_RTERM;          * Terminate Thread Rate
* COLUMNS= SSM_TSYNC;          * Total single phase commits
* COLUMNS= SSM_DSYNC;          * Delta single phase commits
* COLUMNS= SSM_RSYNC;          * Single phase commits rate
* COLUMNS= SSM_TRDON;          * Total read only commits
* COLUMNS= SSM_DRDON;          * Delta read only commits
* COLUMNS= SSM_RRDON;          * Read only commits rate
* COLUMNS= SSM_TCMT1;          * Total phase 1 commits
* COLUMNS= SSM_DCMT1;          * Delta phase 1 commits
* COLUMNS= SSM_RCMT1;          * Phase 1 commits rate
* COLUMNS= SSM_TCMT2;          * Total phase 2 commits
* COLUMNS= SSM_DCMT2;          * Delta phase 2 commits        
* COLUMNS= SSM_RCMT2;          * Phase 2 commits rate
* COLUMNS= SSM_TABRT;          * Total aborts
* COLUMNS= SSM_DABRT;          * Delta aborts 
* COLUMNS= SSM_RABRT;          * Abort rate
* COLUMNS= SSM_TCOM;           * Total commits
* COLUMNS= SSM_DCOM;           * Delta commits
* COLUMNS= SSM_RCOM;           * Commit rate
* COLUMNS= SSM_TINDT;          * Total UOR Indoubt
* COLUMNS= SSM_DINDT;          * Delta UOR Indoubt
* COLUMNS= SSM_RINDT;          * UOR Indoubt rate
* COLUMNS= SSM_TRIUR;          * Total UOR Indoubt resolved
* COLUMNS= SSM_DRIUR;          * Delta UOR Indoubt resolved
* COLUMNS= SSM_RRIUR;          * UOR Indoubt resolved rate
* COLUMNS= SSM_TMEOM;          * Total Abends end of memory
* COLUMNS= SSM_DMEOM;          * Delta Abends end of memory
* COLUMNS= SSM_RMEOM;          * Abends end of memory rate
* COLUMNS= SSM_TMEOT;          * Total Abends end of task
* COLUMNS= SSM_DMEOT;          * Delta Abends end of task
* COLUMNS= SSM_RMEOT;          * Abends end of task rate
* COLUMNS=ORIGINNODE;          * Node name of DB2 system
* COLUMNS=DBSTMAX;
* COLUMNS= DBSTNUM;          
* COLUMNS= SDBATUTL;        
* COLUMNS= Q3STHWCT;        
* COLUMNS= Q3STHWIF;        
* COLUMNS= Q3STHWIB;  
* COLUMNS= QDSTHWAT;  
* COLUMNS= QWP1CDB;
* COLUMNS= SDBATCON;
* COLUMNS= SDBATCUT;
* COLUMNS= QDSTHWDT; 
* COLUMNS= QWP1CDB;
* COLUMNS= SDBATCON; 
* COLUMNS= SDBATCUT; 
* COLUMNS= QDSTHWDT;   
* COLUMNS= QWHSLOCN;
* COLUMNS= QWHSLOCNVA;
* COLUMNS= OPMIPADDR;
* COLUMNS= OPMPORT;
* COLUMNS= OPMHTTP;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KDP_IDBK_Warning Warning;
* SITNAME=KDP_IDBK_Critical Critical;
* SITNAME=KDP_IDFR_Warning Warning;
* SITNAME=KDP_IDFR_Critical Critical;

DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_030_SRM_SubSystem:510';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDBK_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Warning' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_IDFR_Critical' AND 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_030_SRM_SubSystem:510' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_030_SRM_SubSystem:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_030_SRM_SubSystem:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'D',
  'Subsystem Management',
  'Retrieve DB2 SRM Subsystem management information V510',
  'CCC_510',
  '1100720201321000',
'at=$THRUNODE$@table1.name=DP_SRM_SUB@table1.column1.name=TIME@table1.co
lumn2.name=SSM_INTR@table1.column3.name=SSM_IDFG@table1.column4.name=SSM
_IDBK@table1.column5.name=SSM_MCTH@table1.column6.name=SSM_MIDF@table1.c
olumn7.name=SSM_MIDB@table1.column8.name=SSM_CTHRD@table1.column9.name=S
SM_CIDFC@table1.column10.name=SSM_CIDBC@table1.column11.name=SSM_THRDU@t
able1.column12.name=SSM_TIDEN@table1.column13.name=SSM_DIDEN@table1.colu
mn14.name=SSM_RIDEN@table1.column15.name=SSM_TSIGN@table1.column16.name=
SSM_DSIGN@table1.column17.name=SSM_RSIGN@table1.column18.name=SSM_TCTHD@
table1.column19.name=SSM_DCTHD@table1.column20.name=SSM_RCTHD@table1.col
umn21.name=SSM_TCTHDW@table1.column22.name=SSM_DCTHDW@table1.column23.na
me=SSM_RCTHDW@table1.column24.name=SSM_TTERM@table1.column25.name=SSM_DT
ERM@table1.column26.name=SSM_RTERM@table1.column27.name=SSM_TSYNC@table1
.column28.name=SSM_DSYNC@table1.column29.name=SSM_RSYNC@table1.column30.
name=SSM_TRDON@table1.column31.name=SSM_DRDON@table1.column32.name=SSM_R
RDON@table1.column33.name=SSM_TCMT1@table1.column34.name=SSM_DCMT1@table
1.column35.name=SSM_RCMT1@table1.column36.name=SSM_TCMT2@table1.column37
.name=SSM_DCMT2@table1.column38.name=SSM_RCMT2@table1.column39.name=SSM_
TABRT@table1.column40.name=SSM_DABRT@table1.column41.name=SSM_RABRT@tabl
e1.column42.name=SSM_TCOM@table1.column43.name=SSM_DCOM@table1.column44.
name=SSM_RCOM@table1.column45.name=SSM_TINDT@table1.column46.name=SSM_DI
NDT@table1.column47.name=SSM_RINDT@table1.column48.name=SSM_TRIUR@table1
.column49.name=SSM_DRIUR@table1.column50.name=SSM_RRIUR@table1.column51.
name=SSM_TMEOM@table1.column52.name=SSM_DMEOM@table1.column53.name=SSM_R
MEOM@table1.column54.name=SSM_TMEOT@table1.column55.name=SSM_DMEOT@table
1.column56.name=SSM_RMEOT@table1.column57.name=ORIGINNODE@table1.column5
8.name=DBSTMAX@table1.column59.name=DBSTNUM@table1.column60.name=SDBATUT
L@table1.column61.name=Q3STHWCT@table1.column62.name=Q3STHWIF@table1.col
umn63.name=Q3STHWIB@table1.column64.name=QDSTHWAT@table1.column65.name=Q
WP1CDB@table1.column66.name=SDBATCON@table1.column67.name=SDBATCUT@table
1.column68.name=QDSTHWDT@table1.column69.name=QWP1CDB@table1.column70.na
me=SDBATCON@table1.column71.name=SDBATCUT@table1.column72.name=QDSTHWDT@
table1.column73.name=QWHSLOCN@table1.column74.name=QWHSLOCNVA@table1.col
umn75.name=OPMIPADDR@table1.column76.name=OPMPORT@table1.column77.name=O
PMHTTP@table1.columnCount=77@tableCount=1@filter1.connector=AND@filter1.
column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1
@nodeTypeCount=1@nodeType1=DB2@readonly=T@property1.name=-1021A@property
1.value=kfw.TableRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '002000000000000000000000000000000G000008000',
   32,
   259,
   '1100720201321000',
   '_ KCJ',
   'zDB2_030_SRM_SubSystem:510',
   'Subsystem Management'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:510',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:510',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:510',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:510',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_030_SRM_SubSystem:510',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:510',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:510',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_030_SRM_SubSystem:510',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_030_SRM_SubSystem:510',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:510',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDBK_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:510',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Warning',
   'Warning',
   'zDB2_030_SRM_SubSystem:510',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_IDFR_Critical',
   'Critical',
   'zDB2_030_SRM_SubSystem:510',
   0
);

*   Input Data from allthd
*
*  IDENT=ZDB2_0002_ALL_ACTIVE_THREADS:510;
*  AFFINITY=002000000000000000000000000000000G000008000;
*  NAME=All Active Threads V510;
*  USER=CCC_510;
*  DESC=Display all active threads V510;
*  VISIBLE=N;	
*  NODETYPE=DB2;
*  TABLE=KDP.REALTHDA;
*  COLUMNS=TIMESTAMP;
*  COLUMNS=MVSID;
*  COLUMNS=SSID;
*       COLUMNS=  ENCLCPUT                                   
*       COLUMNS=  ENCLPER_P_                                 
*       COLUMNS=  ENCLPIDX                                   
*       COLUMNS=  ENCLSCLN                                   
*       COLUMNS=  QWHSLUUV 
*       COLUMNS=  QWHSLUUV2
*       COLUMNS=  QW0148AC                                   
*       COLUMNS=  TDIDAGNT                                   
*       COLUMNS=  TDIDASID                                   
*       COLUMNS=  TDIDAUTH                                   
*       COLUMNS=  TDIDCNTY                                   
*       COLUMNS=  TDIDCONN                                   
*       COLUMNS=  TDIDCORR                                  
*       COLUMNS=  TDIDDB2S                                  
*       COLUMNS=  TDIDETKN                                   
*       COLUMNS=  TDIDEUID                                  
*       COLUMNS=  TDIDLOCN                                  
*       COLUMNS=  TDIDOPID                                   
*       COLUMNS=  TDIDPACK                                   
*       COLUMNS=  TDIDPCOL                                  
*       COLUMNS=  TDIDPLAN                                   
*       COLUMNS=  TDIDTCBA                                   
*       COLUMNS=  TDIDTTYP                                   
*       COLUMNS=  TDIDTXID                                  
*       COLUMNS=  TDIDWKID                                  
*       COLUMNS=  THDFBYTS                                   
*       COLUMNS=  THDFCNVS                                   
*       COLUMNS=  THDFLTI2                                   
*       COLUMNS=  THDFMSGS                                   
*       COLUMNS=  THDFRCPU                                   
*       COLUMNS=  THDFROWS                                   
*       COLUMNS=  THDFRTI2                                   
*       COLUMNS=  THDFSQLS                                   
*       COLUMNS=  THDXCOMT
*       COLUMNS=  THDXCPUR                                   
*       COLUMNS=  THDXDBCM                                   
*       COLUMNS=  THDXELCM                                   
*       COLUMNS=  THDXETIM                                   
*       COLUMNS=  THDXGETP                                   
*       COLUMNS=  THDXGPPR                                   
*       COLUMNS=  THDXJOBN                                   
*       COLUMNS=  QWACPACE                                   
*       COLUMNS=  THDXPFCH                                   
*       COLUMNS=  THDXPIND                                   
*       COLUMNS=  THDXREAD                                   
*       COLUMNS=  THDXSTAT                                  
*       COLUMNS=  THDXUPDT                                   
*       COLUMNS=  WHNDBTCT                                   
*       COLUMNS=  WHNDBTIM
*       COLUMNS=  QW0148CR
*       COLUMNS=  QW0148EL
*       COLUMNS=  QW0148ER 
*       COLUMNS=  THDFSQLR
*       COLUMNS=  VLUNAME 
*       COLUMNS=  TOKENWORK 
*       COLUMNS=  IIPDB2CPU  
*       COLUMNS=  UTDIDOPID 
*       COLUMNS=  UTDIDAUTH 
*       COLUMNS=  UTDIDLOCN 
*       COLUMNS=  UTDIDPCOL 
*       COLUMNS=  UTDIDPACK 
*       COLUMNS=  CICSMVSID                                 
*       COLUMNS=  ORIGINNODE;
*       COLUMNS=  THWTTOTW;
*       COLUMNS=  KILLTHREAD;
*       COLUMNS=  THDXGPPR64;
*   PRED=ORIGINNODE = $NODE$;
* *  One product provided situation

DELETE FROM KFWQUERY   WHERE ID       =
 'ZDB2_0002_ALL_ACTIVE_THREADS:510';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZDB2_0002_ALL_ACTIVE_THREADS:510',
  'KDP',
  '002000000000000000000000000000000G000008000',
  'P',
  'All Active Threads V510',
  'Display all active threads V510',
  'CCC_510',
  '1100915143348000',
'at=$THRUNODE$@table1.name=REALTHDA@table1.column1.name=TIMESTAMP@table1
.column2.name=MVSID@table1.column3.name=SSID@table1.column4.name=ENCLCPU
T@table1.column5.name=ENCLPER_P_@table1.column6.name=ENCLPIDX@table1.col
umn7.name=ENCLSCLN@table1.column8.name=QWHSLUUV@table1.column9.name=QWHS
LUUV2@table1.column10.name=QW0148AC@table1.column11.name=TDIDAGNT@table1
.column12.name=TDIDASID@table1.column13.name=TDIDAUTH@table1.column14.na
me=TDIDCNTY@table1.column15.name=TDIDCONN@table1.column16.name=TDIDCORR@
table1.column17.name=TDIDDB2S@table1.column18.name=TDIDETKN@table1.colum
n19.name=TDIDEUID@table1.column20.name=TDIDLOCN@table1.column21.name=TDI
DOPID@table1.column22.name=TDIDPACK@table1.column23.name=TDIDPCOL@table1
.column24.name=TDIDPLAN@table1.column25.name=TDIDTCBA@table1.column26.na
me=TDIDTTYP@table1.column27.name=TDIDTXID@table1.column28.name=TDIDWKID@
table1.column29.name=THDFBYTS@table1.column30.name=THDFCNVS@table1.colum
n31.name=THDFLTI2@table1.column32.name=THDFMSGS@table1.column33.name=THD
FRCPU@table1.column34.name=THDFROWS@table1.column35.name=THDFRTI2@table1
.column36.name=THDFSQLS@table1.column37.name=THDXCOMT@table1.column38.na
me=THDXCPUR@table1.column39.name=THDXDBCM@table1.column40.name=THDXELCM@
table1.column41.name=THDXETIM@table1.column42.name=THDXGETP@table1.colum
n43.name=THDXGPPR@table1.column44.name=THDXJOBN@table1.column45.name=QWA
CPACE@table1.column46.name=THDXPFCH@table1.column47.name=THDXPIND@table1
.column48.name=THDXREAD@table1.column49.name=THDXSTAT@table1.column50.na
me=THDXUPDT@table1.column51.name=WHNDBTCT@table1.column52.name=WHNDBTIM@
table1.column53.name=QW0148CR@table1.column54.name=QW0148EL@table1.colum
n55.name=QW0148ER@table1.column56.name=THDFSQLR@table1.column57.name=VLU
NAME@table1.column58.name=TOKENWORK@table1.column59.name=IIPDB2CPU@table
1.column60.name=UTDIDOPID@table1.column61.name=UTDIDAUTH@table1.column62
.name=UTDIDLOCN@table1.column63.name=UTDIDPCOL@table1.column64.name=UTDI
DPACK@table1.column65.name=CICSMVSID@table1.column66.name=ORIGINNODE@tab
le1.column67.name=THWTTOTW@table1.column68.name=KILLTHREAD@table1.column
69.name=THDXGPPR64@table1.columnCount=69@tableCount=1@filter1.connector=
AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@f
ilterCount=1@nodeTypeCount=1@nodeType1=DB2@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@');


*  ****************************************************************
*  *  Product:            KD5                                     *
*  *  Version:            420                                     *
*  *  Report:             DB2 Utility information                 *
*  *  Table:              DP_SRM_UTL                              *
*  *  Characteristics:    IRA, All DP systems, thrunode.          *
*  ****************************************************************
*  IDENT=zDB2_040_SRM_Util:420
*  AFFINITY=0020000000000000000000000000000008000008000;
*  NAME=Utility Jobs
*  USER=CCC_420
*  DESC=Retrieve DB2 Utility information
*  NODETYPE=DB2;
*  READONLY=T;
*  TABLE=KDP.DP_SRM_UTL
*  COLUMNS=TIME;                * Time of last sample
*  COLUMNS=UTL_NAME;            * Name of utility
*  COLUMNS=UTL_QUAL;            * Qualifier
*  COLUMNS=UTL_JOBN;            * Job name
*  COLUMNS=UTL_USER;            * User identifier
*  COLUMNS=UTL_PHASE;           * Utility Phase
*  COLUMNS=UTL_STMT;            * Statement number
*  COLUMNS=UTL_STAT;            * Stat flag
*  COLUMNS=UTL_STATUS;          * Status
*  COLUMNS=UTL_RECNT;           * Record count
*  COLUMNS=UTL_RDATE;           * Run Date
*  COLUMNS=ORIGINNODE;          * subnode name
*  COLUMNS=UTL_ID;
*  PRED=ORIGINNODE = $NODE$;
*  SITNAME=KDP_UTIS_Warning Warning;
*  SITNAME=KDP_UTIS_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'zDB2_040_SRM_Util:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UTIS_Warning' AND 
 TEMPLATE = 'zDB2_040_SRM_Util:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KDP_UTIS_Critical' AND 
 TEMPLATE = 'zDB2_040_SRM_Util:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zDB2_040_SRM_Util:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zDB2_040_SRM_Util:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zDB2_040_SRM_Util:420',
  'KDP',
  '0020000000000000000000000000000008000008000',
  'D',
  'Utility Jobs',
  'Retrieve DB2 Utility information',
  'CCC_420',
  '1101130201748000',
'at=$THRUNODE$@table1.name=DP_SRM_UTL@table1.column1.name=TIME@table1.co
lumn2.name=UTL_NAME@table1.column3.name=UTL_QUAL@table1.column4.name=UTL
_JOBN@table1.column5.name=UTL_USER@table1.column6.name=UTL_PHASE@table1.
column7.name=UTL_STMT@table1.column8.name=UTL_STAT@table1.column9.name=U
TL_STATUS@table1.column10.name=UTL_RECNT@table1.column11.name=UTL_RDATE@
table1.column12.name=ORIGINNODE@table1.column13.name=UTL_ID@table1.colum
nCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@f
ilter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@no
deType1=DB2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRo
w@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0020000000000000000000000000000008000008000',
   32,
   259,
   '1101130201748000',
   '_ KCJ',
   'zDB2_040_SRM_Util:420',
   'Utility Jobs'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Util:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Util:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Util:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Util:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zDB2_040_SRM_Util:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zDB2_040_SRM_Util:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zDB2_040_SRM_Util:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zDB2_040_SRM_Util:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zDB2_040_SRM_Util:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UTIS_Warning',
   'Warning',
   'zDB2_040_SRM_Util:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KDP_UTIS_Critical',
   'Critical',
   'zDB2_040_SRM_Util:420',
   0
);

 


/*-------------------------------------------------*/
/* zkfw.ISITSTSH_PURE                              */
/*-------------------------------------------------*/

DELETE FROM KFWQUERY   WHERE ID       =
 'zkfw.ISITSTSH_PURE_NODE';

DELETE FROM KFWQUERY   WHERE ID       =
 'zkfw.TSITCOUNTS';


**********************************************
*                                            *
*   Data provided by kdp_kcj.sql.append      *
*                                            *
**********************************************
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373221' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'e4d1d1efad' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373222' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd88cf8fc' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373223' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'e6152eb677' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373224' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'f1dfac16d3' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373225' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd333c174' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373226' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'e5803f6ef8' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373227' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'e53df1c7c8' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373228' WHERE OBJECTTYPE = 'AGENT' AND OBJECTID = '0020000000000000000000000000000000000000000' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373229' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd8eee097' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373230' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd927428d' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373231' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd92f8da9' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373232' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecf16630e7' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373233' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecf1d47963' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373234' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecf1d63348' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373235' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecf1b8e8bf' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373236' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ed1b0849c1' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373237' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd93d75c7' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373238' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd9434dd0' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373239' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'e79da636d8' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373240' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd910965a' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373241' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd915b0df' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373242' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd91b9be2' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373243' WHERE OBJECTTYPE = 'SUBAGENT' AND OBJECTID = 'ecd8748f2b' AND WSGROUPID = '0020000000000000000000000000000000000000000' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373244' WHERE OBJECTTYPE = 'AFFGROUP' AND OBJECTID = 'DB2' AND WSGROUPID = 'DB2' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373245' WHERE OBJECTTYPE = 'AFFGROUP' AND OBJECTID = 'f1dfb7a12b' AND WSGROUPID = 'DB2' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373246' WHERE OBJECTTYPE = 'AFFGROUP' AND OBJECTID = 'f208eb0159' AND WSGROUPID = 'DB2' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373247' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1013ee3e121:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373248' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1013ee3e121' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373249' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341ee9760' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373250' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341ee9760:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373251' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10c45d168f3' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373252' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341dcb8ca' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373253' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341dcb8ca:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373254' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101260ba80b' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373255' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101260ba80b:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373256' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1012647995a' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373257' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1012647995a:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373258' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228a04a8' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373259' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228a04a8:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373260' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1016987be87' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373261' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1016987be87:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373262' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101a6f247ab' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373263' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101a6f247ab:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373264' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10c45dd9ba5' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373265' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10342140c6f:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373266' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10342140c6f' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373267' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103424a8998' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373268' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103424a8998:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373269' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10c45501cb2' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373270' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103422fcfba' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373271' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103422fcfba:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373272' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101258e1456' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373273' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101258e1456:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373274' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZDB2_0000_TOP_TEN_CPU' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373275' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZDB2_0000_TOP_TEN_CPU:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373276' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228810ea' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373277' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228810ea:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373278' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228b353c' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373279' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101228b353c:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373280' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101704ffa0b' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373281' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '101704ffa0b:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373282' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1013a039535' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373283' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1013a039535:410' AND WSGROUPID = 'ZDB2_0000_TOP_TEN_CPU' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373284' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZDB2_1101_DB2_CONNECT' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373285' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341a80f23' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373286' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341c810cb' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373287' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341c3b66b' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373288' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10341b09791' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373289' WHERE OBJECTTYPE = 'NODE' AND OBJECTID = 'ed1ae78592' AND WSGROUPID = 'be10282a@DB2plex' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373290' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_001_System_Summary' AND WSGROUPID = 'zDB2_001_System_Summary' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373291' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_002_Threads' AND WSGROUPID = 'zDB2_002_Threads' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373292' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_003_Lock_Conflict' AND WSGROUPID = 'zDB2_003_Lock_Conflict' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373293' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_004_DB2_CF' AND WSGROUPID = 'zDB2_004_DB2_CF' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373294' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_005_Group_Buffer_Pool' AND WSGROUPID = 'zDB2_005_Group_Buffer_Pool' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373295' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_006_Group_Buffpool_Stats' AND WSGROUPID = 'zDB2_006_Group_Buffpool_Stats' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373296' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_007_GOA_DATABASE' AND WSGROUPID = 'zDB2_007_GOA_DATABASE' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373297' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_008_GOA_THREAD_ACT' AND WSGROUPID = 'zDB2_008_GOA_THREAD_ACT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373298' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_009_GOA_ACTIVITY' AND WSGROUPID = 'zDB2_009_GOA_ACTIVITY' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373299' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_010_GOA_THREAD_VOL_SUM' AND WSGROUPID = 'zDB2_010_GOA_THREAD_VOL_SUM' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373300' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_010_System_Exc' AND WSGROUPID = 'zDB2_010_System_Exc' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373301' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_011_GOA_VOL_DB_SUM' AND WSGROUPID = 'zDB2_011_GOA_VOL_DB_SUM' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373302' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_020_Test_THR' AND WSGROUPID = 'zDB2_020_Test_THR' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373303' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_020_Test_THR:410' AND WSGROUPID = 'zDB2_020_Test_THR' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373304' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_025_Lock_Conflict' AND WSGROUPID = 'zDB2_025_Lock_Conflict' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373305' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_025_Lock_Conflict:410' AND WSGROUPID = 'zDB2_025_Lock_Conflict' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373306' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_030_SRM_SubSystem' AND WSGROUPID = 'zDB2_030_SRM_SubSystem' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373307' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_040_SRM_Log' AND WSGROUPID = 'zDB2_040_SRM_Log' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373308' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_040_SRM_Util' AND WSGROUPID = 'zDB2_040_SRM_Util' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373309' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_050_SRM_EDM' AND WSGROUPID = 'zDB2_050_SRM_EDM' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373310' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_060_SRM_BPM' AND WSGROUPID = 'zDB2_060_SRM_BPM' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373311' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_060_VOL_ACT' AND WSGROUPID = 'zDB2_060_VOL_ACT' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373312' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_080_CICS_Exc' AND WSGROUPID = 'zDB2_080_CICS_Exc' AND APPLICATIONTAG = 'kdp';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620373313' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'zDB2_090_IMS_Exc' AND WSGROUPID = 'zDB2_090_IMS_Exc' AND APPLICATIONTAG = 'kdp';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373314' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373315' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373316' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373317' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373318' WHERE ID = 'ZDB2_4101_THD_SUMMARY:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373319' WHERE ID = 'ZDB2_4101_THD_SUMMARY:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373320' WHERE ID = 'zDB2_010a_System_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373321' WHERE ID = 'zDB2_010a_System_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373322' WHERE ID = 'zDB2_060_SRM_BPM' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373323' WHERE ID = 'zDB2_060_SRM_BPM' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373324' WHERE ID = 'zDB2_060_SRM_BPD' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373325' WHERE ID = 'zDB2_060_SRM_BPD' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373326' WHERE ID = 'zDB2_080_CICS_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373327' WHERE ID = 'zDB2_080_CICS_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373328' WHERE ID = 'zDB2_080_CICS_Thrds' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373329' WHERE ID = 'zDB2_080_CICS_Thrds' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373330' WHERE ID = 'zDB2_004_DB2_CF' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373331' WHERE ID = 'zDB2_004_DB2_CF' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373332' WHERE ID = 'ZDB2_1104_DB2_CONNECT_PACKAGE' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373333' WHERE ID = 'ZDB2_1104_DB2_CONNECT_PACKAGE' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373334' WHERE ID = 'ZDB2_1101_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373335' WHERE ID = 'ZDB2_1101_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373336' WHERE ID = 'ZDB2_1102_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373337' WHERE ID = 'ZDB2_1102_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373338' WHERE ID = 'ZDB2_1103_DB2_CONNECT_TASK' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373339' WHERE ID = 'ZDB2_1103_DB2_CONNECT_TASK' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373340' WHERE ID = 'zDB2_030_DDF_Conversations' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373341' WHERE ID = 'zDB2_030_DDF_Conversations' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373342' WHERE ID = 'ZDB2_00011_DDF_THREAD_ID' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373343' WHERE ID = 'ZDB2_00011_DDF_THREAD_ID' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373344' WHERE ID = 'ZDB2_00011_DDF_THREAD_ID:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373345' WHERE ID = 'ZDB2_00011_DDF_THREAD_ID:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373346' WHERE ID = 'zDB2_012_Group_Report' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373347' WHERE ID = 'zDB2_012_Group_Report' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373348' WHERE ID = 'zDB2_013_Group_Report' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373349' WHERE ID = 'zDB2_013_Group_Report' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373350' WHERE ID = 'zDB2_002_Threads' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373351' WHERE ID = 'zDB2_002_Threads' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373352' WHERE ID = 'zDB2_002_Threads:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373353' WHERE ID = 'zDB2_002_Threads:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373354' WHERE ID = 'zDB2_020_Test_THR' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373355' WHERE ID = 'zDB2_020_Test_THR' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373356' WHERE ID = 'zDB2_020_Test_THR:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373357' WHERE ID = 'zDB2_020_Test_THR:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373358' WHERE ID = 'zDB2_070_COLUMNS=DDF_STA' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373359' WHERE ID = 'zDB2_070_COLUMNS=DDF_STA' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373360' WHERE ID = 'zDB2_050_SRM_EDM' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373361' WHERE ID = 'zDB2_050_SRM_EDM' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373362' WHERE ID = 'zDB2_051_SRM_EDX' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373363' WHERE ID = 'zDB2_051_SRM_EDX' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373364' WHERE ID = 'zDB2_202_Group_Buffpool_Stats' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373365' WHERE ID = 'zDB2_202_Group_Buffpool_Stats' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373366' WHERE ID = 'zDB2_109_GOA_THREAD_SP' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373367' WHERE ID = 'zDB2_109_GOA_THREAD_SP' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373368' WHERE ID = 'zDB2_110_GOA_THREAD_SP_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373369' WHERE ID = 'zDB2_110_GOA_THREAD_SP_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373370' WHERE ID = 'zDB2_203_GOA_Volume_Database' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373371' WHERE ID = 'zDB2_203_GOA_Volume_Database' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373372' WHERE ID = 'zDB2_204_GOA_Volume_Spacename' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373373' WHERE ID = 'zDB2_204_GOA_Volume_Spacename' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373374' WHERE ID = 'zDB2_206_GOA_Volume_Spacename_D' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373375' WHERE ID = 'zDB2_206_GOA_Volume_Spacename_D' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373376' WHERE ID = 'zDB2_003_Lock_Conflict' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373377' WHERE ID = 'zDB2_003_Lock_Conflict' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373378' WHERE ID = 'zDB2_003_Lock_Conflict:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373379' WHERE ID = 'zDB2_003_Lock_Conflict:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373380' WHERE ID = 'zDB2_101_Group_Buffpool_Conn' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373381' WHERE ID = 'zDB2_101_Group_Buffpool_Conn' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373382' WHERE ID = 'zDB2_006_Group_Buffpool_Stats' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373383' WHERE ID = 'zDB2_006_Group_Buffpool_Stats' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373384' WHERE ID = 'zDB2_005_Group_Buffer_Pool' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373385' WHERE ID = 'zDB2_005_Group_Buffer_Pool' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373386' WHERE ID = 'zDB2_208_GOA_ACTIVITY_SP' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373387' WHERE ID = 'zDB2_208_GOA_ACTIVITY_SP' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373388' WHERE ID = 'zDB2_209_GOA_ACTIVITY_SP_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373389' WHERE ID = 'zDB2_209_GOA_ACTIVITY_SP_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373390' WHERE ID = 'zDB2_009_GOA_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373391' WHERE ID = 'zDB2_009_GOA_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373392' WHERE ID = 'zDB2_008_GOA_THREAD_ACT' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373393' WHERE ID = 'zDB2_008_GOA_THREAD_ACT' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373394' WHERE ID = 'zDB2_011_GOA_VOL_DB_SUM' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373395' WHERE ID = 'zDB2_011_GOA_VOL_DB_SUM' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373396' WHERE ID = 'zDB2_010_GOA_THREAD_VOL_SUM' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373397' WHERE ID = 'zDB2_010_GOA_THREAD_VOL_SUM' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373398' WHERE ID = 'zDB2_207_GOA_THREAD_VOL_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373399' WHERE ID = 'zDB2_207_GOA_THREAD_VOL_DET' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373400' WHERE ID = 'zDB2_090_IMS_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373401' WHERE ID = 'zDB2_090_IMS_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373402' WHERE ID = 'zDB2_090_CICS_Thrds' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373403' WHERE ID = 'zDB2_090_CICS_Thrds' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373404' WHERE ID = 'zDB2_105_Lock_Conflict_Sub' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373405' WHERE ID = 'zDB2_105_Lock_Conflict_Sub' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373406' WHERE ID = 'zDB2_025_Lock_Conflict' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373407' WHERE ID = 'zDB2_025_Lock_Conflict' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373408' WHERE ID = 'zDB2_025_Lock_Conflict:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373409' WHERE ID = 'zDB2_025_Lock_Conflict:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373410' WHERE ID = 'zDB2_040_SRM_Log' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373411' WHERE ID = 'zDB2_040_SRM_Log' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373412' WHERE ID = 'zDB2_041_SRM_Log' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373413' WHERE ID = 'zDB2_041_SRM_Log' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373414' WHERE ID = 'zDB2_001_System_Summary' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373415' WHERE ID = 'zDB2_001_System_Summary' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373416' WHERE ID = 'zDB2_007_GOA_DATABASE' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373417' WHERE ID = 'zDB2_007_GOA_DATABASE' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373418' WHERE ID = 'zDB2_103_LGOA_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373419' WHERE ID = 'zDB2_103_LGOA_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373420' WHERE ID = 'zDB2_104_GOA_DETAIL_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373421' WHERE ID = 'zDB2_104_GOA_DETAIL_ACTIVITY' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373422' WHERE ID = 'zDB2_030_SRM_SubSystem' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373423' WHERE ID = 'zDB2_030_SRM_SubSystem' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373424' WHERE ID = 'zDB2_031_SRM_SubSystem' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373425' WHERE ID = 'zDB2_031_SRM_SubSystem' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373426' WHERE ID = 'zDB2_010_System_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373427' WHERE ID = 'zDB2_010_System_Exc' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373428' WHERE ID = 'zDB2_001_Summary' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373429' WHERE ID = 'zDB2_001_Summary' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373430' WHERE ID = 'ZDB2_1108_THREAD_DB2_CONNECT_PAC' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373431' WHERE ID = 'ZDB2_1108_THREAD_DB2_CONNECT_PAC' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373432' WHERE ID = 'ZDB2_1108_THREAD_DB2_CONNECT_PAC:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373433' WHERE ID = 'ZDB2_1108_THREAD_DB2_CONNECT_PAC:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373434' WHERE ID = 'ZDB2_1107_THREAD_DB2_CONNECT_STA' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373435' WHERE ID = 'ZDB2_1107_THREAD_DB2_CONNECT_STA' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373436' WHERE ID = 'ZDB2_1107_THREAD_DB2_CONNECT_STA:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373437' WHERE ID = 'ZDB2_1107_THREAD_DB2_CONNECT_STA:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373438' WHERE ID = 'ZDB2_0000_TOP_TEN_CPU' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373439' WHERE ID = 'ZDB2_0000_TOP_TEN_CPU' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373440' WHERE ID = 'ZDB2_1105_THREAD_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373441' WHERE ID = 'ZDB2_1105_THREAD_DB2_CONNECT' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373442' WHERE ID = 'ZDB2_1105_THREAD_DB2_CONNECT:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373443' WHERE ID = 'ZDB2_1105_THREAD_DB2_CONNECT:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373444' WHERE ID = 'ZDB2_1106_THREAD_DB2_CONNECT_OVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373445' WHERE ID = 'ZDB2_1106_THREAD_DB2_CONNECT_OVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373446' WHERE ID = 'ZDB2_1106_THREAD_DB2_CONNECT_OVE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373447' WHERE ID = 'ZDB2_1106_THREAD_DB2_CONNECT_OVE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373448' WHERE ID = 'zDB2_106_Thread_Statistics' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373449' WHERE ID = 'zDB2_106_Thread_Statistics' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373450' WHERE ID = 'ZDB2_0004_THREAD_DDF' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373451' WHERE ID = 'ZDB2_0004_THREAD_DDF' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373452' WHERE ID = 'ZDB2_0005_THREADs_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373453' WHERE ID = 'ZDB2_0005_THREADs_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373454' WHERE ID = 'ZDB2_0006_THREADS_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373455' WHERE ID = 'ZDB2_0006_THREADS_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373456' WHERE ID = 'ZDB2_0003_THREAD_ENCLAVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373457' WHERE ID = 'ZDB2_0003_THREAD_ENCLAVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373458' WHERE ID = 'ZDB2_0003_THREAD_ENCLAVE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373459' WHERE ID = 'ZDB2_0003_THREAD_ENCLAVE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373460' WHERE ID = 'ZDB2_0012_THREAD_ENCLAVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373461' WHERE ID = 'ZDB2_0012_THREAD_ENCLAVE' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373462' WHERE ID = 'ZDB2_0008_THREADS_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373463' WHERE ID = 'ZDB2_0008_THREADS_DETAIL' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373464' WHERE ID = 'ZDB2_0008_THREADS_DETAIL:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373465' WHERE ID = 'ZDB2_0008_THREADS_DETAIL:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373466' WHERE ID = 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373467' WHERE ID = 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373468' WHERE ID = 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373469' WHERE ID = 'ZDB2_0007_TOP_TEN_ELAPSED_TIME_T:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373470' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373471' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373472' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373473' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373474' WHERE ID = 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373475' WHERE ID = 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373476' WHERE ID = 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373477' WHERE ID = 'ZDB2_1111_TOP_TEN_INDB2_TIME_PKG:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373478' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373479' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373480' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373481' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373482' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373483' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373484' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373485' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373486' WHERE ID = 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373487' WHERE ID = 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373488' WHERE ID = 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373489' WHERE ID = 'ZDB2_0001_TOP_TEN_INDB2CPU_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373490' WHERE ID = 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373491' WHERE ID = 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373492' WHERE ID = 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373493' WHERE ID = 'ZDB2_1109_TOP_TEN_INDB2CPU_TIME_:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373494' WHERE ID = 'zDB2_040_SRM_Util' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373495' WHERE ID = 'zDB2_040_SRM_Util' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20062341620373496' WHERE ID = 'zDB2_060_VOL_ACT' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20062341620373497' WHERE ID = 'zDB2_060_VOL_ACT' AND APPL = 'KDP';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373621' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a106';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373622' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373623' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373624' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1da';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373625' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1ee';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373626' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a298';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373627' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd52cb08a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373628' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd53536d1';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373629' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd54677b7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373630' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd555b471';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373631' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd5763e27';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373632' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a397d5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373633' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a397d5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373634' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dcc3a5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373635' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dcc3a5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373636' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba~10cd389a1f9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373637' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f~10cd389a20e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373638' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba:410~10cd984e789';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373639' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca~10cd389a22f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373640' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998:410~10ce5f00dbf';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373641' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998~10cd389a2b9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373642' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca:410~10cd67bfb37';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373643' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f:410~10cd67e24c8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373644' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_060_SRM_BPM~10cd389a1fc';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373645' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a145';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373646' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a173';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373647' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a147';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373648' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a175';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373649' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_080_CICS_Exc~10cd389a1fb';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373650' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cdea264b4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373651' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cdea264b4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373652' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cdeb51d10';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373653' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cdeb51d10';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373654' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10ce16f55f0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373655' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10ce16f55f0';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373656' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10ce1ecedcb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373657' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10ce1ecedcb';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373658' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10ce1ef9c4a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373659' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10ce1ef9c4a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373660' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10ce1f1dcbe';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373661' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10ce1f1dcbe';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373662' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3ddd5dd';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373663' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3ddd5dd';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373664' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_004_DB2_CF~10cd389a2d2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373665' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a194';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373666' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a194';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373667' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373668' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373669' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a164';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373670' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a135';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373671' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a149';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373672' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a177';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373673' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373674' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba~10cd389a1f7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373675' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f~10cd389a20d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373676' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a211';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373677' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a215';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373678' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba:410~10cd9837bed';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373679' WHERE PRESENTATIONID = 'LINK~REPORT~10341c3b66b~10cd389a248';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373680' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998~10cd389a2b7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373681' WHERE PRESENTATIONID = 'LINK~REPORT~10341a80f23~10cd389a2bc';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373682' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a2fd';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373683' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a301';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373684' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760~10cd691409f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373685' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd59bec18';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373686' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f:410~10cd67daa89';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373687' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760:410~10cd67fe0fa';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373688' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998:410~10ce4e66d50';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373689' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a212';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373690' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a216';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373691' WHERE PRESENTATIONID = 'LINK~REPORT~10341c3b66b~10cd389a249';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373692' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a2fe';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373693' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a302';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373694' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_1101_DB2_CONNECT~10cd389a32e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373695' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_1101_DB2_CONNECT~10cd389a332';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373696' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_010_System_Exc~10cd389a0e2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373697' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR~10cd389a219';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373698' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR:410~10ceae13759';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373699' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a133';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373700' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a162';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373701' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_006_Group_Buffpool_Stats~10cd389a2f2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373702' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373703' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373704' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3db0d0b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373705' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3db0d0b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373706' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373707' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373708' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a104';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373709' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1ed';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373710' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a296';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373711' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a30c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373712' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd52b6e29';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373713' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd533f918';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373714' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd54c00ad';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373715' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55d57b7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373716' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd563961b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373717' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a26db5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373718' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a26db5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373719' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3db9ef5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373720' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3db9ef5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373721' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a105';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373722' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373723' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373724' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1d9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373725' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a297';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373726' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a30d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373727' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd52c0a0d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373728' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd5349c7f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373729' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd545d55f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373730' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55de413';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373731' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd575b8c2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373732' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a2e880';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373733' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a2e880';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373734' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dc3d6d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373735' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dc3d6d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373736' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea~10cd389a1bf';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373737' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535~10cd389a1c6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373738' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1d6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373739' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1ea';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373740' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c~10cd389a245';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373741' WHERE PRESENTATIONID = 'LINK~REPORT~101704ffa0b~10cd389a282';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373742' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd54a33db';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373743' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10cd578c20c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373744' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535:410~10cd5d63ad5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373745' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10cd63861fa';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373746' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373747' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd59ccfa6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373748' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd5381726';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373749' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a144';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373750' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a172';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373751' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373752' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373753' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1dc';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373754' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1f0';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373755' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a29b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373756' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a310';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373757' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd52d4d72';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373758' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd535e228';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373759' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd5471888';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373760' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd55639cc';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373761' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55e6f06';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373762' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a43b81';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373763' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a43b81';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373764' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dd58d7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373765' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3dd58d7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373766' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd93d75c7~10cd389a14b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373767' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd9434dd0~10cd389a2ca';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373768' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373769' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373770' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a134';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373771' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a163';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373772' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a193';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373773' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a193';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373774' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_005_Group_Buffer_Pool~10cd389a239';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373775' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a137';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373776' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a166';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373777' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a196';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373778' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a196';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373779' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373780' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373781' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a136';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373782' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a165';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373783' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a195';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373784' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a195';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373785' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373786' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373787' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a199';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373788' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a199';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373789' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1aa';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373790' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1aa';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373791' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a19b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373792' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a19b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373793' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1ac';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373794' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1ac';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373795' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a19a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373796' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a19a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373797' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1ab';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373798' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1ab';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373799' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_009_GOA_ACTIVITY~10cd389a11d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373800' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd93d75c7~10cd389a14c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373801' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd93d75c7~10cd389a14d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373802' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373803' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a169';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373804' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a139';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373805' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a168';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373806' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a198';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373807' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a198';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373808' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373809' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373810' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_008_GOA_THREAD_ACT~10cd389a34e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373811' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd927428d~10cd389a2c9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373812' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373813' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373814' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_011_GOA_VOL_DB_SUM~10cd389a29c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373815' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecf1d47963~10cd389a333';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373816' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecf16630e7~10cd389a1e3';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373817' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373818' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373819' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_010_GOA_THREAD_VOL_SUM~10cd389a25f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373820' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a148';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373821' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a176';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373822' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_090_IMS_Exc~10cd389a2cb';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373823' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a4aa04';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373824' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a4aa04';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373825' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cdea38bee';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373826' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cdea38bee';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373827' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cdeb5bfb8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373828' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cdeb5bfb8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373829' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10ce1703a32';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373830' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10ce1703a32';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373831' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10ce1ed9d70';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373832' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10ce1ed9d70';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373833' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10ce1f0680f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373834' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10ce1f0680f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373835' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10ce1f2788d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373836' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10ce1f2788d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373837' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a140';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373838' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373839' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a142';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373840' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a170';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373841' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a132';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373842' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a161';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373843' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10c49c9c65b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373844' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10c49c9c65b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373845' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR:410~10d4eec6da2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373846' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR:410~10d4eec6da2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373847' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10d4ef83bd5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373848' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10d4ef83bd5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373849' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10d4f018397';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373850' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10d4f018397';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373851' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR:410~10d4ee59712';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373852' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_020_Test_THR:410~10d4ee59712';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373853' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10d4ef51a5e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373854' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10d4ef51a5e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373855' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10d4efdc127';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373856' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10d4efdc127';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373857' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10d4f2c0b3d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373858' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10d4f2c0b3d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373859' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10d4f08bd3e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373860' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10d4f08bd3e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373861' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a138';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373862' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a167';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373863' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a197';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373864' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a197';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373865' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373866' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373867' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_007_GOA_DATABASE~10cd389a17a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373868' WHERE PRESENTATIONID = 'LINK~SUBAGENT~ecd915b0df~10cd389a1c9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373869' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760:410~10cd680641a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373870' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca:410~10cd67b67a8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373871' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba~10cd389a1f8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373872' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba:410~10cd984258b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373873' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca~10cd389a22e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373874' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998~10cd389a2b8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373875' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760~10cd6938539';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373876' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998:410~10ce4ec8369';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373877' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba~10cd389a1fa';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373878' WHERE PRESENTATIONID = 'LINK~REPORT~103422fcfba:410~10cd98570af';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373879' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f~10cd389a210';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373880' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a214';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373881' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a218';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373882' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca~10cd389a231';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373883' WHERE PRESENTATIONID = 'LINK~REPORT~10341c3b66b~10cd389a24b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373884' WHERE PRESENTATIONID = 'LINK~REPORT~10341a80f23~10cd389a2bf';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373885' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_1101_DB2_CONNECT~10cd389a331';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373886' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca:410~10cd67cfca7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373887' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f:410~10cd67f3e48';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373888' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760:410~10cd6814242';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373889' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760~10cd6947505';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373890' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a213';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373891' WHERE PRESENTATIONID = 'LINK~REPORT~10341b09791~10cd389a217';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373892' WHERE PRESENTATIONID = 'LINK~REPORT~10341a80f23~10cd389a2be';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373893' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a300';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373894' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a304';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373895' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_1101_DB2_CONNECT~10cd389a330';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373896' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f~10cd389a20f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373897' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca~10cd389a230';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373898' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998:410~10ce5f079d5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373899' WHERE PRESENTATIONID = 'LINK~REPORT~103424a8998~10cd389a2ba';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373900' WHERE PRESENTATIONID = 'LINK~REPORT~10341dcb8ca:410~10cd67c79cd';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373901' WHERE PRESENTATIONID = 'LINK~REPORT~10342140c6f:410~10cd67e969e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373902' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760:410~10cd680d745';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373903' WHERE PRESENTATIONID = 'LINK~REPORT~10341ee9760~10cd693fb98';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373904' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a141';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373905' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373906' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373907' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a16c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373908' WHERE PRESENTATIONID = 'LINK~REPORT~10341c3b66b~10cd389a24a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373909' WHERE PRESENTATIONID = 'LINK~REPORT~10341a80f23~10cd389a2bd';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373910' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a2ff';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373911' WHERE PRESENTATIONID = 'LINK~REPORT~10341c810cb~10cd389a303';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373912' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_1101_DB2_CONNECT~10cd389a32f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373913' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a13d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373914' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a160';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373915' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a192';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373916' WHERE PRESENTATIONID = 'LINK~AFFGROUP~eb936882dc~10cd389a192';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373917' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373918' WHERE PRESENTATIONID = 'LINK~AGENT~0020000000000000000000000000000000000000000~10cd389a1a3';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373919' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a103';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373920' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1d8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373921' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1ec';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373922' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a295';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373923' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a30b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373924' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd52abfed';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373925' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd5453448';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373926' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd54b7cf6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373927' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55bd9a4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373928' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a1ee42';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373929' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3a1ee42';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373930' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373931' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a12a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373932' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a102';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373933' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea~10cd389a1c1';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373934' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535~10cd389a1c8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373935' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b~10cd389a1d7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373936' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373937' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a~10cd389a1eb';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373938' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c~10cd389a246';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373939' WHERE PRESENTATIONID = 'LINK~REPORT~101704ffa0b~10cd389a283';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373940' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a30a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373941' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd5334255';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373942' WHERE PRESENTATIONID = 'LINK~REPORT~101260ba80b:410~10cd544abfe';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373943' WHERE PRESENTATIONID = 'LINK~REPORT~1012647995a:410~10cd54af069';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373944' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55b5f97';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373945' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd562781c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373946' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10cd579c540';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373947' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd59b5f26';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373948' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535:410~10cd5d779b0';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373949' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10cd639a84f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373950' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce39f9e50';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373951' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce39f9e50';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373952' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3d9c3b4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373953' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3d9c3b4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373954' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd562f34b';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373955' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a129';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373956' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~10cd389a129';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373957' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a14a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373958' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535~10cd389a1c5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373959' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373960' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c~10cd389a243';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373961' WHERE PRESENTATIONID = 'LINK~REPORT~101704ffa0b~10cd389a280';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373962' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~10cd389a294';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373963' WHERE PRESENTATIONID = 'LINK~REPORT~10c45501cb2~10ceadef111';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373964' WHERE PRESENTATIONID = 'LINK~REPORT~10c45501cb2~10ceadef111';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373965' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121~10cd389a309';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373966' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~10cd5279197';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373967' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456:410~10cd53254a6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373968' WHERE PRESENTATIONID = 'LINK~REPORT~1013ee3e121:410~10cd55adc63';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373969' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd599026a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373970' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535:410~10cd5c07fb7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373971' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10cd636c637';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373972' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3987d63';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373973' WHERE PRESENTATIONID = 'LINK~REPORT~10c45d168f3~10ce3987d63';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373974' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3d7c9c8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP20062341620373975' WHERE PRESENTATIONID = 'LINK~REPORT~10c45dd9ba5~10ce3d7c9c8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373976' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab~10cd389a101';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373977' WHERE PRESENTATIONID = 'LINK~REPORT~101704ffa0b~10cd389a284';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373978' WHERE PRESENTATIONID = 'LINK~REPORT~101a6f247ab:410~10cd561ea1c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373979' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea~10cd389a1c0';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373980' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535~10cd389a1c7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373981' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373982' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10cd5795125';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373983' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd59ac0b8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373984' WHERE PRESENTATIONID = 'LINK~REPORT~1013a039535:410~10cd5d6d7db';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373985' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c~10cd389a247';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373986' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10cd645dc73';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373987' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_002_Threads~10cd389a187';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373988' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea~10cd389a1be';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373989' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8~10cd389a1e5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373990' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c~10cd389a244';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373991' WHERE PRESENTATIONID = 'LINK~REPORT~101704ffa0b~10cd389a281';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373992' WHERE PRESENTATIONID = 'LINK~REPORT~101228810ea:410~10cd5783073';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373993' WHERE PRESENTATIONID = 'LINK~REPORT~101228a04a8:410~10cd599ec44';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373994' WHERE PRESENTATIONID = 'LINK~REPORT~101228b353c:410~10cd637a30a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373995' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a143';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373996' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a171';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373997' WHERE PRESENTATIONID = 'LINK~SUBAGENT~f1dfac16d3~10cd389a146';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP20062341620373998' WHERE PRESENTATIONID = 'LINK~AFFGROUP~f1dfb7a12b~10cd389a174';
***********************************************************
*   Data provided by PK36297 kdp_kcj.sql.append  @mts1    *
***********************************************************
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200764855541083' WHERE ID = 'ZDB2_1112_EDMPOOL' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200764855541084' WHERE ID = 'ZDB2_1112_EDMPOOL' AND APPL = 'KDP';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541090' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b731a1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541091' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b731a1';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541092' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095bae900';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541093' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095bae900';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541094' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b5fa8f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541095' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b5fa8f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541096' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b9319e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541097' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b9319e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541098' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b0806d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541099' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b0806d';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200764855541100' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b23150';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200764855541101' WHERE PRESENTATIONID = 'LINK~REPORT~zDB2_050_SRM_EDM~11095b23150';
***********************************************************
*   Data provided by PK57640 kdp_kcj.sql.append  @mts2    *
***********************************************************
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471238' WHERE ID = 'ZDB2_060_TDB2MSG:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471239' WHERE ID = 'ZDB2_060_TDB2MSG:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471240' WHERE ID = 'ZDB2_0603_DB2MSG_MSGID:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471241' WHERE ID = 'ZDB2_0603_DB2MSG_MSGID:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471242' WHERE ID = 'ZDB2_0602_DB2MSG_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471243' WHERE ID = 'ZDB2_0602_DB2MSG_TIME:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471244' WHERE ID = 'ZDB2_0601_DB2MSG_LAST10:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471245' WHERE ID = 'ZDB2_0601_DB2MSG_LAST10:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471246' WHERE ID = 'ZDB2_0050_DBM1_STORAGE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471247' WHERE ID = 'ZDB2_0050_DBM1_STORAGE:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP200810151471248' WHERE ID = 'ZDB2_1115_OPERSYS:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP200810151471249' WHERE ID = 'ZDB2_1115_OPERSYS:410' AND APPL = 'KDP';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471268' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c0d1ba9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471269' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c0d1ba9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471270' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~1163c32a8b2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471271' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~1163c32a8b2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471272' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~1163c3a05a5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471273' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~1163c3a05a5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471274' WHERE PRESENTATIONID = 'LINK~REPORT~115cf245e6c~1163bf4dd6c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471275' WHERE PRESENTATIONID = 'LINK~REPORT~115cf245e6c~1163bf4dd6c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471276' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~1163c31c334';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471277' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~1163c31c334';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471278' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~115c16449cc';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471279' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~115c1688c6f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471280' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c1a9d0f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471281' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c1a9d0f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471282' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~115c16b859a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471283' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~115c162bd40';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471284' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~1163c393bae';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471285' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~1163c393bae';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471286' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c19aaa0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471287' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_060_TDB2MSG~1163c19aaa0';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471288' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b39b3cf9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471289' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b39b3cf9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471290' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b3aeb847';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471291' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b3aeb847';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471292' WHERE PRESENTATIONID = 'LINK~REPORT~116b33a5887~116b3b523e4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471293' WHERE PRESENTATIONID = 'LINK~REPORT~116b33a5887~116b3b523e4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471294' WHERE PRESENTATIONID = 'LINK~REPORT~116b3153a35~116b3b25d42';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471295' WHERE PRESENTATIONID = 'LINK~REPORT~116b3153a35~116b3b25d42';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471296' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b3a38ce7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471297' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0050_DBM1_STORAGE~116b3a38ce7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471298' WHERE PRESENTATIONID = 'LINK~REPORT~116b39df7d3~116b3ab1a50';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471299' WHERE PRESENTATIONID = 'LINK~REPORT~116b39df7d3~116b3ab1a50';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471300' WHERE PRESENTATIONID = 'LINK~REPORT~116b367d5bb~116b3a89153';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471301' WHERE PRESENTATIONID = 'LINK~REPORT~116b367d5bb~116b3a89153';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471302' WHERE PRESENTATIONID = 'LINK~REPORT~zkcp.Transaction_Analysis~10de966e591';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471303' WHERE PRESENTATIONID = 'LINK~REPORT~105bf1f0a01~10de9a19da7';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471304' WHERE PRESENTATIONID = 'LINK~REPORT~115c1247567~115c1699ed9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471305' WHERE PRESENTATIONID = 'LINK~REPORT~115c1610734~115c4d1a30e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471306' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~115aca6c326';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471307' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~115aca6c326';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471308' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~115aca4ef50';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471309' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU:410~115aca4ef50';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471310' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICS~10e3e2382a2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471311' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICS~10e3e2382a2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471312' WHERE PRESENTATIONID = 'LINK~REPORT~116b367d5bb~116b3a9701a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471313' WHERE PRESENTATIONID = 'LINK~REPORT~116b367d5bb~116b3a9701a';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471314' WHERE PRESENTATIONID = 'LINK~REPORT~116b39df7d3~116b3abd12c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471315' WHERE PRESENTATIONID = 'LINK~REPORT~116b39df7d3~116b3abd12c';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471316' WHERE PRESENTATIONID = 'LINK~REPORT~116b2e73cc5~116b3acc4a4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471317' WHERE PRESENTATIONID = 'LINK~REPORT~116b2e73cc5~116b3acc4a4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471318' WHERE PRESENTATIONID = 'LINK~REPORT~116b3153a35~116b3b36ee1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471319' WHERE PRESENTATIONID = 'LINK~REPORT~116b3153a35~116b3b36ee1';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471320' WHERE PRESENTATIONID = 'LINK~REPORT~116b33a5887~116b3b5eade';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kdp:KDP200810151471321' WHERE PRESENTATIONID = 'LINK~REPORT~116b33a5887~116b3b5eade';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471322' WHERE PRESENTATIONID = 'LINK~REPORT~ZDB2_0000_TOP_TEN_CPU~116916955d3';
UPDATE KFWWORKSPACELINK SET NAME = 'Kdp:KDP200810151471323' WHERE PRESENTATIONID = 'LINK~REPORT~101258e1456~11691739472';
***********************************************************
*   Data provided by V420 kdp_kcj.sql.append  @mts3       *
***********************************************************
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20082541237491121' WHERE ID = 'zDB2_030_SRM_SubSystem:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20082541237491122' WHERE ID = 'zDB2_030_SRM_SubSystem:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20082541237491123' WHERE ID = 'zDB2_010_System_Exc:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20082541237491124' WHERE ID = 'zDB2_010_System_Exc:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20082541237491125' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:410' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20082541237491126' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:410' AND APPL = 'KDP';
UPDATE KFWWORKSPACE SET NAME = 'Kdp:KDP20062341620371061' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZDB2_1101_DB2_CONNECT' AND WSGROUPID = 'ZDB2_1101_DB2_CONNECT' AND APPLICATIONTAG = 'kdp';
***********************************************************
*   Data provided by V510 kdp_kcj.sql.append  @MAM        *
***********************************************************
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111000' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111001' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111002' WHERE ID = 'ZDB2_4101_THD_SUMMARY:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111003' WHERE ID = 'ZDB2_4101_THD_SUMMARY:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111004' WHERE ID = 'ZDB2_4101_THDCICS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111005' WHERE ID = 'ZDB2_4101_THDCICS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111006' WHERE ID = 'ZDB2_4101_THDIMS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111007' WHERE ID = 'ZDB2_4101_THDIMS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111008' WHERE ID = 'zDB2_060_SRM_BPD:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111009' WHERE ID = 'zDB2_060_SRM_BPD:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111010' WHERE ID = 'ZDB2_0002_ALL_DBAT_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111011' WHERE ID = 'ZDB2_0002_ALL_DBAT_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111012' WHERE ID = 'zDB2_020_Test_THR:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111013' WHERE ID = 'zDB2_020_Test_THR:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111014' WHERE ID = 'ZDB2_0002_Allied_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111015' WHERE ID = 'ZDB2_0002_Allied_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111016' WHERE ID = 'ZDB2_1112_EDMPOOL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111017' WHERE ID = 'ZDB2_1112_EDMPOOL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP20101661231111018' WHERE ID = 'ZDB2_0002_Enclave_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP20101661231111019' WHERE ID = 'ZDB2_0002_Enclave_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131000' WHERE ID = 'zDB2_040_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131001' WHERE ID = 'zDB2_040_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131002' WHERE ID = 'zDB2_041_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131003' WHERE ID = 'zDB2_041_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131004' WHERE ID = 'ZDB2_0050_MVS_STORAGE:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131005' WHERE ID = 'ZDB2_0050_MVS_STORAGE:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131006' WHERE ID = 'ZDB2_0066_SQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131007' WHERE ID = 'ZDB2_0066_SQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131008' WHERE ID = 'ZDB2_0067_TSQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131009' WHERE ID = 'ZDB2_0067_TSQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131010' WHERE ID = 'zDB2_030_SRM_SubSystem:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131011' WHERE ID = 'zDB2_030_SRM_SubSystem:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131012' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131013' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131014' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131015' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131016' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131017' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131018' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131019' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP2010166132131020' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP2010166132131021' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381045' WHERE ID = 'ZDB2_0002_Enclave_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381046' WHERE ID = 'ZDB2_0002_Enclave_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381047' WHERE ID = 'ZDB2_1112_EDMPOOL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381048' WHERE ID = 'ZDB2_1112_EDMPOOL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381049' WHERE ID = 'ZDB2_0002_Allied_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381050' WHERE ID = 'ZDB2_0002_Allied_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381051' WHERE ID = 'zDB2_020_Test_THR:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381052' WHERE ID = 'zDB2_020_Test_THR:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381053' WHERE ID = 'zDB2_060_SRM_BPD:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381054' WHERE ID = 'zDB2_060_SRM_BPD:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381055' WHERE ID = 'ZDB2_0002_ALL_DBAT_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381056' WHERE ID = 'ZDB2_0002_ALL_DBAT_THREADS:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381057' WHERE ID = 'ZDB2_4101_THDIMS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381058' WHERE ID = 'ZDB2_4101_THDIMS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381059' WHERE ID = 'ZDB2_4101_THDCICS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381060' WHERE ID = 'ZDB2_4101_THDCICS_SUMMARY:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381061' WHERE ID = 'ZDB2_4101_THD_SUMMARY:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381062' WHERE ID = 'ZDB2_4101_THD_SUMMARY:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381063' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381064' WHERE ID = 'ZDB2_0002_ALL_ACTIVE_THREADS:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381065' WHERE ID = 'zDB2_040_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381066' WHERE ID = 'zDB2_040_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381067' WHERE ID = 'zDB2_041_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381068' WHERE ID = 'zDB2_041_SRM_Log:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381069' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381070' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381071' WHERE ID = 'ZDB2_0050_MVS_STORAGE:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381072' WHERE ID = 'ZDB2_0050_MVS_STORAGE:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381073' WHERE ID = 'ZDB2_0066_SQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381074' WHERE ID = 'ZDB2_0066_SQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381075' WHERE ID = 'ZDB2_0067_TSQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381076' WHERE ID = 'ZDB2_0067_TSQL_COUNTER:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381077' WHERE ID = 'zDB2_030_SRM_SubSystem:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381078' WHERE ID = 'zDB2_030_SRM_SubSystem:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381079' WHERE ID = 'zDB2_030_SRM_SubSystem:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381080' WHERE ID = 'zDB2_030_SRM_SubSystem:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381081' WHERE ID = 'zDB2_070_THD_DDF_STA:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381082' WHERE ID = 'zDB2_070_THD_DDF_STA:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381083' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381084' WHERE ID = 'ZDB2_0005_THREADs_DETAIL:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381085' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381086' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2_TIME:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381087' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2T_PKG:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381088' WHERE ID = 'ZDB2_0009_TOP_TEN_INDB2T_PKG:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381089' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUA_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381090' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUA_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381091' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381092' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381093' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381094' WHERE ID = 'ZDB2_00010_TOP_TEN_INDB2CPUD_TIM:510' AND APPL = 'KDP';
UPDATE KFWQUERY SET NAME = 'Kdp:KDP201021870381095' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420' AND APPL = 'KDP';
UPDATE KFWQUERY SET TEXT = 'Kdp:KDP201021870381096' WHERE ID = 'ZDB2_1110_TOP_TEN_INDB2CPUD_TIME:420' AND APPL = 'KDP';

